/*
 * @package Grand Job
 * @version 1.0.1
 * @created Jun 2, 2016
 * @author Inwavethemes
 * @email inwavethemes@gmail.com
 * @website http://inwavethemes.com
 * @support Ticket https://inwave.ticksy.com/
 * @copyright Copyright (c) 2015 Inwavethemes. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 */

/**
 * Grand Job admin scripts
 *
 * @developer hoa
 */

var GJIsFileObject = function(data) {
    if(!data) return false;
    return typeof data.lastModified !== 'undefined' &&
        typeof data.lastModifiedDate !== 'undefined' &&
        typeof data.name !== 'undefined' &&
        typeof data.size !== 'undefined' &&
        typeof data.type !== 'undefined';
}

var GJAppendFormdata = function(FormData, data, name){
    name = name || '';
    if (typeof data === 'object' && !GJIsFileObject(data)){
        jQuery.each(data, function(index, value){
            if (name === ''){
                GJAppendFormdata(FormData, value, index);
            } else {
                GJAppendFormdata(FormData, value, name + '['+index+']');
            }
        })
    } else {
        FormData.append(name, data);
    }
};

var GJButtonLoader = function(self, action) {
    if (action == 'add') {
        var width = self.outerWidth();
        var height = self.outerHeight();
        var border_top_width = self.css("border-top-width");
        var border_left_width = self.css("border-left-width");
        self.css({'position' : 'relative'});
        var el = jQuery('<div class="loading-blur loading" style="position: absolute; z-index: 99999; top: -'+border_top_width+'; left: -'+border_left_width+'; width: '+width+'px; height: '+height+'px;"><div class="loading-overlay" style="opacity: 0.5; background-color: rgb(255, 255, 255);"></div><div class="fre-loading-wrap"><div class="fre-loading"></div></div></div>');
        self.append(el);
        if(self.is(':button')){
            self.prop('disabled', true);
        }
    } else {
        if(self.is(':button')){
            self.prop('disabled', false);
        }
        self.find('.loading-blur').remove();
    }
};

(function ($) {
    'use strict';

    $(document).ready(function ($) {


        function gj_send_all_email(data_send) {

            $.ajax({
                type: "POST",
                url: gj.ajax_url,
                dataType: 'json',
                data: data_send,
                success: function (data) {

                    $('#progress-bar-send-mail').css('width', data.percent + '%');
                    $('#progress-bar-send-mail').text(data.percent + '%');


                    if (data.next == 1) {
                        var data_send = {'step': data.step + 1, 'total': data.total, 'current': data.current, action: 'gj_send_all_email'};

                        gj_send_all_email(data_send);
                    } else {
                        alert('done');
                    }
                }
            });
        }

        $('#send-all-email').on('click', function (e) {
            e.preventDefault();

            $(this).hide();

            $('.send-all-email-control').find('.progress').show();

            $.ajax({
                type: "POST",
                url: gj.ajax_url,
                dataType: 'json',
                data: {'step': 1, action: 'gj_send_all_email'},
                success: function (data) {

                    $('#progress-bar-send-mail').css('width', data.percent + '%');
                    $('#progress-bar-send-mail').text(data.percent + '%');

                    if (data.next == 1) {
                        var data_send = {'step': data.step + 1, 'total': data.total, 'current': data.current, action: 'gj_send_all_email'};
                        gj_send_all_email(data_send);
                    } else {
                        alert('done');
                    }

                }
            });
        });

        $('#gj-create-default-pages').on('click', function (e) {
            e.preventDefault();
            var self = $(this);
            if(self.hasClass('disabled')){
                return false;
            }
            self.prop('disabled', true);
            self.addClass('disabled');

            $.ajax({
                type: "POST",
                url: gj.ajax_url,
                dataType: 'json',
                data: {'step': 1, action: 'gj_create_default_pages'},
                success: function (data) {
                    self.html(data.message);
                }
            });
        });

        $('#gj-reorder-all-fields').on('click', function (e) {
            e.preventDefault();
            var self = $(this);
            if(self.hasClass('disabled')){
                return false;
            }
            self.prop('disabled', true);
            self.addClass('disabled');

            $.ajax({
                type: "POST",
                url: gj.ajax_url,
                dataType: 'json',
                data: {'step': 1, action: 'gj_reorder_all_fields'},
                success: function (data) {
                    self.html(data.message);
                }
            });
        });

        if ($('#gj-setting-tabs').length) {
            $('#gj-setting-tabs').tabs({
                activate: function (event, ui) {
                    localStorage.selectedTab = ui.newTab.index() + 1;
                },
                active: localStorage.selectedTab ? localStorage.selectedTab - 1 : 0
            }
            );
        }
        if ($('.gj-setting-accordion').length) {
            $('.gj-setting-accordion').accordion({
                heightStyle: "content"
            });
        }
        if ($('.gj-setting-apply-form').length) {
            $('.gj-setting-apply-form table').sortable({
                items: 'tr:not(".disabled")'
            });
        }

        $('.add-apply-form-field').click(function (e) {
            e.preventDefault();
            var tr = $(this).closest('tr');
            var new_tr = tr.prev('tr').clone();
            new_tr.removeClass('core-field');
            new_tr.find('input').val('');
            new_tr.find('textarea').val('');
            new_tr.find('select').prop('selectedIndex', -1);
            new_tr.find('input[readonly]').prop('readOnly', false);
            new_tr.find('select[disabled]').prop('disabled', false);
            new_tr.find('button[disabled]').prop('disabled', false);
            tr.before(new_tr);
        });

        $('.add-review-option-field').click(function (e) {
            e.preventDefault();
            var tr = $(this).closest('tr');
            var new_tr = tr.prev('tr').clone();
            new_tr.find('input').val('');
            new_tr.find('button[disabled]').prop('disabled', false);
            tr.before(new_tr);
        });

        $('.gj-setting-page').on('click', '.review_option_remove_field', function (e) {
            e.preventDefault();
            var parent = $(this).closest('tr');
            parent.remove();
        });

        $('.gj-setting-page').on('change', '.apply_field_type, .apply_form_required', function (e) {
            var value = $(this).val();
            $(this).next('input[type="hidden"]').val(value);
        });

        $('.gj-setting-page').on('click', '.apply_form_remove_field', function (e) {
            e.preventDefault();
            var parent = $(this).closest('tr');
            if (!parent.hasClass('core-field')) {
                parent.remove();
            }
        });

        $('#gj-candidate-status').change(function () {
            var value = $(this).val();
            if (value == 'gj-incomplete') {
                $('#gj-candidate-reason').show();
            } else {
                $('#gj-candidate-reason').hide();
            }
        });

        $('#gj-employer-status').change(function () {
            var value = $(this).val();
            if (value == 'gj-incomplete') {
                $('#gj-employer-reason').show();
            } else {
                $('#gj-employer-reason').hide();
            }
        });

        $('#gj-job-status').change(function () {
            var value = $(this).val();
            if (value == 'gj-rejected') {
                $('#gj-job-reason').show();
            } else {
                $('#gj-job-reason').hide();
            }
        });

        if ($('#gj-order-from-date').length) {
            $('#gj-order-from-date').datetimepicker({
                timepicker: false,
                format: 'Y/m/d',
                onSelectDate: function (ct, $i) {
                    $('#gj-order-to-date').datetimepicker('setOptions', {minDate: $i.val()});
                }
            });
            $('#gj-order-to-date').datetimepicker({
                timepicker: false,
                format: 'Y/m/d',
            });
        }

        $('.gj-save-settings').click(function (e) {
            e.preventDefault();
            var self = $(this);
            if (self.is(':disabled')) {
                return false;
            }

            var self = $(this);
            if(gjSettings.$children[0].validate(false, true)){
                self.prop('disabled', true);
                var data = {action : 'gj_save_settings', model : gjSettings.model, _ajax_nonce : gj.security};
                $.ajax({
                    type: "POST",
                    url: gj.ajax_url,
                    data: data,
                    dataType: 'json',
                    //contentType: "application/json; charset=UTF-8",
                    complete: function(data){
                        self.prop('disabled', false);
                        $.growl.notice({title: '', message: gji18n.saved_success,location : 'br' });
                    },
                    error : function () {
                        self.prop('disabled', false);
                        $.growl.warning({title: '', message: gji18n.saved_error, location : 'br' });
                    }
                });
            }
        });

        $('.gj-reset-settings').click(function (e) {
            e.preventDefault();
            var self = $(this);
            if (self.is(':disabled')) {
                return false;
            }
            if (confirm("Are you sure want to reset settings to default") == true) {
                var original_text = self.html();
                self.attr("disabled", true);
                self.html('Reseting...');
                var data = {
                    action: 'gj_reset_settings',
                    _ajax_nonce: gj.security
                };
                $.ajax({
                    type: "POST",
                    url: gj.ajax_url,
                    data: data,
                    dataType: 'json',
                    complete: function(data){
                        self.prop('disabled', false);
                        $.growl.notice({title: '', message: gji18n.reseted_success,location : 'br' });
                        self.attr("disabled", false);
                        self.html(original_text);
                    },
                    error : function () {
                        self.prop('disabled', false);
                        $.growl.warning({title: '', message: gji18n.reseted_error, location : 'br' });
                        self.attr("disabled", false);
                        self.html(original_text);
                    }
                });
            }
        });

        //$('input[type="hidden"].gj-criteria-rating').rating();

        $('select[name="gj_admin_rev_status"]').on('change', function () {
            var self_val = $(this).val();
            if (self_val === 'reject') {
                $(this).closest('table.gj-edit-review-form').find('.gj_reason_reject_rev').removeClass('hidden');
            } else {
                if (!$(this).closest('table.gj-edit-review-form').find('.gj_reason_reject_rev').hasClass('hidden')) {
                    $(this).closest('table.gj-edit-review-form').find('.gj_reason_reject_rev').addClass('hidden');
                }
            }
        });

        /*
        $("#sortable").sortable({
            placeholder: "ui-state-highlight",
            items: "tr:not(.ui-state-disabled)"
        });
        $("#sortable").disableSelection();
        */

        $('.gj-sidebar-sticky')
            .theiaStickySidebar({
                additionalMarginTop: top
            });

        

    });

    /**
     * Order Notes Panel
     */
    var gj_meta_boxes_order_notes = {
        init: function () {
            $('#gj-order-notes')
                    .on('click', 'button.gj-add-note', this.add_order_note)
                    .on('click', 'a.gj-delete-note', this.delete_order_note);

        },

        add_order_note: function () {
            if (!$('textarea#gj-add-order-note').val()) {
                return;
            }

            $('#gj-order-notes').block({
                message: null,
                overlayCSS: {
                    background: '#fff',
                    opacity: 0.6
                }
            });

            var data = {
                action: 'gj_add_order_note',
                post_id: $('input#gj-order-note-id').val(),
                note: $('textarea#gj-add-order-note').val(),
                note_type: $('select#gj-order-note-type').val(),
                _ajax_nonce: gj.security
            };

            $.post(gj.ajax_url, data, function (response) {
                $('ul.gj-order-notes').prepend(response);
                $('#gj-order-notes').unblock();
                $('#gj-add-order-note').val('');
            });

            return false;
        },

        delete_order_note: function () {
            if (window.confirm(gj.i18n_delete_note)) {
                var note = $(this).closest('li.gj-note');

                $(note).block({
                    message: null,
                    overlayCSS: {
                        background: '#fff',
                        opacity: 0.6
                    }
                });

                var data = {
                    action: 'gj_delete_order_note',
                    note_id: $(note).attr('rel'),
                    _ajax_nonce: gj.security
                };

                $.post(gj.ajax_url, data, function () {
                    $(note).remove();
                });
            }

            return false;
        }
    };

    gj_meta_boxes_order_notes.init();

    $('#gj-create-all-products').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var old_text = self.html();
        var data = 'action=gj_create_all_products&_ajax_nonce=' + gj.security;
        $.ajax({
            url: gj.ajax_url,
            type: 'POST',
            data: data,
            dataType: 'json',
            beforeSend: function () {
                self.prop('disabled', true);
                self.html('Creating...');
            },
            success: function (result) {
                if (result.success == true) {
                    self.html(result.message);
                } else {
                    self.html(old_text);
                    alert(result.message);
                }
            }
        });
    });

    $('.gj-toogle-job-products').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var parent = self.parent();
        var all_products_div = parent.next('.gj-all-job-products');
        if(all_products_div.hasClass('hide')){
            all_products_div.removeClass('hide');
            self.html('Hide All Products');
        }else{
            all_products_div.addClass('hide');
            self.html('Show All Products');
        }
    });

    $('.gj-job-featured').click(function(e){
        e.preventDefault();

        var self = $(this);
        var featured = $(this).hasClass('featured');
        var id = self.data('id');
        $.ajax({
            url: gj.rest_url+"gj/v1/job/"+id+"/featured",
            type: featured ? 'DELETE' : 'POST',
            dataType: 'json',
            beforeSend: function (e) {
                self.find('i').attr('class', 'fa fa-spinner fa-spin');
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });

    $('.gj-job-change-status').click(function(e){
        e.preventDefault();
        var self = $(this);
        var status = $(this).data('status');
        var id = self.data('id');
        self.find('i').attr('class', 'fa fa-spinner fa-spin');
        $.ajax({
            url: gj.rest_url+"gj/v1/job/"+id+"/changestatus",
            type: 'POST',
            data: {'status' : status},
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });

    $('.gj-employer-featured').click(function(e){
        e.preventDefault();

        var self = $(this);
        var featured = $(this).hasClass('featured');
        var id = self.data('id');
        $.ajax({
            url: gj.rest_url+"gj/v1/employer/"+id+"/featured",
            type: featured ? 'DELETE' : 'POST',
            dataType: 'json',
            beforeSend: function (e) {
                self.find('i').attr('class', 'fa fa-spinner fa-spin');
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });

    $('.gj-employer-change-status').click(function(e){
        e.preventDefault();
        var self = $(this);
        var status = $(this).data('status');
        var id = self.data('id');

        $.ajax({
            url: gj.rest_url+"gj/v1/employer/"+id+"/changestatus",
            type: 'POST',
            data: {'status' : status},
            dataType: 'json',
            beforeSend: function (e) {
                self.find('i').attr('class', 'fa fa-spinner fa-spin');
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });

    $('.gj-candidate-featured').click(function(e){
        e.preventDefault();

        var self = $(this);
        var featured = $(this).hasClass('featured');
        var id = self.data('id');
        $.ajax({
            url: gj.rest_url+"gj/v1/candidate/"+id+"/featured",
            type: featured ? 'DELETE' : 'POST',
            dataType: 'json',
            beforeSend: function (e) {
                self.find('i').attr('class', 'fa fa-spinner fa-spin');
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });

    $('.gj-candidate-change-status').click(function(e){
        e.preventDefault();
        var self = $(this);
        var status = $(this).data('status');
        var id = self.data('id');
        $.ajax({
            url: gj.rest_url+"gj/v1/candidate/"+id+"/changestatus",
            type: 'POST',
            data: {'status' : status},
            dataType: 'json',
            beforeSend: function (e) {
                self.find('i').attr('class', 'fa fa-spinner fa-spin');
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                window.location.reload();
            }
        });
    });
})(jQuery);