function gj_payment_stripe_callback($form, $submit_btn, price, currency) {
    var token_triggered = false;
    var handler = StripeCheckout.configure({
        key: stripe_options.publish_key,
        image: 'https://stripe.com/img/documentation/checkout/marketplace.png',
        locale: 'auto',
        closed: function () {
            if (!token_triggered) {
                GJButtonLoader($submit_btn, 'remove');
            }
        },
        token: function (token) {
            token_triggered = true;
            if ($form.find('input[name="stripe_token"]').length > 0) {
                $form.find('input[name="stripe_token"]').val(token.id);
                $form.find('input[name="stripe_email"]').val(token.email);
            } else {
                $form.append('<input type="hidden" name="stripe_token" value="' + token.id + '">');
                $form.append('<input type="hidden" name="stripe_email" value="' + token.email + '">');
            }

            $form.submit();
        }
    });

    function stripe_zerocurrency(price, currency) {
        var stripe_zerocurrency = ["BIF", "CLP", "DJF", "GNF", "JPY", "KMF", "KRW", "MGA", "PYG", "RWF", "VND", "VUV", "XAF", "XOF", "XPF"];
        if (jQuery.inArray(currency, stripe_zerocurrency) === -1) {
            price = price * 100;
        }

        return price;
    }

    var $order_name_input = $form.find('input[name="order_name"]');
    if ($order_name_input.length) {
        var order_name = $order_name_input.val();
    } else {
        var order_name = 'Payment';
    }


    handler.open({
        name: order_name,
        currency: currency,
        amount: (stripe_zerocurrency(price, currency))
    });
}

function gj_payment_method_select_change(payment_input) {
    if (payment_input.val() == 'stripe') {
        jQuery('.gj-checkout-form .stripe-recurring').show();
    } else {
        jQuery('.gj-checkout-form .stripe-recurring').hide();
    }

    if (payment_input.val() == 'paypal') {
        jQuery('.gj-checkout-form .paypal-recurring').show();
    } else {
        jQuery('.gj-checkout-form .paypal-recurring').hide();
    }
}

jQuery(document).ready(function ($) {

    $('.gj-jobs-status, .gj-jobs-orderby, .gj-jobs-orderb, .gj-application-job, .gj-order-status, .gj-order-type').change(function () {
        $(this).closest('form').submit();
    });

    $('.gj-update-profile-btn').on('click', function (e) {
        e.preventDefault();
        var self = $(this);
        if(vmPostApp.$children[0].validate(false, true)){
            var data = Object.assign({}, vmPostApp.model);

            var process =  $(document).triggerHandler('beforePostUserForm', [data]);
            if(process === false){
                return false;
            }

            var formData = new FormData();
            GJAppendFormdata(formData, data);

            self.prop('disabled', true);

            $.ajax({
                type: "POST",
                url: gj.rest_url+"gj/v1/me",
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend : function(e){
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function(result){
                    $(document).trigger('postUserFormSuccess', [data, result]);

                    if(result.success){
                        if(result.redirect_url){
                            window.location.href = result.redirect_url;
                        }else{
                            window.location.reload();
                        }
                    }else{
                        $.growl.error({ title: '', message: result.message, location : 'br' });
                    }
                    GJButtonLoader(self, 'remove');
                },
                error : function (_data) {
                    var result = _data.responseJSON;
                    $(document).trigger('postUserFormError', [data, result]);
                    $.growl.error({ title: '', message: result.message, location : 'br' });
                    GJButtonLoader(self, 'remove');
                }
            });
        }
    });

    $('.gj-delete-account-btn').on('click', function (e) {
        e.preventDefault();
        var self = $(this);
        var r = confirm(self.data('message'));

        if (r == true) {
            self.prop('disabled', true);
            $.ajax({
                type: "DELETE",
                url: gj.rest_url+"gj/v1/me",
                data: data,
                dataType: 'json',
                beforeSend : function(e){e.setRequestHeader("X-WP-Nonce",window.gj.restnonce)},
                //contentType: "application/json; charset=UTF-8",
                success: function(result){
                    if(result.success){
                        $.growl.notice({ title: '', message: result.message, location : 'br' });
                        if(result.redirect_url){
                            window.location.href = result.redirect_url;
                        }
                    }else{
                        $.growl.error({ title: '', message: result.message, location : 'br' });
                    }
                    self.prop('disabled', false);

                },
                error : function (data) {
                    var result = data.responseJSON;
                    $.growl.error({ title: '', message: result.message, location : 'br' }); 
                    self.prop('disabled', false);
                }
            });
        }
    });

    $(document).on('click', '.gj-submit-employer-btn', function (e) {
        e.preventDefault();
        var self = $(this);
        if(vmPostApp.$children[0].validate(false, true)){
            var data = Object.assign({}, vmPostApp.model);
            var process = jQuery(document).triggerHandler('beforeEmployerForm', [data]);
            if(process === false){
                return false;
            }

            var form = self.closest("form");
            form.find('input[type="hidden"].extra').each(function(){
                data[jQuery(this).attr('name')] = jQuery(this).val();
            });
            var isEdit = data.postID !== '';

            var formData = new FormData();

            GJAppendFormdata(formData, data);
            GJButtonLoader(self, 'add');

            jQuery.ajax({
                type: "POST",
                url: isEdit ? gj.rest_url+"gj/v1/employer/"+data.postID : gj.rest_url+"gj/v1/employers",
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend : function(e){
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function(result){
                    jQuery(document).trigger('postEmployerFormSuccess', [data, result]);
                    window.location.href = result.permalink;
                },
                error : function (result) {
                    jQuery(document).trigger('postEmployerFormError', [data, result]);
                    var data = result.responseJSON;
                    GJButtonLoader(self, 'remove');
                }
            });
        }
    });

    $(document).on('click', '.gj-submit-candidate-btn', function (e) {
        e.preventDefault();
        var self = $(this);
        console.log(vmPostApp.$children[0]);

        function gj_validate_vue_form($rootElement) {
            $rootElement
        }
        if(vmPostApp.$children[0].validate(false, true)){

            var data = Object.assign({}, vmPostApp.model);

            var process = jQuery(document).triggerHandler('beforeCandidateForm', [data]);
            if(process === false){
                return false;
            }

            var form = self.closest("form");
            form.find('input[type="hidden"].extra').each(function(){
                data[jQuery(this).attr('name')] = jQuery(this).val();
            });

            var formData = new FormData();
            GJAppendFormdata(formData, data);

            var isEdit = data.postID !== '';

            GJButtonLoader(self, 'add');
            
            jQuery.ajax({
                type: "POST",
                url: isEdit ? gj.rest_url+"gj/v1/candidate/"+data.postID : gj.rest_url+"gj/v1/candidates",
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend : function(e){e.setRequestHeader("X-WP-Nonce",window.gj.restnonce)},
                success: function(result){
                    jQuery(document).trigger('postCandidateFormSuccess', [data, result]);
                    window.location.href = result.permalink;
                },
                error : function (data) {
                    GJButtonLoader(self, 'remove');
                    var result = data.responseJSON;
                    $.growl.error({ title: '', message: result.message, 'location' : 'br'});
                    jQuery(document).trigger('postCandidateFormError', [data, result]);
                }
            });
        }
    });

    $(document).on('click', '.gj-submit-job-btn', function (e) {
        e.preventDefault();
        var self = $(this);
        
        //GJButtonLoader(button, 'add');
        if(vmPostApp.$children[0].validate(false, true)){
            var data = Object.assign({}, vmPostApp.model);
            var process = jQuery(document).triggerHandler('beforePostForm', [data]);
            if(process === false){
                return false;
            }

            var form = self.closest("form");
            form.find('input[type="hidden"].extra').each(function(){
                data[jQuery(this).attr('name')] = jQuery(this).val();
            });

            var formData = new FormData();
            GJAppendFormdata(formData, data);

            GJButtonLoader(self, 'add');
            jQuery(document).trigger('beforeJobForm', [data]);
            jQuery.ajax({
                type: "POST",
                url: data.postID ? gj.rest_url+"gj/v1/job/"+data.postID : gj.rest_url+"gj/v1/jobs",
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend : function(e){e.setRequestHeader("X-WP-Nonce",window.gj.restnonce)},
                success: function(result){
                    jQuery(document).trigger('postJobFormSuccess', [data, result]);
                    window.location.href = result.permalink;
                },
                error : function (result) {
                    var data = result.responseJSON;
                    $.growl.error({ title: '', message: data.message });
                    GJButtonLoader(self, 'remove');
                    jQuery(document).trigger('postJobFormError', [data, result]);
                }
            });
        }
    });

    $('.gj-featured-job').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        if (id) {
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/job/"+id+'/featured',
                type: self.hasClass('featured') ? 'DELETE' : 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function (result) {
                    if (result) {
                        if (result.success) {
                            window.location.reload();
                        }else{
                            if(result.redirect){
                                window.location.href = result.redirect;
                            }else if(result.message){
                                GJButtonLoader(self, 'remove');
                                if(result.message.title && result.message.body){
                                    GJBootstrapModal(result.message.title, result.message.body).modal();
                                }
                            }
                        }
                    }
                },
                error : function(result){
                }
            });
        }
    });

    $('.gj-draft-job').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        if (id) {
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/job/"+id+'/draft',
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function (result) {
                    if (result) {
                        if (result.success) {
                            window.location.reload();
                        }else{
                            if(result.redirect){
                                window.location.href = result.redirect;
                            }else{
                                $.growl.error({ title: '', message: result.message });
                            }
                        }
                    }
                },
                error : function(result){
                }
            });
        }
    });

    $('.gj-renew-job').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        if (id) {
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/job/"+id+'/renew',
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function (result) {
                    if (result.success) {
                        window.location.reload();
                    }else{
                        if(result.redirect){
                            window.location.href = result.redirect;
                        }else if(result.message){
                            GJButtonLoader(self, 'remove');
                            if(result.message.title && result.message.body){
                                GJBootstrapModal(result.message.title, result.message.body).modal();
                            }
                        }
                    }
                },
                error : function(result){
                    $.growl.error({ title: '', message: result.responseJSON.message });
                    GJButtonLoader(self, 'remove');
                }
            });
        }
    });

    $('.gj-delete-job').click(function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        var r = confirm($(this).data('message'));
        if (r == true) {
            if (id) {
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/job/"+id,
                type: 'DELETE',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(self, 'add');
                },
                success: function (result) {
                    GJButtonLoader(self, 'remove');
                    if (result.success) {
                        $('#job-' + id).remove();
                        $.growl.notice({ title: '', message: result.message });
                    }else{
                        $.growl.error({ title: '', message: result.message });
                    }
                },
                error : function(result){
                    GJButtonLoader(self, 'remove');
                    $.growl.error({ title: '', message: result.responseJSON.message });
                }
            });
            }
        }
    });

    $('form input[name="payment_method"]').change(function () {
        $('.gj-payment-btn').prop('disabled', false);
        if (typeof window.gj_payment_method_select_change === 'function') {
            window.gj_payment_method_select_change($(this));
        }
    });

    $('.gj-payment-btn').click(function () {
        var self = $(this);
        if (self.is(':disabled')) {
            return false;
        }
        GJButtonLoader(self, 'add');
        var form = self.closest('form');
        var price = form.find('input[name="price"]').val();
        var currency = form.find('input[name="currency"]').val();

        var payment_method = form.find('input[name="payment_method"]:checked').val();
        var method_function = window['gj_payment_' + payment_method + '_callback'];
        if (typeof method_function === "function") {
            method_function(form, self, price, currency);
        } else {
            form.submit();
        }
        

    });

    //unsave action in dashboard
    $(document).on('click', '.gj-unsave-job', function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        var data = 'lang=' + gj.lang;
        $.ajax({
            url: gj.rest_url+"gj/v1/job/"+id+"/save",
            type: 'DELETE',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                self.closest('tr').remove();
            },
            error : function(data){
                var result = data.responseJSON;
            }
        });
    });

    //unfollow action in dashboard
    $(document).on('click', '.gj-unfollow', function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        var data = 'lang=' + gj.lang;
        $.ajax({
            url: gj.rest_url+"gj/v1/employer/"+id+"/follow",
            type: 'DELETE',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                self.closest('tr').remove();
            },
            error : function(data){
                var result = data.responseJSON;
            }
        });
    });

    //save resume in dashboard
    $(document).on('click', '.gj-delete-save-resume', function (e) {
        e.preventDefault();
        var self = $(this);
        var id = self.data('id');
        var data = 'lang=' + gj.lang;
        $.ajax({
            url: gj.rest_url+"gj/v1/candidate/"+id+"/save",
            type: 'DELETE',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                self.closest('tr').remove();
            },
            error : function(data){
            }
        });
    });

    $('.gj-delete-alert').click(function (e) {
        e.preventDefault();

        var self = $(this);
        var ori_class = self.find('i').attr('class');
        if (confirm(self.data('message')) == true) {
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/alert/"+self.data('id'),
                type: 'DELETE',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                },
                success: function (result) {
                    self.closest('tr').remove();
                },
                error : function(data){
                    var result = data.responseJSON;
                }
            });
        }
    }); 
	
	$('.gj-delete-product').click(function (e) {
		/*var self = $(this);
		self.closest('tr').remove();*/
	});

    $('#gj-application-status').change(function(){
        var self = $(this);
        var parent = self.parent();
        var status = $(this).val();
        var id = $(this).data('id');
        var data = {lang : gj.lang, status : status}; 
        $.ajax({
            url: gj.rest_url+"gj/v1/application/"+id+'/changestatus',
            type: 'POST',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                parent.find('> i').remove();
            },
            success: function (result) {
                parent.append('<i class="lnr lnr-checkmark-circle" style="color: #1dae0e"></i>');
            },
            error : function(data){
            }
        });
    });
    
    var application_private_note_timeout = null;
    $('#gj-application-private-note').bind('input propertychange', function(){
        if(application_private_note_timeout){
             clearTimeout(application_private_note_timeout);
        }
        var self = $(this);
        var parent = self.parent();
        application_private_note_timeout = setTimeout(function(){
            var note = self.val();
            var id = self.data('id');
            var data = {lang : gj.lang, note : note}; 
            $.ajax({
                url: gj.rest_url+"gj/v1/application/"+id+'/note',
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    parent.find('> i').remove();
                },
                success: function (result) {
                    parent.append('<i class="lnr lnr-checkmark-circle" style="color: #1dae0e; position: absolute; top: 10px; right: 10px; left: auto"></i>');
                },
                error : function(data){
                }
            });
        }, 600);
        
    });

    $('body').on('click', '.gj-email-appication-btn', function(e){
        e.preventDefault();
        var email_modal = $('#gj-application-email-modal');
        $('.gj-application-email-form .gj-application-email-btn').data('id', $(this).data('id'));
        var original_title = $('.gj-application-email-form .modal-title').data('title'); 
        $('.gj-application-email-form .modal-title').html(original_title + ' ' + $(this).data('title'));
        email_modal.modal('show');
    });

    $('#gj-application-email-modal #application-email').change(function () {
        var value = $(this).val();
        if (value) {
            var email_values = $('#gj-application-email-modal #application-email-templates').val();
            email_values = JSON.parse(email_values);
            $('#gj-application-email-modal [name="content"]').val(email_values[value].content);
            $('#gj-application-email-modal [name="subject"]').val(email_values[value].subject);
        } else {
            $('#gj-application-email-modal [name="content"]').val('');
            $('#gj-application-email-modal [name="subject"]').val('');
        }
    });

    $('.gj-application-email-form').submit(function (e) {
        e.preventDefault();
        var self = $(this);
        var button = self.find('.gj-application-email-btn');
        var id = button.data('id');
        var data = self.serialize() + '&lang=' + gj.lang;

        $.ajax({
            url: gj.rest_url+"gj/v1/application/"+id+"/email",
            type: 'POST',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                GJButtonLoader(button, 'add');
                self.find('.gj-respon-msg').hide().html('');
            },
            success: function (result) {
                GJButtonLoader(button, 'remove');

                if(result.success){
                    self.find('.gj-respon-msg').html('<div class="success">'+result.message+'</div>' ,'sucess').show();
                    if (result.success) {
                        self.get(0).reset();
                    }
                }else{
                    self.find('.gj-respon-msg').html('<div class="error">'+result.message+'</div>').show();
                }
                GJButtonLoader(button, 'remove');
            },
            error : function(data){
                var result = data.responseJSON;
                self.find('.gj-respon-msg').html('<div class="error">'+result.message+'</div>').show();
                GJButtonLoader(button, 'remove');
            }
        });
    });

    $('#gj-application-view-modal').on("show.bs.modal", function (e) {
        var self = $(this);
        var link = $(e.relatedTarget);
        var id = link.data('id');
        if (id) {
            $.ajax({
                url: gj.rest_url+"gj/v1/application/"+id+'/quickview',
                type: 'GET',
                dataType: 'json',
                data: 'lang=' + gj.lang,
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    self.find('.modal-body').html($('#gj-application-view-modal').data('loading'));
                },
                success: function (result) {
                    if(result.success){
                        self.find('.modal-body').html(result.html);
                    }else{
                        self.find('.modal-body').html(GJResultMessage(result.message ,'danger'));
                    }
                },
                error : function(data){
                    var result = data.responseJSON;
                    self.find('.modal-body').html(GJResultMessage(result.message ,'danger'));
                }
            });
        }
    });
})