(function($) {
    $.fn.serializeFormJSON = function () {
        var o = {};
        var a = this.serializeArray();
        $.each(a, function () {
            if (o[this.name]) {
                if (!o[this.name].push) {
                    o[this.name] = [o[this.name]];
                }
                o[this.name].push(this.value || '');
            } else {
                o[this.name] = this.value || '';
            }
        });
        return o;
    };

    window.GJFilterData = function(){
        var data_submit = {};
        $('.gj-form-filter').each(function () {
            data_submit = $.extend(data_submit, $(this).serializeFormJSON());
        });

        data_submit.post_type = $('#gj-filter-post-type').val();
        data_submit.order = $('#gj-input-sorting').val();
        data_submit.url = $('#gj-filter-url').val();

        data_submit.counter_term_ids = [];

        $('.gj-form-filter input').each(function () {
            var id = $(this).data('id');
            if(id && id !== ''){
                data_submit.counter_term_ids.push(id);
            }
        });

        if ($("#gj-input-keyword").length) {
            data_submit.keyword = $("#gj-input-keyword").val();
        }

        if ($('form[name="is_tax_page_job"]').length) {
            var tax_name = $('form[name="is_tax_page_job"]').find('input#is-tax-page-job').attr('name');
            var tax_val = $('form[name="is_tax_page_job"]').find('input#is-tax-page-job').val();
            data_submit.query_is_tax_page = {};
            data_submit.query_is_tax_page[tax_name] = tax_val;
        }

        jQuery(document).trigger('gj_filter_data', data_submit);

        return data_submit;
    };

    window.GJFilter = function(paged) {
        var process = jQuery(document).triggerHandler('gj_before_filter');
        if(process === false){
            return false;
        }

        //hide filter in mobile
        //var filter_sidebar = $('.gj-sidebar');
        //filter_sidebar.removeClass('open-filter');

        $('body').addClass('gj-loading');

        // end pre load

        var data_submit = GJFilterData();
        data_submit.paged = paged;

        switch (data_submit.post_type) {
            case 'gj_candidate' :
                var url = gj.rest_url+"gj/v1/filter/candidates";
                break;
            case 'gj_employer' :
                var url = gj.rest_url+"gj/v1/filter/employers";
                break;
            default :
                var url = gj.rest_url+"gj/v1/filter/jobs";
        }

        var ajax_data = {url : url, data_submit : data_submit};

        $(document).trigger('gj_filter_before_ajax',  ajax_data);

        $.ajax({
            type: "GET",
            url: ajax_data.url,
            dataType:'json',
            data: ajax_data.data_submit,
            beforeSend : function (e) {
                if(gj.restnonce){
                    e.setRequestHeader("X-WP-Nonce", gj.restnonce);
                }
            },
            success: function(result) {
                ajax_data.result = result;
                var process = jQuery(document).triggerHandler('gj_filter_before_success', ajax_data);
                if(process === false){
                    return false;
                }   

                // end filter jobs
                window.history.pushState('', '', ajax_data.result.url);

                $('.total-result .total').html('('+ajax_data.result.total+')');
                $("#iwajax-load").html(ajax_data.result.html);

                $('#gj-filtered').html(ajax_data.result.filtered_html);

                if (ajax_data.result.counts) {
                    $.each(ajax_data.result.counts, function( index, value ) {
                        $('#gj-count-'+index).text(value);
                    });
                }

                $('body').removeClass('gj-loading');

                $('html, body').animate({ scrollTop: 0 }, 'slow');
                 
                $(document).trigger('gj_filter_after_success', ajax_data);
            },
            error : function (result) {
                ajax_data.result = result;
                $(document).trigger('gj_filter_error', ajax_data);
            }
        });
    };

})(jQuery);

jQuery(document).ready(function($) {

    $("form.gj-form-search-keyword input[name='keyword']").on('keyup keypress', function(e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode === 13) {
            e.preventDefault();
            var type = $(this).closest('form').find('input[name="type"]').val();

            GJFilter(1);

            return false;
        }
    });

    $('.btn-gj-search').on('click', function(e){
        e.preventDefault;
        var type = $(this).closest('form').find('input[name="type"]').val();

        GJFilter(1);
    });

    var gj_current_filter_taxonomy = '';
    $('.gj-form-filter').on('click', '.gj-filter-cbx', function(e) {
        var process = jQuery(document).triggerHandler('beforeCBFilterJobs');
        if (process === false) {
            return false;
        }

        var li = $(this).closest('li');

        if(this.type === 'radio'){
            if(li.hasClass('checked')){
                li.removeClass('checked');
                $(this).prop('checked', false).trigger('change');
            }else {
                li.siblings().removeClass('checked');
                li.addClass('checked');
            }
        }else{
            if($(this).is(':checked')){
                li.addClass('checked');
            }else{
                li.removeClass('checked');
            }

        }

        var form_filter = $(this).closest( '.gj-form-filter' );
        generateDropdownPlaceholderTitle(form_filter);

        GJFilter(1);

        jQuery(document).triggerHandler('afterCBFilterJobs');
    });

    var generateDropdownPlaceholderTitle = function(form_filter){
        var filter_dropdown_menu  = form_filter.find( '.dropdown-menu' );
        if ( filter_dropdown_menu.length ) {
            var cat_name_arr = [],
                dropdown_placeholder = form_filter.find( '.dropdown-toggle .name-tax' );
            $.each( form_filter.find( 'li.checked label' ), function () {
                cat_name_arr.push( $(this).text() );
            });
            if( cat_name_arr.length ) {
                dropdown_placeholder.html( cat_name_arr.join(', ') );
            } else {
                dropdown_placeholder.html( dropdown_placeholder.data( 'none-text') );
            }
        }
    };

    var resetDropdownPlaceholderTitle = function(){
        var gj_form_filter = $( '.gj-form-filter' );

        if( gj_form_filter.length ) {
            gj_form_filter.each( function () {

                var dropdown_placeholder = $(this).find( '.dropdown-toggle .name-tax' );

                dropdown_placeholder.html( dropdown_placeholder.data( 'none-text' ) );

            } );
        }
    };

    $('.modal-form-filter').on('click', 'label', function(e) {
        var label = $(this);
        var li = label.closest('li');
        var input = li.find('input');
        var slug = input.val();
        var id = input.data('id');
        var name = input.data('name');
        var input_type = input.get(0).type;
        var input_name = input.data('input-name');

        var element_id = 'gj-filter-cbx-'+id;
        var oriElement = $('#form-'+gj_current_filter_taxonomy+' .'+element_id);
        if(!oriElement.length){
            oriElement = $('<li class="theme-color-hover gj-input-'+input_type+' '+element_id+' empty" style="display: none">' +
                            '<div class="filter-name-item">' +
                                '<input name="'+input_name+'" type="'+input_type+'" id="'+element_id+'" class="gj-filter-cbx" value="'+slug+'">' +
                                '<label for="'+element_id+'">'+name+'</label>' +
                            '</div>' +
                        '</li>');

            $('#form-'+gj_current_filter_taxonomy+' ul .gj-more-filter-btn').before(oriElement);
        }

        if(input_type === 'radio'){
            if(li.hasClass('checked')){
                li.removeClass('checked');
                li.find('input').prop('checked', false);
                input.prop('checked', false);
                oriElement.removeClass('checked');
                oriElement.find('input').prop('checked', false).trigger('change');
            }else {
                li.siblings().removeClass('checked');
                li.addClass('checked');
                input.prop('checked', true);
                oriElement.siblings().removeClass('checked');
                oriElement.addClass('checked');
                $('#form-'+gj_current_filter_taxonomy+' input').prop('checked', false);
                oriElement.find('input').prop('checked', true).trigger('change');                           
            }
        }else{
            if(li.hasClass('checked')){
                li.removeClass('checked');
                input.prop('checked', false);
                oriElement.removeClass('checked');

                oriElement.find('input').prop('checked', false).trigger('change');
            }else{
                li.addClass('checked');
                input.prop('checked', false);
                oriElement.addClass('checked');
                oriElement.find('input').prop('checked', true).trigger('change');              
            }
        }

        generateDropdownPlaceholderTitle($('#form-'+gj_current_filter_taxonomy));

        GJFilter(1);

        return false;
    });

    $('#form-gj_state').on('change', '.gj-filter-cbx', function(e) {
        $('#form-gj_city li').removeClass('checked');
        $('#form-gj_city input').prop('checked', false);

        var state_selected = $('#form-gj_state .gj-filter-cbx:checked');
        var value = '';
        if(state_selected.length){
            value = state_selected.data('id');
        }
        var data = {}, form_city = $('#form-gj_city');
        data.orderby = form_city.data('orderby');
        data.order = form_city.data('order');
        data.number = form_city.data('number');
        data.hide_empty = form_city.data('hide-empty');
        data.state = value;
        data.filters = GJFilterData();
        
        $.ajax({
            url: gj.rest_url+"gj/v1/filter/cities",
            type: 'GET',
            data: data,
            dataType: 'json',
            beforeSend: function (e) {
                e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
            },
            success: function (result) {
                var ul = $('#form-gj_city ul');
                ul.html('');
                if(result.terms.length){
                    var input_name = form_city.data('input-name');
                    result.terms.forEach(function(element){
                        var id = 'gj-filter-cbx-'+element.term_id;
                        var html = '<li class="theme-color-hover gj-input-radio empty '+id+'" style="display: list-item;">' +
                                        '<div class="filter-name-item">' +
                                            '<input type="radio" name="'+input_name+'[]" id="'+id+'" class="gj-filter-cbx" value="'+element.slug+'">' +
                                            '<label for="'+id+'">'+element.name+'</label>' +
                                        '</div>' +
                                        '<span id="gj-count-'+element.term_id+'" class="gj-count">'+element.count+'</span>' +
                                    '</li>'; 
                       ul.append(html);     
                    });
                    if(result.count > result.terms.length){
                        ul.append('<li class="gj-more-filter-btn radio"><button type="button" class="theme-color-hover">'+$('#form-gj_city').data('more-text')+'</button></li>');
                    }
                    form_city.closest('aside').show();
               }else{
                    form_city.closest('aside').hide();
               }
            },
            error : function(data){
                var result = data.responseJSON;
            }
        });
    });

    var gj_terms_data = [];

    var modal_filter_display = function(terms, form){
        var input_type = form.data('input-type');
        var input_name = form.data('input-name');
        var taxonomy = form.data('taxonomy');
        var html = '';
        var actived_ids = [];
        if(input_type === 'radio'){
            var actived_item = $('#form-'+taxonomy + ' input:checked');
            if(actived_item){
                actived_ids.push(actived_item.val());
            }
        }else{
            $('#form-'+taxonomy + ' input:checked').each(function(){
                actived_ids.push($(this).val());
            });
        }

        terms.forEach(function(element){

            var id = 'gj-modal-filter-cbx-'+element.term_id;
            var actived = $.inArray(element.slug, actived_ids);

            html += '<li class="theme-color-hover gj-input-'+input_type+' empty '+id+(actived > -1 ? ' checked' : '')+'">' +
                            '<div class="filter-name-item">' +
                                '<input name="modal-'+input_name+'" class="gj-modal-filter-cbx" type="'+input_type+'" id="'+id+'" '+(actived > -1 ? 'checked="checked"' : '')+' value="'+element.slug+'" data-name="'+element.name+'" data-id="'+element.term_id+'" data-input-name="'+input_name+'">' +
                                '<label for="'+id+'">'+element.name+'</label>' +
                            '</div>' +
                        '</li>';
        });

        $('#gj-modal-filter form').html('<ul>'+html+'</ul>');
    };

    $('.gj-form-filter').on('click', '.gj-more-filter-btn button', function(e) {
        e.preventDefault();
        var btn = $(this);
        var form = $(this).closest('form');
        var taxonomy = form.data('taxonomy');  
        gj_current_filter_taxonomy = taxonomy;
        var cache_key = taxonomy == 'gj_city' ? taxonomy + '-' + $('#form-gj_state .gj-filter-cbx:checked').val() : taxonomy;
        $('#gj-modal-filter .modal-form-filter').html('');
        $('#gj-modal-filter').modal('show');
        if(gj_terms_data[cache_key]){
            modal_filter_display(gj_terms_data[cache_key], form);
        }else{

            var el = jQuery('<div class="loading-blur loading" style="position: absolute; z-index: 99999; top: 0; left: 0; width: 100%; height: 100%;"><div class="loading-overlay" style="opacity: 0.5; background-color: rgb(255, 255, 255);"></div><div class="fre-loading-wrap"><div class="fre-loading"></div></div></div>');
            $('#gj-modal-filter .modal-body').append(el);
            $('#gj-modal-filter .modal-body').addClass('loading-data');
            var data = {};
            data.orderby = $('#form-gj_city').data('orderby');
            data.order = $('#form-gj_city').data('order');
            data.number = '';
            data.hide_empty = $('#form-gj_city').data('hide-empty');
            if(taxonomy == 'gj_city'){
                data.state = $('#form-gj_state .gj-filter-cbx:checked').val();
            }

            $.ajax({
                url: gj.rest_url+"gj/v1/terms/"+taxonomy,
                type: 'GET',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                },
                success: function (result) {
                   if(result.length){
                        gj_terms_data[cache_key] = result;
                        modal_filter_display(result, form);
                        el.remove();
                        $('#gj-modal-filter .modal-body').removeClass('loading-data');

                       var self = $('#gj-modal-filter');
                       var max_height = self.data('height');
                       var item = self.find('.gj-modal-scroll');
                       var height = item.outerHeight();
                       if (height >= max_height) {
                           item.enscroll({
                               showOnHover: false,
                               verticalTrackClass: 'track3-modal',
                               verticalHandleClass: 'handle3-modal',
                               addPaddingToPane: false
                           });
                       }
                   }
                },
                error : function(data){
                    var result = data.responseJSON;
                    console.log(result);
                }
            });
        }
    });

    $('body').on('click', '#gj-clear-filtered', function(e) {
        e.preventDefault();

        var process = jQuery(document).triggerHandler('beforeRemoveFilterJobs');
        if(process === false){
            return false;
        }

        $('#gj-filtered').html('');
        $('.gj-filter-cbx').each(function () {
            if($(this).is(':checked')){
                $(this).closest('li').removeClass('checked');
                $(this).prop('checked', false);
            }
        });

        $('#gj-input-keyword').val('');
        $('#gj-input-lat').val('');
        $('#gj-input-lng').val('');
        $('#gj-input-location').val('');

        resetDropdownPlaceholderTitle();
        
        GJFilter(1);

        jQuery(document).triggerHandler('afterRemoveFilterJobs');
    });

    $('#gj-filtered').on('click', 'li.gj-filter-selected-item', function(e) {
        e.preventDefault();
        $(this).remove();

        var slug = $(this).data('value');
        var gj_filter_cbx = $( '#gj-filter-cbx-'+slug );
        var search_type = $(this).data('search_type');

        var process = jQuery(document).triggerHandler('beforeUnCBFilterJobs');
        if(process === false){
            return false;
        }     
        if(search_type){
            if(search_type === 'keyword'){
                $('#gj-input-keyword').val('');
            }else if(search_type === 'radius'){
                $('#gj-input-lat').val('');
                $('#gj-input-lng').val('');
                $('#gj-input-location').val('');
            }
        }else{
            gj_filter_cbx.closest('li').removeClass('checked');
            gj_filter_cbx.prop('checked', false);
        }

        var form_filter = gj_filter_cbx.closest( '.gj-form-filter' );
        generateDropdownPlaceholderTitle(form_filter);

        GJFilter(1);

        jQuery(document).triggerHandler('afterUnCBFilterJobs');
    });

    $('body').delegate('#gj-input-sorting', 'change', function() {
        GJFilter(1);
    });

    $('body').delegate('.gj-ajax-pagination li a', 'click', function(e) {
        e.preventDefault();

        if($(this).closest('li').hasClass('active')){
            return false;
        }

        $('.gj-ajax-pagination li').removeClass('active');
        $(this).closest('li').addClass('active');

        var paged = $(this).closest('li').data('paged');

        var pag = $(this).closest('.w-pagination');

        pag.find('input[name="page_number"]').val(paged);

        GJFilter(paged);

    });

    if ($('.gj-location-search-form').length) {
        $("#gj-range-radius").on('asRange::moveEnd', function (e) {
            GJFilter(1);
        });

        //location
        var data_radius = $(".slide-range").data('radius');
        $("#gj-range-radius").asRange({
            tip: true,
            step: 1,
            value: parseInt(data_radius['default_radius']),
            max: parseInt(data_radius['max_radius']),
            min: parseInt(data_radius['min_radius']),
            onChange: function(value) {
                $( ".text-distance" ).text( value );
                $('#gj-input-radius').val(value);
            }
        });

        var geocoder = new google.maps.Geocoder();
        var autoComplete = new google.maps.places.Autocomplete(
            document.getElementById('gj-input-location'), {
                types: []
            });

        google.maps.event.addListener(autoComplete, 'place_changed', function() {
            var place = autoComplete.getPlace();
            if (place.geometry) {
                latLng = place.geometry.location;
                $('#gj-input-lat').val(latLng.lat());
                $('#gj-input-lng').val(latLng.lng());

                GJFilter(1);
            }
        });

        $('#gj-pinpoint-btn').on('click',function(){
            if (navigator.geolocation) {
                var self = $(this);
                var i = self.find('i');
                i.data('class', i.attr('class'));
                i.attr('class', 'fa fa-spinner fa-spin');
                navigator.geolocation.getCurrentPosition(function(position) {
                    var pos = {
                        lat: position.coords.latitude,
                        lng: position.coords.longitude
                    };
                    geocoder.geocode({'location': pos}, function(results, status) {
                        if (status === 'OK') {
                            if(results[0]){
                                $('#gj-input-location').val(results[0].formatted_address);
                                $('#gj-input-lat').val(position.coords.latitude);
                                $('#gj-input-lng').val(position.coords.longitude);
                                GJFilter(1);
                            }
                        }
                        i.attr('class', i.data('class'));
                    });
                }, function() {
                    i.attr('class', i.data('class'));    
                });
            } else {
                i.attr('class', i.data('class'));
                // Browser doesn't support Geolocation
            }
        });
    }
});