( function( $ ) {

    "use strict";

    $( document ).ready( function () {

        var geocoder = new google.maps.Geocoder();

       $( '.gjob-form-search-jobs' ).each( function () {

            var btn_action_location     =   $( this ).find( '.btn-action-location' ),
                input_field_location    =   $( this ).find( '.action-location .input-field-location' ),
                current_lat             =   $( this ).find( '.field-item-location .current_lat' ),
                current_lng             =   $( this ).find( '.field-item-location .current_lng' );

            btn_action_location.on( 'click', function() {

                if ( navigator.geolocation ) {

                    navigator.geolocation.getCurrentPosition(function(position) {

                        var pos = {
                            lat: position.coords.latitude,
                            lng: position.coords.longitude
                        };

                        current_lat.val( position.coords.latitude );
                        current_lng.val( position.coords.longitude );

                        geocoder.geocode({'location': pos}, function( results, status ) {

                            if ( status === 'OK' ) {

                                if( results[0] ) {

                                    input_field_location.val(results[0].formatted_address);

                                }

                            }

                        });

                    }, function() {

                        console.log("Browser doesn't support Geolocation");

                    });

                } else {

                    console.log("Browser doesn't support Geolocation");

                }

            });

           $(this).find('.iw-select-2').each(function () {
               var element = $(this);
               var options = element.data('options');
               options = options ? options : {};
               element.select2(options);
           });

        } )


    });

} )( jQuery );