/* 
 * @package Grand Job
 * @version 1.0.1
 * @created Jun 2, 2016
 * @author HoaInwave
 * @email hoak34@gmail.com
 * @website http://inwavethemes.com
 * @support Ticket https://inwave.ticksy.com/
 * @copyright Copyright (c) 2015 Inwavethemes. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 */

var GJIsFileObject = function(data) {
    if(!data) return false;
    return typeof data.lastModified !== 'undefined' &&
        typeof data.lastModifiedDate !== 'undefined' &&
        typeof data.name !== 'undefined' &&
        typeof data.size !== 'undefined' &&
        typeof data.type !== 'undefined';
}

var GJAppendFormdata = function(FormData, data, name){
    name = name || '';
    if (typeof data === 'object' && !GJIsFileObject(data)){
        jQuery.each(data, function(index, value){
            if (name === ''){
                GJAppendFormdata(FormData, value, index);
            } else {
                GJAppendFormdata(FormData, value, name + '['+index+']');
            }
        })
    } else {
        FormData.append(name, data);
    }
};

var GJBootstrapModal = function(title, body){
    var gj_modal = jQuery('#gj-boostrap-modal');
    if(gj_modal.length){
        gj_modal.find('.modal-title').html(title);
        gj_modal.find('.modal-body').html(body);
    }else{
        var modal = '<div class="modal fade" id="gj-boostrap-modal" tabindex="-1" role="dialog">';
            modal += '<div class="iw-vertical-alignment-helper">';
                modal += '<div class="iw-vertical-align-center">';
                    modal += '<div class="modal-dialog" role="document">';
                        modal += '<div class="modal-content">';
                            modal += '<div class="gj-popup-form">';
                            modal += '<div class="modal-header">';
                            modal += '<h4 class="modal-title">'+title+'</h4>';
                            modal += '<button type="button" class="close" data-dismiss="modal"><i class="lnr lnr-cross"></i></button>';
                            modal += '</div>';

                            modal += '<div class="modal-body">';
                            modal += body;
                            modal += '</div>';
                        modal += '</div>';
                    modal += '</div>';
                modal += '</div>';
                modal += '</div>';
            modal += '</div>';
        modal += '</div>';

        jQuery('body').append(modal);

        gj_modal = jQuery('#gj-boostrap-modal');
    }

    return gj_modal;
}

var GJCookie = (function () {

    var setCookie = function(cname, cvalue, exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires="+ d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path="+gj.COOKIEPATH;
    };

    var getCookie = function(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i <ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    };

    return {
        setCookie: setCookie,
        getCookie: getCookie
    }
})();

var GJShowRegisterPopup = function() {
    jQuery('#gj-register-popup').modal("show");
    return false;
};

var GJShowLoginPopup = function() {
    jQuery('#gj-login-popup').modal("show");
    return false;
};

var GJButtonLoader = function(self, action) {
    if (action == 'add') {
        var width = self.outerWidth();
        var height = self.outerHeight();
        var border_top_width = self.css("border-top-width");
        var border_left_width = self.css("border-left-width");
        self.css({'position' : 'relative'});
        var el = jQuery('<div class="loading-blur loading" style="position: absolute; z-index: 99999; top: -'+border_top_width+'; left: -'+border_left_width+'; width: '+width+'px; height: '+height+'px;"><div class="loading-overlay" style="opacity: 0.5; background-color: rgb(255, 255, 255);"></div><div class="fre-loading-wrap"><div class="fre-loading"></div></div></div>');
        self.append(el);
        if(self.is(':button')){
            self.prop('disabled', true);
        }
    } else {
        if(self.is(':button')){
            self.prop('disabled', false);
        }
        self.find('.loading-blur').remove();
    }
}

var GJResultMessage = function(message, type) {
    return '<div class="gj-alert alert alert-'+type+'">' +  message + '</div>';
}

var GJSendMailQueue = function() {
    var data_submit = {'action': 'gj_send_queue_email'};
    data_submit._ajax_nonce = gj.security;
    jQuery.ajax({
        type: "POST",
        url: gj.ajax_url,
        dataType:'json',
        data: data_submit,
        success: function(data) {
        }
    });
}

var GJOpenWindow = function(url) {
    window.open(url, 'sharer', 'toolbar=0,status=0,left=' + ((screen.width / 2) - 300) + ',top=' + ((screen.height / 2) - 200) + ',width=650,height=380');
    return false;
}

if(gj.total_email_queue && parseInt(gj.total_email_queue) > 0){
    setTimeout(GJSendMailQueue(), 1000);
}

(function ($) {
    'use strict';

    function GjSelectSetup() {
        if(typeof $.fn.select2 === 'function'){

            if($('.gj-select-2').length) {
                $(".gj-select-2").each(function () {
                    var options = $(this).data('options');
                    options = options ? options : {};
                    $(this).select2(options);
                });
            }
            if($('.gj-select-2-advance').length) {
                $(".gj-select-2-advance").each(function () {
                    var options = $(this).data('options');
                    options = options ? options : {};
                    options.dropdownCssClass = 'gj-select-2-advance-dropdown';
                    $(this).select2(options);
                });
            }
            if($('.select-default-sorting').length) {
                $(".select-default-sorting").each(function () {
                    $(this).select2({
                        dropdownParent: $('.gj-default-sorting'),
                        minimumResultsForSearch : 'Infinity'
                    });
                });
            }
            if($('.gj-select-2-wsearch').length) {
                $(".gj-select-2-wsearch").each(function () {
                    var options = $(this).data('options');
                    options = options ? options : {'minimumResultsForSearch' : 'Infinity'};
                    options.dropdownCssClass = 'gj-select-2-wsearch';
                    $(this).select2(options);
                })
            }
            if($('.gj-find-jobs-select.style1').length) {
                $(".gj-find-jobs-select.style1").select2({
                    dropdownCssClass : 'gj-find-jobs-dropdown'
                })
            }
            if($('.gj-find-jobs-select.style2').length) {
                $(".gj-find-jobs-select.style2").select2({
                    dropdownCssClass : 'gj-find-jobs-dropdown style2'
                })
            }
            if($('.gj-find-jobs-select.style3').length) {
                $(".gj-find-jobs-select.style3").select2({
                    dropdownCssClass : 'gj-find-jobs-dropdown style2 style3'
                })
            }
            if($('.woocommerce-ordering .orderby').length) {
                $(".woocommerce-ordering .orderby").select2({
                    dropdownCssClass : 'woocommerce-ordering-orderby'
                })
            }
        }
    }

    function GjCarouselSetup() {
        setTimeout(function () {
            $(".Gj-owl-carousel").each(function () {
                var slider = $(this);
                var defaults = {
                    direction: $('body').hasClass('rtl') ? 'rtl' : 'ltr'
                };
                var config = $.extend({}, defaults, slider.data("plugin-options"));
                // Initialize Slider
                slider.owlCarousel(config).addClass("owl-carousel-init");
            });
        }, 0);
    }

    window.GJACC = {
        login : function (form, captcha) {
            var button = form.find('button[type="submit"]');
            var data = 'lang=' + gj.lang + '&' + form.serialize();
            if(captcha){
                data += '&g-recaptcha-response='+captcha;
            }
            $.ajax({
                url: gj.rest_url + "gj/v1/login",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                },
                success: function (result) {
                    if (result.success) {
                        window.location.href = result.redirect_url;
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                    } else {
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                        GJButtonLoader(button, 'remove');
                    }
                },
                error: function (data) {
                    var result = data.responseJSON;
                    form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                }
            });
        },
        register : function (form, captcha) {
            var button = form.find('button[type="submit"]');
            var data = 'lang=' + gj.lang +'&'+ form.serialize();
            if(captcha){
                data += '&g-recaptcha-response='+captcha;
            }
            $.ajax({
                url: gj.rest_url+"gj/v1/register",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                },
                success: function (result) {
                    if(result.success){
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                        window.location.href = result.redirect_url;
                    }else{
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                        GJButtonLoader(button, 'remove');
                    }
                },
                error : function(data){
                    var result = data.responseJSON;
                    form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                }
            });
        },
        resendVerification : function (button) {
            var original_text = button.html();
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/me/request-verification",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    button.html(button.data('sending-text'));
                },
                success: function (result) {
                    if (result.success) {
                        button.html(original_text);
                        $('.resend-email-message').html(result.message).fadeIn();
                    }
                }
            });
        },
        changeEmail : function (form) {
            var button = form.find('.gj-change-email-btn');
            var data = 'lang=' + gj.lang +'&'+ form.serialize();
            $.ajax({
                url: gj.rest_url+"gj/v1/me/change-email",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(button, 'add');
                    form.find('.gj-respon-msg').slideUp(300, function () {
                        $(this).html('');
                    });
                },
                success: function (result) {
                    if(result.success){
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                    }else{
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                    }
                    GJButtonLoader(button, 'remove');
                },
                error : function(data){
                    var result = data.responseJSON;
                    form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                }
            });
        },
        lostPassword : function (form) {
            var button = form.find('.gj-lostpass-btn');
            var data = 'lang=' + gj.lang +'&'+ form.serialize();
            $.ajax({
                url: gj.rest_url+"gj/v1/lost-password",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(button, 'add');
                    form.find('.gj-respon-msg').slideUp(300, function () {
                        $(this).html('');
                    });
                },
                success: function (result) {
                    if(result.success){
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                    }else{
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                    }
                    GJButtonLoader(button, 'remove');
                },
                error : function(data){
                    var result = data.responseJSON;
                    form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                    GJButtonLoader(button, 'remove');
                }
            });
        },
        resetPassword : function (form) {
            var button = form.find('.gj-resetpass-btn');
            var data = form.serialize() + '&lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/reset-password",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    GJButtonLoader(button, 'add');
                    form.find('.gj-respon-msg').slideUp(300, function () {
                        $(this).html('');
                    });
                },
                success: function (result) {
                    if(result.success){
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                        setTimeout(function () {
                            window.location.href = result.redirect_url;
                        }, 1500);
                    }else{
                        form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                    }
                    GJButtonLoader(button, 'remove');
                },
                error : function(data){
                    var result = data.responseJSON;
                    form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                }
            });
        },
        publishJob : function (button) {
            var id = button.data('id');
            if (id) {
                var data = 'lang=' + gj.lang;
                $.ajax({
                    url: gj.rest_url+"gj/v1/job/"+id+'/publish',
                    type: 'POST',
                    data: data,
                    dataType: 'json',
                    beforeSend: function (e) {
                        GJButtonLoader(button, 'add');
                        e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    },
                    success: function (result) {
                        if (result.success) {
                            GJCookie.setCookie('gj-flash-message', JSON.stringify({
                                'style' : 'notice',
                                'title' : '',
                                'message' : result.message,
                                'duration' : 3200,
                                'location' : 'br',
                            }));
                            window.location.href = result.permalink;
                        }else{
                            if(result.redirect){
                                window.location.href = result.redirect;
                            }else if(result.message){
                                GJButtonLoader(button, 'remove');
                                if(result.message.title && result.message.body){
                                    GJBootstrapModal(result.message.title, result.message.body).modal();
                                }
                            }
                        }
                    },
                    error : function(data){
                        var result = data.responseJSON;
                        $.growl.error({ title: '', message: result.responseJSON.message });
                    }
                });
            }
        },
        publishEmployer : function (button) {
            var id = button.data('id');
            if (id) {
                var data = 'lang=' + gj.lang;
                $.ajax({
                    url: gj.rest_url+"gj/v1/employer/"+id+'/publish',
                    type: 'POST',
                    data: data,
                    dataType: 'json',
                    beforeSend: function (e) {
                        GJButtonLoader(button, 'add');
                        e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    },
                    success: function (result) {
                        if (result.success) {
                            GJCookie.setCookie('gj-flash-message', JSON.stringify({
                                'style' : 'notice',
                                'title' : '',
                                'message' : result.message,
                                'duration' : 3200,
                                'location' : 'br',
                            }));
                            window.location.href = result.permalink;
                        }else{
                            if(result.redirect){
                                window.location.href = result.redirect;
                            }else{
                                GJButtonLoader(button, 'remove');
                                $.growl.error({ title: '', message: result.message });
                            }
                        }
                    },
                    error : function(data){
                        var result = data.responseJSON;
                        $.growl.error({ title: '', message: result.responseJSON.message, location : 'br'});
                    }
                });
            }
        },
        publishCandidate : function (button) {
            var id = button.data('id');
            if (id) {
                var data = 'lang=' + gj.lang;
                $.ajax({
                    url: gj.rest_url+"gj/v1/candidate/"+id+'/publish',
                    type: 'POST',
                    data: data,
                    dataType: 'json',
                    beforeSend: function (e) {
                        GJButtonLoader(button, 'add');
                        e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                    },
                    success: function (result) {
                        if (result.success) {
                            GJCookie.setCookie('gj-flash-message', JSON.stringify({
                                'style' : 'notice',
                                'title' : '',
                                'message' : result.message,
                                'duration' : 3200,
                                'location' : 'br',
                            }));
                            window.location.href = result.permalink;
                        }else{
                            if(result.redirect){
                                window.location.href = result.redirect;
                            }else{
                                GJButtonLoader(button, 'remove');
                                $.growl.error({ title: '', message: result.message, location : 'br' });
                            }
                        }
                    },
                    error : function(data){
                        var result = data.responseJSON;
                        $.growl.error({ title: '', message: result.responseJSON.message, location : 'br' });
                    }
                });
            }
        },
        saveJob : function (button) {
            var id = button.data('id');
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url + "gj/v1/job/" + id + "/save",
                type: button.hasClass('saved') ? 'DELETE' : 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce", window.gj.restnonce);
                },
                success: function (result) {
                    if (button.hasClass('saved')) {
                        button.removeClass('saved');
                    } else {
                        button.addClass('saved');
                    }
					button.html(result.text);
                },
                error: function (data) {
                }
            });
        },
        follow : function (button) {
            var id = button.data('id');
            var data = 'lang=' + gj.lang;

            $.ajax({
                url: gj.rest_url+"gj/v1/employer/"+id+"/follow",
                type: button.hasClass('followed') ? 'DELETE' : 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                },
                success: function (result) {
                    if (result) {
                        if (button.hasClass('followed')) {
                            button.removeClass('followed');
                        } else {
                            button.addClass('followed');
                        }
                    }
                },
                error : function(data){
                }
            });
        },
        saveResume : function (button) {
            var id = button.data('id');
            var data = 'lang=' + gj.lang;
            $.ajax({
                url: gj.rest_url+"gj/v1/candidate/"+id+"/save",
                type: button.hasClass('saved') ? 'DELETE' : 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                },
                success: function (result) {
                    if (button.hasClass('saved')) {
                        button.removeClass('saved');
                    } else {
                        button.addClass('saved');
                    }
					button.html(result.text);
                },
                error : function(data){
                }
            });
        },
        apply : function (button, captcha) {
            var validateScroll = button.data('validateScroll');

            var data = Object.assign({}, vmApplicationApp.model);
            var process = jQuery(document).triggerHandler('beforeApplyForm', [data]);
            if(process === false){
                return false;
            }

            var form = button.closest("form");
            form.find('input[type="hidden"].extra').each(function(){
                data[jQuery(this).attr('name')] = jQuery(this).val();
            });

            if (captcha) {
                data['g-recaptcha-response'] = captcha;
            }

            var jobID = data.jobID;

            var formData = new FormData();
            GJAppendFormdata(formData, data);

            button.prop('disabled', true);

            jQuery.ajax({
                type: "POST",
                url: gj.rest_url+"gj/v1/job/" + data.jobID+'/apply',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                beforeSend : function(e){
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce)
                },
                success: function(result){
                    button.prop('disabled', false);
                    if(result.success){
                        $('#gj-modal-apply-'+jobID).find('.modal-content').html(result.message);
                        //GJCookie.setCookie('gj_apply_'+jobID, 1, 30);
                        jQuery(document).trigger('applyFormSuccess', [data, result]);
                    }else{
                        if(result.redirect_url){
                            window.location.href = result.redirect_url;
                        }
                        form.find('.reponse-error').html(result.message).show();
                    }

                },
                error : function (result) {
                    button.prop('disabled', false);
                    jQuery(document).trigger('applyFormError', [data, result]);
                }
            });
        },
        contact : function (form, captcha) {
            var button = form.find('.gj-contact-btn');
            var data = 'lang=' + gj.lang + '&' + form.serialize();
            if(captcha){
                data += '&g-recaptcha-response='+captcha;
            }
            $.ajax({
                url: gj.rest_url+"gj/v1/post/"+form.find('input[name="item_id"]').val()+"/contact",
                type: 'POST',
                data: data,
                dataType: 'json',
                beforeSend: function (e) {
                    e.setRequestHeader("X-WP-Nonce",window.gj.restnonce);
                },
                success: function (result) {
                    if (result) {
                        GJButtonLoader(button, 'remove');
                        if (result.success == true) {
                            form.get(0).reset();
                            form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'success')).slideDown(300);
                        }else{
                            form.find('.gj-respon-msg').html(GJResultMessage(result.message, 'danger')).slideDown(300);
                        }
                    }
                }
            });
        }
    };

    $(document).ready(function ($) {
        GjSelectSetup();
        GjCarouselSetup();

        $('.gj-login-form').submit(function (e) {
            e.preventDefault();

            var form = $(this);
            var button = form.find('button[type="submit"]');
            form.find('.gj-respon-msg').slideUp(100, function () {
                $(this).html('');
                GJButtonLoader(button, 'add');
            });

            if(gj.use_recaptcha.login){
                grecaptcha.ready(function() {
                    grecaptcha.execute(gj.recaptcha_site_key, {action: 'login'}).then(function(token) {
                        GJACC.login(form, token);
                    });
                });
            }else{
                GJACC.login(form);
            }
        });

        $('.gj-register-form').submit(function (e) {
            e.preventDefault();
            var form = $(this);

            var button = form.find('button[type="submit"]');
            GJButtonLoader(button, 'add');
            form.find('.gj-respon-msg').slideUp(300, function () {
                $(this).html('');
            });

            if(gj.use_recaptcha.login){
                grecaptcha.ready(function() {
                    grecaptcha.execute(gj.recaptcha_site_key, {action: 'register'}).then(function(token) {
                        GJACC.register(form, token);
                    });
                });
            }else{
                GJACC.register(form);
            }
        });

        $('.gj-resend-verification').click(function (e) {
            e.preventDefault();
            GJACC.resendVerification($(this));
        });

        $('.gj-change-email-form').submit(function (e) {
            e.preventDefault();
            GJACC.changeEmail($(this));
        });

        $('.gj-lostpass-form').submit(function (e) {
            e.preventDefault();
            GJACC.lostPassword($(this));
        });

        $('.gj-resetpass-form').submit(function (e) {
            e.preventDefault();
            GJACC.resetPassword($(this));
        });

        $('#gj-login-popup').on('shown.bs.modal', function (e) {
            var fallback_action = $(e.relatedTarget).data('fallback');
            if (fallback_action) {
                $('#gj-login-popup').find('input[name="fallback_action"]').val(fallback_action);
            } else {
                $('#gj-login-popup').find('input[name="fallback_action"]').val('');
            }
        });

        if ($('.gj-tab-register-wrap').length) {
            $('.gj-tab-register .gj-toggle').click(function () {
                var parent = $(this).closest('.gj-tab-register');
                var has_active = $(this).hasClass( 'active' );
                if ( has_active === false ) {
                    parent.find('.gj-toggle').removeClass( 'active' );
                    $(this).addClass('active');
                }
            });
        }

        $('.gj-candidate-toggle').click(function () {
            var form = $(this).closest('form');
            form.find('input[name="role"]').val('candidate');
        });

        $('.gj-employer-toggle').click(function () {
            var form = $(this).closest('form');
            form.find('input[name="role"]').val('employer');
        });

        $('.gj-publish-job').click(function (e) {
            e.preventDefault();
            GJACC.publishJob($(this));
        });

        $('.gj-publish-employer').click(function (e) {
            e.preventDefault();
            GJACC.publishEmployer($(this));
        });

        $('.gj-publish-candidate').click(function (e) {
            e.preventDefault();
            GJACC.publishCandidate($(this));
        });

        //save job action in Detail
        $(document).on('click', '.gj-save-job', function (e) {
            e.preventDefault();
            GJACC.saveJob($(this))
        });

        //save job action in Detail
        $(document).on('click', '.gj-follow', function (e) {
            e.preventDefault();
            GJACC.follow($(this));
        });

        $(document).on('click', '.gj-save-resume', function (e) {
            e.preventDefault();
            GJACC.saveResume($(this));
        });

        $('.gj-delete-view-resume').click(function (e) {
            e.preventDefault();
            $('#gj-confirm-delete-view-resume').find('.gj-respon-msg').html('');
            $('#gj-confirm-delete-view-resume .modal-body p').html($(this).data('message'));
            $('#gj-confirm-delete-view-resume .gj-agree-delete-view-resume').data('id', $(this).data('id'));
            $('#gj-confirm-delete-view-resume').modal('show');
        });

        $(document).on('change', '#apply_terms_check', function () {
            if($(this).is(':checked')){
                $(this).parent().removeClass('error');
            }else{
                $(this).parent().addClass('error');
            }
        });

        $(document).on('click', '.gj-application-btn', function (e) {
            e.preventDefault();
            var apply_terms_check = $('#apply_terms_check');
            if(apply_terms_check.length){
                if(!apply_terms_check.is(':checked')){
                    apply_terms_check.parent().addClass('error');
                    return false;
                }
            }

            var button = $(this);
            var validateScroll = button.data('validateScroll');
            if(vmApplicationApp.$children[0].validate(false, validateScroll)) {
                var form = button.closest("form");
                form.find('.reponse-error').hide();
                GJButtonLoader(button, 'add');
                if (gj.use_recaptcha.apply_job) {
                    grecaptcha.ready(function () {
                        grecaptcha.execute(gj.recaptcha_site_key, {action: 'register'}).then(function (token) {
                            GJACC.apply(button, token);
                        });
                    });
                } else {
                    GJACC.apply(button);
                }
            }
        });

        $('.gj-contact-form').submit(function (e) {
            e.preventDefault();
            var form = $(this);
            var button = form.find('.gj-contact-btn');
            GJButtonLoader(button, 'add');
            form.find('.gj-respon-msg').slideUp(300).html('');

            if(gj.use_recaptcha.contact){
                grecaptcha.ready(function() {
                    grecaptcha.execute(gj.recaptcha_site_key, {action: 'contact'}).then(function(token) {
                        GJACC.contact(form, token);
                    });
                });
            }else{
                GJACC.contact(form);
            }
        });

        //end trigger alert popup when filter
        var map_data = $(".job-detail-map");
        if (map_data.length) {

            map_data.each( function () {

                var lat = $(this).data("lat");
                var lng = $(this).data("lng");
                var zoom = $(this).data("zoom");
                var maker_icon = $(this).data("maker");
                var title = $(this).data("title");
                var logo = $(this).data("logo");
                var address = $(this).data("address");
                var loc = new google.maps.LatLng(lat, lng);
                var mapOptions = {
                    center: loc,
                    zoom: zoom ? zoom : 12,
                    scaleControl: false,
                    scrollwheel: false,
                    styles: (gj.map_styles ? JSON.parse(gj.map_styles) : [
                        {
                            "featureType": "administrative",
                            "elementType": "labels.text.fill",
                            "stylers": [
                                {
                                    "color": "#444444"
                                }
                            ]
                        },
                        {
                            "featureType": "landscape",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "color": "#f2f2f2"
                                }
                            ]
                        },
                        {
                            "featureType": "poi",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "visibility": "off"
                                }
                            ]
                        },
                        {
                            "featureType": "road",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "saturation": -100
                                },
                                {
                                    "lightness": 45
                                }
                            ]
                        },
                        {
                            "featureType": "road.highway",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "visibility": "simplified"
                                }
                            ]
                        },
                        {
                            "featureType": "road.arterial",
                            "elementType": "labels.icon",
                            "stylers": [
                                {
                                    "visibility": "off"
                                }
                            ]
                        },
                        {
                            "featureType": "transit",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "visibility": "off"
                                }
                            ]
                        },
                        {
                            "featureType": "water",
                            "elementType": "all",
                            "stylers": [
                                {
                                    "color": "#46bcec"
                                },
                                {
                                    "visibility": "on"
                                }
                            ]
                        }
                    ]),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                };

                var map = new google.maps.Map($(this).get(0), mapOptions);
                map.panBy(0, 100);
                var marker_options = {
                    position: loc,
                    map: map
                };
                if (maker_icon) {
                    marker_options.icon = maker_icon;
                }
                var marker = new google.maps.Marker(marker_options);

                var content = '';
                if (logo || title || address) {
                    content += '<div class="iw-map-info">';
                    if (logo) {
                        content += '<div class="logo">' + logo + '</div>';
                    }
                    content += '<div class="info">';
                    if (title) {
                        content += '<h3 class="title">' + title + '</h3>';
                    }
                    if (address) {
                        content += '<div class="address"><i class="fa fa-map-marker"></i>' + address + '</div>';
                    }
                    content += '</div>';
                    content += '</div>';
                    var infowindow = new google.maps.InfoWindow({
                        content: content
                    });

                    google.maps.event.addListener(marker, 'click', function () {
                        infowindow.open(map, marker);
                    });

                    // Move the map a little to the left and down
                    map.panBy(0, -100);
                    infowindow.open(map, marker);

                }

            } );
        }

        // Menu Single Page
        if(typeof $.fn.singlePageNav === 'function'){
            $('.candidate-detail-menu .menu').singlePageNav({
                currentClass: 'current',
                filter: ':not(.external-link)',
                updateHash: false,
                offset: 150,
                threshold: 0
            });
        }

        var detail_menu = $("#gj-detail-menu");
        if(detail_menu.length){
            var sticky = detail_menu.offset().top;
            window.onscroll = function() {stickyMenuDetails()};
            function stickyMenuDetails() {
                if (window.pageYOffset >= sticky) {
                    detail_menu.addClass("sticky");
                } else {
                    detail_menu.removeClass("sticky");
                }
            }
        }


        if ($('.gj-match-height .item-match-height').length) {
            $('.gj-match-height .item-match-height').matchHeight({
                byRow: true,
                property: 'height',
                target: null,
                remove: false
            });
        }

        $(document).click(function (evt) {
            if ($('.gj-menu-action.collapse.in').length) {
                if (!$(evt.target).parents('.gj-menu-action').length) {
                    $('.gj-menu-action.collapse.in').each(function () {
                        $('[data-target="#' + $(this).attr('id') + '"]').trigger('click');
                    });
                }
            }
        });

        $('.show-filter-mobile').click(function () {
            var filter_job = $('.gj-sidebar-1');
            if (filter_job.hasClass('open-filter')) {
                filter_job.addClass('close-filter').removeClass('open-filter');
                $('body').removeClass('open-filter');
            } else {
                filter_job.addClass('open-filter').removeClass('close-filter');
                $('body').addClass('open-filter');
            }
            filter_job.on('click', '.gj-close-filter', function () {
                filter_job.addClass('close-filter').removeClass('open-filter');
            });
        });

        // Gallery Candidate
        var candidate_gallery = $("a[rel=alternate]");
        if(candidate_gallery.length){
            $("a[rel=alternate]").fancybox({
                'transitionIn': 'none',
                'transitionOut': 'none',
                'titlePosition': 'over',
                'titleFormat': function (title, currentArray, currentIndex, currentOpts) {
                    return '<span id="fancybox-title-over">Image ' + (currentIndex + 1) + ' / ' + currentArray.length + (title.length ? ' &nbsp; ' + title : '') + '</span>';
                }
            });
        }

        //popup write review
        var open_vote_1 = false;
        var open_popup_vote1 = function () {
            var out_height = $('.gj-rating-icon').next('.gj-box-each-vote').outerHeight();
//			$('.gj-rating-icon').next('.gj-box-each-vote').css('top', '-' + out_height / 2 + 'px');
            $('.gj-rating-icon').next('.gj-box-each-vote').addClass('gj-show-popup-rate');
            open_vote_1 = true;
        };
        var close_popup_vote1 = function () {
            $('.gj-rating-icon').next('.gj-box-each-vote').removeClass('gj-show-popup-rate');
            open_vote_1 = false;
        };
        $('.gj-rating-icon').click(function (e) {
            e.stopPropagation();
            var toggle1 = open_vote_1 ? close_popup_vote1 : open_popup_vote1;
            toggle1();
        });

        //popup view review
        $('.gj-reviewed-box-icon').click(function (e) {
            e.stopPropagation();
            var out_width = $(this).next('.gj-box-each-vote').outerWidth();
            $(this).next('.gj-box-each-vote').toggleClass('gj-show-popup-rate');
        });

        $(document).click(function (event) {
            if (!$(event.target).closest('.gj-rating-icon').length) {
                close_popup_vote1();
            }
            if (!$(event.target).closest('.gj-reviewed-box-icon').length) {
                $('.gj-box-each-vote').removeClass('gj-show-popup-rate');
            }
        });

        var user_id = typeof userSettings === 'object' ? userSettings.uid : 0;
        if (GJCookie.getCookie('gj_notification_' + user_id) == 1) {
            $(this).find('.gj_link_notice').addClass('off-notification');
            $('.notification').find('#notification-count').addClass('hidden');
        }

        $('.notification').on('hover', function (e) {
            e.preventDefault();
            var user_id = $(this).find('.gj_link_notice').data('user_id');
            if (GJCookie.getCookie('gj_notification_' + user_id) !== 1) {
                $(this).find('.gj_link_notice').addClass('off-notification');
                $(this).find('#notification-count').addClass('hidden');
                GJCookie.setCookie('gj_notification_' + user_id, 1, 1);
            }
        });

        if (!$('.header-style-default').find('.social-header').length > 0) {
            $(this).find('.notification').addClass('notify-align-left');
        }

        // Close menu action
        $('body').on('click', function (e) {
            var item = $('.gj-menu-action');
            var id = item.data('id');
            var popup = $('#' + id);
            if (!$(this).is(e.target) && !popup.is(e.target) && popup.has(e.target).length == 0) {
                item.removeClass("in");
            }
        });

        $('.gj-button-print-job').on('click', function () {
            var title = $(this).data('title'),
                author = $(this).data('author'),
                author_avatar = $(this).data('author_avatar'),
                divToPrint = document.getElementById('job-detail-content'),
                $_style = '.job-detail-info{float:left; margin-bottom: 20px;} .job-detail-info ul li{list-style: none; float: left; width: 200px; border-bottom: 1px #f6f7f9 solid; border-right: 1px #f6f7f9 solid; padding: 4px 25px; height: auto !important;} .job-detail-info ul li .left{float: left;} #gj-print-job >h1,#gj-print-job >h4{text-align:center;}',
                newWin = window.open('', '', 'left=50%,top=0,width=800,height=900,toolbar=0,scrollbars=0,status=0');
            var author_url = author_avatar ? '<br><img src="' + author_avatar + '" style="max-width: 135px; margin:15px auto 2px;">' : '';
            newWin.document.open();
            newWin.document.write('<html><head><style>' + $_style + '</style></head><body onload="window.print()"><div id="gj-print-job"><h1>' + title + '</h1><h4>Company: ' + author + ' ' + author_url + '</h4>' + divToPrint.innerHTML + '</div></body></html>');
            newWin.document.close();
            newWin.focus();
            newWin.print();
            newWin.close();
        });

        /* widget collapse */
        if ($('.gj-widget-title-collapse').length) {
            $('.gj-widget-title-collapse').on('click', function () {
                var parent = $(this).closest('.gj-widget-collapse');
                var content = parent.find('.gj-widget-content-collapse');
                var nstyle = content.css("display");
                parent.addClass('compress');
                if(nstyle == "none"){
                    content.slideDown(150);
                    parent.removeClass('compress');
                } else {
                    content.slideUp(150);
                }
            });
        }
        if ($('.gj-aside-widget-scroll').length) {
            $('.gj-aside-widget-scroll').each(function () {
                var self = $(this);
                var item = self.find('.gj-widget-scroll');
                item.enscroll({
                    showOnHover: false,
                    verticalTrackClass: 'track3-widget',
                    verticalHandleClass: 'handle3-widget',
                    addPaddingToPane: false
                });
            });
        }

        setTimeout(function(){
            $('.gj-sidebar-sticky')
                .theiaStickySidebar({
                    additionalMarginTop: top
                });

        }, 0);
    });
})(jQuery);