Vue.swap = function(arr, x, y) {
   var origin = arr[x]
   arr.splice(x, 1, arr[y])
   Vue.set(arr, y, origin)
};

var VueFormGenerator = window.VueFormGenerator;

//register custom validators
VueFormGenerator.validators.MetaKey = function(value, config , modal) {
  var re = /^[a-zA-Z0-9_-]*$/;
  if (!value) {
    return [fieldmanageri18n.fieldRequired];
  }else if (!re.test(value)) {
    return [fieldmanageri18n.specialNotAccept];
  } else {
  	  var match = false;
  	  if(vm.$children[0].groups && vm.$children[0].groups.length){
		  vm.$children[0].groups.forEach(function(group) {
		  	   group.fields.forEach(function (field) {
				   if(field.id != modal.id && value == field.metakey){
					   match = true;
				   }
			   });
		  });
	  }else{
		  vm.$children[0].fields.forEach(function(field) {
			  if(field.id != modal.id && value == field.metakey){
				  match = true;
			  }
		  });
	  }

	  if(match){
		  return [fieldmanageri18n.metakeyExists];
	  } else{
		  return []
	  }
  }
};

//Register Component fields
Vue.component("component-fields", {
	template: '<div class="component-fields">' +
				'<div class="field-types gj-sidebar-sticky"><ul>' +
					'<h3>{{i18n.fieldTypes}}</h3>' +
					'<p><i>{{i18n.drangElement}}</i></p>' +
					'<input type="search" placeholder="search element" v-model="searchType">' +
					'<draggable id="field-types" class="dragArea list-group" :group="{ name: \'fields\', pull: \'clone\', put: false }" v-model="GJFieldTypes" :clone="clone" :move="checkMove">' +
						'<li v-for="(val, key) in GJFieldTypes" class="item"><span>{{val.name}}</span></li>' +
					'</draggable></ul>' +
				'</div>' +
				'<div class="fields-area" :class="{hasGroup : groups}" v-if="grouped">' +
					'<div v-for="(gval, gkey) in groups">' +
						'<div class="panel panel-default">' +
						  '<div class="panel-heading">' +
								'<span class="heading-title">' +
									'<input type="text" v-model="gval.name" @change="function(e){changeGroupName(gval, e)}">' +
								'</span>' +
								'<span class="group-actions">' +
									'<button class="delete-group dashicons-before dashicons-minus" @click="deleteGroup(gval, gkey)"></button>' +
									'<button class="new-group dashicons-before dashicons-plus" @click="newGroup(gkey + 1)"></button>' +
									'<button class="group-up dashicons-before dashicons-arrow-up" @click="upGroup(gval, gkey)" :disabled="gkey == 0"></button>' +
									'<button class="group-down dashicons-before dashicons-arrow-down" @click="downGroup(gval, gkey)" :disabled="gkey == groups.length - 1"></button>' +
									'<button @click="settingGroup(gval, gkey)" class="config dashicons-before dashicons-admin-generic"></button>' +
								'</span>' +
							'</div>' +
						  '<div class="panel-body">' +
								'<ul class="fields">' +
									'<draggable :id="gval.id" v-model="gval.fields" class="dragArea list-group" group="fields" @add="onAddField" @update="onUpdate" handle=".handle">' +
										'<li v-for="(fval, fkey) in gval.fields" :id="fval.id" class="item" :class="{\'in-active\' : !fval.active}">' +
											'<div class="item-inner">' +
												'<span class="handle dashicons-before dashicons-move"></span>' +
												'<span class="field-name">{{fval.name}}</span>' +
												/*'<span class="field-type">{{fval.type}}</span>' +*/
												'<span class="field-actions">' +
													'<button @click="deleteField(fval, fkey, gkey)" class="delete dashicons-before dashicons-trash" :disabled="canDeleteField(fval)"></button>' +
													'<button @click="duplicateField(fval, fkey, gkey)" class="config dashicons-before dashicons-admin-page"></button>' +
													'<button @click="settingField(fval, fkey, gkey)" class="config dashicons-before dashicons-admin-generic"></button>' +
												'</span>' +
											'</div>' +
										'</li>' +
									'</draggable>' +
								'</ul>' +
						  '</div>' +
						'</div>'+
					'</div>' +
					'<div v-if="!groups.length"><button class="new-group dashicons-before dashicons-plus" @click="newGroup(0)">Add new group</button></div>' +
				'</div>' +
				'<div class="fields-area" v-if="!grouped">' +
					'<div class="panel panel-default">' +
					  '<div class="panel-heading">' +
							'<span class="heading-title">{{i18n.fieldsList}}</span>' +
						'</div>' +
					  '<div class="panel-body">' +
							'<ul class="fields">' +
								'<div class="empty" v-if="!fields.length">{{i18n.drangElement}}</div>'+
								'<draggable id="gvalID" v-model="fields" class="dragArea list-group" group="fields" @add="onAddField" @update="onUpdate" handle=".handle">' +
									'<li v-for="(fval, fkey) in fields" :id="fval.id" class="item">' +
										'<div class="item-inner">' +
											'<span class="handle dashicons-before dashicons-move"></span>' +
											'<span class="field-name">{{fval.name}}</span>' +
											'<span class="field-actions">' +
												'<button @click="deleteField(fval, fkey)" class="delete dashicons-before dashicons-trash" :disabled="canDeleteField(fval)"></button>' +
												'<button @click="duplicateField(fval, fkey)" class="config dashicons-before dashicons-admin-page"></button>' +
												'<button @click="settingField(fval, fkey)" class="config dashicons-before dashicons-admin-generic"></button>' +
											'</span>' +
										'</div>' +
									'</li>' +
								'</draggable>' +
							'</ul>' +
					  '</div>' +
					'</div>'+
				'</div>'+
				'<field-modal-confirm ' +
						':show="showModalConfirm" ' +
						':header="confirmHeader" ' +
						':body="confirmBody"' +
						':showCancelBtn="showConfirmCancelBtn"' +
						':cancelText="confirmCancelText"' +
						':showOkBtn="showConfirmOkBtn"' +
						':okText="confirmOkText"' +
						'@onCancel="onCancelDelete" ' +
						'@onOk="onOkDelete"></field-modal-confirm>' +
				'<field-settings-modal :heading="settingFormHeading" :show="showSettingForm" v-if="isModalOpened" :fkey="fkey" gkey="gkey" :field="field" :schema="schema" :model="model" :formOptions="formOptions" @onClose="onCloseSettingModel" @saveFieldSettings="saveFieldSettings"></field-settings-modal>' +
				'<group-settings-modal :heading="settingGroupFormHeading" :show="showGroupSettingForm" :gkey="gkey" :schema="groupSchema" :model="groupModel" :formOptions="formOptions" @onClose="onCloseSettingGroup" @saveFieldSettings="saveGroupSettings"></group-settings-modal>' +
				'</div>',
   data() {
   	return {
		isModalOpened: false,
		searchType : '',
		model : {},
		schema: {},
		formOptions: {
			validateAfterLoad: true,
			validateAfterChanged: true
		},
		
		newField : {},
		field : {},
		fkey : '',
		gkey : '',
		gval : {},

		showSettingForm : false,
		settingFormHeading : "",

		showModalConfirm : false,
		confirmHeader : 'Confirmation',
		confirmBody : '',
		showConfirmCancelBtn : true,
		confirmCancelText : 'Cancel',
		showConfirmOkBtn : true,
		confirmOkText : 'Delete',

		settingGroupFormHeading : '',
		showGroupSettingForm : '',
		group : {},
		groupSchema : GJGroupSchema,
		groupModel : {},

		i18n : fieldmanageri18n
    }
   },
	props: ["fieldTypes", "groups", "grouped", "fields", "postType"],
	computed : {
		GJFieldTypes : function () {
			if(!this.searchType) return this.fieldTypes;
			value = this.searchType.toLowerCase();
			return this.fieldTypes.filter(function (button) {
				return button.name.toLowerCase().indexOf(value) > -1
			})
		},
	},
   methods : {
	   changeGroupName : function (gval, evt){
		   jQuery.ajax({
			   url: gj.ajax_url,
			   type: 'POST',
			   data: {'action' : 'gj_renamegroup', id : gval.id, name : evt.target.value},
			   dataType: 'json',
			   success: function (result) {
			   }
		   });
	   },
	   newGroup: function(gkey){
	   		var name = 'New Group ' + (this.groups.length + 1);
			var newGroup = {
				id: 'new_'+(new Date().getTime()).toString(36),
				name : name,
				settings : {},
				fields: []
			};

			if(this.groups.length === 0){
				this.groups.push(newGroup);
			}else{
				this.groups.splice(gkey, 0, newGroup);
			}

		   var self = this;
		   //store db
		   jQuery.ajax({
			   url: gj.ajax_url,
			   type: 'POST',
			   data: {'action' : 'gj_addgroup', postType : this.postType, name : name, 'order' : gkey},
			   dataType: 'json',
			   success: function (result) {
				   if (result && result.id) {
					   newGroup.id = result.id;
				   }
			   }
		   });
	   },
	   upGroup: function(gval, gkey){
		   if(gkey > 0){
			   Vue.swap(this.groups, gkey, gkey-1)

			   jQuery.ajax({
				   url: gj.ajax_url,
				   type: 'POST',
				   data: {'action' : 'gj_reordergroup', id : gval.id, oldOrder: gkey, newOrder : gkey -1},
				   dataType: 'json',
				   success: function (result) {

				   }
			   });
		   }
	   },
	   downGroup: function(gval, gkey){
		   if(gkey <= this.groups.length){
			   Vue.swap(this.groups, gkey, gkey+1)
			   jQuery.ajax({
				   url: gj.ajax_url,
				   type: 'POST',
				   data: {'action' : 'gj_reordergroup', id : gval.id, oldOrder: gkey, newOrder : gkey +1},
				   dataType: 'json',
				   success: function (result) {

				   }
			   });
		   }
		},
	   deleteGroup: function(gval, gkey){
			this.gval = gval;
			this.gkey = gkey;
			this.field = {};
			this.fkey = '';
			if(this.groups[gkey].fields.length > 0){
				this.confirmBody = "Please move or delete all fields in group before delete it!";
				this.showConfirmOkBtn = false;
				this.confirmCancelText = 'Cancel';
			}else{
				this.confirmBody = "Are you sure delete this group ?";
				this.showConfirmOkBtn = true;
			}
		    this.showModalConfirm = true;
	   },
	   getFieldType(fval){
		   var type = GJFieldTypes.find(function(fieldType){return fval.type == fieldType.type});
		   if(!type) {
			   type = GJFieldTypes.find(function(fieldType){return 'text' == fieldType.type});
		   }

		   return type;
	   },
	   settingField: function(fval, fkey, gkey){ 
		   var fieldType = this.getFieldType(fval);
		   var model = this.getModelFormType(fieldType);
		   model = Object.assign({}, model, fval.settings);

		   model.name = fval.name;
		   model.metakey = fval.metakey;
		   model.active = fval.active;
		   //add id to validate metakey
		   model.id = fval.id;
				
		   //convert string to boolean
		   Object.keys(model).map(function(key, index) {
			   if(model[key] === 'true' || model[key] === 'false'){
				   model[key] = model[key] === 'true' ? true : false;
			   }
		   });

		   this.model = model;
		   this.field = fval;
		   this.fkey = fkey;
		   this.gkey = gkey;
		   this.schema = this.getFieldSchema(fieldType, fval);
		   this.settingFormHeading = "Edit "+fval.name+ " ("+fval.type+")";
		   this.isModalOpened = true;
		   this.showSettingForm = true;
	   },
	   duplicateField: function(fval, fkey, gkey){
		   var newField = Object.assign({}, fval);
		   newField.id = 'new_'+(new Date().getTime()).toString(36);
		   newField.metakey = fval.metakey+'_'+(new Date().getTime()).toString(36);
		   newField.name = fval.name+' copy';
		   this.groups[gkey].fields.splice(fkey + 1, 0, newField);
		   jQuery.ajax({
			   url: gj.ajax_url,
			   type: 'POST',
			   data: {'action' : 'gj_duplicatefield', field : fval, newField : newField},
			   dataType: 'json',
			   success: (result) => {
				   if (result && result.newId) {
					   this.groups[gkey].fields[fkey + 1].id = result.newId;
				   }
			   }
		   });
	   },
	   getFieldSchema(fieldType, fval){
	   		var schema = fieldType.schema;
	   		if(fval.overrideSettings){
	   			/*
				fval.overrideSettings.forEach((field) => {
					schema.fields.forEach((ofield, index) => {
						if(field.model === ofield.model){
							for (var key in field) {
								// skip loop if the property is from prototype
								if (!field.hasOwnProperty(key)) continue;

								ofield[key] = field[key];
							}

							schema.fields[index] = ofield;

							return;
						}
					})
				})
				*/
			}

	   		return schema;
	   },
	   saveFieldSettings : function(){
		   //update ajax here
		   var settings = Object.assign({}, this.model);
		   if(this.grouped){
				this.groups[this.gkey].fields[this.fkey].name = settings.name;
				this.groups[this.gkey].fields[this.fkey].metakey = settings.metakey;
				this.groups[this.gkey].fields[this.fkey].active = settings.active;
				field_id = this.groups[this.gkey].fields[this.fkey].id;
			}else{
				this.fields[this.fkey].name = settings.name;
				this.fields[this.fkey].metakey = settings.metakey;
				this.fields[this.fkey].active = settings.active;
				field_id = this.fields[this.fkey].id;
			}
			
		   delete settings.name;
		   delete settings.metakey;
		   delete settings.active;
		   delete settings.id;

		   if(this.grouped){
			   this.groups[this.gkey].fields[this.fkey].settings = settings;
			   var field = this.groups[this.gkey].fields[this.fkey];
		   }else{
			   this.fields[this.fkey].settings = settings;
			   var field = this.fields[this.fkey];
		   }

		   /*var field = Object.assign({}, this.groups[this.gkey].fields[this.fkey]);
		   for (var key in field.settings) {
			   if (!field.hasOwnProperty(key)) continue;
			   if(key === 'schema'){
				   field.settings[key] = JSON.parse(field.settings[key]);
			   }
		   }*/

		   jQuery.ajax({
			   url: gj.ajax_url,
			   type: 'POST',
			   data: {'action' : 'gj_updatefield', field : field},
			   dataType: 'json',
			   success: function (result) {
					if(field_id){
							jQuery('#'+field_id).addClass('saved');
						setTimeout(function () {
							jQuery('#'+field_id).removeClass('saved');
						}, 100);
					}
			   }
		   });
			this.isModalOpened = false;
		   this.showSettingForm = false;
	   },
	   onCloseSettingModel: function(){
			this.isModalOpened = false;
			this.showSettingForm = false;
	   },
	   canDeleteField : function(fval){
	   		return (Boolean)(fval.settings.corefield && fval.settings.corefield !== "");
	   },
	   deleteField: function(fval, fkey, gkey){
		this.field = fval;
		this.fkey = fkey;
		this.gkey = gkey;
		this.confirmBody = this.i18n.confirmDeleteField;
		this.showConfirmOkBtn = true;
		this.showModalConfirm = true;
		//ajax update
	  },
	   onOkDelete: function(){
		  var self = this;
		  if(this.field.id){
	   		if(typeof this.gkey !== 'undefined' && this.gkey !== ''){
				this.groups[this.gkey].fields.splice(this.fkey, 1)
			}else{
				this.fields.splice(this.fkey, 1)
			}
			jQuery.ajax({
				url: gj.ajax_url,
				type: 'POST',
				data: {'action' : 'gj_deletefield', id : self.field.id},
				dataType: 'json',
				success: function (result) {
				}
			});
		}else{
	   		this.groups.splice(this.gkey, 1);
			jQuery.ajax({
				url: gj.ajax_url,
				type: 'POST',
				data: {'action' : 'gj_deletegroup', id : self.gval.id},
				dataType: 'json',
				success: function (result) {
				}
			});
		}
		this.showModalConfirm = false;

	  },
	   onCancelDelete : function(){
	   		this.showModalConfirm = false
	   },
	   getModelFormType : function(type, isNew = false){
		   var model = {};
		   if(type.schema.fields){
			   type.schema.fields.forEach(function (field) {
				   model[field.model] = field.default;
			   });
		   }else{
			   type.schema.tabs.forEach(function (tab) {
				   tab.fields.forEach(function (field) {
					   model[field.model] = field.default;
				   })
			   });
		   }

		   if(isNew){
			   var i = 1;
			   do {
				   var has_field = false;
				   var metakey = model['metakey']+'_'+i;
				   var name = model['name']+' '+i;

				   if(this.grouped){
				   		this.groups.forEach(function (group) {
							group.fields.forEach(function (field) {
								if(field.metakey == metakey){
									has_field = true;
								}
							});
						})
				   }else{
					   this.fields.forEach(function (field) {
						   if(field.metakey == metakey){
							   has_field = true;
						   }
					   });
				   }
				   i++;
			   }while (has_field);

			   model['metakey'] = metakey;
			   model['name'] = name;
		   }
		   return model;
	   },
      onAddField: function(evt){
		if(evt.from.id === "" || evt.from.id === "field-types"){
			this.newField.group = evt.to.id;
			this.newField.order = evt.newIndex;

			var self = this;
			jQuery.ajax({
				url: gj.ajax_url,
				type: 'POST',
				data: {'action' : 'gj_addfield', postType : this.postType, field : this.newField},
				dataType: 'json',
				success: function (result) {
					self.newField.id = result.id;
				}
			});
		}else{
			jQuery.ajax({
				url: gj.ajax_url,
				type: 'POST',
				data: {'action' : 'gj_changegroupfield', id : evt.clone.id, order : evt.newIndex, to : evt.to.id},
				dataType: 'json',
				success: function (result) {
				}
			});
		}
		//ajax save
      },
      onUpdate: function(evt){
		 jQuery.ajax({
			  url: gj.ajax_url,
			  type: 'POST',
			  data: {'action' : 'gj_reorderfield', id : evt.clone.id, oldOrder: evt.oldIndex, newOrder : evt.newIndex},
			  dataType: 'json',
			  success: function (result) {
			  }
		  });
		//reorder lists in a group
		//ajax save
      },
      clone: function(value){
		var fieldType = this.getFieldType(value);
		var settings = this.getModelFormType(fieldType, true);
		var name = settings.name;
		var metakey = settings.metakey;

		delete  settings.name;
		delete  settings.metakey;
		delete  settings.active;
		delete  settings.corefield;

		this.newField = {
			id : 'new_'+(new Date().getTime()).toString(36),
			type : value.type,
			active : true,
			metakey : metakey,
			name : name,
			settings : settings,
		};

      	return this.newField;
      },
	   checkMove: function(evt){
		   return (evt.to.id!=='field-types');
	   },
	   settingGroup(gval, gkey){
		this.gkey = gkey;
		var groupModel = gval.settings;
		groupModel.title = gval.name;
		this.groupModel = groupModel;
		this.settingGroupFormHeading = "Edit "+gval.name;
		this.showGroupSettingForm = true;
	},
	saveGroupSettings : function(){
		//update ajax here
		var settings = Object.assign({}, this.groupModel);
		this.groups[this.gkey].name = settings.title;
		delete settings.title;
		this.groups[this.gkey].settings = settings;

		jQuery.ajax({
			url: gj.ajax_url,
			type: 'POST',
			data: {'action' : 'gj_updategroup', group : this.groups[this.gkey]},
			dataType: 'json',
			success: function (result) {
				/*if(field_id){
					jQuery('#'+field_id).addClass('saved');
					setTimeout(function () {
						jQuery('#'+field_id).removeClass('saved');
					}, 500);
				}*/
			}
		});

		this.showGroupSettingForm = false;
	},
	onCloseSettingGroup : function(){
		this.showGroupSettingForm = false;
	}
   }
});

//Register Model Component
Vue.component("field-modal-confirm", {
	template: '<div class="modal" v-show="show">' +
					'<div class="modal-wrapper">' +
						'<div class="modal-container">' +
							'<div class="modal-header" v-if="header"><h3>{{header}}</h3></div>' +
								'<div class="modal-body" v-if="body">{{body}}</div>' +
									'<div class="modal-footer">' +
										'<button @click="$emit(\'onCancel\')" class="button cancel-button" v-if="showCancelBtn">{{cancelText}}</button>' +
										'<button @click="$emit(\'onOk\')" class="button-primary ok-button" v-if="showOkBtn">{{okText}}</button>' +
									'</div>' +
							'</div>' +
						'</div>' +
					'</div>',
	props: ['show', 'header', 'body', 'showCancelBtn', 'showOkBtn', 'cancelText', 'okText'],
});

//Register Model Component
Vue.component("field-settings-modal", {
	components: {
		"vue-form-generator": VueFormGenerator.component
	},
	template: '<div class="modal" v-show="show">' +
				'<div class="modal-wrapper">' +
				  '<div class="modal-container">' +
					'<div class="modal-header" >' +
						'<h3>{{heading}}</h3>' +
					'</div>' +
					'<div class="gj-admin-modal-scroll">' +
						'<div class="modal-body">' +
							'<vue-form-generator  @validated="onValidated" :schema="schema" :model="model" :options="formOptions"></vue-form-generator>' +
							//'<div class="field-type">{{model}}</div>'+
						'</div>' +
        			'</div>' +
					'<div class="modal-footer uk-clearfix">' +
						'<p v-if="message">{{message}}</p>' +
						'<button @click="onClose" class="button close-button">Close</button>' +
						'<button @click="saveFieldSettings" class="button-primary ok-button">Update</button>' +
					'</div>' +
				  '</div>' +
				'</div>' +
			  '</div>',
   props: ['show', 'heading', 'fkey', 'gkey', 'field', 'schema', 'model', 'formOptions'],
   data(){
		return {
			message : '',
			validate : false,
		}
   },
   methods : {
	   onClose(){
		   this.$emit('onClose')
	   },
	   onValidated(isValid, errors) {
			this.validate = isValid
		},
		saveFieldSettings(){
	   		if(this.$children[0].validate(false, false)){
				this.$emit('saveFieldSettings')
			}
		},
   },
});


//Register Model Component
Vue.component("group-settings-modal", {
	components: {
		"vue-form-generator": VueFormGenerator.component
	},
	template: '<div class="modal" v-show="show">' +
		'<div class="modal-wrapper">' +
		'<div class="modal-container">' +
		'<div class="modal-header" >' +
		'<h3>{{heading}}</h3>' +
		'</div>' +
		'<div class="hre-admin-modal-scroll">' +
		'<div class="modal-body">' +
		'<vue-form-generator  @validated="onValidated" :schema="schema" :model="model" :options="formOptions"></vue-form-generator>' +
		'</div>' +
		'</div>' +
		'<div class="modal-footer uk-clearfix">' +
		'<p v-if="message">{{message}}</p>' +
		'<button @click="onClose" class="button close-button">Close</button>' +
		'<button @click="saveFieldSettings" class="button-primary ok-button">Update</button>' +
		'</div>' +
		'</div>' +
		'</div>' +
		'</div>',
	props: ['show', 'heading', 'fkey', 'gkey', 'field', 'schema', 'model', 'formOptions'],
	data(){
		return {
			message : '',
			validate : false,
		}
	},
	methods : {
		onClose(){
			this.$emit('onClose')
		},
		onValidated(isValid, errors) {
			this.validate = isValid
		},
		saveFieldSettings(){
			if(this.$children[0].validate(false, false)){
				this.$emit('saveFieldSettings')
			}
		},
	},
});

var vm = new Vue({
	el: "#app",
	components: {
		"vue-form-generator": VueFormGenerator.component
	},
});

vm.$children[0].fields = GJFields;
vm.$children[0].groups = GJFieldGroups;