<?php
/**
 * @class 		GJ_Admin
 * @package		GJ/Admin/Classes
 * @author 		InwaveThemes
 */

class GJ_Admin{
    static function init(){
        include_once GJ_PLUGIN_DIR.'/includes/admin/job.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/user.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/employer.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/candidate.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/application.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/cat.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/type.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/state.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/city.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/level.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/meta-box-order-notes.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/order.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/email-queue-list-table.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/email-queue.class.php';
        include_once GJ_PLUGIN_DIR.'/includes/admin/setting.class.php';

        add_action('admin_menu', array(__CLASS__, 'admin_menu'));
        add_action('admin_enqueue_scripts', array(__CLASS__, 'admin_load_scripts'));

        add_action('admin_print_footer_scripts', array('GJ_Fields', 'admin_print_footer_scripts'), 99);
        add_action('admin_print_footer_scripts', array('GJ_Admin_Setting', 'settings_print_footer_scripts'), 99);
        add_action('add_meta_boxes', array('GJ_Fields', 'add_metabox'), 99 );
    }

    static function admin_load_scripts(){
        $google_api_key = gj_get_map_api_key();
        $js_version = false;

        wp_enqueue_style('font-awesome-5-all', GJ_PLUGIN_URL . '/assets/fonts/font-awesome/css/all.min.css', array(), '5.10.2');
        wp_enqueue_style('font-awesome-4-shim', GJ_PLUGIN_URL . '/assets/fonts/font-awesome/css/v4-shims.min.css', array(), '5.10.2');
        wp_enqueue_style('font-gj', GJ_PLUGIN_URL . 'assets/fonts/font-gj/css/fontello.css', array(), $js_version);
        wp_enqueue_style('font-linearicons', GJ_PLUGIN_URL . 'assets/fonts/linearicons/style.css', array(), $js_version);
        wp_register_script('google-maps', 'https://maps.googleapis.com/maps/api/js?key='.$google_api_key.'&libraries=places&language='. get_locale(), array('jquery'), $js_version, true);
        wp_localize_script('google-maps', 'gmapDefaultConfig', array(
            'lat' => gj_option('map_latitude') ? floatval(gj_option('map_latitude')) : '',
            'lng' => gj_option('map_logtitude') ? floatval(gj_option('map_logtitude')) : '',
            'zoom' => gj_option('map_zoom') ? intval(gj_option('map_zoom')) : '',
        ));

        wp_enqueue_script('jquery-blockUI',  GJ_PLUGIN_URL . '/assets/js/jquery.blockUI.min.js', array(), $js_version, true);
        wp_register_script('growl', GJ_PLUGIN_URL . '/assets/js/jquery.growl.js', array('jquery'), $js_version, true);
        wp_register_style('growl', GJ_PLUGIN_URL . '/assets/css/jquery.growl.css', array(), $js_version);

        $fields = GJ_Fields::instance();
        $fields->registerScripts();
        $fields->enqueueScripts();

        wp_enqueue_style('gj-admin', GJ_PLUGIN_URL . '/assets/css/admin.css', array());
        wp_enqueue_script('gj-admin',  GJ_PLUGIN_URL . '/assets/js/admin.js', array('jquery'), $js_version, true);
        wp_enqueue_script('theia-sticky-sidebar',  GJ_PLUGIN_URL . '/assets/js/theia-sticky-sidebar.js', array('jquery'), $js_version, true);
        wp_enqueue_script('jquery-enscroll-min',  GJ_PLUGIN_URL . '/assets/js/jquery.enscroll.min.js', array('jquery'), $js_version, true);
        wp_localize_script('gj-admin', 'gj', array(
            'i18n_delete_note' => esc_html__('Are you sure to delete this note? This action cannot be undone.', 'gj'),
            'ajax_url' => admin_url('admin-ajax.php'),
            'rest_url' => rest_url(),
            'security' => wp_create_nonce( "gj-security" ),
            'restnonce' => wp_create_nonce( "wp_rest" ),
        ));
    }

    static function admin_menu(){
	    add_submenu_page('edit.php?post_type=gj_job', esc_html__('Tools', 'gj'), esc_html__('Tools', 'gj'), 'manage_options', 'gj-tools', array('GJ_Admin_Jobs_Tools', 'management_page') );
        add_submenu_page('edit.php?post_type=gj_job', esc_html__('Fields', 'gj'), esc_html__('Fields', 'gj'), 'manage_options', 'gj-fields-page', array('GJ_Admin_Setting', 'fields_page') );
        add_submenu_page('edit.php?post_type=gj_job', esc_html__('Settings', 'gj'), esc_html__('Settings', 'gj'), 'manage_options', 'gj-setting-page', array('GJ_Admin_Setting', 'setting_page') );
    }
}

GJ_Admin::init();