<?php

class GJ_Admin_Email_queue{
    static function current_action() {
        if ( isset( $_REQUEST['action'] ) && -1 != $_REQUEST['action'] ) {
            return sanitize_text_field($_REQUEST['action']);
        }

        if ( isset( $_REQUEST['action2'] ) && -1 != $_REQUEST['action2'] ) {
            return sanitize_text_field($_REQUEST['action2']);
        }

        return false;
    }

    static function load_form_admin(){

        $action = self::current_action();
        if($action == 'delete'){
            $email_ids = empty( gj_clean($_POST['email_ID']) )
                ? (array) gj_clean($_REQUEST['email'])
                : (array) gj_clean($_POST['email_ID']);
            if($email_ids){
                GJ_Email_Queue::delete_emails($email_ids);
            }
            update_option(GJ_PREFIX.'email_queue_messagess', 'deleted');
            wp_redirect( htmlspecialchars_decode(menu_page_url( 'gj-email-queue', false )) );
            exit;
        }elseif($action == 'send'){
            $email_ids = empty( $_POST['email_ID'] )
                ? (array) gj_clean($_REQUEST['email'])
                : (array) gj_clean($_POST['email_ID']);
            if($email_ids){
                GJ_Email_Queue::send_emails($email_ids);
            }
            update_option(GJ_PREFIX.'email_queue_messagess', 'sent');
            wp_redirect( htmlspecialchars_decode(menu_page_url( 'gj-email-queue', false )) );
            exit;
        }

        $current_screen = get_current_screen();
        add_filter( 'manage_' . $current_screen->id . '_columns',
            array( 'GJ_Email_Queue_Form_List_Table', 'define_columns' ) );
    }

    static function management_page() {

        $list_table = new GJ_Email_Queue_Form_List_Table();
        $list_table->prepare_items();
        $message = get_option(GJ_PREFIX.'email_queue_messagess');


        ?>
        <div class="wrap">

            <h1><?php
                echo esc_html( esc_html__( 'Email queue', 'gj' ) );

                if ( ! empty( $_REQUEST['s'] ) ) {
                    echo sprintf( '<span class="subtitle">'
                        . esc_html__( 'Search results for &#8220;%s&#8221;', 'gj' )
                        . '</span>', esc_html( $_REQUEST['s'] ) );
                }
                ?></h1>

            <?php if($message){ ?>
            <div class="notice notice-success is-dismissible">
                <p><?php
                    if($message == 'deleted'){
                        echo esc_html__('Deleted Successfully.', 'gj');
                    }
                    if($message == 'sent'){
                        echo esc_html__('Sent Successfully.', 'gj');
                    }
                    ?></p>
            </div>
            <?php
                delete_option(GJ_PREFIX.'email_queue_messagess');
            } ?>

            <form method="get" action="#">

                <div class="send-all-email-control">
                    <div style="float: left; margin-right: 20px">
                        <a id="send-all-email" href="#" class="button"><?php echo esc_html__('Send All', 'gj'); ?></a>
                    </div>

                    <div class="progress" style="display: none; background: #fff; width: 500px; height: 30px; margin-left: 50px; float: left">
                        <div id="progress-bar-send-mail" class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="height: 30px;width: 0%;background: yellowgreen; color: #fff; text-align: center; font-weight: bold; font-size: 24px">

                        </div>
                    </div>

                    <div style="clear: both"></div>
                </div>

                <input type="hidden" name="page" value="<?php echo esc_attr( $_REQUEST['page'] ); ?>" />
                <input type="hidden" name="post_type" value="<?php echo esc_attr( $_REQUEST['post_type'] ); ?>" />
                <?php $list_table->search_box( esc_html__( 'Search Email', 'gj' ), 'gj' ); ?>

                <?php $list_table->display(); ?>
            </form>

        </div>
        <?php
    }

}
