<?php

class GJ_Admin_Type {
    static $fields = array();

    static public function init(){
        add_filter('manage_edit-gj_type_columns' , array(__CLASS__, 'manage_columns'));
        add_action( 'gj_type_add_form_fields', array(__CLASS__, 'add_form_fields'), 10, 1 );
        add_action( 'gj_type_edit_form_fields', array(__CLASS__, 'edit_form_fields'), 10, 2 );
        add_action( 'edited_gj_type', array(__CLASS__, 'save_custom_meta'), 10, 2 );
        add_action( 'create_gj_type', array(__CLASS__, 'save_custom_meta'), 10, 2 );
	}

    static function manage_columns($columns){
        unset($columns['posts']);
        return $columns;
    }

    static function add_form_fields($taxonomy){
        ?>
        <div class="form-field">
            <label for="gj-color"><?php echo esc_html__('Color', 'gj'); ?></label>
            <input placeholder="<?php echo esc_html__('EX: #ff0000', 'gj'); ?>" name="<?php echo GJ_PREFIX.'color'; ?>" id="gj-color" type="text" value="" size="40">
        </div>
        <?php
    }

    static function edit_form_fields($term, $taxonomy){
        ?>
        <tr class="form-field">
            <th scope="row"><label for="slug"><?php echo esc_html__('Color', 'gj'); ?></label></th>
            <td><input placeholder="<?php echo esc_html__('EX: #ff0000', 'gj'); ?>" name="<?php echo GJ_PREFIX.'color'; ?>" id="gj-color" type="text" value="<?php echo get_term_meta($term->term_id, GJ_PREFIX.'color', true); ?>" size="40"></td>
        </tr>
        <?php
    }

    static function save_custom_meta($term_id, $taxonomy){
        if(isset($_POST[GJ_PREFIX.'color'])){
           update_term_meta($term_id, GJ_PREFIX.'color', sanitize_text_field($_POST[GJ_PREFIX.'color']));
        }
    }
}

GJ_Admin_Type::init();
?>
