<?php
class GJ_Admin_User{
    static $cache;

    static function init(){
        add_filter( 'manage_users_columns', array( __CLASS__ , 'users_columns'));
        add_filter( 'manage_users_custom_column', array( __CLASS__ , 'users_columns_content'), 10, 3 );
        add_filter('user_row_actions',  array( __CLASS__ , 'row_actions'), 10, 2);
        add_filter('wp_loaded',  array( __CLASS__ , 'verify_account'));
    }

    static function users_columns( $column ) {
        $new_column = array();
        foreach ($column as $key => $title){
            $new_column[$key] = $title;
            if($key == 'role'){
                if(gj_option('verify_account')){
                    $new_column['gj_verified'] = esc_html__('Verified', 'gj');
                }
            }
        }

        return $new_column;
    }

    static function users_columns_content( $val, $column_name, $user_id ) {
        switch ($column_name) {
            case 'gj_verified' :
                $user = GJ_User::get_user($user_id);
                if($user->is_verified()){
                    $val = esc_html__('Yes', 'gj');
                }else{
                    $val = esc_html__('No', 'gj');
                }
                break;
            default:
        }

        return $val;
    }

    static function row_actions($actions, $user_object) {
        if(gj_option('verify_account') && current_user_can('edit_users', $user_object->ID)){
            $user = GJ_User::get_user($user_object->ID);
            if(!$user->is_verified()){
                $actions['verify_account'] = "<a class='gj_verify_account' href='" . admin_url( "users.php?verify_account=$user_object->ID") . "'>" . esc_html__( 'Verify', 'gj' ) . "</a>";
            }
        }
        return $actions;
    }

    static function verify_account(){
        if(is_blog_admin() && isset($_GET['verify_account']) && $_GET['verify_account']){
            $user_id = intval($_GET['verify_account']);
            if(current_user_can('edit_users', $user_id)){
                delete_user_meta($user_id, GJ_PREFIX.'verify_code');
            }

            wp_redirect(admin_url( "users.php"));
            exit;
        }
    }
}

GJ_Admin_User::init();