<?php

class GJ_Apply_Form extends GJ_Apply {

    function __construct() {
        parent::__construct();

        add_action('wp_ajax_gj_submit_application', array($this, 'submit_application'));
        add_action('wp_ajax_nopriv_gj_submit_application', array($this, 'submit_application'));
    }

    function get_title() {
        return esc_html__('Apply With Form', 'gj');
    }

    function get_description() {
        return '';
    }

    function admin_option_fields() {
        return array(
             'legend' => esc_html__('Form', 'gj'),
             'fields' => array(
                 array(
                     'label' => esc_html__( 'Enable', 'gj' ),
                     'model'   => 'apply_form_enable',
                     'type' => 'switch',
                     'textOn' => esc_html__("Yes", 'gj'),
                     'textOff' => esc_html__("No", 'gj'),
                     'valueOn' => '1',
                     'valueOff' => '',
                 ),
                 array(
                     'label' => esc_html__( 'Allow guest apply', 'gj' ),
                     'model'   => 'allow_guest_apply_job',
                     'type' => 'switch',
                     'textOn' => esc_html__("Yes", 'gj'),
                     'textOff' => esc_html__("No", 'gj'),
                     'valueOn' => '1',
                     'valueOff' => '',
                 ),
             )
         );
    }

    function apply_button($job) {
        gj_get_template_part('applies/form/button', array('job' => $job, 'self' => $this));
    }
}
