<?php
/**
 * @class 		GJ_Cart
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */

class GJ_Cart{

    /**
     * @return GJ_Product[]
     */
    function get_products(){
        return isset($_SESSION['GJ_CART']) ? (array)$_SESSION['GJ_CART'] : array();
    }

    function add($product){

        if(!$product) {
            return false;
        }

        $_SESSION['GJ_CART'] = array();
        $_SESSION['GJ_CART'][] = $product;
    }


    /**
     * @return GJ_Product
     */
    function get_last_product(){
        $products = $this->get_products();
        if($products){
            return $products[count($products) -1];
        }

        return null;
    }

    function count_product(){
        $products = $this->get_products();
        return $products ? count($products) : 0;
    }

    function get($property = 'type'){
        if(isset($_SESSION['GJ_CART'][$property])){
            return $_SESSION['GJ_CART'][$property];
        }elseif(isset($_SESSION['GJ_CART']['args'][$property])){
            return $_SESSION['GJ_CART']['args'][$property];
        }

        return null;
    }

    function is_empty(){
        if(!isset($_SESSION['GJ_CART']) || !$_SESSION['GJ_CART']){
            return true;
        }

        return false;
    }


    function empty_cart(){
        $_SESSION['GJ_CART'] = array();
    }

    function get_sub_total_price(){
        $price = 0;
        $products = $this->get_products();
        foreach ($products as $product){
            if($product){
                $price += $product->get_price();
            }
        }

        return $price;
    }

    function get_tax_price(){
        $use_tax = gj_option('tax_used');
        if($use_tax){
            $tax_value = gj_option('tax_value');
            $price = $this->get_sub_total_price();
            return ($tax_value * $price)/100;
        }

        return 0;
    }

    function get_total_price(){
        $price = $this->get_sub_total_price();
        $tax_price = $this->get_tax_price();

        return $price+$tax_price;
    }

	function has_tax() {
		$use_tax = gj_option( 'tax_used' );
		if ( $use_tax ) {
			return true;
		}

		return false;
	}

    function get_tax(){
        $use_tax = gj_option('tax_used');
        if($use_tax){
            $tax_value = gj_option('tax_value');
            return $tax_value;
        }

        return 0;
    }

	function get_currency(){
		$currency = $this->get('currency');
		return $currency ? $currency : gj_get_system_currency();
    }

    public function checkout(){
        $checkout_url = gj_dashboard_endpoint_url('checkout');
        return apply_filters('gj_checkout_cart', $checkout_url, $this);
    }


}