<?php
abstract class GJ_Payment_Gateway{
    public $id;

    function __construct()
    {
        if(!$this->id){
            $this->id = strtolower(str_replace('GJ_Gateway_', '', get_class($this)));
        }
    }

    abstract function get_title();

    abstract function get_description();

    abstract function admin_option_fields();

    abstract function process_payment($order_id);

    abstract function payment_recieved();

    public function get_option($key, $default = ''){
        $option = gj_option('gateway_'.$this->id.'_'.$key, $default);
        return $option;
    }

    public function is_available(){

        if($this->get_option('enable')){
            return true;
        }

        return false;
    }

    public function get_received_url($order){
        return add_query_arg(array('gj_payment'=> $this->id, 'order_id'=> $order->get_id(), 'key' => $order->get_key()), home_url('/'));
    }

    public function has_subscription($user_id){
        return false;
    }

    public function cancel_subscription($user_id){
        return false;
    }

}

