<?php

class GJ_Gateway_Direct_Bank extends GJ_Payment_Gateway{

    function get_title(){
        return esc_html__('Direct Bank Transfer', 'gj');
    }

    function get_description(){
        $description = $this->get_option('description');

        return $description;
    }

    function get_instructions(){
        $description = $this->get_option('instructions');
        if($description) {
            $description = apply_filters('the_content', $description);
        }

        return $description;
    }

    function get_icon(){
        return GJ_PLUGIN_URL.'/assets/img/bank.png';
    }

    function admin_option_fields(){
       return array(
           'legend' => esc_html__('Direct Bank Transfer', 'gj'),
           'fields' => array(
               array(
                   'label' => null,
                   'model'   => 'gateway_direct_bank_enable',
                   'type' => 'switch',
                   'textOn' => esc_html__("Enable", 'gj'),
                   'textOff' => esc_html__("Disable", 'gj'),
                   'valueOn' => '1',
                   'valueOff' => '',
               ),
               array(
                   'label' => esc_html__( 'Description', 'gj' ),
                   'model'   => 'gateway_direct_bank_description',
                   'type' => 'textArea',
               ),
           )
       );
    }

    function process_payment($order_id){

        do_action('gj_before_process_payment', $order_id, $this);

        $order = GJ_Order::get_order($order_id);
        if($order){
            $order->change_status('gj-hold', '', false, true);
        }
        $url = $order->get_received_url();
        wp_redirect($url);

        die;
    }

    function payment_recieved(){
        return false;
    }
}