<?php
/**
 * @class 		GJ_Employer_Listing
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class GJ_Employer_Listing extends GJ_Listing {

    public $post_type = 'gj_employer';

    /**
     *
     * @return GJ_Employer_Listing
     */

    static function instance(){
        return new GJ_Employer_Listing();
    }

    /**
     *
     * @return Array
     */
    public function get_data_filters($source = null){
        static $data_filters = null;
        if(is_null($data_filters)) {
            if($source === null){
                $source = gj_clean($_REQUEST);
            }

            $data_filters = parent::get_data_filters($source);

            if (isset($source['alpha']) && $source['alpha']) {
                $data_filters['alpha'] = $source['alpha'];
            }

            $data_filters = apply_filters('gj_filters_data', $data_filters);
        }

        return $data_filters;
    }

     /**
     *
     * @return Array
     */
    public function get_query_args($data_filters) {

        $args = parent::get_query_args($data_filters);

        $order_by = isset($data_filters['order']) && $data_filters['order'] ? $data_filters['order'] : null;
        if(!$order_by){
            $order_by = gj_option('sorting_employers_default');
        }
        
        if($order_by == 'name'){
            $args['orderby'] = array(
                '_gj_featured_clause' => 'DESC',
                'title' => 'ASC',
            );
        }elseif($order_by == 'date'){
            $args['orderby'] = array(
                '_gj_featured_clause' => 'DESC',
                'date' => 'DESC',
            );
        }

        if(isset($data_filters['posts_per_page']) && $data_filters['posts_per_page']){
            $args['posts_per_page'] = $data_filters['posts_per_page'];
        }else{
            $args['posts_per_page'] = gj_option('employers_per_page', get_option('posts_per_page', 20));
        }

        return $args;
    }

    /**
     *
     * @return Array
     */
    public function _get_request_args( $data_filters, $restrict = false ) {
        $args = parent::_get_request_args($data_filters, $restrict);
        
        if(isset($args['order']) &&  $args['order'] == gj_option('sorting_employers_default')){
            unset($args['order']);
        }

        return $args;
    }
}