<?php
/**
 * @class 		GJ_Rewrite_Rules
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */

Class GJ_Rewrite_Rules{

    static function flush_rules(){
        $dashboard_id = gj_get_page_id('dashboard');
        if($dashboard_id){
            $page = get_post($dashboard_id);
            $rules = get_option( 'rewrite_rules' );

            if ( ! isset( $rules[$page->post_name.'/(.*)$'] ) ) {
                global $wp_rewrite;
                $wp_rewrite->flush_rules();
            }
        }
    }

    static function insert_rewrite_rules($rules){
        $dashboard_page_id = gj_get_page_id('dashboard');
        if($dashboard_page_id){
            $page = get_post($dashboard_page_id);
            if($page && !is_wp_error($page)){
                $newrules = array();
                $newrules[$page->post_name.'/([^/]*)/([^/]*)/?'] = 'index.php?pagename='.$page->post_name.'&endpoint=$matches[1]&postID=$matches[2]';
                $newrules[$page->post_name.'/(.*)$'] = 'index.php?pagename='.$page->post_name.'&endpoint=$matches[1]';
                $rules = $newrules + $rules;
            }
        }
        return $rules;
    }

    static function insert_query_vars($vars){
        array_push($vars, 'endpoint');
        array_push($vars, 'postID');
        return $vars;
    }
}
?>