<?php
/**
 * @class 		GJ_Shortcodes
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */

class GJ_Shortcodes
{
    static function init()
    {
        add_shortcode('gj_dashboard', array(__CLASS__, 'dashboard'));
        add_shortcode('gj_login', array(__CLASS__, 'login'));
        add_shortcode('gj_register', array(__CLASS__, 'register'));
        add_shortcode('gj_lostpassword', array(__CLASS__, 'lostpassword'));
        add_shortcode('gj_jobs', array(__CLASS__, 'jobs'));
        add_shortcode( 'gj_job_form_search', array( __CLASS__, 'job_form_search' ) );
        add_shortcode( 'gj_candidate_form_search', array( __CLASS__, 'candidate_form_search' ) );
        add_shortcode( 'gj_employer_form_search', array( __CLASS__, 'employer_form_search' ) );
        add_shortcode('gj_candidates', array(__CLASS__, 'candidates'));
        add_shortcode('gj_employers', array(__CLASS__, 'employers'));
        add_shortcode('gj_verify_account', array(__CLASS__, 'verify_account'));
		add_shortcode('gj_pricing_tables', array(__CLASS__, 'pricing_tables'));
        add_shortcode('gj_plan_pricing_tables', array(__CLASS__, 'plan_pricing_tables'));
    }

    static function jobs( $atts ) {

        ob_start();

        gj_get_template_part('parts/jobs', array('atts' => $atts));

        $html = ob_get_contents();
        ob_end_clean();

        return $html;
    }

    // Job Form Search
    static function job_form_search( $atts ) {

        $show_location = $show_cate = $show_state = $show_city = $text_submit = '';

        extract( shortcode_atts( array(

            'show_location'     =>  1,
            'show_cate'         =>  1,
            'show_state'        =>  1,
            'show_city'         =>  1,
            'text_submit'       =>  esc_html__( 'Search', 'gj' ),

        ), $atts, 'gj_job_form_search' ) );

        ob_start();

        gj_get_template_part( 'parts/jobs/form-search',
            array(
                'show_location' =>  $show_location,
                'show_cate'     =>  $show_cate,
                'show_state'    =>  $show_state,
                'show_city'     =>  $show_city,
                'text_submit'   =>  $text_submit
            )
        );

        $html  =   ob_get_contents();
        ob_end_clean();
        return $html;

    }

    // Candidate Form Search
    static function candidate_form_search( $atts ) {

        $show_cate = $show_level = $show_type = $show_skill = $text_submit = '';

        extract( shortcode_atts( array(

            'show_cate'     =>  1,
            'show_level'    =>  1,
            'show_type'     =>  1,
            'show_skill'    =>  1,
            'text_submit'   =>  esc_html__( 'Search', 'gj' ),

        ), $atts, 'gj_candidate_form_search' ) );

        ob_start();

        gj_get_template_part( 'parts/candidates/form-search',
            array(
                'show_cate'     =>  $show_cate,
                'show_level'    =>  $show_level,
                'show_type'     =>  $show_type,
                'show_skill'    =>  $show_skill,
                'text_submit'   =>  $text_submit
            )
        );

        $html  =   ob_get_contents();
        ob_end_clean();
        return $html;

    }

    // Employer Form Search
    static function employer_form_search( $atts ) {

        $show_location = $show_cate = $show_size = $text_submit = '';

        extract( shortcode_atts( array(

            'show_location' =>  1,
            'show_cate'     =>  1,
            'show_size'     =>  1,
            'text_submit'   =>  esc_html__( 'Search', 'gj' ),

        ), $atts, 'gj_employer_form_search' ) );

        ob_start();

        gj_get_template_part( 'parts/employers/form-search',
            array(
                'show_location' =>  $show_location,
                'show_cate'     =>  $show_cate,
                'show_size'     =>  $show_size,
                'text_submit'   =>  $text_submit
            )
        );

        $html  =   ob_get_contents();
        ob_end_clean();
        return $html;

    }

    static function candidates( $atts ) {

        $fixcols = $class = '';
        extract(shortcode_atts(array(
            "class" => "",
            "fixcols" => "2",
        ), $atts, 'gj_candidates'));
        ob_start();


        gj_get_template_part('parts/candidates', array('class' => $class, 'fixcols' => $fixcols));
        $html = ob_get_contents();
        ob_end_clean();
        return $html;
    }

    static function employers($atts) {

        $fixcols = $class = '';
        extract(shortcode_atts(array(
            "class" => "",
            "fixcols" => "2",
        ), $atts, 'gj_employers'));
        ob_start();


        gj_get_template_part('parts/employers', array( 'class' => $class, 'fixcols' => $fixcols ));
        $html = ob_get_contents();
        ob_end_clean();
        return $html;
    }

    static function dashboard( $atts ) { 
        $endpoint = gj_current_dashboard_endpoint();
        ob_start();
        ob_start();
        switch ($endpoint) {
            case 'overview':
                ob_start();
                if (current_user_can('gj_employer')) {
                    gj_get_template_part('dashboard/overview/employer');
                }else{
                    gj_get_template_part('dashboard/overview/user');
                }
                $sub_content = ob_get_contents();
                ob_clean();
                gj_get_template_part('dashboard/overview', array('content' => $sub_content));
                break;
            case 'profile':
                gj_get_template_part('dashboard/profile');
                break;
            case 'company':
                if(current_user_can('create_employers')){
                    gj_get_template_part('dashboard/company/form');
                }
                break;
            case 'resume':
                if(current_user_can('create_candidates')){
                    gj_get_template_part('dashboard/resume/form');
                }
                break;
            case 'saved-resumes':
                gj_get_template_part('dashboard/resume/'.$endpoint);
                break;
            case 'jobs':
            case 'saved-jobs':
			case 'edit-job':
			case 'new-job':
                gj_get_template_part('dashboard/job/' . $endpoint);
                break;
            case 'applications':
                if (current_user_can('create_jobs')) {
                    gj_get_template_part('dashboard/application/'.$endpoint);
                }else{
                    gj_get_template_part('dashboard/application/submited-'.$endpoint);
                }
                break;
            case 'application':
                gj_get_template_part('dashboard/application/'.$endpoint);
                break;
            case 'reviews':
                if (current_user_can('create_jobs')) {
                    gj_get_template_part('dashboard/review/'.$endpoint);
                }else{
                    gj_get_template_part('dashboard/review/my-'.$endpoint);
                }
                break;
            case 'edit-review':
                gj_get_template_part('dashboard/review/'.$endpoint);
                break;
            case 'pay-order':
                $step = isset($_GET['step']) ? sanitize_text_field($_GET['step']) : 'form';
                $order_id = isset($_GET['order_id']) ? intval($_GET['order_id']) : '';
                $key = isset($_GET['key']) ? sanitize_text_field($_GET['key']) : '';
                $order = GJ_Order::get_order($order_id);
                if($order){
                    if($step == 'payment'){
                        $can_pay = $order->can_pay($key);
                        if(is_wp_error($can_pay)){
                            $step_content = gj_get_alert($can_pay->get_error_message(), 'danger');
                        }
                        else{
                            ob_start();
                            gj_get_template_part('dashboard/' . $endpoint . '/' . $step, array('order' => $order));
                            $step_content = ob_get_clean();
                            ob_clean();
                        }
                    }else{
                        ob_start();
                        gj_get_template_part('dashboard/' . $endpoint . '/' . $step, array('order' => $order));
                        $step_content = ob_get_contents();
                        ob_clean();
                    }
                }
                else{
                    $step_content = gj_get_alert(__('Invalid Order.', 'gj'), 'danger');
                }

                gj_get_template_part('dashboard/' . $endpoint, array('step' => $step, 'content' => $step_content));
                break;
            case 'orders':
                gj_get_template_part('dashboard/order/' . $endpoint);
                break;
            case 'order':
                gj_get_template_part('dashboard/order/' . $endpoint);
                break;
            case 'checkout':
                gj_get_template_part('dashboard/checkout/' . $endpoint);
                break;
            case 'thank-you-for-ordering':
                gj_get_template_part('dashboard/checkout/thank-you-for-ordering');
                break;
            default :
                gj_get_template_part('dashboard/' . $endpoint);
                break;
        }

        $tab_content = ob_get_contents();
        ob_clean();

        $tab_content = apply_filters('gj_dashboard_content', $tab_content, $endpoint);

        gj_get_template_part('dashboard', array('tab_content' => $tab_content));

        $html = ob_get_contents();
        ob_clean();

        return $html;
    }

    static function login($atts) {
        $atts = function_exists( 'vc_map_get_attributes' ) ? vc_map_get_attributes( 'gj_login', $atts ) : $atts;

        $atts = shortcode_atts(array(
            'pre_text' => '',
            'redirect_to' => '',
        ), $atts, 'gj_login');
        ob_start();

        if(isset($_GET['redirect_to']) && $_GET['redirect_to']){
            $atts['redirect_to'] = esc_url_raw($_GET['redirect_to']);
        }

        gj_get_template_part('login', $atts);
        $html = ob_get_contents();
        ob_clean();

        return $html;
    }

    static function register( $atts ) {

        ob_start();
        if(isset($_GET['social']) && $_GET['social']){
            $args = array(
                'user_name' => isset($_GET['user_name']) ? sanitize_text_field($_GET['user_name']) : '' ,
                'display_name' => isset($_GET['display_name']) ? urldecode($_GET['display_name']) : '',
                'profile_image' => isset($_GET['profile_image']) ? urldecode($_GET['profile_image']) : '',
                'email' => isset($_GET['email']) ? urldecode($_GET['email']) : '' ,
                'social' => GJ()->social_logins()->get_social($_GET['social']),
                'redirect_to' => isset($_GET['redirect_to']) ? urldecode($_GET['redirect_to']) : ''
            );

            gj_get_template_part('social-register', $args);
        }else{

            $args = array(
                'redirect_to' => isset($_GET['redirect_to']) ? urldecode($_GET['redirect_to']) : ''
            );

            gj_get_template_part('register', $args);
        }
        $html = ob_get_contents();
        ob_clean();

        return $html;
    }

    static function lostpassword( $atts ) {
        ob_start();
        gj_get_template_part('lostpassword');
        $html = ob_get_contents();
        ob_clean();

        return $html;
    }

    static function verify_account($atts) {

        $atts = shortcode_atts(array(
            'class' => '',
        ), $atts, 'gj_verify_account');

        $html = '';
        $user = GJ_User::get_user(); 
        if($user){
            ob_start();
            if($user->is_verified()){
                gj_get_template_part('verify-account/thankyou', array('atts' => $atts));
            }else{
                gj_get_template_part('verify-account/form', array('atts' => $atts));
            }
            $html = ob_get_contents();
            ob_clean();
        }

        return $html;
    }
	
	
	static function plan_pricing_tables($atts)
    {

        $atts = shortcode_atts(array(
            'style' => '',
            'class' => '',
        ), $atts, 'gj_plan_pricing_tables');

        $user_plan = gj_get_user_plan();
        ob_start();
        gj_get_template_part('plan-pricing-tables', array( 'user_plan' => $user_plan ));
        $html = ob_get_contents();
        ob_clean();

        return $html;
    }
	
	static function pricing_tables($atts)
    {
        
		$atts = shortcode_atts(array(
            'style' => '',
            'class' => '',
        ), $atts, 'gj_pricing_tables');

        $user_plan = gj_get_user_plan();
        ob_start();
        gj_get_template_part('pricing-tables', array( 'user_plan' => $user_plan ));
        $html = ob_get_contents();
        ob_clean();

        return $html;
    }

}

GJ_Shortcodes::init();
