<?php

/**
 * @class 		GJ_Template_Loader
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class GJ_Template_Loader {

    /**
     * Hook in methods.
     */
    public static function init() {
        add_filter('template_include', array(__CLASS__, 'template_loader'));
    }

    public static function template_loader($template) {
        $file = '';
        $find = array();
        if (get_the_ID() == gj_get_page_id('dashboard')) {
            $file = 'dashboard.php';
        } elseif (get_the_ID() == gj_get_page_id('employers')) {
            $file = 'employers.php';
        } elseif (get_the_ID() == gj_get_page_id('candidates')) {
            $file = 'candidates.php';
        } elseif (get_the_ID() == gj_get_page_id('jobs')) {
            $file = 'jobs.php';
        } elseif (is_single() && get_post_type() == 'gj_employer') {
            $file = 'single-employer.php';
        } elseif (is_single() && get_post_type() == 'gj_candidate') {
            $file = 'single-candidate.php';
        } elseif (is_single() && get_post_type() == 'gj_job') {
            $file = 'single-job.php';
        } elseif (is_tax(gj_get_job_taxonomies())) {
            $file = 'jobs.php';
        } elseif (is_single() && get_post_type() == 'gj_resume') {
            $file = 'single-resume.php';
        }
        $file = apply_filters('change_template_loader', $file);
        $find[] = $file;
        $find[] = GJ()->template_path() . $file;

        if ($file) {
            $template = locate_template(array_unique($find));
            if (!$template) {
                $template = GJ()->plugin_path() . '/templates/' . $file;
            }
        } 
        return $template;
    }

    /**
     * Load comments template.
     *
     * @param mixed $template
     * @return string
     */
    public static function comments_template_loader($template) {
        if (get_post_type() !== 'tour') {
            return $template;
        }

        $check_dirs = array(
            trailingslashit(get_stylesheet_directory()) . GJ()->template_path(),
            trailingslashit(get_template_directory()) . GJ()->template_path(),
            trailingslashit(get_stylesheet_directory()),
            trailingslashit(get_template_directory()),
            trailingslashit(GJ()->plugin_path()) . 'templates/'
        );

        foreach ($check_dirs as $dir) {
            if (file_exists(trailingslashit($dir) . 'single-tour-reviews.php')) {
                return trailingslashit($dir) . 'single-tour-reviews.php';
            }
        }
    }

}

GJ_Template_Loader::init();
