<?php
/**
 * @class 		GJ_Field_Abstract
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

abstract class GJ_Field_Abstract
{
    public static $JSVariableName = 'GJFieldTypes';
    public static $JSModelVariableName = 'InputModels';
    public static $JSSchemaVariableName = 'GJSchema';
    protected $type;
    protected $name;
    protected $settings;
    protected $postID;

    abstract function enqueue();
    abstract function JSRegister();
    abstract function sanitize();
    abstract function rawData();
    abstract function data();
    abstract function input();
    abstract function model();
    abstract function save();
    abstract function deletePost();
    abstract function outputValue();
    abstract function outputHtml($args = '', $return = false);
    abstract function outputMenuDetailHtml($args = '');
    abstract function listOutputHtml($args = '', $return = false);
    abstract function outputLabel();
    abstract function filterOutputHtml($type);
    abstract function filteredOutputHtml($type);

    public function getType(){
        return $this->type;
    }

    public function getName(){
        return $this->name;
    }

    public function getSetting($key, $default = null){
        return isset($this->settings->{$key}) ? $this->settings->{$key} : $default;
    }

    public function getSettings(){
        return $this->settings;
    }

    public function defaultSettings(){
        $defaut = new stdClass();
        $defaut->name = $this->name;
        $defaut->showlabel = 'true';
        $defaut->active = '';
        $defaut->metakey = '';
        $defaut->default = '';
        $defaut->required = 'false';
        $defaut->validator = '';
        $defaut->default = '';
        $defaut->inputClass = '';
        $defaut->inputWith = '';

        $defaut->showOutput = 'true';
        $defaut->outputPosition = 'main';
        $defaut->hideIfEmpty = 'true';
        $defaut->showOutputLable = 'true';
        $defaut->outputLable = '';
        $defaut->outputOrdering = '';
        $defaut->outputClass = '';
        $defaut->iconClassLabel = '';

        return $defaut;
    }

    public function bindSettings($settings){
        $defaut = $this->defaultSettings();

        $settings = (object) array_merge(
            (array) $defaut, (array) $settings);

        $this->settings = $settings;
    }

    public function bindPostID($postID){
        $this->postID = $postID;
    }

    public function getPostID(){
        return $this->postID;
    }
}