<?php
/**
 * @class 		GJ_Field_Award
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Award extends GJ_Field_Repeater {

    protected $type = 'award';
    protected $inputType = 'award';
    protected $name = 'Award';

    public function getRepeaterSchema(){
        $schemas = array("fields" => array(
            array(
                'label' => esc_html__('Title', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'title',
                'required' => true,
            ),
            array(
                'label' => esc_html__('Year', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'year',
                'required' => true,
            ),
            array(
                'label' => esc_html__('Description', 'gj'),
                'type' => 'textArea',
                'inputType' => 'text',
                'model' => 'description',
            )
        ));
        return json_encode($schemas);
    }

    public function itemContainerHeader(){
        return "function(model, schema, index) {
            var html = '<span class=\"award\"><strong>".$this->clearn_text(esc_html__('Award', 'gj'))."</strong>'+(model.title || index)+'</span>';
            html += '<span class=\"date\"><strong>".$this->clearn_text(esc_html__('Date', 'gj'))."</strong>'+(model.year || '')+'</span>';
            
            return html;
        }";
    }

    public function newElementButtonLabel(){
        return $this->settings->newbuttonlabel ? $this->settings->newbuttonlabel : $this->clearn_text(esc_html__('Add more award', 'gj'));
    }

    public function getStyleClasses(){
        return parent::getStyleClasses(). ' field-award';
    }

    public function outputValue(){
        $data = $this->data();
        $html = '';
        if($data){
            $html .= '<ul class="gj-time-line award">';
            foreach ($data as $row){
                $html .= '<li>';
                    if(isset($row['year'])){
                        $html .= '<div class="top date theme-second-color">'.$row['year'].'</div>';
                    }
                    if(isset($row['title'])){
                        $html .= '<div class="title bottom">'.$row['title'].'</div>';
                    }
                    if(isset($row['description'])){
                        $html .= '<div class="desc">'.$row['description'].'</div>';
                    }
                $html .= '</li>';
            }
            $html .= '</ul>';
        }

        return $html;
    }
}