<?php
/**
 * @class 		GJ_Field_Base
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Base extends GJ_Field_Abstract {

    protected $type = 'base';
    protected $name = 'Base';

    public $defaultFieldConfig = true;
    public $validationFieldConfig = true;

    public function enqueue(){
    }

    public function JSGeneralFields(){
        return array(
            "title" => esc_html__("General", 'gj'),
            "id" => "general",
            "fields" => array(
                array(
                    "type" => "input",
                    "inputType" => "text",
                    "label" => esc_html__( "Meta key", "gj" ),
                    "model" => "metakey",
                    "required" => true,
                    "featured" => true,
                    "default" => "{$this->type}",
                    "validator" => "MetaKey",
                    "tab" => "General"
                ),
                array(
                    "type" => "input",
                    "inputType" => "text",
                    "label" => esc_html__( "Label", "gj" ),
                    "model" => "name",
                    "required" => true,
                    "featured" => true,
                    "default" => "{$this->name} ",
                    "validator" => "string",
                    "tab" => "General"
                ),
                array(
                    "type" => "input",
                    "inputType" => "text",
                    "label" => esc_html__( "Core field", "gj" ),
                    "model" => "corefield",
                    "default" => "",
                    "tab" => "General"
                ),
                array(
                    "type" => "checkbox",
                    "label" => esc_html__( "Active", "gj" ),
                    "model" => "active",
                    "default" => true,
                    "tab" => "General"
                ),
                array(
                    "type" => "checkbox",
                    "label" => esc_html__( "Required", "gj" ),
                    "model" => "required",
                    "default" => false,
                    "tab" => "General"
                ),
            )
        );
    }

    public function JSInputFields(){
        $fields = array(
            array(
                "type" => "checkbox",
                "label" => esc_html__( "Show label", "gj" ),
                "model" => "showlabel",
                "default" => true,
                "tab" => "Input"
            ),
            array(
                "type" => "select",
                "label" => esc_html__( "Show input", "gj" ),
                "model" => "showInput",
                "default" => "both",
                "tab" => "Input",
                "values" => array(
                    array("id" => "", "name" => esc_html__( "Not", "gj" ) ),
                    array("id" => "both", "name" => esc_html__( "Backend + Dashboard", "gj" ) ),
                    array("id" => "backend", "name" => esc_html__( "Backend", "gj" ) ),
                    array("id" => "dashboard", "name" => esc_html__( "Dashboard", "gj" ) ),
                )
            ),
        );
        if($this->defaultFieldConfig){
            $fields[] = array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Default", "gj" ),
                "model" => "default",
                "default" => "",
                "tab" => "Input"
            );
        }
        if($this->validationFieldConfig){
            $fields[] = array(
                "type" => "select",
                "label" => esc_html__( "Validation", "gj" ),
                "model" => "validation",
                "default" => "",
                "tab" => "Input",
                "values" => array(
                    array("id" => "", "name" => esc_html__( "None", "gj" ) ),
                    array("id" => "number", "name" => esc_html__( "Number", "gj" ) ),
                    array("id" => "integer", "name" => esc_html__( "Integer", "gj" ) ),
                    array("id" => "double", "name" => esc_html__( "Double", "gj" ) ),
                    array("id" => "string", "name" => esc_html__( "String", "gj" ) ),
                    array("id" => "email", "name" => esc_html__( "Email", "gj" ) ),
                    array("id" => "url", "name" => esc_html__( "Url", "gj" ) ),
                    array("id" => "creditCard", "name" => esc_html__( "creditCard", "gj" ) ),
                    array("id" => "alpha", "name" => esc_html__( "Alpha", "gj" ) ),
                    array("id" => "alphaNumeric", "name" => esc_html__( "alphaNumeric", "gj" ) ),
                    array("id" => "regexp", "name" => esc_html__( "regexp", "gj" ) ),
                )
            );
            $fields[] = array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Regexp", "gj" ),
                "model" => "regexp",
                "default" => "",
                "visible" => "beginJSFunction(model) { return model && model.validation == 'regexp';}endJSFunction",
                "tab" => "Input"
            );
        }

        $fields = array_merge($fields, array(
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Custom class", "gj" ),
                "model" => "inputClass",
                "tab" => "Input"
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Hint", "gj" ),
                "model" => "hint",
                "default" => "",
                "tab" => "Input"
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Help", "gj" ),
                "model" => "help",
                "default" => "",
                "tab" => "Input"
            ),
            array(
                "type" => "input",
                "inputType" => "number",
                "label" => esc_html__( "Width", "gj" ),
                "help" => esc_html__( "The width of the input in percentage. Ex: 50", "gj" ),
                "model" => "inputWith",
                "default" => "",
                "tab" => "Input"
            ),
        ));

        return array(
            "title" => esc_html__("Input", 'gj'),
            "id" => "input",
            "fields" => $fields
        );
    }

    public function JSOutputFields(){

        $fields = array(
            array(
                "type" => "checkbox",
                "label" => esc_html__( "Details output", "gj" ),
                "model" => "showOutput",
                "default" => true,
                "tab" => "Ouput"
            ),
            array(
                "type" => "checkbox",
                "label" => esc_html__( "List output", "gj" ),
                "model" => "listShowOutput",
                "allow" => (!isset($_GET['field_post_type']) || (isset($_GET['field_post_type']) && $_GET['field_post_type'] != 'gj_application')),
                "default" => true,
                "tab" => "Ouput"
            ),
            array(
                "type" => "checkbox",
                "label" => esc_html__( "Hide if empty", "gj" ),
                "model" => "hideIfEmpty",
                "default" => true,
                "tab" => "Ouput"
            ),
            array(
                "type" => "checkbox",
                "label" => esc_html__( "Show output label in details", "gj" ),
                "model" => "showOutputLable",
                "default" => true,
                "tab" => "Ouput"
            ),
            array(
                "type" => "checkbox",
                "label" => esc_html__( "Show output label in list", "gj" ),
                "model" => "showListOutputLable",
                "default" => false,
                "tab" => "Ouput"
            ),
            array(
                "type" => "select",
                "label" => esc_html__( "Output position in details", "gj" ),
                "model" => "outputPosition",
                "default" => "sidebar",
                "tab" => "Ouput",
                "allow" => (!isset($_GET['field_post_type']) || (isset($_GET['field_post_type']) && $_GET['field_post_type'] != 'gj_application')),
                "values" => array(
                    array("id" => "main", "name" => esc_html__( "Main", "gj" ) ),
                    array("id" => "sidebar", "name" => esc_html__( "Sidebar", "gj" ) ),
                )
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Output ordering", "gj" ),
                "model" => "outputOrdering",
                "default" => "",
                "tab" => "Ouput"
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Output label", "gj" ),
                "model" => "outputLable",
                "default" => "",
                "tab" => "Ouput"
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Icon css class", "gj" ),
                "model" => "iconClassLabel",
                "default" => "",
                "tab" => "Ouput"
            ),
            array(
                "type" => "input",
                "inputType" => "text",
                "label" => esc_html__( "Custom css class", "gj" ),
                "model" => "outputClass",
                "default" => "",
                "tab" => "Ouput"
            ),
        );

        return array(
            "title" => esc_html__("Output", 'gj'),
            "id" => "output",
            "fields" => $fields
        );
    }

    public function JSRegisterFields(){
        $tabs = array($this->JSGeneralFields(), $this->JSInputFields(), $this->JSOutputFields());

        return apply_filters('gj_settings_field', $tabs, $this);
    }

    public function JSRegister(){
        $tabs = $this->JSRegisterFields();

        foreach ($tabs as $tkey=>$tab){
            $allowFields = array();
            foreach ($tab['fields'] as $field){
                if(!isset($field['allow']) || (isset($field['allow']) && $field['allow']) ){
                    $allowFields[] = $field;
                }
            }

            $tabs[$tkey]['fields'] = $allowFields;
        }
        $tabJson = json_encode($tabs);
        $tabJson = str_replace(array('"beginJSFunction', 'endJSFunction"'), array('function', ""), $tabJson);
        return "{
            type : '{$this->type}',
            name : '{$this->name}',
            schema : {
                tabs : ".$tabJson.",
                tabActive: 'general',
            }    
        }";
    }

    public function isActive(){
        return $this->getSetting('active') === 'true' || $this->getSetting('active') === true;
    }

    public function getStyleClasses(){
        return $this->getSetting('inputClass');
    }

    public function input(){
        $class = $this->getStyleClasses();
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');
        return "{
            'type' : 'input',
            'inputType' : 'text',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->clearn_text($this->settings->metakey)}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            'validator' : '".$this->clearn_text($this->settings->validation)."',
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
        }";
    }

    public function deletePost(){
        return false;
    }

    public function sanitize(){
        return isset($_POST[$this->settings->metakey]) ? gj_clean($_POST[$this->settings->metakey]) : null;
    }

    public function save()
    {
        if($this->isWpCoreField()){
            $this->saveWpCoreField();
        }else{
            $postID = $this->postID;
            $value = $this->sanitize();
            update_post_meta($postID, $this->settings->metakey, $value);
        }
    }

    public function rawData(){
        return get_post_meta($this->postID, $this->settings->metakey, true);
    }

    public function isCoreField(){
        $coreField = $this->getSetting('corefield');
        return (boolean)$coreField;
    }

    public function isWpCoreField(){
        $coreField = $this->getSetting('corefield');
        return strpos($coreField, 'post_') === 0;
    }

    public function saveWpCoreField(){
        $coreField = $this->getSetting('corefield');
        switch ($coreField){
            case 'post_title' :
                wp_update_post(array(
                    'ID' => $this->postID,
                    'post_title' => $this->sanitize(),
                ));
                break;
            case 'post_content' :
                wp_update_post(array(
                    'ID' => $this->postID,
                    'post_content' => $this->sanitize(),
                ));
                break;
        }
    }

    public function getWpCoreFieldData(){
        $coreField = $this->getSetting('corefield');
        switch ($coreField){
            case 'post_title' :
                return get_the_title($this->postID);
            default :
                $post = get_post($this->postID);
                return isset($post->{$coreField}) ? $post->{$coreField} : null;
        }
    }

    public function data(){
        if($this->isWpCoreField()){
            return $this->getWpCoreFieldData();
        }else{
            return $this->rawData();
        }
    }

    public function getDefaultValue(){
        $default = $this->getSetting('default');
        switch ($default){
            case "[user_diplayname]" :
                $user_id = get_current_user_id();
                if($user_id){
                    $user = get_userdata($user_id);
                    return $user->display_name;
                }else{
                    return "";
                }
            case "[user_email]" :
                $user_id = get_current_user_id();
                if($user_id){
                    $user = get_userdata($user_id);
                    return $user->user_email;
                }else{
                    return "";
                }
            default :
                return $default;
        }
    }

    public function model(){
        $data = $this->postID ? $this->data() : $this->getDefaultValue() ;
        return "'{$this->settings->metakey}' : '{$data}'";
    }

    public function outputLabel(){
        return $this->settings->outputLable ? $this->settings->outputLable : $this->settings->name;
    }

    /**
     * @return string
     */
    public function outputValue(){

        $corefield = $this->getSetting('corefield');
        switch ($corefield){
            case 'salary' :
                $from = (string)get_post_meta($this->postID, 'salary_from', true);
                $to = (string)get_post_meta($this->postID,'salary_to', true);
                $posfix = get_post_meta($this->postID,'salary_postfix', true);
                $html = gj_salary($from, $to, $posfix);
                break;
            case 'post_created' :
            case 'post_updated' :
                $html =  gj_time_ago($this->data());
                break;
            default : 
                $html = $this->data();
                break;
        }

        return $html;
    }

    public function listOutputValue(){
        return $this->outputValue();
    }

    public function hasValue(){
        $corefield = $this->getSetting('corefield');
        switch ($corefield){
            case 'salary' :
                $data = true;
                break;
            default :
                $data = $this->data();
                break;
        }

        if(is_string($data)){
            return $data !== "";
        }elseif(is_array($data)){
            return count($data) > 0;
        }elseif(is_object($data) && !is_wp_error($data)){
            return true;
        }else{
            return (bool)$data;
        }
    }

    public function outputClasses(){
        $classes = array();
        $classes[] = "field-{$this->type}";
        $classes[] = "field-{$this->settings->metakey}";
        if($this->getSetting('outputClass')){
            $classes[] = $this->getSetting('outputClass');
        }

        return $classes;
    }

    public function getItemprop(){
        /*if($this->isWpCoreField() && $this->getSetting('corefield') === 'post_content'){
            return 'itemprop="description"';
        }*/

        return null;
    }

    public function outputHtml($args = array(), $return = false){

        $html = apply_filters('gj_field_before_output_html', null, $this, $args);
        if($html === null){
            $html = "";
            if($this->isActive() && $this->getSetting('showOutput') === 'true'){

                $hideIfEmpty = $this->getSetting('hideIfEmpty');
                if(!$hideIfEmpty || ($hideIfEmpty && $this->hasValue())){

                    $ouputValue = apply_filters('gj_field_before_output_value', null, $this);
                    if($ouputValue === null){
                        $ouputValue = apply_filters('gj_field_output_value', $this->outputValue(), $this);
                    }

                    $before = isset($args['before']) ? $args['before'] : '';
                    $after = isset($args['after']) ? $args['after'] : '';
                    $wrapClass = isset($args['wrapClass']) ? $args['wrapClass'] : '';
                    $wrapId = isset($args['wrapId']) ? $args['wrapId'] : '';

                    $outputClasses = $this->outputClasses() ? implode(" ", $this->outputClasses()) : "";
                    $html .= $before."<div class='{$outputClasses} gj-field-default {$wrapClass}' ".($wrapId ? "id='{$wrapId}'" : "").">";
                    if($this->settings->showOutputLable === 'true'){
                        $iconClassLabel = $this->getSetting("iconClassLabel");
                        if ($this->outputLabel()) {
                            $html .= "<div class='field-label'>";
                            if($iconClassLabel){
                                $html .= "<i class='{$iconClassLabel}'></i>";
                            }
                            $html .= "<span>{$this->outputLabel()}</span></div>";
                        }
                    }
                    $itemprop = $this->getItemprop();
                    $html .= "<div class='field-value' {$itemprop}>{$ouputValue}</div>";
                    $html .= "</div>".$after;
                }
            }

            $html = apply_filters('gj_field_output_html', $html, $this);
        }

        if($return){
            return $html;
        }else{
            echo $html;
        }
    }

    public function outputMenuDetailHtml($args = array()){
        
        if($this->isActive() && $this->getSetting('showOutput') === 'true'){
            $html = "";
            $hideIfEmpty = $this->getSetting('hideIfEmpty');
            $ouputValue = $this->outputValue();
            if(!$hideIfEmpty || ($hideIfEmpty && $ouputValue)){
                $before = isset($args['before']) ? $args['before'] : '';
                $after = isset($args['after']) ? $args['after'] : '';
                $class = isset($args['class']) ? $args['class'] : '';
                $id = isset($args['id']) ? $args['id'] : '';
                $link = isset($args['link']) ? $args['link'] : '#';

                $html .= $before."<a href='{$link}' ".($class ? "class='".$class."'" : "")." ".($id ? "class='".$id."'" : "").">{$this->outputLabel()}</a>".$after;
                echo (string)$html;
            }
        }
    }

    public function listOutputHtml($args = array(), $return = false){
        $html = apply_filters('gj_field_before_list_output_html', null, $this, $args);

        if($html === null){
            $before = isset($args['before']) ? $args['before'] : '';
            $after = isset($args['after']) ? $args['after'] : '';
            $wrapClass = isset($args['wrapClass']) ? $args['wrapClass'] : '';
            $wrapId = isset($args['wrapId']) ? $args['wrapId'] : '';

            $html = "";
            if($this->isActive() && $this->getSetting('listShowOutput') === 'true'){
                $hideIfEmpty = $this->getSetting('hideIfEmpty');
                if(!$hideIfEmpty || ($hideIfEmpty && $this->hasValue())){

                    $ouputValue = apply_filters('gj_field_before_list_output_value', null, $this);
                    if($ouputValue === null){
                        $ouputValue = apply_filters('gj_field_list_output_value', $this->listOutputValue(), $this);
                    }

                    $outputClasses = $this->outputClasses() ? implode($this->outputClasses(), " ") : "";
                    $html .= $before."<div class='{$outputClasses} {$wrapClass}' ".($wrapId ? "id='{$wrapId}'" : "").">";
                    $iconClassLabel = $this->getSetting("iconClassLabel");

                    if($iconClassLabel){
                        $html .= "<i class='{$iconClassLabel}'></i>";
                    }

                    if($this->getSetting("showListOutputLable") === 'true'){
                        if ($this->outputLabel()) {
                            $html .= "<span class='label'>{$this->outputLabel()}</span>";
                        }
                    }

                    $html .= $ouputValue;
                    $html .= "</div>".$after;
                }
            }

            $html = apply_filters('gj_field_list_output_html', $html, $this, $args);
        }

        if($return){
            return $html;
        }else{
            echo (string)$html;
        }
    }

    public function filterOutputHtml($type){
        $html = apply_filters('gj_field_before_filter_output_html', null, $this, $type);
        if($html !== null){
            echo $html;
        }else{
            echo apply_filters('gj_field_filter_output_html', $html, $this, $type);
        }
    }

    public function filteredOutputHtml($type){
        $html = apply_filters('gj_field_before_filtered_output_html', null, $this, $type);
        if($html !== null){
            echo $html;
        }else{
            echo apply_filters('gj_field_filtered_output_html', $html, $this, $type);
        }
    }

    public function searchOutputHtml($type){
        $html = apply_filters('gj_field_before_search_output_html', null, $this, $type);
        if($html !== null){
            echo $html;
        }else{
            echo apply_filters('gj_field_search_output_html', $html, $this, $type);
        }
    }

    public function onSearch(&$query){
        do_action('gj_field_onsearch', $query);
    }

    public function clearn_text($text){
        if($text !== ""){
            $text = str_replace( array( "\n", "\r" ), array( "", "" ), $text );
            $text = addcslashes($text, '\'');
        }

        return $text;
    }
}