<?php
/**
 * @class 		GJ_Field_Checkbox
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Checkbox extends GJ_Field_Text {

    protected $type = 'checkbox';
    protected $name = 'Checkbox';

    public $validationFieldConfig = false;

    public function enqueue(){
    }

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');

        return "{
            'type' : '{$this->type}',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
        }";
    }

    public function data(){
        return parent::data() === 'true' ? true : false;
    }

    public function model(){
        if($this->postID){
            $data = $this->data();
        }else{
            $data = false;
        }

        $model = $data ? 'true' : 'false';
        return "'{$this->settings->metakey}' : {$model}";
    }

    public function outputValue(){
        $value = $this->data();
        $html = $value ? esc_html__('Yes', 'gj') : esc_html__('No', 'gj');

        return $html;
    }

    public function save()
    {
        $postID = $this->postID;
        $value = $this->sanitize();
        update_post_meta($postID, $this->settings->metakey, $value);
    }

    public function searchOutputHtml($type)
    {
        if($this->isActive() && $this->getSetting('searchOutput')) {
            $label = $this->getSetting('name');
            $value = isset($_REQUEST[$this->getSetting($this->getSetting('metakey'))]) ? $this->getSetting($this->getSetting('metakey')) : '';
            ?>
            <div class="col-md-<?php echo $this->getSetting('searchColumWidth'); ?> filter-item">
                <label><?php echo $label; ?> <input type="checkbox" name="<?php echo $this->getSetting('metakey'); ?>" <?php echo $value ? 'checked="checked"' : ''?>></label>
            </div>
            <?php
        }
    }
}