<?php
/**
 * @class 		GJ_Field_Editor
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Editor extends GJ_Field_Base {

    protected $type = 'editor';
    protected $name = 'Editor';

    public function enqueue(){
        wp_enqueue_script( 'quill', GJ_PLUGIN_URL . 'assets/vue/quill.js', array(), GJ_VERSION, true);
        wp_enqueue_script( 'vue-quill', GJ_PLUGIN_URL . 'assets/vue/vue-quill-editor.js', array('quill', 'vue'), GJ_VERSION,true);
        wp_enqueue_style( 'quill', GJ_PLUGIN_URL . 'assets/vue/quill.snow.css');
    }

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');

        return "{
            'type' : '{$this->type}',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
        }";
    }

    public function sanitize(){
        return wp_kses_post($_POST[$this->settings->metakey]);
    }

    public function model(){
        $data = $this->postID ? $this->data() : $this->settings->default;
        $data = str_replace( array( "\n", "\r" ), array( "\\n", "\\r" ), $data );
        $data = addcslashes($data, '\'');

        return "'{$this->settings->metakey}' : '{$data}'";
    }

    public function outputValue(){
        $html = apply_filters( 'the_content', $this->data() );

        return $html;
    }

    public function listOutputValue(){
        $html = wp_trim_words($this->data() ,15);

        return $html;
    }
}