<?php
/**
 * @class 		GJ_Field_Education
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Education extends GJ_Field_Repeater {

    protected $type = 'education';
    protected $inputType = 'education';
    protected $name = 'Education';

    public function getRepeaterSchema(){
        $schemas = array("fields" => array(
            array(
                'label' => esc_html__('Title', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'title',
            ),
            array(
                'label' => esc_html__('School', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'school',
            ),
            array(
                'label' => esc_html__('Date in-out', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'date',
            ),
            array(
                'label' => esc_html__('Description', 'gj'),
                'type' => 'textArea',
                'inputType' => 'text',
                'model' => 'description',
            )
        ));
        return json_encode($schemas);
    }

    public function itemContainerHeader(){
        return "function(model, schema, index) {
            var html = '<span class=\"school\"><strong>".esc_html__('School', 'gj')."</strong>'+(model.school || index)+'</span>';
            html += '<span class=\"majority\"><strong>".esc_html__('Majority', 'gj')."</strong>'+(model.title || '')+'</span>';
            html += '<span class=\"date\"><strong>".esc_html__('Date', 'gj')."</strong>'+(model.date || '')+'</span>';
            
            return html;
        }";
    }

    public function newElementButtonLabel(){
        return $this->settings->newbuttonlabel ? $this->settings->newbuttonlabel : esc_html__('Add more education', 'gj');
    }

    public function getStyleClasses(){
        return parent::getStyleClasses(). ' field-education';
    }

    public function outputValue(){

        $data = $this->data();
        $html = '';
        if($data){
            $html .= '<ul class="gj-time-line">';
            foreach ($data as $school){
                $html .= '<li>';
                    $html .= '<div class="top">';
                        if(isset($school['date'])){
                            $html .= '<div class="date theme-second-color">'.$school['date'].'</div>';
                        }
                        if(isset($school['title'])){
                            $html .= '<div class="speciality-school theme-second-color theme-border-second-color">'.$school['title'].'</div>';
                        }
                    $html .= '</div>';
                    if(isset($school['school'])){
                        $html .= '<div class="school-name bottom">'.$school['school'].'</div>';
                    }
                    if(isset($school['description'])){
                        $html .= '<div class="desc">'.$school['description'].'</div>';
                    }
                $html .= '</li>';
            }
            $html .= '</ul>';
        }

        return $html;
    }
}