<?php
/**
 * @class 		GJ_Field_Number
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Number extends GJ_Field_Text {

    protected $type = 'number';
    protected $inputType = 'number';
    protected $name = 'Number';

    public $validationFieldConfig = false;

    public function sanitize(){
        return isset($_POST[$this->settings->metakey]) ? intval($_POST[$this->settings->metakey]) : null;
    }

    public function data(){
        if($this->isWpCoreField()){
            return intval($this->getWpCoreFieldData());
        }else{
            return intval($this->rawData());
        }
    }

    public function model(){
        $data = $this->postID ? $this->data() : $this->getDefaultValue() ;
        return "'{$this->settings->metakey}' : ".(is_numeric($data) ? $data : "'{$data}'");
    }

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');
        $placeholder = $this->getSetting('placeholder');
        $readonly = $this->getSetting('readonly');

        $prefix = $this->get_prefix();
        $subfix = $this->get_subfix();

        return "{
            'type' : 'input',
            'inputType' : '{$this->inputType}',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            'validator' : 'number',
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
            ".($placeholder ? "placeholder : '{$this->clearn_text($placeholder)}'," : "")."
            ".($readonly ? "readonly : '{$this->clearn_text($readonly)}'," : "")."
            ".($prefix ? "prefix : '{$this->clearn_text($prefix)}'," : "")."
            ".($subfix ? "subfix : '{$this->clearn_text($subfix)}'," : "")."
        }";
    }
}