<?php
/**
 * @class 		GJ_Field_Percent
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Percent extends GJ_Field_Repeater {

    protected $type = 'percent';
    protected $inputType = 'percent';
    protected $name = 'Percent';

    public function getRepeaterSchema(){
        $schemas = array("fields" => array(
            array(
                'label' => esc_html__('Title', 'gj'),
                'type' => 'input',
                'inputType' => 'text',
                'model' => 'title',
                'required' => true
            ),
            array(
                'label' => esc_html__('Value (percent)', 'gj'),
                'type' => 'input',
                'inputType' => 'number',
                'model' => 'value',
                'min' => 0,
                'max' => 100,
                'required' => true
            ),
        ));
        return json_encode($schemas);
    }

    public function itemContainerHeader(){
        return "function(model, schema, index) {
            var html = '<span class=\"field_title\"><strong>".esc_html__('Title', 'gj')."</strong>'+(model.title || index)+'</span>';
            html += '<span class=\"value\"><strong>".esc_html__('Value', 'gj')."</strong>'+(model.value || '')+'</span>';
            
            return html;
        }";
    }

    public function newElementButtonLabel(){
        return $this->settings->newbuttonlabel ? $this->settings->newbuttonlabel : esc_html__('Add more', 'gj');
    }

    public function getStyleClasses(){
        return parent::getStyleClasses(). ' field-percent';
    }

    public function outputValue(){
        $html = '';
        $data = $this->data();
        if($data){
            $html = '<ul class="gj-percent">';
            foreach ($data as $row){
                $html .= '<li>';
                    $html .= '<div class="scoring">';
                        $html .= '<span class="title">'.$row['title'] .'</span>';
                        $html .= '<span class="line">';
                        $html .= '<span class="line-percent theme-bg-second" style="width: '.(int)$row['value'].'%;"></span>';
                        $html .= '<span class="percent">'.$row['value'] .'%</span>';
                        $html .= '</span>';
                    $html .= '</div>';
                $html .= '</li>';
            }
            $html .= '</ul>';
        }

        return $html;

    }
}