<?php
/**
 * @class 		GJ_Field_Radios
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Radios extends GJ_Field_Checklist {

    protected $type = 'radios';
    protected $name = 'Radios';

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');

        return "{
            'type' : '{$this->type}',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            ".($this->settings->useKey ? "radiosOptions : ".json_encode($this->checklistSettings())."," : "")."
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            'values' : ".json_encode($this->checklistOptions()).",
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
        }";
    }

    public function data(){
        return $this->rawData();
    }

    public function outputValue(){
        $html = "";
        $value = $this->data();
        if($value && $this->settings->useKey === 'true'){
            foreach ($this->checklistOptions() as $option){
                if($option->key == $value){
                    $html = $option->val;
                    break;
                }
            }
        }

        return $html;
    }

    public function model(){
        if($this->postID){
            $data = $this->data();
        }else{
            $data = "";
        }
        return "'{$this->settings->metakey}' : '{$data}'";
    }
}