<?php
/**
 * @class 		GJ_Field_Textarea
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Textarea extends GJ_Field_Text {

    protected $type = 'textArea';
    protected $name = 'Textarea';

    public $validationFieldConfig = false;

    public function enqueue(){
    }

    public function sanitize(){
        $value = isset($_POST[$this->settings->metakey]) ? sanitize_textarea_field($_POST[$this->settings->metakey]) : null;
        $allowHtml = false;
        if($value && !$allowHtml){
            $value = strip_tags($value);
        }

        return $value;
    }

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');
        
        return "{
            'type' : 'textArea',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
        }";
    }

    public function model(){
        $data = $this->postID ? $this->data() : $this->settings->default;
        $data = str_replace( array( "\n", "\r" ), array( "\\n", "\\r" ), $data );
        $data = addcslashes($data, '\'');

        return "'{$this->settings->metakey}' : '{$data}'";
    }

    public function listOutputValue(){
        $html = wp_trim_words($this->data() ,15);

        return $html;
    }
}