<?php
/**
 * @class 		GJ_Front
 * @package		GJ/Classes
 * @author 		InwaveThemes
 */

include_once GJ_PLUGIN_DIR.'includes/class/post-types.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/cart.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/controller.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/user.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/post.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/job.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/employer.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/candidate.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/order.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/shortcodes.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/query.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/email.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/email-queue.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/template-loader.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/application.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/currency.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/price.class.php';
include_once GJ_PLUGIN_DIR.'includes/class/product.class.php';

//payment gateways
include_once GJ_PLUGIN_DIR.'includes/class/gateways/base.php';
include_once GJ_PLUGIN_DIR.'includes/class/gateways/direct_bank.php';
include_once GJ_PLUGIN_DIR.'includes/class/payment-gateways.php';

//socials
include_once GJ_PLUGIN_DIR.'includes/class/socials/base.php';
include_once GJ_PLUGIN_DIR.'includes/class/social-logins.php';

//applies
include_once GJ_PLUGIN_DIR.'includes/class/applies/base.php';
include_once GJ_PLUGIN_DIR.'includes/class/applies/form.php';
include_once GJ_PLUGIN_DIR.'includes/class/applies.php';

//fields
include_once GJ_PLUGIN_DIR.'includes/fields/fields.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/abstract.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/base.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/text.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/url.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/email.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/number.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/price.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/checkbox.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/checklist.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/radios.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/selectAdvanced.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/taxonomy.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/post.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/user.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/datetime.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/map.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/image.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/coverImage.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/gallery.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/textarea.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/repeater.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/editor.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/social.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/curriculumVitae.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/resume.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/education.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/experience.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/award.php';
include_once GJ_PLUGIN_DIR.'includes/fields/types/percent.php';

class GJ_Front{
    static function init(){
        add_filter( 'ajax_query_attachments_args', array(__CLASS__, 'attachments_args'), 99 ,1 );
        add_action( 'wp_enqueue_scripts', array( __CLASS__, 'enqueue_scripts' ) );
        add_filter( 'document_title_parts', array(__CLASS__, 'wp_title'));
        add_filter( 'body_class', array(__CLASS__,'body_class'));

        add_action( 'wp_footer', array( __CLASS__, 'print_templates' ) );

        add_filter( 'cron_schedules', 'gj_add_new_intervals');

        add_action('gj_job_expired', array( 'GJ_Controller','jobs_expired'));

        add_action('gj_delete_draft_job', 'gj_delete_draft_job');
        add_action('wp_ajax_gj_delete_draft_job', 'gj_delete_draft_job');

        add_action('gj_delete_pending_order', 'gj_delete_pending_order');
        add_action('wp_ajax_gj_delete_pending_order', 'gj_delete_pending_order');

        //register feed
        add_action('init', array(__CLASS__, 'add_feeds'));

        // Secure order notes
        add_filter( 'comments_clauses', array( __CLASS__, 'exclude_order_comments' ), 10, 1 );
        add_action( 'comment_feed_join', array( __CLASS__, 'exclude_order_comments_from_feed_join' ) );
        add_action( 'comment_feed_where', array( __CLASS__, 'exclude_order_comments_from_feed_where' ) );

        add_action( 'before_delete_post', array('GJ_Job', 'remove_reference') );
        add_action( 'before_delete_post', array('GJ_Employer', 'remove_reference') );
        add_action( 'before_delete_post', array('GJ_Candidate', 'remove_reference') );

        add_action( 'init', array(__CLASS__, 'blockusers_init'));
        add_filter('show_admin_bar', array(__CLASS__, 'hide_admin_bar'));

        remove_action('wp_head', 'print_emoji_detection_script', 7);
        remove_action('wp_print_styles', 'print_emoji_styles');

        add_action('wp_print_footer_scripts', array('GJ_Fields', 'print_footer_scripts'), 99);
        add_action('wp_print_footer_scripts', array('GJ_Fields', 'application_footer_scripts'), 99);
        add_action('wp_print_footer_scripts', array(__CLASS__, 'print_footer_scripts'), 99);
    }

    static function blockusers_init() {
        if (is_user_logged_in() && is_blog_admin() && (current_user_can( 'gj_candidate' ) || current_user_can( 'gj_employer' )) && !( defined( 'DOING_AJAX' ) && DOING_AJAX ) ) {
            wp_redirect( gj_get_page_permalink('dashboard') );
            exit;
        }
    }

    static function hide_admin_bar($content) {
        if (is_user_logged_in() && (in_array('gj_candidate', wp_get_current_user()->roles) || in_array('gj_employer', wp_get_current_user()->roles))){
            return false;
        }

        return $content;
    }

    static function attachments_args($query){
        if(is_user_logged_in() && (current_user_can('gj_candidate') || current_user_can('gj_employer'))){
            $query['author'] = '';
        }

        return $query;
    }

   static function enqueue_scripts(){

        global $post, $wp_query;
        $google_api_key = gj_get_map_api_key();
        $js_version = GJ_VERSION;

        wp_enqueue_style('bootstrap', GJ_PLUGIN_URL . 'assets/css/bootstrap.min.css', array(), '4.3.1');
        wp_enqueue_style('font-awesome-5-all', GJ_PLUGIN_URL . 'assets/fonts/font-awesome/css/all.min.css', array(), '5.10.2');
        wp_enqueue_style('font-awesome-4-shim', GJ_PLUGIN_URL . 'assets/fonts/font-awesome/css/v4-shims.min.css', array(), '5.10.2');

        wp_register_script('google-maps', 'https://maps.googleapis.com/maps/api/js?key='.$google_api_key.'&libraries=places&language='. get_locale(), array('jquery'), $js_version, true);
        wp_localize_script('google-maps', 'gmapDefaultConfig', array(
            'lat' => gj_option('map_latitude') ? floatval(gj_option('map_latitude')) : '',
            'lng' => gj_option('map_logtitude') ? floatval(gj_option('map_logtitude')) : '',
            'zoom' => gj_option('map_zoom') ? intval(gj_option('map_zoom')) : '',
        ));

        wp_register_script('markerclusterer', GJ_PLUGIN_URL . 'assets/js/markerclusterer.js', array('jquery'), $js_version, true);
        wp_register_script('infobubble', GJ_PLUGIN_URL . 'assets/js/infobubble.js', array('jquery'), $js_version, true);
        wp_register_script('spin', GJ_PLUGIN_URL . 'assets/js/spin.js', array('jquery'), $js_version, true);
        wp_register_script('range-slide-js', GJ_PLUGIN_URL . 'assets/js/jquery-asRange.min.js', array('jquery'), $js_version, true);
        wp_register_script('growl', GJ_PLUGIN_URL . 'assets/js/jquery.growl.js', array('jquery'), $js_version, true);
        wp_enqueue_script('popper', GJ_PLUGIN_URL . 'assets/js/popper.min.js', array('jquery'), '4.3.1', true);
        wp_enqueue_script('bootstrap', GJ_PLUGIN_URL . 'assets/js/bootstrap.min.js', array('jquery'), '4.3.1', true);
        wp_enqueue_script('theia-sticky', GJ_PLUGIN_URL . 'assets/js/theia-sticky-sidebar.js', array('jquery'), $js_version, true);
        wp_enqueue_script('select2', GJ_PLUGIN_URL . 'assets/js/select2.full.min.js', array('jquery'), $js_version, true);
        wp_enqueue_script('owl-carousel', GJ_PLUGIN_URL . 'assets/js/owl.carousel.min.js', array('jquery'), $js_version, true);
        wp_register_script('jquery-single-page-nav', GJ_PLUGIN_URL . 'assets/js/jquery.singlePageNav.js', array('jquery'), $js_version, true);

        if(is_single() && get_post_type() == 'gj_candidate'){
            wp_enqueue_script('jquery-single-page-nav');
        }

        // Js short code form seach jobs
        wp_register_script('form-search-jobs', GJ_PLUGIN_URL . 'assets/js/form-search-jobs.js', array('jquery'), $js_version, true );

        $fields = GJ_Fields::instance();
        $fields->registerScripts();
        $fields->enqueueScripts();

        wp_enqueue_script('gj', GJ_PLUGIN_URL . 'assets/js/script.js', array('jquery'), $js_version, true);
        $user_captchas = gj_option('use_recaptcha');
        if($user_captchas){
            $user_captchas = array_flip($user_captchas);
            foreach ($user_captchas as $key => $user_captcha) {
                $user_captchas[$key] = 1;
            }     
        }

        $localize_arr = array(
            'site_url' => admin_url(),
            'base_url' => site_url(),
            'ajax_url' => admin_url('admin-ajax.php'),
            'security' => wp_create_nonce( "gj-security" ),
            'query_vars' => json_encode( $wp_query->query ),
            'map_styles' => stripslashes(gj_option('map_styles')),
            //allways send if user not logged in . avoid cache page
            'total_email_queue' => (is_user_logged_in() || !defined( 'WP_CACHE' ) || !WP_CACHE) ? GJ_Email_Queue::count_emails() : 1,
            'lang' => (defined('ICL_LANGUAGE_CODE') ? ICL_LANGUAGE_CODE : ''),
            'use_recaptcha'=> $user_captchas,
            'recaptcha_site_key'=> gj_option('google_recaptcha_site_key'),
            'rest_url' => rest_url(),
            'COOKIEPATH' => COOKIEPATH,
        );

        if(is_user_logged_in()){
            $localize_arr['restnonce'] = wp_create_nonce( "wp_rest" );
        }

        wp_localize_script('gj', 'gj', $localize_arr);

        if($post && $post->ID == gj_get_page_id('dashboard')){
            wp_enqueue_script('gj-dashboard', GJ_PLUGIN_URL . 'assets/js/dashboard.js', array('jquery'), $js_version, true);
        }
        
        if(gj_option('use_recaptcha', array())) {
            wp_enqueue_script('recaptcha', 'https://www.google.com/recaptcha/api.js?render='.gj_option('google_recaptcha_site_key'), array(), $js_version, true);
        }
        wp_enqueue_script('gj-filter', GJ_PLUGIN_URL . 'assets/js/filter.js', array('jquery'), $js_version, true);
        wp_enqueue_script('jquery-fancybox', GJ_PLUGIN_URL . 'assets/fancybox/jquery.fancybox.js', array('jquery'), $js_version, true);

        wp_register_style('jquery-fancybox', GJ_PLUGIN_URL . 'assets/fancybox/jquery.fancybox.css', array(), $js_version);
        wp_enqueue_style('font-linearicons', GJ_PLUGIN_URL . 'assets/fonts/linearicons/style.css', array(), $js_version);
        wp_enqueue_style('font-gj', GJ_PLUGIN_URL . 'assets/fonts/font-gj/css/fontello.css', array(), $js_version);
        wp_register_style('range-slide-css', GJ_PLUGIN_URL . 'assets/css/asRange.min.css', array(), $js_version);
        wp_register_style('growl', GJ_PLUGIN_URL . 'assets/css/jquery.growl.css', array(), $js_version);
        wp_enqueue_style( 'select2', GJ_PLUGIN_URL . 'assets/css/select2.css', array(), $js_version);
        wp_enqueue_style( 'owl-carousel', GJ_PLUGIN_URL . 'assets/css/owl.carousel.min.css', array(), $js_version);

        wp_enqueue_script('growl');
        wp_enqueue_style('growl');

       //Twenty-Nineteen CSS Override
       if ((wp_get_theme()->get( 'Name' )) == 'Twenty Nineteen'){
           wp_enqueue_style('gj-twenty-nineteen', GJ_PLUGIN_URL . 'assets/css/twenty-nineteen.css');
       }elseif ((wp_get_theme()->get( 'Name' )) == 'Twenty Seventeen'){
           wp_enqueue_style('gj-twenty-seventeen', GJ_PLUGIN_URL . 'assets/css/twenty-seventeen.css');
       }elseif ((wp_get_theme()->get( 'Name' )) == 'Twenty Sixteen'){
           wp_enqueue_style('gj-twenty-sixteen', GJ_PLUGIN_URL . 'assets/css/twenty-sixteen.css');
       }

        wp_enqueue_style('gj', GJ_PLUGIN_URL . 'assets/css/style.css');

        if(is_rtl()){
	        wp_enqueue_style('gj-rtl', GJ_PLUGIN_URL . 'assets/css/rtl.css');
        }

        // Check short code get css and js
       if ( ! empty( $post ) && is_a( $post, 'WP_Post' ) ) :

           $gjob_content = $post->post_content;

           if ( has_shortcode( $gjob_content, 'gj_job_form_search' ) || has_shortcode( $gjob_content, 'gj_candidate_form_search' ) || has_shortcode( $gjob_content, 'gj_employer_form_search' ) ) :
                wp_enqueue_script('google-maps');
                wp_enqueue_script('form-search-jobs');

           endif;

       endif;

    }

    static function print_footer_scripts()
    {
        if (isset($_COOKIE['gj-flash-message']) && $_COOKIE['gj-flash-message']){
            ?>
            <script type="text/javascript" id="gj-flash-message">
                function getCookie(cname) {
                    var name = cname + "=";
                    var ca = document.cookie.split(';');
                    for (var i = 0; i < ca.length; i++) {
                        var c = ca[i];
                        while (c.charAt(0) == ' ') {
                            c = c.substring(1);
                        }
                        if (c.indexOf(name) == 0) {
                            return c.substring(name.length, c.length);
                        }
                    }
                    return "";
                }

                var gj_flash_message = getCookie('gj-flash-message');
                if (gj_flash_message) {
                    gj_flash_message = decodeURIComponent(gj_flash_message.replace(/\+/g, ' '));
                    gj_flash_message = JSON.parse(gj_flash_message);
                    if (gj_flash_message.style) {
                        jQuery.growl(gj_flash_message);
                    }

                    var d = new Date();
                    document.cookie = 'gj-flash-message' + '=;expires=' + d.toUTCString() + ';path=<?php echo COOKIEPATH; ?>';
                }

            </script>
            <?php
        }
    }

    static function wp_title($title){

        if ( is_feed() ) {
            return $title;
        }

        global $post;

        if($post && $post->ID == gj_get_page_id('dashboard')){
            $endpoint = gj_current_dashboard_endpoint();
            $dashboard_pages = gj_dashboard_pages();
            $curent_page = isset($dashboard_pages[$endpoint]) ? $dashboard_pages[$endpoint] : null;
            if($curent_page){
               $title['title'] = $curent_page['title'];
            }
        }
        return $title;
    }

    static function print_templates(){
        if(!is_user_logged_in()){
            gj_get_template_part('login-popup');
            gj_get_template_part('register-popup');
        }
        $employers_page_id = gj_get_page_id('employers');
        $candidates_page_id = gj_get_page_id('candidates');
        $jobs_page_id = gj_get_page_id('jobs');
        if (is_archive() || get_the_ID() == $employers_page_id || get_the_ID() == $candidates_page_id || get_the_ID() == $jobs_page_id) {
            gj_get_template_part('widgets/modal-filter');
        }

        global $post;
        if(!$post || $post && $post->ID != gj_get_page_id('dashboard')){
            gj_get_template_part('job-alert-popup/form');
        }
    }

    public static function exclude_order_comments( $clauses ) {
        global $wpdb, $typenow;

        if ( is_admin() && $typenow == 'gj_order' && current_user_can( 'manage_woocommerce' ) ) {
            return $clauses; // Don't hide when viewing orders in admin
        }

        if ( ! $clauses['join'] ) {
            $clauses['join'] = '';
        }

        if ( ! stristr( $clauses['join'], "JOIN $wpdb->posts ON" ) ) {
            $clauses['join'] .= " LEFT JOIN $wpdb->posts ON comment_post_ID = $wpdb->posts.ID ";
        }

        if ( $clauses['where'] ) {
            $clauses['where'] .= ' AND ';
        }

        $clauses['where'] .= " $wpdb->posts.post_type NOT IN ('gj_order') ";

        return $clauses;
    }

    /**
     * Exclude order comments from queries and RSS.
     * @param  string $join
     * @return string
     */
    public static function exclude_order_comments_from_feed_join( $join ) {
        global $wpdb;

        if ( ! stristr( $join, "JOIN $wpdb->posts ON" ) ) {
            $join = " LEFT JOIN $wpdb->posts ON $wpdb->comments.comment_post_ID = $wpdb->posts.ID ";
        }

        return $join;
    }

    /**
     * Exclude order comments from queries and RSS.
     * @param  string $where
     * @return string
     */
    public static function exclude_order_comments_from_feed_where( $where ) {
        global $wpdb;

        if ( $where ) {
            $where .= ' AND ';
        }

        $where .= " $wpdb->posts.post_type NOT IN ('gj_order') ";

        return $where;
    }

    /* add body class: support white color and boxed layout */
    static function body_class($classes){

        if(is_page()){
            $setting_pages = array(
                'login' => esc_html__('Login Page', 'gj'),
                'register' => esc_html__('Register Page', 'gj'),
                'lostpass' => esc_html__('Lost Password Page', 'gj'),
                'dashboard' => esc_html__('Dashboard Page', 'gj'),
                'jobs' => esc_html__('Jobs Page', 'gj'),
                'candidates' => esc_html__('Candidates Page', 'gj'),
                'employers' => esc_html__('Employers Page', 'gj'),
	            'suggest_job' => esc_html__('Job Suggestion Page', 'gj'),
	            'candidate_suggestion' => esc_attr__('Candidate Suggestion Page', 'gj'),
            );
            foreach ($setting_pages as $page_id => $title){
                if(gj_get_page_id($page_id) == get_the_ID()){
                    $classes[] = 'gj-'.$page_id.'-page';
                }
            }
        }

        if(is_tax(gj_get_job_taxonomies())){
            $classes[] = 'gj-job-taxonomy-page';
        }

        if(defined('ICL_LANGUAGE_CODE')){
            $classes[] = 'language-'.ICL_LANGUAGE_CODE;
        }

        return $classes;
    }

    static function add_feeds(){
        add_feed('job_feed', array(__CLASS__, 'job_feed_fn'));
        add_feed('employer_feed', array(__CLASS__, 'employer_feed_fn'));
        add_feed('candidate_feed', array(__CLASS__, 'candidate_feed_fn'));
    }

    static function job_feed_fn(){
        gj_get_template_part('feed/job_feed');
    }
    static function employer_feed_fn(){
        gj_get_template_part('feed/employer_feed');
    }
    static function candidate_feed_fn(){
        gj_get_template_part('feed/candidate_feed');
    }
}

GJ_Front::init();