<?php

/**
 * Help functions for plugins
 * @author InwaveThemes
 */

/**
 * Get option value
 *
 * @param string $key
 * @param string $default
 * @return mixed|string
 */
function gj_option($key = '', $default = '') {
    $options = get_option('gj_settings');
    if ($key) {
        if (!isset($options[$key]) || $options[$key] === '') {
            return $default;
        } else {
            return $options[$key];
        }
    } else {
        return $options;
    }
}

/**
 * @return array
 */
function gj_countries_list() {
    $Countries = array(
        'US' => esc_html__('United States', 'gj'),
        'CA' => esc_html__('Canada', 'gj'),
        'AU' => esc_html__('Australia', 'gj'),
        'FR' => esc_html__('France', 'gj'),
        'DE' => esc_html__('Germany', 'gj'),
        'IS' => esc_html__('Iceland', 'gj'),
        'IE' => esc_html__('Ireland', 'gj'),
        'IT' => esc_html__('Italy', 'gj'),
        'ES' => esc_html__('Spain', 'gj'),
        'SE' => esc_html__('Sweden', 'gj'),
        'AT' => esc_html__('Austria', 'gj'),
        'BE' => esc_html__('Belgium', 'gj'),
        'FI' => esc_html__('Finland', 'gj'),
        'CZ' => esc_html__('Czech Republic', 'gj'),
        'DK' => esc_html__('Denmark', 'gj'),
        'NO' => esc_html__('Norway', 'gj'),
        'GB' => esc_html__('United Kingdom', 'gj'),
        'CH' => esc_html__('Switzerland', 'gj'),
        'NZ' => esc_html__('New Zealand', 'gj'),
        'RU' => esc_html__('Russian Federation', 'gj'),
        'PT' => esc_html__('Portugal', 'gj'),
        'NL' => esc_html__('Netherlands', 'gj'),
        'IM' => esc_html__('Isle of Man', 'gj'),
        'AF' => esc_html__('Afghanistan', 'gj'),
        'AX' => esc_html__('Aland Islands ', 'gj'),
        'AL' => esc_html__('Albania', 'gj'),
        'DZ' => esc_html__('Algeria', 'gj'),
        'AS' => esc_html__('American Samoa', 'gj'),
        'AD' => esc_html__('Andorra', 'gj'),
        'AO' => esc_html__('Angola', 'gj'),
        'AI' => esc_html__('Anguilla', 'gj'),
        'AQ' => esc_html__('Antarctica', 'gj'),
        'AG' => esc_html__('Antigua and Barbuda', 'gj'),
        'AR' => esc_html__('Argentina', 'gj'),
        'AM' => esc_html__('Armenia', 'gj'),
        'AW' => esc_html__('Aruba', 'gj'),
        'AZ' => esc_html__('Azerbaijan', 'gj'),
        'BS' => esc_html__('Bahamas', 'gj'),
        'BH' => esc_html__('Bahrain', 'gj'),
        'BD' => esc_html__('Bangladesh', 'gj'),
        'BB' => esc_html__('Barbados', 'gj'),
        'BY' => esc_html__('Belarus', 'gj'),
        'BZ' => esc_html__('Belize', 'gj'),
        'BJ' => esc_html__('Benin', 'gj'),
        'BM' => esc_html__('Bermuda', 'gj'),
        'BT' => esc_html__('Bhutan', 'gj'),
        'BO' => esc_html__('Bolivia, Plurinational State of', 'gj'),
        'BQ' => esc_html__('Bonaire, Sint Eustatius and Saba', 'gj'),
        'BA' => esc_html__('Bosnia and Herzegovina', 'gj'),
        'BW' => esc_html__('Botswana', 'gj'),
        'BV' => esc_html__('Bouvet Island', 'gj'),
        'BR' => esc_html__('Brazil', 'gj'),
        'IO' => esc_html__('British Indian Ocean Territory', 'gj'),
        'BN' => esc_html__('Brunei Darussalam', 'gj'),
        'BG' => esc_html__('Bulgaria', 'gj'),
        'BF' => esc_html__('Burkina Faso', 'gj'),
        'BI' => esc_html__('Burundi', 'gj'),
        'KH' => esc_html__('Cambodia', 'gj'),
        'CM' => esc_html__('Cameroon', 'gj'),
        'CV' => esc_html__('Cape Verde', 'gj'),
        'KY' => esc_html__('Cayman Islands', 'gj'),
        'CF' => esc_html__('Central African Republic', 'gj'),
        'TD' => esc_html__('Chad', 'gj'),
        'CL' => esc_html__('Chile', 'gj'),
        'CN' => esc_html__('China', 'gj'),
        'CX' => esc_html__('Christmas Island', 'gj'),
        'CC' => esc_html__('Cocos (Keeling) Islands', 'gj'),
        'CO' => esc_html__('Colombia', 'gj'),
        'KM' => esc_html__('Comoros', 'gj'),
        'CG' => esc_html__('Congo', 'gj'),
        'CD' => esc_html__('Congo, the Democratic Republic of the', 'gj'),
        'CK' => esc_html__('Cook Islands', 'gj'),
        'CR' => esc_html__('Costa Rica', 'gj'),
        'CI' => esc_html__('Cote d\'Ivoire', 'gj'),
        'HR' => esc_html__('Croatia', 'gj'),
        'CU' => esc_html__('Cuba', 'gj'),
        'CW' => esc_html__('Curaçao', 'gj'),
        'CY' => esc_html__('Cyprus', 'gj'),
        'DJ' => esc_html__('Djibouti', 'gj'),
        'DM' => esc_html__('Dominica', 'gj'),
        'DO' => esc_html__('Dominican Republic', 'gj'),
        'EC' => esc_html__('Ecuador', 'gj'),
        'EG' => esc_html__('Egypt', 'gj'),
        'SV' => esc_html__('El Salvador', 'gj'),
        'GQ' => esc_html__('Equatorial Guinea', 'gj'),
        'ER' => esc_html__('Eritrea', 'gj'),
        'EE' => esc_html__('Estonia', 'gj'),
        'ET' => esc_html__('Ethiopia', 'gj'),
        'FK' => esc_html__('Falkland Islands (Malvinas)', 'gj'),
        'FO' => esc_html__('Faroe Islands', 'gj'),
        'FJ' => esc_html__('Fiji', 'gj'),
        'GF' => esc_html__('French Guiana', 'gj'),
        'PF' => esc_html__('French Polynesia', 'gj'),
        'TF' => esc_html__('French Southern Territories', 'gj'),
        'GA' => esc_html__('Gabon', 'gj'),
        'GM' => esc_html__('Gambia', 'gj'),
        'GE' => esc_html__('Georgia', 'gj'),
        'GH' => esc_html__('Ghana', 'gj'),
        'GI' => esc_html__('Gibraltar', 'gj'),
        'GR' => esc_html__('Greece', 'gj'),
        'GL' => esc_html__('Greenland', 'gj'),
        'GD' => esc_html__('Grenada', 'gj'),
        'GP' => esc_html__('Guadeloupe', 'gj'),
        'GU' => esc_html__('Guam', 'gj'),
        'GT' => esc_html__('Guatemala', 'gj'),
        'GG' => esc_html__('Guernsey', 'gj'),
        'GN' => esc_html__('Guinea', 'gj'),
        'GW' => esc_html__('Guinea-Bissau', 'gj'),
        'GY' => esc_html__('Guyana', 'gj'),
        'HT' => esc_html__('Haiti', 'gj'),
        'HM' => esc_html__('Heard Island and McDonald Islands', 'gj'),
        'VA' => esc_html__('Holy See (Vatican City State)', 'gj'),
        'HN' => esc_html__('Honduras', 'gj'),
        'HK' => esc_html__('Hong Kong', 'gj'),
        'HU' => esc_html__('Hungary', 'gj'),
        'IN' => esc_html__('India', 'gj'),
        'ID' => esc_html__('Indonesia', 'gj'),
        'IR' => esc_html__('Iran, Islamic Republic of', 'gj'),
        'IQ' => esc_html__('Iraq', 'gj'),
        'IL' => esc_html__('Israel', 'gj'),
        'JM' => esc_html__('Jamaica', 'gj'),
        'JP' => esc_html__('Japan', 'gj'),
        'JE' => esc_html__('Jersey', 'gj'),
        'JO' => esc_html__('Jordan', 'gj'),
        'KZ' => esc_html__('Kazakhstan', 'gj'),
        'KE' => esc_html__('Kenya', 'gj'),
        'KI' => esc_html__('Kiribati', 'gj'),
        'KP' => esc_html__('Korea, Democratic People\'s Republic of', 'gj'),
        'KR' => esc_html__('Korea, Republic of', 'gj'),
        'KV' => esc_html__('kosovo', 'gj'),
        'KW' => esc_html__('Kuwait', 'gj'),
        'KG' => esc_html__('Kyrgyzstan', 'gj'),
        'LA' => esc_html__('Lao People\'s Democratic Republic', 'gj'),
        'LV' => esc_html__('Latvia', 'gj'),
        'LB' => esc_html__('Lebanon', 'gj'),
        'LS' => esc_html__('Lesotho', 'gj'),
        'LR' => esc_html__('Liberia', 'gj'),
        'LY' => esc_html__('Libyan Arab Jamahiriya', 'gj'),
        'LI' => esc_html__('Liechtenstein', 'gj'),
        'LT' => esc_html__('Lithuania', 'gj'),
        'LU' => esc_html__('Luxembourg', 'gj'),
        'MO' => esc_html__('Macao', 'gj'),
        'MK' => esc_html__('Macedonia', 'gj'),
        'MG' => esc_html__('Madagascar', 'gj'),
        'MW' => esc_html__('Malawi', 'gj'),
        'MY' => esc_html__('Malaysia', 'gj'),
        'MV' => esc_html__('Maldives', 'gj'),
        'ML' => esc_html__('Mali', 'gj'),
        'MT' => esc_html__('Malta', 'gj'),
        'MH' => esc_html__('Marshall Islands', 'gj'),
        'MQ' => esc_html__('Martinique', 'gj'),
        'MR' => esc_html__('Mauritania', 'gj'),
        'MU' => esc_html__('Mauritius', 'gj'),
        'YT' => esc_html__('Mayotte', 'gj'),
        'MX' => esc_html__('Mexico', 'gj'),
        'FM' => esc_html__('Micronesia, Federated States of', 'gj'),
        'MD' => esc_html__('Moldova, Republic of', 'gj'),
        'MC' => esc_html__('Monaco', 'gj'),
        'MN' => esc_html__('Mongolia', 'gj'),
        'ME' => esc_html__('Montenegro', 'gj'),
        'MS' => esc_html__('Montserrat', 'gj'),
        'MA' => esc_html__('Morocco', 'gj'),
        'MZ' => esc_html__('Mozambique', 'gj'),
        'MM' => esc_html__('Myanmar', 'gj'),
        'NA' => esc_html__('Namibia', 'gj'),
        'NR' => esc_html__('Nauru', 'gj'),
        'NP' => esc_html__('Nepal', 'gj'),
        'NC' => esc_html__('New Caledonia', 'gj'),
        'NI' => esc_html__('Nicaragua', 'gj'),
        'NE' => esc_html__('Niger', 'gj'),
        'NG' => esc_html__('Nigeria', 'gj'),
        'NU' => esc_html__('Niue', 'gj'),
        'NF' => esc_html__('Norfolk Island', 'gj'),
        'MP' => esc_html__('Northern Mariana Islands', 'gj'),
        'OM' => esc_html__('Oman', 'gj'),
        'PK' => esc_html__('Pakistan', 'gj'),
        'PW' => esc_html__('Palau', 'gj'),
        'PS' => esc_html__('Palestinian Territory, Occupied', 'gj'),
        'PA' => esc_html__('Panama', 'gj'),
        'PG' => esc_html__('Papua New Guinea', 'gj'),
        'PY' => esc_html__('Paraguay', 'gj'),
        'PE' => esc_html__('Peru', 'gj'),
        'PH' => esc_html__('Philippines', 'gj'),
        'PN' => esc_html__('Pitcairn', 'gj'),
        'PL' => esc_html__('Poland', 'gj'),
        'PR' => esc_html__('Puerto Rico', 'gj'),
        'QA' => esc_html__('Qatar', 'gj'),
        'RE' => esc_html__('Reunion', 'gj'),
        'RO' => esc_html__('Romania', 'gj'),
        'RW' => esc_html__('Rwanda', 'gj'),
        'BL' => esc_html__('Saint Barthélemy', 'gj'),
        'SH' => esc_html__('Saint Helena', 'gj'),
        'KN' => esc_html__('Saint Kitts and Nevis', 'gj'),
        'LC' => esc_html__('Saint Lucia', 'gj'),
        'MF' => esc_html__('Saint Martin (French part)', 'gj'),
        'PM' => esc_html__('Saint Pierre and Miquelon', 'gj'),
        'VC' => esc_html__('Saint Vincent and the Grenadines', 'gj'),
        'WS' => esc_html__('Samoa', 'gj'),
        'SM' => esc_html__('San Marino', 'gj'),
        'ST' => esc_html__('Sao Tome and Principe', 'gj'),
        'SA' => esc_html__('Saudi Arabia', 'gj'),
        'SN' => esc_html__('Senegal', 'gj'),
        'RS' => esc_html__('Serbia', 'gj'),
        'SC' => esc_html__('Seychelles', 'gj'),
        'SL' => esc_html__('Sierra Leone', 'gj'),
        'SG' => esc_html__('Singapore', 'gj'),
        'SX' => esc_html__('Sint Maarten (Dutch part)', 'gj'),
        'SK' => esc_html__('Slovakia', 'gj'),
        'SI' => esc_html__('Slovenia', 'gj'),
        'SB' => esc_html__('Solomon Islands', 'gj'),
        'SO' => esc_html__('Somalia', 'gj'),
        'ZA' => esc_html__('South Africa', 'gj'),
        'GS' => esc_html__('South Georgia and the South Sandwich Islands', 'gj'),
        'LK' => esc_html__('Sri Lanka', 'gj'),
        'SD' => esc_html__('Sudan', 'gj'),
        'SR' => esc_html__('Suriname', 'gj'),
        'SJ' => esc_html__('Svalbard and Jan Mayen', 'gj'),
        'SZ' => esc_html__('Swaziland', 'gj'),
        'SY' => esc_html__('Syrian Arab Republic', 'gj'),
        'TW' => esc_html__('Taiwan, Province of China', 'gj'),
        'TJ' => esc_html__('Tajikistan', 'gj'),
        'TZ' => esc_html__('Tanzania, United Republic of', 'gj'),
        'TH' => esc_html__('Thailand', 'gj'),
        'TL' => esc_html__('Timor-Leste', 'gj'),
        'TG' => esc_html__('Togo', 'gj'),
        'TK' => esc_html__('Tokelau', 'gj'),
        'TO' => esc_html__('Tonga', 'gj'),
        'TT' => esc_html__('Trinidad and Tobago', 'gj'),
        'TN' => esc_html__('Tunisia', 'gj'),
        'TR' => esc_html__('Turkey', 'gj'),
        'TM' => esc_html__('Turkmenistan', 'gj'),
        'TC' => esc_html__('Turks and Caicos Islands', 'gj'),
        'TV' => esc_html__('Tuvalu', 'gj'),
        'UG' => esc_html__('Uganda', 'gj'),
        'UA' => esc_html__('Ukraine', 'gj'),
        'AE' => esc_html__('United Arab Emirates', 'gj'),
        'UM' => esc_html__('United States Minor Outlying Islands', 'gj'),
        'UY' => esc_html__('Uruguay', 'gj'),
        'UZ' => esc_html__('Uzbekistan', 'gj'),
        'VU' => esc_html__('Vanuatu', 'gj'),
        'VE' => esc_html__('Venezuela, Bolivarian Republic of', 'gj'),
        'VN' => esc_html__('Viet Nam', 'gj'),
        'VG' => esc_html__('Virgin Islands, British', 'gj'),
        'VI' => esc_html__('Virgin Islands, U.S.', 'gj'),
        'WF' => esc_html__('Wallis and Futuna', 'gj'),
        'EH' => esc_html__('Western Sahara', 'gj'),
        'YE' => esc_html__('Yemen', 'gj'),
        'ZM' => esc_html__('Zambia', 'gj'),
        'ZW' => esc_html__('Zimbabwe', 'gj')
    );
    //return $Countries;
	return apply_filters( 'gj_countries_list', $Countries );
}

/**
 * @return array
 */
function gj_countries_options() {
    $options = array();
    $countries = gj_countries_list();
    foreach ($countries as $key => $value) {
        $country = new stdClass();
        $country->code = $key;
        $country->name = $value;
        $options[] = $country;
    }

    return $options;
}

/**
 * @param string $country
 * @return array|mixed|string
 */
function gj_get_country_titles($country = '') {
    if (!$country) {
        return array_values(gj_countries_list());
    }

    if (is_array($country)) {
        $titles = array();
        $countries_arr = gj_countries_list();
        foreach ($country as $_country) {
            if (isset($countries_arr[$_country])) {
                $titles[$_country] = $countries_arr[$_country];
            } else {
                $titles[$_country] = $_country;
            }
        }

        return $titles;
    } else {
        $countries_arr = gj_countries_list();
        if (isset($countries_arr[$country])) {
            return $countries_arr[$country];
        } else {
            return $country;
        }
    }
}

/**
 * @param string $country
 * @return array|mixed|string
 */
function gj_get_country_keys($country = '') {
    if (!$country) {
        return array_keys(gj_countries_list());
    }

    if (is_array($country)) {
        $keys = array();
        $countries_arr = gj_countries_list();
        foreach ($country as $_key => $_country) {
            if (isset($countries_arr[$_key])) {
                $keys[$_key] = $countries_arr[$_key];
            } else {
                $keys[$_key] = $_key;
            }
        }

        return $keys;
    } else {
        $countries_arr = gj_countries_list();
        if (isset($countries_arr[$country])) {
            return $countries_arr[$country];
        } else {
            return $country;
        }
    }
}

/**
 * @param $slug
 * @param array $_args
 * @param bool $return
 * @return false|string|null
 */
function gj_get_template_part($slug, $_args = array(), $return = false, $extract=true) {
    $template = '';

    // Look in yourtheme/slug-name.php and yourtheme/indirectory/slug-name.php
    if ($slug) {
        $template = locate_template(array("{$slug}.php", GJ()->template_path() . "{$slug}.php"));
    }
    // Get default slug-name.php
    if (!$template && file_exists(GJ()->plugin_path() . "/templates/{$slug}.php")) {
        $template = GJ()->plugin_path() . "/templates/{$slug}.php";
    }

    // Allow 3rd party plugins to filter template file from their plugin.
    $template = apply_filters('gj_get_template_part', $template, $slug, $_args);

    if ($return) {
        $content = null;
        if ($template) {
            ob_start();
            gj_load_template($template, $_args, false, $extract);
            $content = ob_get_contents();
            ob_end_clean();
        }

        return $content;
    } else {
        if ($template) {
            gj_load_template($template, $_args, false, $extract);
        }
    }
}

/**
 * @param string $_template_file
 * @param array $_args
 * @param bool $require_once
 */
function gj_load_template($_template_file, $_args = array(), $require_once = true, $extract=true) {
    if ($_args && $extract) {
        extract($_args, EXTR_SKIP);
    }else{
        $args = $_args;
    }
    if ($require_once) {
        require_once( $_template_file );
    } else {
        require( $_template_file );
    }
}

/**
 * @param string $page
 * @return int|mixed|string
 */
function gj_get_page_id($page) {

    $pageValue = gj_option($page . '_page_id');
    $pageID = $pageValue ? absint($pageValue['ID']) : 0;

    /* if ($page && function_exists('wpml_object_id_filter')) {
      $page = wpml_object_id_filter($page, 'page', true);
      } */

    $pageID = apply_filters('gj_page_id', $pageID, $page);

    return $pageID;
}

/**
 * @param string $page
 * @return false|string|void
 */
function gj_get_page_permalink($page) {
    $page_id = gj_get_page_id($page);
    $permalink = $page_id ? get_permalink($page_id) : home_url('/');
    return $permalink;
}

/**
 * @return array
 */
function gj_dashboard_endpoints() {

    $endpoints = array(
        'overview' => _x('overview', 'dashboard endpoint', 'gj'),
        'profile' => _x('profile', 'dashboard endpoint', 'gj'),
        'jobs' => _x('jobs', 'dashboard endpoint', 'gj'),
        'job' => _x('job', 'dashboard endpoint', 'gj'),
        'renew-job' => _x('renew-job', 'dashboard endpoint', 'gj'),
        'saved-jobs' => _x('saved-jobs', 'dashboard endpoint', 'gj'),
        'make-featured' => _x('make-featured', 'dashboard endpoint', 'gj'),
        'edit-review' => _x('edit-review', 'dashboard endpoint', 'gj'),
        'orders' => _x('orders', 'dashboard endpoint', 'gj'),
        'pay-order' => _x('pay-order', 'dashboard endpoint', 'gj'),
        'new-package' => _x('new-package', 'dashboard endpoint', 'gj'),
        'applications' => _x('applications', 'dashboard endpoint', 'gj'),
        'view-application' => _x('view-application', 'dashboard endpoint', 'gj'),
        'resume-packages' => _x('resume-packages', 'dashboard endpoint', 'gj'),
        'new-resume-package' => _x('new-resume-package', 'dashboard endpoint', 'gj'),
        'new-apply-job-package' => _x('new-apply-job-package', 'dashboard endpoint', 'gj'),
        'packages' => _x('packages', 'dashboard endpoint', 'gj'),
        'thankyou' => _x('thankyou', 'dashboard endpoint', 'gj')
    );

    return apply_filters('gj_dashboard_endpoints', $endpoints);
}

/**
 * @param string $default
 * @return int|string
 */
function gj_current_dashboard_endpoint($default = 'overview') {
    global $wp_query;
    $endpoint = isset($wp_query->query_vars['endpoint']) ? $wp_query->query_vars['endpoint'] : '';
    if ($endpoint) {
        $endpoints = gj_dashboard_endpoints();
        foreach ($endpoints as $key => $point) {
            if ($point == $endpoint) {
                return $key;
            }
        }

        return $endpoint;
    }

    return $default;
}

/**
 * @param string $endpoint
 * @param null $postID
 * @return string
 */
function gj_dashboard_endpoint_url($endpoint, $postID = null) {
    $dashboard_url = gj_get_page_permalink('dashboard');
    $permalink = get_option('permalink_structure');
    if (substr($permalink, -12) === '/%postname%/') {
        $url = $dashboard_url . $endpoint;
        if ($postID) {
            $url .= '/' . $postID;
        }
    } else {
        $args = array(
            'endpoint' => $endpoint
        );
        if ($postID) {
            $args['postID'] = $postID;
        }

        $url = add_query_arg($args, $dashboard_url);
    }

    return $url;
}

/**
 * @param string $message
 * @param string $type
 * @param bool $dismissable
 * @return false|string
 */
function gj_get_alert($message, $type, $dismissable = false) {
    ob_start();
    gj_get_template_part('parts/alert', array(
        'type' => $type,
        'dismissable' => $dismissable,
        'message' => $message
    ));
    $content = ob_get_clean();

    return $content;
}

/**
 * Get full list of currency codes.
 *
 * @return array
 */
function gj_get_currencies() {
    $currencies = GJ_Currency::getAllCurrencies();
    $currency_options = array();
    foreach ($currencies as $key => $currency) {
        $currency_options[$key] = $currency['title'];
    }

    return $currency_options;
}

/**
 * Get full list of currency options.
 *
 * @return array
 */
function gj_currency_options() {
    $currencies = GJ_Currency::getAllCurrencies();
    $currency_options = array();
    foreach ($currencies as $key => $currency) {
        $currency_options[] = array(
            "id" => $currency['code'],
            "name" => $currency['title'],
        );
    }

    return $currency_options;
}

/**
 * @return mixed|string
 */
function gj_get_desc_job() {
    $default_job_content = '<h4>Overview</h4>
            <blockquote>Lorem ipsum dolor sit amet consectetur adipiscing, elit vehicula semper velit vestibulum felis purus, gravida rhoncus vulputate aliquet cras. Conubia libero morbi tristique rutrum elementum dapibus per cras volutpat, semper consequat nisl aenean urna ultricies tincidunt etiam senectus. Rhoncus blandit neque vivamus nullam sodales maecenas felis faucibus, lectus suspendisse vitae donec hendrerit montes ultrices fames, penatibus est pulvinar sagittis proin phareultrices fringilla.</blockquote>

            <hr />

            <h4>What You Will Do</h4>
            <ol>
                <li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>
                <li>Auctor class pellentesque augue dignissim venenatis, turpis vestibulum lacinia dignissim venenatis.</li>
                <li>Mus arcu euismod ad hac dui, vivamus platea netus.</li>
                <li>Neque per nisl posuere sagittis, id platea dui.</li>
                <li>A enim magnis dapibus, nullam odio porta, nisl class.</li>
                <li>Turpis leo pellentesque per nam, nostra fringilla id.</li>
            </ol>   

            <hr />

            <h4>What we can offer you</h4>
            <ul>
                <li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>
                <li>Mus arcu euismod ad hac dui, vivamus platea netus.</li>
                <li>Neque per nisl posuere sagittis, id platea dui.</li>
                <li>A enim magnis dapibus, nullam odio porta, nisl class.</li>
                <li>Turpis leo pellentesque per nam, nostra fringilla id.</li>
            </ul>';
    $job_content = gj_option('default_job_content');

    if (!$job_content) {
        $job_content = $default_job_content;
    }

    return $job_content;
}

/**
 * @return mixed|string
 */
function gj_get_currency() {
    return gj_option('currency', 'USD');
}

/**
 * @param $amount
 * @param string $currency
 * @return string
 */
function gj_price($amount, $currency = '') {
    if (!$currency) {
        $currency = gj_get_currency();
    }
    $price = new GJ_Price($amount, $currency);
    return $price->format();
}

/**
 * @return mixed|string
 */
function gj_get_system_currency() {
    return gj_option('system_currency', 'USD');
}

/**
 * @param float $amount
 * @param string $currency
 * @param bool $free_is_0
 * @return string|void
 */
function gj_system_price($amount, $currency = '', $free_is_0 = false) {
    if (!$currency) {
        $currency = gj_get_system_currency();
    }

    if ($free_is_0 && (float) $amount == 0) {
        return esc_html__('free', 'gj');
    }
    $price = new GJ_Price($amount, $currency);
    return $price->format();
}

/**
 * @param float $price
 * @return bool|float|int
 */
function gj_get_tax_price($price) {
    $tax_price = false;
    if (gj_option('tax_used')) {
        $tax_value = gj_option('tax_value');
        if ($tax_value < 0) {
            $tax_value = 0;
        }
        $tax_price = $price / 100 * $tax_value;
    }

    return $tax_price;
}

/**
 * @return int
 */
function gj_get_job_expiry() {
    $expiry = gj_option('job_expiry');
    $unit = gj_option('job_expiry_unit');
    $seconds = 0;
    switch ($unit) {
        case 'day':
            $seconds = $expiry * 60 * 60 * 24 + current_time('timestamp');
            break;
        case 'week':
            $seconds = $expiry * 60 * 60 * 24 * 7 + current_time('timestamp');
            break;
        case 'month':
            $seconds = strtotime('+' . $expiry . ' month', current_time('timestamp'));
            break;
        case 'year':
            $seconds = strtotime('+' . $expiry . ' year', current_time('timestamp'));
            break;
    }

    return $seconds;
}

/**
 * @return string
 */
function gj_order_list_jobs() {

    $order_list = array();
    $order_list[] = array('val' => 'date', 'name' => esc_html__('Date', 'gj'));
    $order_list[] = array('val' => 'salary', 'name' => esc_html__('Salary', 'gj'));
    $order_list[] = array('val' => 'name', 'name' => esc_html__('Title', 'gj'));

    $html = '';
    $current_order = '';

    if (isset($_GET['order'])) {
        $current_order = sanitize_text_field($_GET['order']);
    }

    if (!$current_order) {
        $current_order = gj_option('sorting_jobs_default');
    }

    foreach ($order_list as $order_item) {
        $selected = ($current_order == $order_item['val']) ? 'selected' : '';
        $html .= ' <option value="' . $order_item['val'] . '"  ' . $selected . ' >' . $order_item['name'] . '</option>';
    }

    return $html;
}

/**
 * @return string
 */
function gj_order_list_candidates() {

    $order_list = array();
    $order_list[] = array('val' => 'date', 'name' => esc_html__('Date', 'gj'));
    $order_list[] = array('val' => 'name', 'name' => esc_html__('Name', 'gj'));

    $html = '';
    $current_order = '';

    if (isset($_GET['order'])) {
        $current_order = sanitize_text_field($_GET['order']);
    }

    if (!$current_order) {
        $current_order = gj_option('sorting_candidates_default');
    }

    foreach ($order_list as $order_item) {
        $selected = ($current_order == $order_item['val']) ? 'selected' : '';
        $html .= ' <option value="' . $order_item['val'] . '"  ' . $selected . ' >' . $order_item['name'] . '</option>';
    }


    return $html;
}

/**
 * @return string
 */
function gj_order_list_employers() {

    $order_list = array();
    $order_list[] = array('val' => 'date', 'name' => esc_html__('Date', 'gj'));
    $order_list[] = array('val' => 'name', 'name' => esc_html__('Name', 'gj'));

    $html = '';
    $current_order = '';

    if (isset($_GET['order'])) {
        $current_order = sanitize_text_field($_GET['order']);
    }

    if (!$current_order) {
        $current_order = gj_option('sorting_employers_default');
    }

    foreach ($order_list as $order_item) {
        $selected = ($current_order == $order_item['val']) ? 'selected' : '';
        $html .= ' <option value="' . $order_item['val'] . '"  ' . $selected . ' >' . $order_item['name'] . '</option>';
    }

    return $html;
}

/**
 * @param $var
 * @return array|string
 */
function gj_clean($var) {
    if (is_array($var)) {
        return array_map('gj_clean', $var);
    } else {
        return is_scalar($var) ? sanitize_text_field($var): $var;
        }
    }

/**
 * @param $var
 * @return array|string
 */
function gj_clean2($var) {
    if (is_array($var)) {
        return array_map('gj_clean2', $var);
    } else {
        //return is_scalar($var) ? sanitize_textarea_field($var): $var;
        return is_scalar($var) ? wp_kses_post($var) : $var;
    }
}

/**
 * @param array $filters
 * @param array $term_ids
 * @return array
 */
function gj_count_item_by_taxonomy($filters = array(), $term_ids = array()) {

    global $wpdb;
    $filters_def = array(
        'post_type' => 'gj_job',
        'keyword' => '',
        'radius' => '',
        'lat' => '',
        'lng' => '',
    );
    $filters = array_merge($filters_def, $filters);

    extract($filters);

    $sql_select = "SELECT ";
    $sql_select .= " t.term_id";
    $sql_select .= " ,COUNT(DISTINCT (p.ID)) AS total";

    $sql_select .= " FROM " . $wpdb->posts . " AS p";

    $sql_join = " JOIN " . $wpdb->term_relationships . " as tr ON p.ID = tr.object_id";
    $sql_join .= " JOIN " . $wpdb->terms . " as t ON t.term_id = tr.term_taxonomy_id";
    $sql_join .= " JOIN " . $wpdb->term_taxonomy . " AS tx ON t.term_id = tx.term_id";

    if (isset($min_salary) && $min_salary !== '' && isset($max_salary) && $max_salary !== '') {
        $sql_join .= " JOIN " . $wpdb->postmeta . " AS pm_min_salary ON pm_min_salary.post_id = p.ID";
        $sql_join .= " JOIN " . $wpdb->postmeta . " AS pm_max_salary ON pm_max_salary.post_id = p.ID";
    }

    $sql_left_join = " ";

    // where
    $sql_where = " WHERE";

    $sql_where .= " p.post_type = '" . $post_type . "'";

    $term_ids = array_filter($term_ids);
    if ($term_ids) {
        $sql_where .= " AND t.term_id IN (" . implode(',', $term_ids) . ")";
    }

    if (gj_option('show_expired_job')) {
        $sql_where .= " AND (p.post_status='publish' OR p.post_status='gj-expired')";
    } else {
        $sql_where .= " AND p.post_status='publish'";
    }

    if (isset($keyword) && $keyword) {
        $sql_where .= " AND ( p.post_title LIKE '%" . $keyword . "%'" . " OR p.post_excerpt LIKE '%" . $keyword . "%' OR p.post_content LIKE '%" . $keyword . "%' )";
    }

    if (isset($alpha) && $alpha) {

        if ($alpha == '#') {
            $sql_where .= ' AND p.post_title LIKE \'' . esc_sql($wpdb->esc_like('[0-9]')) . '%\'';
        } else {
            $sql_where .= ' AND (p.post_title LIKE \'' . esc_sql($wpdb->esc_like($alpha)) . '%\'';
            $sql_where .= ' OR p.post_title LIKE \'' . esc_sql($wpdb->esc_like(strtoupper($alpha))) . '%\')';
        }
    }

    if (isset($min_salary) && $min_salary !== '' && isset($max_salary) && $max_salary !== '') {
        $sql_where .= " AND  pm_min_salary.meta_key = 'salary_from' AND pm_max_salary.meta_key = 'salary_to'";
        $sql_where .= " AND  (CAST(pm_min_salary.meta_value AS UNSIGNED) BETWEEN {$min_salary} AND {$max_salary})";
        $sql_where .= " AND  (CAST(pm_max_salary.meta_value AS UNSIGNED) BETWEEN {$min_salary} AND {$max_salary})";
    }

    switch ($post_type) {
        case 'gj-job':
            $taxs = gj_get_job_taxonomies();
            break;
        case 'gj-candidate':
            $taxs = gj_get_candidate_taxonomies();
            break;
        case 'gj-employer':
            $taxs = gj_get_employer_taxonomies();
            break;
        default:
            $taxs = gj_get_job_taxonomies();
            break;
    }

    if ($taxs) {
        foreach ($taxs as $tax) {
            if (isset($$tax) && count($$tax)) {
                $taxvalue = $$tax;
                if (is_int($taxvalue[0])) {
                    $ids = implode(',', $taxvalue);
                    $sql_left_join .= " LEFT JOIN " . $wpdb->term_relationships . " as {$tax} ON p.ID = {$tax}.object_id";
                    $sql_where .= " AND ({$tax}.term_taxonomy_id IN (" . $ids . ") OR tx.taxonomy = '{$tax}')";
                } else {
                    $sql_left_join .= " LEFT JOIN " . $wpdb->term_relationships . " as {$tax} ON p.ID = {$tax}.object_id LEFT JOIN " . $wpdb->terms . " AS {$tax}_terms ON {$tax}_terms.term_id = {$tax}.term_taxonomy_id";
                    $tax_where = array();
                    foreach ($taxvalue as $key => $slug) {
                        $tax_where[] = "{$tax}_terms.slug = '" . $slug . "'";
                    }
                    $tax_where[] = " tx.taxonomy = '{$tax}'";

                    $sql_where .= " AND (" . implode(" OR ", $tax_where) . ")";
                }
            }
        }
    }

    if (isset($lat) && isset($lng) && isset($radius) && !empty($lat) && !empty($lng) && $radius > 0
    ) {
        $lat = (float) $lat;
        $lng = (float) $lng;
        $unit = gj_option('search_unit');
        if ($unit == 'Km') {
            $radius = (float) $radius / 1.609344;
        } else {
            $radius = (float) $radius;
        }
        $sql_where .= " AND lat_meta.meta_key = 'lat' AND lng_meta.meta_key = 'lng' AND ( ( acos( sin( lat_meta.meta_value * 0.0175) * sin( $lat * 0.0175) + cos( lat_meta.meta_value * 0.0175) * cos( $lat * 0.0175 ) * cos( ( $lng  * 0.0175 ) - (lng_meta.meta_value * 0.0175 ) ) ) * 3959 ) < $radius ) ";

        $sql_left_join .= " LEFT JOIN $wpdb->postmeta as lat_meta ON p.ID = lat_meta.post_id ";
        $sql_left_join .= " LEFT JOIN $wpdb->postmeta as lng_meta ON p.ID = lng_meta.post_id ";
    }

    // group by
    $sql_group = " GROUP BY tr.term_taxonomy_id";
    $sql_order = " ORDER BY tx.taxonomy";

    $sql_join = apply_filters('gj_count_sql_join', $sql_join);
    $sql_where = apply_filters('gj_count_sql_where', $sql_where);
    $sql_group = apply_filters('gj_count_sql_group', $sql_group);
    $sql_order = apply_filters('gj_count_sql_order', $sql_order);

    $sql = $sql_select . " " . $sql_join . " " . $sql_left_join . " " . $sql_where . " " . $sql_group . " " . $sql_order;

    $counters = $wpdb->get_results($sql, OBJECT_K);

    $result = array();
    if ($counters) {
        foreach ($counters as $counter) {
            $result[$counter->term_id] = $counter->total;
        }
    }

    if ($term_ids) {
        foreach ($term_ids as $term_id) {
            if (!isset($result[$term_id])) {
                $result[$term_id] = 0;
            }
        }
    }

    return $result;
}

/**
 * @param $terms
 * @param $counters
 */
function gj_map_terms_with_counter(&$terms, $counters) {
    if ($terms) {
        foreach ($terms as $key => $term) {
            if (isset($counters[$term->term_id])) {
                $terms[$key]->count = $counters[$term->term_id];
            } else {
                $terms[$key]->count = 0;
            }
        }
    }
}

/**
 * @param $schedules
 * @return mixed
 */
function gj_add_new_intervals($schedules) {
    // add weekly and monthly intervals
    $schedules['weekly'] = array(
        'interval' => 604800,
        'display' => esc_html__('Once Weekly', 'gj')
    );

    return $schedules;
}

/**
 *
 */
function gj_delete_draft_job() {
    global $wpdb;
    //ORDER BY ar.term_id ASC
    $held_duration = gj_option('delete_draft_job_hours', '24');
    $sql = "SELECT ID FROM {$wpdb->posts} WHERE post_type = %s AND post_status = %s AND (post_date + INTERVAL %d HOUR) < %s";
    $jobs = $wpdb->get_results($wpdb->prepare($sql, 'gj_job', 'draft', $held_duration, current_time('mysql')));
    if ($jobs) {
        foreach ($jobs AS $job) {
            wp_delete_post($job->ID);
        }
    }

    if ($held_duration >= 1) {
        wp_schedule_single_event(time() + ( absint($held_duration) * 60 * 60), 'gj_delete_draft_job');
    }
}

/**
 *
 */
function gj_delete_pending_order() {
    global $wpdb;
    //ORDER BY ar.term_id ASC
    $held_duration = gj_option('delete_pending_order_hours');
    $sql = "SELECT ID FROM {$wpdb->posts} WHERE post_type = %s AND post_status = %s AND (post_date + INTERVAL %d HOUR) < %s";
    $orders = $wpdb->get_results($wpdb->prepare($sql, 'gj_order', 'gj-pending-payment', $held_duration, current_time('mysql')));
    if ($orders) {
        foreach ($orders AS $order) {
            wp_delete_post($order->ID);
        }
    }

    if ($held_duration >= 1) {
        wp_schedule_single_event(time() + ( absint($held_duration) * 60 * 60), 'gj_delete_pending_order');
    }
}

/**
 * @param $name
 * @return array
 */
function gj_parse_name($name) {
    if ($name) {
        $name_arr = explode(' ', $name);
        $return[] = $name_arr[0];
        unset($name_arr[0]);

        if ($name_arr) {
            $return[] = implode(' ', $name_arr);
        }

        return $return;
    }

    return array(0 => '', 1 => '');
}

/**
 * @param $post_id
 * @param string $new_status
 * @param array $args
 * @return int|WP_Error
 */
function gj_clone_post($post_id, $new_status = 'pending', $args = array()) {
    $new_post_id = 0;

    global $wpdb;

    /*
     * and all the original post data then
     */
    $post = get_post($post_id);

    /*
     * if post data exists, create the post duplicate
     */
    if (isset($post) && $post != null) {

        /*
         * new post data array
         */
        $args = array(
            'comment_status' => $post->comment_status,
            'ping_status' => $post->ping_status,
            'post_author' => $post->post_author,
            'post_content' => $post->post_content,
            'post_excerpt' => $post->post_excerpt,
            'post_name' => isset($args['post_name']) ? $args['post_name'] : $post->post_name,
            'post_parent' => isset($args['post_parent']) ? $args['post_parent'] : $post_id,
            'post_password' => $post->post_password,
            'post_status' => $new_status,
            'post_title' => isset($args['post_parent']) ? $args['post_parent'] : $post->post_title,
            'post_type' => $post->post_type,
            'to_ping' => $post->to_ping,
            'menu_order' => $post->menu_order
        );

        /*
         * insert the post by wp_insert_post() function
         */
        $new_post_id = wp_insert_post($args);

        /*
         * get all current post terms ad set them to the new post draft
         */
        $taxonomies = get_object_taxonomies($post->post_type); // returns array of taxonomy names for post type, ex array("category", "post_tag");
        foreach ($taxonomies as $taxonomy) {
            $post_terms = wp_get_object_terms($post_id, $taxonomy, array('fields' => 'slugs'));
            wp_set_object_terms($new_post_id, $post_terms, $taxonomy, false);
        }

        /*
         * duplicate all post meta just in two SQL queries
         */
        $post_meta_infos = $wpdb->get_results("SELECT meta_key, meta_value FROM $wpdb->postmeta WHERE post_id=$post_id");
        if (count($post_meta_infos) != 0) {
            $sql_query = "INSERT INTO $wpdb->postmeta (post_id, meta_key, meta_value) ";
            foreach ($post_meta_infos as $meta_info) {
                $meta_key = $meta_info->meta_key;
                $meta_value = addslashes($meta_info->meta_value);
                $sql_query_sel[] = "SELECT $new_post_id, '$meta_key', '$meta_value'";
            }
            $sql_query .= implode(" UNION ALL ", $sql_query_sel);
            $wpdb->query($sql_query);
        }
    }

    return $new_post_id;
}

/**
 * @param $status
 * @return string
 */
function gj_get_status_icon($status) {
    switch ($status) {
        case 'pending':
            return '<span class="pending"></span>' . esc_html__(' Pending', 'gj');
        case 'gj-pending-payment':
            return '<span class="pending-payment"></span>' . esc_html__(' Pending payment', 'gj');
        case 'gj-hold':
            return '<span class="hold"></span>' . esc_html__(' Hold', 'gj');
        case 'publish':
            return '<span class="publish"></span>' . esc_html__(' Publish', 'gj');
        case 'approved':
        case 'gj-completed':
            return '<span class="publish"></span>' . esc_html__(' Approved', 'gj');
        case 'gj-expired':
            return '<span class="expired"></span>' . esc_html__(' Expired', 'gj');
        case 'reject':
        case 'gj-rejected':
        case 'gj-cancelled':
            return '<span class="expired"></span>' . esc_html__(' Reject', 'gj');
        case 'draft':
            return '<span class="draft"></span>' . esc_html__(' Draft', 'gj');
    }

    return '';
}

/**
 * @return mixed|string
 */
function gj_get_map_api_key() {
    $api_key = gj_option('google_api_key');
    if (!$api_key && class_exists('Inwave_Helper')) {
        $api_key = Inwave_Helper::getThemeOption('google_api');
    }

    return $api_key;
}

/**
 * @return int
 */
function gj_count_jobs() {
    $count_jobs = get_transient('gj_count_jobs');
    if ($count_jobs === false) {
        global $wpdb;
        $expired_job = gj_option('show_expired_job');
        $status = array('publish');
        if ($expired_job) {
            $status[] = 'gj-expired';
        }

        $sql = "SELECT COUNT(1) FROM {$wpdb->posts} WHERE post_type = %s AND post_status IN ('" . implode("','", $status) . "')";
        $sql = $wpdb->prepare($sql, 'gj_job');
        $total_jobs = $wpdb->get_var($sql);
        set_transient('gj_count_jobs', (int) $total_jobs, MONTH_IN_SECONDS);
    }

    return (int) get_transient('gj_count_jobs');
}

/**
 * @return int
 */
function gj_count_employers() {
    $count_employers = get_transient('gj_count_employers');
    if ($count_employers === false) {
        global $wpdb;
        $sql = "SELECT COUNT(1) FROM {$wpdb->posts} WHERE post_type = %s AND post_status IN ('publish')";
        $sql = $wpdb->prepare($sql, 'gj_employer');
        $total_jobs = $wpdb->get_var($sql);

        set_transient('gj_count_employers', (int) $total_jobs, MONTH_IN_SECONDS);
    }

    return (int) get_transient('gj_count_employers');
}

/**
 * @return int
 */
function gj_count_candidates() {
    $count_candidates = get_transient('gj_count_candidates');
    if ($count_candidates === false) {
        global $wpdb;
        $sql = "SELECT COUNT(1) FROM {$wpdb->posts} WHERE post_type = %s AND post_status IN ('publish')";
        $sql = $wpdb->prepare($sql, 'gj_candidate');
        $total_jobs = $wpdb->get_var($sql);

        set_transient('gj_count_candidates', (int) $total_jobs, MONTH_IN_SECONDS);
    }

    return (int) get_transient('gj_count_candidates');
}

/**
 * @return array
 */
function gj_dashboard_pages() {
    $user = GJ_User::get_user();
    if (!$user) {
        return array();
    }

    global $wp_query;
    $postID = isset($wp_query->query_vars['postID']) ? gj_clean($wp_query->query_vars['postID']) : '';

    $pages = array(
        'overview' => array(
            'url' => gj_dashboard_endpoint_url('overview'),
            'title' => esc_html__('Dashboard ', 'gj'),
            'icon' => "gj-icon gj-icon-icons",
            'breadcrumbs' => array(),
            'showInMenu' => 'main'
        ),
        'profile' => array(
            'url' => gj_dashboard_endpoint_url('profile'),
            'title' => esc_html__('Profile', 'gj'),
            'icon' => "lnr lnr-user",
            'breadcrumbs' => array('overview'),
            'showInMenu' => 'account'
        ),
    );

    if ($user->is_employer()) {
        $pages['company'] = array(
            'url' => gj_dashboard_endpoint_url('company'),
            'title' => esc_html__('Company profile', 'gj'),
            'breadcrumbs' => array('overview'),
            'showInMenu' => false
        );
        $pages['jobs'] = array(
            'url' => gj_dashboard_endpoint_url('jobs'),
            'title' => esc_html__('All Jobs', 'gj'),
            'icon' => "lnr lnr-layers",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'jobs'
        );
        $pages['job'] = array(
            'url' => gj_dashboard_endpoint_url('job'),
            'title' => $postID ? esc_html__('Edit job', 'gj') : esc_html__('New Job', 'gj'),
            'icon' => "",
            'breadcrumbs' => array("overview", "jobs"),
            'showInMenu' => false
        );
        $pages['applications'] = array(
            'url' => gj_dashboard_endpoint_url('applications'),
            'title' => esc_html__('Manage Jobs', 'gj'),
            'icon' => "lnr lnr-briefcase",
            'showInMenu' => 'jobs',
            'breadcrumbs' => array("overview")
        );
        $pages['application'] = array(
            'url' => gj_dashboard_endpoint_url('application'),
            'title' => esc_html__('Application', 'gj'),
            'icon' => "",
            'breadcrumbs' => array("overview", "applications"),
            'showInMenu' => false,
        );
        $pages['saved-resumes'] = array(
            'url' => gj_dashboard_endpoint_url('saved-resumes'),
            'title' => esc_html__('Saved Resumes', 'gj'),
            'icon' => "far fa-heart",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'main',
        );
    } elseif ($user->is_candidate()) {
        $pages['resume'] = array(
            'url' => gj_dashboard_endpoint_url('resume'),
            'title' => esc_html__('Resume profile', 'gj'),
            'icon' => "",
            'breadcrumbs' => array('overview'),
            'showInMenu' => false,
        );
        $pages['applications'] = array(
            'url' => gj_dashboard_endpoint_url('applications'),
            'title' => esc_html__('Applications', 'gj'),
            'icon' => "lnr lnr-briefcase",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'jobs',
        );
        $pages['application'] = array(
            'url' => gj_dashboard_endpoint_url('application'),
            'title' => esc_html__('Application', 'gj'),
            'breadcrumbs' => array("overview", "applications"),
            'showInMenu' => false,
        );
        $pages['saved-jobs'] = array(
            'url' => gj_dashboard_endpoint_url('saved-jobs'),
            'title' => esc_html__('Bookmarks', 'gj'),
            'icon' => "gj-icon gj-icon-bookmark",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'jobs',
        );
        $pages['follows'] = array(
            'url' => gj_dashboard_endpoint_url('follows'),
            'title' => esc_html__('Follows', 'gj'),
            'icon' => "gj-icon gj-icon-paper-plane",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'jobs',
        );
    }

    if (gj_display_order_on_dashboard()) {
        $pages['orders'] = array(
            'url' => gj_dashboard_endpoint_url('orders'),
            'title' => esc_html__('Orders', 'gj'),
            'icon' => "lnr lnr-cart",
            'breadcrumbs' => array("overview"),
            'showInMenu' => 'account',
        );
        $pages['order'] = array(
            'url' => '',
            'title' => esc_html__('Order detail', 'gj'),
            'icon' => "",
            'breadcrumbs' => array('overview', 'orders'),
            'showInMenu' => false
        );
        /* if ((class_exists('Woocommerce') && gj_option('include_my_account_woocommerce')) || gj_woocommerce_checkout()) {
          $pages['downloads'] = array(
          'url' => gj_dashboard_endpoint_url('downloads'),
          'title' => esc_html__('Downloads', 'gj'),
          'icon' => "fa fa-cloud-download",
          'breadcrumbs' => array("overview")
          );
          } */
    }

    $pages['thank-you-for-ordering'] = array(
        'url' => gj_dashboard_endpoint_url('thank-you-for-ordering'),
        'title' => esc_html__('Thank you for ordering', 'gj'),
        'icon' => "",
        'showInMenu' => false,
        'showTitle' => false,
        'showSidebar' => false,
        'breadcrumbs' => array()
    );

    $pages['checkout'] = array(
        'url' => gj_dashboard_endpoint_url('checkout'),
        'title' => esc_html__('Checkout', 'gj'),
        'icon' => "",
        'showSidebar' => false,
        'showInMenu' => false,
        'showTitle' => false,
        'breadcrumbs' => array()
    );

    $pages['logout'] = array(
        'url' => wp_logout_url(home_url('/')),
        'title' => esc_html__('Logout', 'gj'),
        'icon' => "lnr lnr-exit-up",
        'breadcrumbs' => array("overview"),
        'showInMenu' => 'account',
    );

    return apply_filters('gj_dashboard_pages', $pages);
}

function gj_dashboard_menu_groups() {
    $menus = array(
        array(
            'id' => 'main',
            'title' => esc_html__('Main', 'gj'),
        ),
        array(
            'id' => 'jobs',
            'title' => esc_html__('Jobs', 'gj'),
        ),
        array(
            'id' => 'account',
            'title' => esc_html__('Account', 'gj'),
        )
    );

    return apply_filters('gj_dashboard_menu_groups', $menus);
}

function gj_dashboard_menus() {
    $groups = gj_dashboard_menu_groups();
    foreach ($groups as $gkey => $group) {
        $group['menus'] = array();
        $pages = gj_dashboard_pages();
        foreach ($pages as $endpoit => $page) {
            if (isset($page['showInMenu']) && $page['showInMenu'] == $group['id']) {
                $group['menus'][$endpoit] = $page;
            }
        }
        $groups[$gkey] = $group;
    }
    return $groups;
}

/**
 * @param $user_name
 * @param int $count
 * @return mixed|void
 */
function gj_get_username($user_name, $count = 0) {
    if (is_email($user_name)) {
        $_user_name = explode('@', $user_name);
        if (count($_user_name) > 1) {
            $user_name = $_user_name[0];
        }
    }

    $username = sanitize_user($user_name, true);
    if ($count > 0) {
        $username .= $count;
    }

    $user = get_user_by('login', $username);
    if ($user) {
        $count++;
        $username = gj_get_username($user_name, $count);
    }

    return apply_filters('gj_get_username', $username, $username, $count);
}

/**
 * @param $array
 * @return mixed
 */
function gj_stripslashes($array) {
    foreach ($array as $key => $value) {
        if (is_array($value)) {
            $array[$key] = gj_stripslashes($value);
        } else {
            $array[$key] = stripslashes($value);
        }
    }

    return $array;
}

if (!function_exists('gj_folder_to_zip')) {

    function gj_folder_to_zip($folder, &$zipFile, $exclusiveLength) {
        $handle = opendir($folder);
        while (false !== $f = readdir($handle)) {
            if ($f != '.' && $f != '..') {
                $filePath = "$folder/$f";
                // Remove prefix from file path before add to zip.
                $localPath = substr($filePath, $exclusiveLength);
                if (is_file($filePath)) {
                    $zipFile->addFile($filePath, $localPath);
                } elseif (is_dir($filePath)) {
                    $zipFile->addEmptyDir($localPath);
                    $this->gj_folder_to_zip($filePath, $zipFile, $exclusiveLength);
                }
            }
        }
        closedir($handle);
    }

}

if (!function_exists('gj_zip_dir')) {

    function gj_zip_dir($sourcePath, $outZipPath) {
        $pathInfo = pathInfo($sourcePath);
        $parentPath = $pathInfo['dirname'];
        $dirName = $pathInfo['basename'];

        $z = new ZipArchive();
        $z->open($outZipPath, ZIPARCHIVE::CREATE);
        $z->addEmptyDir($dirName);
        gj_folder_to_zip($sourcePath, $z, strlen("$parentPath/"));
        $z->close();
    }

}

if (!function_exists('gj_get_image_id_by_url')) {

    function gj_get_image_id_by_url($url) {
        global $wpdb;
        $img_id = 0;
        preg_match('|' . get_site_url() . '|i', $url, $matches);
        if (isset($matches) and 0 < count($matches)) {
            $url = preg_replace('/([^?]+).*/', '\1', $url);
            $guid = preg_replace('/(.+)-\d+x\d+\.(\w+)/', '\1.\2', $url);
            $img_id = $wpdb->get_var($wpdb->prepare("SELECT `ID` FROM $wpdb->posts WHERE `guid` = '%s'", $guid));

            if ($img_id) {
                $img_id = intval($img_id);
            }
        }

        return $img_id;
    }

}

if (!function_exists('gj_random_number')) {

    function gj_random_number($Min, $Max, $round = 0) {
        //validate input
        if ($Min > $Max) {
            $min = $Max;
            $max = $Min;
        } else {
            $min = $Min;
            $max = $Max;
        }
        $randomfloat = $min + mt_rand() / mt_getrandmax() * ( $max - $min );
        if ($round > 0) {
            $randomfloat = round($randomfloat, $round);
        }

        return $randomfloat;
    }

}

if (!function_exists('gj_format_bytes')) {

    function gj_format_bytes($bytes, $precision = 2) {
        $units = array('KB', 'MB', 'GB', 'TB');
        while (count($units) > 0 && $bytes > 1024) {
            $precision = array_shift($units);
            $bytes /= 1024;
        }
        return ($bytes | 0) . $precision;
    }

}

/**
 * @return array
 */
function gj_field_manager_post_types() {
    $post_types = array(
        "gj_job" => array(
            "name" => esc_html__("Job Fields", 'gj'),
            "post_type" => "gj_job",
            "grouped" => true,
            "adminMetabox" => true,
            "enqueueScriptsInDashboardEnpoint" => "job"
        ),
        "gj_employer" => array(
            "name" => esc_html__("Employer Fields", 'gj'),
            "post_type" => "gj_employer",
            "grouped" => true,
            "adminMetabox" => true,
            "enqueueScriptsInDashboardEnpoint" => "company"
        ),
        "gj_candidate" => array(
            "name" => esc_html__("Candidate Fields", 'gj'),
            "post_type" => "gj_candidate",
            "grouped" => true,
            "adminMetabox" => true,
            "enqueueScriptsInDashboardEnpoint" => "resume"
        ),
        "gj_application" => array(
            "name" => esc_html__("Application Fields", 'gj'),
            "post_type" => "gj_application",
            "grouped" => false,
            "adminMetabox" => true,
            "enqueueScriptsInDashboardEnpoint" => false
        )
    );

    return apply_filters('gj_field_manager_post_types', $post_types);
}

/**
 * @param $message
 * @param string $type
 * @param string $title
 * @param int $duration
 */
function gj_flash_message($message, $type = 'notice', $title = '', $duration = 3200) {
    if (!$title) {
        switch ($type) {
            case 'notice':
                $title = esc_html__('Success!', 'gj');
                break;
            case 'warning':
                $title = esc_html__('Warning!', 'gj');
                break;
            case 'error':
                $title = esc_html__('Error!', 'gj');
                break;
        }
    }

    setcookie('gj-flash-message', json_encode(array(
        'style' => $type,
        'title' => $title,
        'message' => $message,
        'duration' => $duration,
        'location' => 'br',
            )), null, COOKIEPATH, false);
}

if (!function_exists('gj_get_class')) {

    function gj_get_class($type, $sidebar, $sidebar_size = 'large') {
        $classes = '';
        switch ($type) {
            case 'container':
                $classes = 'col-sm-12 col-xs-12';
                if ($sidebar == 'left' || $sidebar == 'right') {
                    if ($sidebar_size == 'large') {
                        $classes .= ' col-lg-8 col-md-12';
                    } else {
                        $classes .= ' col-lg-9 col-md-12';
                    }
                    $classes .= ' ' . $sidebar;
                    if ($sidebar == 'left') {
                        $classes .= ' order-2';
                    }
                }
                break;
            case 'sidebar':
                $classes = 'col-sm-12 col-xs-12';
                if ($sidebar == 'left' || $sidebar == 'right') {
                    if ($sidebar_size == 'large') {
                        $classes .= ' col-lg-4 col-md-12';
                    } else {
                        $classes .= ' col-lg-3 col-md-12';
                    }
                }
                if ($sidebar == 'bottom') {
                    $classes .= ' pull-' . $sidebar;
                }
                break;
        }
        return $classes;
    }

}


if (!function_exists('gj_social_sharing')) {

    /**
     *
     * @global type $gj_theme_option
     * @param String $link Link to share
     * @param String $text the text content to share
     * @param String $title the title to share
     * @param String $tag the wrap html tag
     */
    function gj_social_sharing($link, $text, $title, $tag = '') {
        $newWindow = 'onclick="return GJOpenWindow(this.href);"';
        $title = urlencode($title);
        $text = '';
        if (is_single() && has_excerpt()) {
            $text = wp_trim_words(get_the_excerpt(), 15);
        }
        $text = urlencode($text);
        $link = urlencode($link);
        $html = '';
        if (true || gj_option('sharing_facebook')) {
            $shareLink = 'https://www.facebook.com/sharer.php?s=100&amp;t=' . $title . '&amp;u=' . $link;
            if (is_single() && has_post_thumbnail()) {
                $thumb_id = get_post_thumbnail_id();
                $thumb_url = wp_get_attachment_image_src($thumb_id, 'large', true);
                $shareLink .= '&amp;picture=' . $thumb_url[0];
            }
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-fb" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Share on Facebook', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-facebook-f"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (true || gj_option('sharing_twitter')) {
            $shareLink = 'https://twitter.com/share?url=' . $link . '&amp;text=' . $text;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-tt" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Share on Twitter', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-twitter"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (true || gj_option('sharing_linkedin')) {
            $shareLink = 'https://www.linkedin.com/shareArticle?mini=true&amp;url=' . $link . '&amp;title=' . $title . '&amp;summary=' . $text;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-linkedin" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Share on Linkedin', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-linkedin-in"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (gj_option('sharing_google')) {
            $shareLink = 'https://plus.google.com/share?url=' . $link . '&amp;title=' . $title;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-gg" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Google Plus', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-google-plus"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (gj_option('sharing_tumblr')) {
            $shareLink = 'http://www.tumblr.com/share/link?url=' . $link . '&amp;description=' . $text . '&amp;name=' . $title;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-tumblr" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Share on Tumblr', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-tumblr-square"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (gj_option('sharing_pinterest')) {
            $shareLink = 'http://pinterest.com/pin/create/button/?url=' . $link . '&amp;description=' . $text . '&amp;media=' . $link;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-pinterest" target="_blank" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Pinterest', 'title', 'jobgrand') . '" ' . $newWindow . '><i class="fab fa-pinterest"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }
        if (true || gj_option('sharing_email')) {
            $shareLink = 'mailto:?subject=' . esc_attr_x('I wanted you to see this site', 'title', 'jobgrand') . '&amp;body=' . $link . '&amp;title=' . $title;
            $html .= ($tag ? '<' . $tag . '>' : '') . '<a class="social-share-item share-buttons-email" href="' . esc_url($shareLink) . '" title="' . esc_attr_x('Email', 'title', 'jobgrand') . '"><i class="far fa-envelope"></i></a>' . ($tag ? '</' . $tag . '>' : '');
        }

        echo wp_kses_post($html);
    }

}

// Time ago
/**
 * @param $post_date
 * @return false|string|void
 */
function gj_time_ago($post_date) {
    $post_date = strtotime($post_date);
    $cur_time = time();
    $time_elapsed = $cur_time - $post_date;
    $days = round($time_elapsed / 86400);

    if ($days <= 7) {
        if ($days <= 1) {
            return esc_html__("just now", 'gj');
        } else {
            return sprintf(esc_html__("%d days ago", 'gj'), $days);
        }
    } else {
        return date(get_option('date_format'), $post_date);
    }
}

/**
 * @param $text
 * @param int $length
 * @param bool $isStrips
 * @param string $replacer
 * @param string $stringtags
 * @return mixed|string|string[]|null
 */
function gj_substrword($text, $length = 100, $isStrips = false, $replacer = '...', $stringtags = '') {
    if ($isStrips) {
        $text = preg_replace('/\<p.*\>/Us', '', $text);
        $text = str_replace('</p>', '<br/>', $text);
        $text = strip_tags($text, $stringtags);
    }
    $tmp = explode(" ", $text);

    if (count($tmp) < $length)
        return $text;

    $text = implode(" ", array_slice($tmp, 0, $length)) . $replacer;

    return $text;
}

function gj_max_upload_cv_size() {
    $max = wp_max_upload_size();
    return apply_filters('gj_max_upload_cv_size', $max);
}

function gj_upload_cv($file) {
    if (!function_exists('wp_handle_upload')) {
        require_once(ABSPATH . 'wp-admin/includes/file.php');
    }

    $orignal_name = $file['name'];
    $overides = array('test_form' => false, 'unique_filename_callback' => 'gj_cv_file_name');
    add_filter('upload_dir', 'gj_cv_upload_dir');
    $status = wp_handle_upload($file, $overides);
    remove_filter('upload_dir', 'gj_cv_upload_dir');
    $option = array();
    if ($status) {
        $attachment = array(
            'guid' => $status['url'],
            'post_mime_type' => $status['type'],
            'post_title' => $orignal_name,
            'post_content' => '',
            'post_parent' => '',
            'post_status' => 'inherit',
        );

        // Adds file as attachment to WordPress

        $id = wp_insert_attachment($attachment, $status['file']);
        if (!is_wp_error($id)) {
            include_once( ABSPATH . 'wp-admin/includes/image.php' );
            wp_update_attachment_metadata($id, wp_generate_attachment_metadata($id, $status['file']));
        }

        $option['ID'] = $id;
        $option['url'] = wp_get_attachment_url($id);
        $option['name'] = get_the_title($id);
        $option['date'] = get_the_date($id);
    }

    return $option;
}

/**
 * @param $dirs
 * @return mixed
 */
function gj_cv_upload_dir($dirs) {
    $dir = apply_filters('gj_cv_upload_subdir', '/cv/' . uniqid(get_current_user_id() . "_"));

    $dirs['subdir'] = $dir;
    $dirs['path'] = $dirs['basedir'] . $dir;
    $dirs['url'] = $dirs['baseurl'] . $dir;
    if (!is_dir($dirs['path'])) {
        mkdir($dirs['path']);
        WP_Filesystem();
        global $wp_filesystem;
        $file_path = $dirs['path'] . '/index.html';
        $wp_filesystem->put_contents($file_path, '<html></html>');
    }

    return apply_filters('gj_cv_upload_dir', $dirs);
}

/**
 * @param $dir
 * @param $name
 * @param $ext
 * @return string
 */
function gj_cv_file_name($dir, $name, $ext) {
    return apply_filters('gj_cv_file_name', $name, $dir, $ext);
}

/**
 * @param string|int $pages
 * @param int $paged
 * @param int $range
 * @return string
 */
function gj_ajax_pagination($pages = '', $paged = 1, $range = 2) {
    global $wp_query;
    $prev = $paged - 1;
    $next = $paged + 1;
    $showitems = ( $range * 2 ) + 1;
    $range = 2; // change it to show more links

    if ($pages == '') {
        $pages = $wp_query->max_num_pages;
        if (!$pages) {
            $pages = 1;
        }
    }
    if (1 != $pages) {
        echo '<div class="gj-ajax-pagination pagination-main">';

        echo '<ul class="pagination pagination-job page-nav">';
        echo ( $paged > 2 && $paged > $range + 1 && $showitems < $pages ) ? '<li class="page-numbers"><a aria-label="First" href="#"><span aria-hidden="true"><i class="fa fa-angle-double-left"></i></span></a></li>' : '';
        echo ( $paged > 1 ) ? '<li class="page-numbers" data-paged="' . $prev . '"><a aria-label="' . esc_html__('Previous', 'gj') . '" href="#"><span aria-hidden="true"><i class="fa fa-angle-left"></i></span></a></li>' : '<li class="disabled page-numbers"><span aria-label="Previous"><span aria-hidden="true"><i class="fa fa-angle-left"></i></span></span></li>';
        for ($i = 1; $i <= $pages; $i++) {
            if (1 != $pages && (!( $i >= $paged + $range + 1 || $i <= $paged - $range - 1 ) || $pages <= $showitems )) {
                if ($paged == $i) {
                    echo '<li class="active page-numbers" data-paged="' . esc_attr($i) . '"><a href="#">' . $i . ' <span class="sr-only"></span></a></li>';
                } else {
                    echo '<li class="page-numbers" data-paged="' . esc_attr($i) . '"><a href="#">' . $i . '</a></li>';
                }
            }
        }
        echo ( $paged < $pages ) ? '<li class="page-numbers" data-paged="' . $next . '"><a aria-label="' . esc_html__('Next', 'gj') . '" href="#"><span aria-hidden="true"><i class="fa fa-angle-right"></i></span></a></li>' : '';
        echo ( $paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages ) ? '<li class="page-numbers" data-paged="' . $pages . '"><a aria-label="Last" href="#"><span aria-hidden="true"><i class="fa fa-angle-double-right"></i></span></a></li>' : '';
        echo '</ul>';
        echo '<input type="hidden" name="page_number" value="' . $paged . '" />';
        echo '</div>';
    }
}

/**
 * @return array
 */
function gj_get_job_taxonomies() {
    $taxonomies = get_object_taxonomies('gj_job');

    return apply_filters('gj_get_job_taxonomies', $taxonomies);
}

/**
 * @return array
 */
function gj_get_candidate_taxonomies() {
    $taxonomies = get_object_taxonomies('gj_candidate');
    return apply_filters('gj_get_candidate_taxonomies', $taxonomies);
}

/**
 * @return array
 */
function gj_get_employer_taxonomies() {
    $taxonomies = get_object_taxonomies('gj_employer');
    return apply_filters('gj_get_employer_taxonomies', $taxonomies);
}

/**
 * @param string $tax
 * @param string|array $slugs
 * @return array
 */
function gj_convert_tax_slug_to_id($tax, $slugs) {
    $slugs = (array) $slugs;
    $ids = array();

    foreach ($slugs as $slug) {
        $taxonomy = get_term_by('slug', $slug, $tax);
        if ($taxonomy && !is_wp_error($taxonomy)) {
            $ids[] = $taxonomy->term_id;
        } elseif (is_numeric($slug)) {
            $ids[] = $slug;
        }
    }

    return $ids;
}

/**
 * @param string $tax
 * @return string
 */
function gj_get_taxonomy_slug($tax) {
    switch ($tax) {
        case 'gj_cat':
            return gj_option('category_slug');
        case 'gj_type':
            return gj_option('type_slug');
        case 'gj_level':
            return gj_option('level_slug');
        case 'gj_salary':
            return gj_option('salary_slug');
        case 'gj_location':
            return gj_option('location_slug');
        case 'gj_size':
            return gj_option('size_slug');
        case 'gj_skill':
            return gj_option('skill_slug');
        case 'gj_state':
            return gj_option('state_slug');
        case 'gj_city':
            return gj_option('city_slug');
        default :
            $slug = '';
            $taxonomy = get_taxonomy($tax);
            if ($taxonomy) {
                $slug = $taxonomy->rewrite['slug'];
            }
            return $slug;
    }
}

/**
 * Get available fields.
 *
 * @return GJ_Field_Abstract[]
 */
function gj_fields_quick_sort($fields, $orderBy = null) {
    // find array size
    $length = count($fields);

    // base case test, if array of length 0 then just return array to caller
    if ($length <= 1) {
        return $fields;
    } else {

        $orderBy = !$orderBy ? 'outputOrdering' : $orderBy;

        // select an item to act as our pivot point, since list is unsorted first position is easiest
        $pivot = $fields[0];

        // declare our two arrays to act as partitions
        $left = $right = array();

        // loop and compare each item in the array to the pivot value, place item in appropriate partition
        for ($i = 1; $i < count($fields); $i++) {
            if ((int) $fields[$i]->getSetting($orderBy) < (int) $pivot->getSetting($orderBy)) {
                $left[] = $fields[$i];
            } else {
                $right[] = $fields[$i];
            }
        }

        // use recursion to now sort the left and right lists
        return array_merge(gj_fields_quick_sort($left, $orderBy), array($pivot), gj_fields_quick_sort($right, $orderBy));
    }
}

/**
 * Get available fields.
 *
 * @return GJ_Field_Base[]
 */
function gj_fields($bindPostID = null, $postType = null, $orderBy = null) {
    if ($bindPostID === null) {
        $bindPostID = get_the_ID();
    }

    if (!$postType) {
        $postType = get_post_type($bindPostID);
    }

    $fieldHelper = new GJ_Fields();
    $fields = $fieldHelper->getFields($bindPostID, $postType);
    if ($fields) {
        $fields = gj_fields_quick_sort($fields, $orderBy);
    }

    return $fields;
}

/**
 * @param $metaKey
 * @param null $bindPostID
 * @return GJ_Field_Abstract|null
 */
function gj_field($metaKey, $bindPostID = null) {
    if ($bindPostID === null) {
        $bindPostID = get_the_ID();
    }

    $postType = get_post_type($bindPostID);

    $args = array(
        'post_type' => 'gj_fields',
        'post_status' => 'any',
        'numberposts' => 1,
        'meta_query' => array(
            array(
                'key' => 'post_type',
                'value' => $postType,
                'compare' => '=',
            ),
            array(
                'key' => 'metakey',
                'value' => $metaKey,
                'compare' => '=',
            )
        )
    );

    $posts = get_posts($args);
    if ($posts) {
        $fieldHelper = new GJ_Fields();

        return $fieldHelper->getField($posts[0], $bindPostID);
    }

    return null;
}

/**
 * @param string $metaKey
 * @return mixed
 */
function gj_field_value($metaKey) {
    $field = gj_field($metaKey);
    if ($field) {
        return $field->data();
    }

    return null;
}

/**
 * @param string $metaKey
 */
function gj_field_output($metaKey) {
    $field = gj_field($metaKey);
    if ($field) {
        $field->outputHtml();
    }
}

/**
 * @param string $metaKey
 * @return mixed
 */
function gj_field_settings($metaKey) {
    $field = gj_field($metaKey);
    if ($field) {
        return $field->getSettings();
    }

    return null;
}

function gj_salary($salary_from, $salary_to, $postfix = '') {
    if ($salary_from === '' && $salary_to === '') {
        $salary = esc_html__('negotiable', 'gj');
    } elseif ($salary_from === '') {
        $salary = gj_price($salary_to, gj_get_currency());
    } elseif ($salary_to === '') {
        $salary = gj_price($salary_from, gj_get_currency());
    } elseif ($salary_from == $salary_to) {
        $salary = gj_price($salary_from, gj_get_currency());
    } else {
        $salary = gj_price($salary_from, gj_get_currency()) . ' - ' . gj_price($salary_to, gj_get_currency());
    }
    if ($postfix) {
        $postfix = ' / ' . $postfix;
    }

    return $salary . $postfix;
}

function gj_dashboard_content() {

    $endpoint = gj_current_dashboard_endpoint();

    $html = apply_filters('gj_before_dashboard_content', null, $endpoint);

    if ($html !== null) {
        return $html;
    }

    switch ($endpoint) {
        case 'overview':
            if (current_user_can('create_jobs')) {
                $html = gj_get_template_part('dashboard/overview/employer', array(), true);
            } else if (current_user_can('apply_job')) {
                $html = gj_get_template_part('dashboard/overview/user', array(), true);
            } else {
                $html = gj_get_template_part('dashboard/overview/user', array(), true);
            }
            break;
        case 'profile':
            $html = gj_get_template_part('dashboard/profile', array(), true);
            break;
        case 'company':
            $html = gj_get_template_part('dashboard/company/form', array(), true);
            break;
        case 'resume':
            $html = gj_get_template_part('dashboard/resume/form', array(), true);
            break;
        case 'saved-resumes':
            $html = gj_get_template_part('dashboard/resume/' . $endpoint, array(), true);
            break;
        case 'jobs':
        case 'saved-jobs':
            $html = gj_get_template_part('dashboard/job/' . $endpoint, array(), true);
            break;
        case 'job':
            $html = gj_get_template_part('dashboard/job/form', array(), true);
            break;
        case 'applications':
            if (current_user_can('create_jobs')) {
                $html = gj_get_template_part('dashboard/application/' . $endpoint, array(), true);
            } else {
                $html = gj_get_template_part('dashboard/application/submited-' . $endpoint, array(), true);
            }
            break;
        case 'application':
            $html = gj_get_template_part('dashboard/application/' . $endpoint, array(), true);
            break;
        case 'orders':
        case 'order':
            $html = gj_get_template_part('dashboard/order/' . $endpoint, array(), true);
            break;
        case 'checkout':
            $html = gj_get_template_part('dashboard/checkout/' . $endpoint, array(), true);
            break;
        case 'thank-you-for-ordering':
            $html = gj_get_template_part('dashboard/checkout/thank-you-for-ordering', array(), true);
            break;
        default :
            $html = gj_get_template_part('dashboard/' . $endpoint, array(), true);
            break;
    }

    return apply_filters('gj_dashboard_content', $html, $endpoint);
}

function gj_can_download_cv() {
    $can = null;

    if (is_user_logged_in() && current_user_can('create_jobs')) {
        return '1';
        $can = true;
    } elseif (is_user_logged_in()) {
        $can = false;
    }

    return apply_filters('gj_can_download_cv', $can);
}

function gj_can_save_resume_cv() {
    $can = null;

    if (is_user_logged_in() && current_user_can('create_jobs')) {
        $can = true;
    } elseif (is_user_logged_in()) {
        $can = false;
    }

    return apply_filters('gj_can_save_resume_cv', $can);
}

function gj_can_save_job() {
    $can = null;
    if (is_user_logged_in() && current_user_can('gj_candidate')) {
        $can = true;
    } elseif (is_user_logged_in()) {
        $can = false;
    }

    return apply_filters('gj_can_save_job', $can);
}

function gj_can_follow_employer() {
    $can = null;
    if (is_user_logged_in() && current_user_can('gj_candidate')) {
        $can = true;
    } elseif (is_user_logged_in()) {
        $can = false;
    }

    return apply_filters('gj_can_follow_employer', $can);
}

function gj_can_apply_job() {
    $can = null;
    if (gj_option('allow_guest_apply_job')) {
        $can = true;
    } elseif(is_user_logged_in() && current_user_can('gj_candidate')){
		$can = true;
	}else{
        $can = false;
    }

    return apply_filters('gj_can_apply_job', $can);
}

function gj_recaptcha_options() {
    $options = array(
        array('id' => 'login', 'name' => esc_html__('Login Form', 'gj')),
        array('id' => 'register', 'name' => esc_html__('Register Form', 'gj')),
        array('id' => 'contact', 'name' => esc_html__('Contact Form', 'gj')),
        array('id' => 'apply_job', 'name' => esc_html__('Apply job', 'gj')),
    );

    return apply_filters('gj_recaptcha_options', $options);
}

function gj_restrict_bad_terms() {
    $restrict_str = gj_option('restrict_bad_terms');
    if ($restrict_str) {
        $restrict = explode(",", $restrict_str);
        $restrict = array_map('trim', $restrict);
    } else {
        $restrict = array();
    }

    return $restrict;
}

function gj_submit_job_modes() {
    $modes = array(
        array('id' => '', 'name' => esc_html__('Free', 'gj')),
        array('id' => 'single', 'name' => esc_html__('Single price', 'gj')),
    );

    return apply_filters('gj_submit_job_modes', $modes);
}

function gj_display_order_on_dashboard() {
    $user = GJ_User::get_user();
    $display = $user && $user->is_employer() && !current_user_can('administrator') ? true : false;
    return apply_filters('gj_display_order_on_dashboard', $display);
}

function gj_get_social_icon($type) {

    switch ($type) {
        case 'google_plus':
            $icon = 'fa fa-google-plus';
            break;
        case 'google':
            $icon = 'fa fa-google';
            break;
        case 'twitter':
            $icon = 'fa fa-twitter';
            break;
        case 'linkedin':
            $icon = 'fa fa-linkedin';
            break;
        case 'facebook':
            $icon = 'fa fa-facebook';
            break;
        default :
            $icon = null;
    }

    return $icon;
}

function gj_count_post_views($user_id, $date) {
    global $wpdb;
    $sql = "SELECT sum(v.views) FROM {$wpdb->prefix}gj_views as v JOIN {$wpdb->posts} as p ON p.ID = v.post_id WHERE p.post_author = %d AND v.date = %s";
    $views = $wpdb->get_var($wpdb->prepare($sql, $user_id, $date));
    return $views ? (int) $views : 0;
}

function gj_get_min_salary() {
    global $wpdb;
    $status = array('publish');
    if (gj_option('show_expired_job')) {
        $status[] = 'gj-expired';
    }

    $sql = "SELECT MIN(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_job' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'salary_from' AND pm.meta_value != ''";

    $min_salary = $wpdb->get_var($sql);
	if($min_salary == NULL){
		$sql = "SELECT MIN(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_job' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'salary_to' AND pm.meta_value != ''";
			$min_salary = $wpdb->get_var($sql);
	}
	return $min_salary;
}

function gj_get_max_salary() {
    global $wpdb;
    $status = array('publish');
    if (gj_option('show_expired_job')) {
        $status[] = 'gj-expired';
    }

    $sql = "SELECT MAX(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_job' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'salary_to' AND pm.meta_value != ''";

    $max_salary = $wpdb->get_var($sql);
	if($max_salary == NULL){
	$sql = "SELECT MAX(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_job' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'salary_from' AND pm.meta_value != ''";	
	$max_salary = $wpdb->get_var($sql);
	}
	return $max_salary;
}

function gj_get_min_rate() {
    global $wpdb;
    $status = array('publish');

    $sql = "SELECT MIN(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_candidate' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'hour_rate' AND pm.meta_value != ''";

    return $wpdb->get_var($sql);
}

function gj_get_max_rate() {
    global $wpdb;
    $status = array('publish');

    $sql = "SELECT MAX(CAST(pm.meta_value AS UNSIGNED)) FROM {$wpdb->postmeta} AS pm JOIN {$wpdb->posts} AS p ON pm.post_id = p.ID WHERE p.post_type = 'gj_candidate' 
            AND p.post_status IN ('" . implode("','", $status) . "') AND pm.meta_key = 'hour_rate' AND pm.meta_value != ''";

    return $wpdb->get_var($sql);
}

function gj_query_title_filter($where, $wp_query) {
    global $wpdb;
    if ($search_term = $wp_query->get('search_prod_title')) {
        $search_term_array = explode(" ", $search_term);
        if (count($search_term_array) > 1) {
            $where_array = array();
            foreach ($search_term_array as $_search_team) {
                $where_array[] = $wpdb->posts . '.post_title LIKE \'%' . esc_sql($wpdb->esc_like($_search_team)) . '%\'';
            }

            $where .= ' AND (' . implode(' OR ', $where_array) . ')';
        } else {
            $where .= ' AND ' . $wpdb->posts . '.post_title LIKE \'%' . esc_sql($wpdb->esc_like($search_term)) . '%\'';
        }
    }

    return $where;
}

function gj_get_terms_value($terms, $field = 'name') {
    $values = array();
    if (is_array($terms)) {
        foreach ($terms as $term) {
            $values[] = $term->$field;
        }
    }

    return $values;
}
