<?php
/**
 * Hook functions for plugins
 * @author InwaveThemes
 */


$theme = wp_get_theme()->get('Name');
if ($theme == 'Twenty Nineteen') {
    add_filter('twentynineteen_can_show_post_thumbnail', function ($show) {
        if ($show && is_single() && (get_post_type() == 'gj_job' || get_post_type() == 'gj_employer' || get_post_type() == 'gj_candidate')) {
            $show = false;
        }
        return $show;
    });
}elseif ($theme == 'Twenty Seventeen') {
    add_filter('has_post_thumbnail', function ($has_thumbnail, $post) {
        if (is_single() && (get_post_type($post) == 'gj_candidate' || get_post_type($post) == 'gj_employer')) {
            $has_thumbnail = false;
        }
        return $has_thumbnail;
    }, 10, 2);
}

function after_dashboard_title(){
    $current_end_point = gj_current_dashboard_endpoint();
    if($current_end_point === 'jobs'){
        $user = GJ_User::get_user();
        if($user && $user->is_employer()){
            $new_job_url = gj_dashboard_endpoint_url('job');
            ?>
            <a class="action-button gj-btn-primary" href="<?php echo esc_url($new_job_url); ?>">
                <span data-hover="<?php echo esc_html(__('Post a job', 'jobgrand')); ?>">
                    <?php echo esc_html(__('Post a job', 'jobgrand')); ?>
                </span>
            </a>
            <?php
        }
    }else if($current_end_point === 'applications'){
        global $wp_query; 
        $postID = isset($wp_query->query_vars['postID']) ? $wp_query->query_vars['postID'] : '';
        if($postID){
            echo sprintf(esc_html__('Applications for %s', 'gj'), get_the_title($postID));
        }
    }
}
add_action('gj_after_dashboard_title', 'after_dashboard_title');
