<?php
/**
 * @class 	GJ_Widget_Candidate_Contact_Form
 * @package GJ/Widgets
 * @since 1.0.1
 */

class GJ_Widget_Candidate_Contact_Form extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'description' => esc_html__( 'Display Candidate Contact Form, used only with sidebar employer details.', 'gj' ),
            'customize_selective_refresh' => true,
        );
        parent::__construct( 'gj_candidate_contact_form', esc_html__( '[GJ] Candidate Contact Form', 'gj' ), $widget_ops );
    }

    public function widget( $args, $instance ) {

        $data = array(
            'args' => $args,
            'instance' => $instance,
            'widget_id' => $this->id_base,
            'parent' => $this,
        );

        gj_get_template_part('widgets/candidate_contact_form', $data);
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = sanitize_text_field( $new_instance['title'] );
        return $instance;
    }
    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '') );
        $title = strip_tags($instance['title']);
        ?>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'gj'); ?></label>
			<input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" />
		</p>
		<?php
    }

}

function gj_widget_candidate_contact_form() {
    register_widget('GJ_Widget_Candidate_Contact_Form');
}
add_action('widgets_init', 'gj_widget_candidate_contact_form');