<?php

class GJ_Widget_Employer_Filter extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'description' => esc_html__( 'Filter Employers Widget.', 'gj'),
            'customize_selective_refresh' => true,
        );
        parent::__construct( 'gj_employer_filter', esc_html__( '[GJ] Filter Employers', 'gj'), $widget_ops );
    }

    public function widget( $args, $instance ) {
        $data = array(
            'args' => $args,
            'instance' => $instance,
            'widget_id' => $this->id_base,
            'parent' => $this,
        );

        gj_get_template_part('widgets/employer-filter', $data);
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = sanitize_text_field( $new_instance['title'] );
        return $instance;
    }

    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__('Job Filter', 'gj') ) );
        $title_id = $this->get_field_id( 'title' );
        $title = strip_tags($instance['title']);
        echo '<p><label for="' . $title_id .'">' . esc_html__( 'Title:', 'gj') . '</label>
			<input type="text" class="widefat" id="' . esc_attr($title_id) .'" name="' . esc_attr($this->get_field_name( 'title' )) .'" value="' . esc_attr($title) .'" />
		</p>';
    }
}

function gj_widget_employer_filter() {
    register_widget('GJ_Widget_Employer_Filter');
}
add_action('widgets_init', 'gj_widget_employer_filter');