<?php


class GJ_Widget_Job_Apply extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'description' => esc_html__( 'Display Apply Job Button', 'gj' ),
            'customize_selective_refresh' => true,
        );
        parent::__construct( 'gj_job_apply', esc_html__( '[GJ] Job Apply', 'gj' ), $widget_ops );
    }

    public function widget( $args, $instance ) {
        if(is_single() && get_post_type() == 'gj_job'){
            $data = array(
                'args' => $args,
                'instance' => $instance,
                'widget_id' => $this->id_base,
                'parent' => $this,
            );
            gj_get_template_part('widgets/job-apply', $data);
        }
    }

    public function update( $new_instance, $old_instance ) {

        $instance = array();
        $instance['title'] = sanitize_text_field( $new_instance['title'] );

        return $instance;
    }
    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => '') );
        $title = strip_tags($instance['title']);

        ?>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'gj'); ?></label>
            <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo esc_attr($title); ?>" />
        </p>
        <?php
    }

}

function gj_widget_job_apply() {
    register_widget('GJ_Widget_Job_Apply');
}
add_action('widgets_init', 'gj_widget_job_apply');