<?php

class GJ_Widget_Job_Filter extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'description' => esc_html__( 'Filter Jobs Widget.', 'gj'),
            'customize_selective_refresh' => true,
        );

        parent::__construct( 'gj_job_filter', esc_html__( '[GJ] Filter Jobs', 'gj'), $widget_ops );
    }

    public function widget( $args, $instance ) {

        $data = array(
                'args' => $args,
                'instance' => $instance,
                'widget_id' => $this->id_base,
                'parent' => $this,
        );

        gj_get_template_part('widgets/job-filter', $data);
    }


    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = sanitize_text_field( $new_instance['title'] );
        return $instance;
    }

    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__('Job Filter', 'gj') ) );
        $title_id = $this->get_field_id( 'title' );
        $title = strip_tags($instance['title']);
        echo '<p><label for="' . $title_id .'">' . esc_html__( 'Title:', 'gj') . '</label>
			<input type="text" class="widefat" id="' . esc_attr($title_id) .'" name="' . $this->get_field_name( 'title' ) .'" value="' . $title .'" />
		</p>';
    }
}

function gj_widget_job_filter() {
    register_widget('GJ_Widget_Job_Filter');
}
add_action('widgets_init', 'gj_widget_job_filter');