<?php


class GJ_Widget_Jobs_Select_Category extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'description' => esc_html__( 'Jobs Select Category', 'gj'),
            'customize_selective_refresh' => true,
        );
        parent::__construct( 'gj_jobs_select', esc_html__( '[GJ] Jobs Select Category', 'gj'), $widget_ops );
    }

public function widget( $args, $instance ) {
    //Value //
    $title = $instance['title'];

    $title = apply_filters('widget_title', $title, $instance, $this->id_base);

    // Load content //
    echo wp_kses_post($args['before_widget']);

    if ($title) {
        echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
    }

    //get taxonomies support
    $instance = array('title' =>'Job Filter',
          'gj_cat' =>'1' ,
          'gj_cat_limit' => '100' ,
          'gj_cat_limit_show_more' => '20' ,
          'gj_cat_hide_empty_item' => '1' ,
          'gj_cat_hierarchy_cat' =>'1',
          'gj_type' =>  '1' ,
          'gj_type_limit' => '5',
          'gj_type_limit_show_more' => '20',
          'gj_type_hide_empty_item' =>  '1' ,
          'gj_type_hierarchy_cat' => '',
          'gj_salary' => '1' ,
          'gj_salary_limit' => '5',
          'gj_salary_limit_show_more' => '20' ,
          'gj_salary_hide_empty_item' =>   '1' ,
          'gj_salary_hierarchy_cat' =>   '' ,
          'gj_skill' =>   '1' ,
          'gj_skill_limit' =>   '5' ,
          'gj_skill_limit_show_more' =>   '20' ,
          'gj_skill_hide_empty_item' =>   '1' ,
          'gj_skill_hierarchy_cat' =>   '' ,
          'gj_level' =>   '1' ,
          'gj_level_limit' =>   '5' ,
          'gj_level_limit_show_more' =>   '20',
          'gj_level_hide_empty_item' =>   '1' ,
          'gj_level_hierarchy_cat' =>   '' ,
          'gj_keyword' =>   '1' ,
          'gj_keyword_limit' =>   '5' ,
          'gj_keyword_limit_show_more' =>   '20',
          'gj_keyword_hide_empty_item' =>   '1' ,
          'gj_keyword_hierarchy_cat' =>   '' ,
          'gj_location' =>   '1',
          'gj_location_limit' =>   '5',
          'gj_location_limit_show_more' =>  '20' ,
          'gj_location_hide_empty_item' =>  '1' ,
          'gj_location_hierarchy_cat' =>   '' ,
          'gj_size' =>   '1' ,
          'gj_size_limit' =>   '5' ,
          'gj_size_limit_show_more' =>  '20' ,
          'gj_size_hide_empty_item' =>   '1' ,
          'gj_size_hierarchy_cat' =>   ''
        );
        $list_taxonomies = array();
        $job_taxonomies = gj_get_job_taxonomies();
        foreach ($job_taxonomies as $job_tax) {
            if (isset($instance[$job_tax]) && is_numeric($instance[$job_tax])) {
                $index = (int) $instance[$job_tax];
                if (isset($list_taxonomies[$index])) {
                    $new_index = max(array_keys($list_taxonomies)) + 1;
                    $list_taxonomies[$new_index] = $job_tax;
                } else {
                    $list_taxonomies[$index] = $job_tax;
                }
            }
        }

        ksort($list_taxonomies);

        //get term objects
        $taxonomies = get_terms( array('taxonomy' => $list_taxonomies, 'hide_empty' => false));

        //current term
        $current_term = get_queried_object();

        //get data filters
        $filters = GJ_Job_Listing::get_data_filters();

        $filters_data = $filters;
        //get terms filtered objects
        $filters_data['taxonomies'] = array();
        $filters_data['taxonomy_ids'] = array();
        if ($filters) {
            $taxonomy_types = array();
            $term_ids = array();
            foreach ($job_taxonomies as $job_tax) {
                if(isset($filters[$job_tax]) && $filters[$job_tax]){
                    $term_ids = array_merge($term_ids, $filters[$job_tax]);
                }
            }
            if($term_ids){
                $filters_data['taxonomy_ids'] = $term_ids;
                $filters_data['taxonomies'] = get_terms( array('taxonomy' => $taxonomy_types, 'include' => $term_ids));
            }
        }

        //count jobs for terms
        $terms_has_job = gj_count_item_by_taxonomy($filters);
        if ($taxonomies) {
            foreach ($taxonomies as $taxonomy) {
                if ( isset($terms_has_job[$taxonomy->term_id]) ) {
                    $taxonomy->total_post = $terms_has_job[$taxonomy->term_id]->total_post;
                } else {
                    $taxonomy->total_post = 0;
                }
            }
        }
        $taxonomies_data = $taxonomies;

        //sort terms by count
        usort($taxonomies_data, function ($item1, $item2) {
            if ($item1->total_post == $item2->total_post) return 0;
            return $item1->total_post < $item2->total_post ? 1 : -1;
        });

        //hide taxonomy if is taxonomy page
        if (is_array($instance) && !empty($instance)) {
            foreach ($instance as $instance_key =>  $instance_item) {
                if (is_tax(gj_get_job_taxonomies()) && is_object($current_term) && isset($current_term->taxonomy) && ($current_term->taxonomy == $instance_key)) {
                    unset($instance[$instance_key]);
                }
            }
        }

        $list_taxonomies_data = array();

        foreach ($list_taxonomies as $list_taxonomy){

            $terms_request = isset($filters_data[$list_taxonomy]) ? $filters_data[$list_taxonomy] : array();
            $terms_ud = array();
            $terms_salary = array();
            foreach($taxonomies_data as $term){
                if($term->taxonomy == $list_taxonomy){
                    if($list_taxonomy == 'gj_salary'){
                        $terms_salary[] = $term;
                    }else{
                        $terms_ud[] = $term;
                    }
                }
            }

            /*gj_salary sort by order key*/
            usort( $terms_salary, function ( $item1, $item2 ) {
                $term_order_1 = get_term_meta( $item1->term_id, GJ_PREFIX . 'salary_order', true );
                $term_order_2 = get_term_meta( $item2->term_id, GJ_PREFIX . 'salary_order', true );
                if ( $term_order_1 == $term_order_2 ) {
                    return 0;
                }

                return $term_order_1 < $term_order_2 ? -1 : 1;
            } );
            $terms = array_merge( $terms_salary, $terms_ud );

            $terms_sorted = $terms_list = array();
            foreach($terms as $term){
                if (in_array($term->term_id, $terms_request)) {
                    $terms_sorted[$term->term_id] = $term;
                } else {
                    $terms_list[$term->term_id] = $term;
                }
            }

            $list_taxonomies_data[$list_taxonomy] = array_merge($terms_sorted, $terms_list);
        }

        $data = array(
            'args' => $args,
            'instance' => $instance,
            'widget_id' => $this->id_base,
            'parent' => $this,
            'list_taxonomies' => $list_taxonomies,
            'list_taxonomies_data' => $list_taxonomies_data,
            'filters_data' => $filters_data
        );

        gj_get_template_part('widgets/job_select_category', $data);

    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = sanitize_text_field( $new_instance['title'] );
        return $instance;
    }

    public function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__('Job Jobs Select Category', 'gj') ) );
        $title_id = $this->get_field_id( 'title' );
        $title = strip_tags($instance['title']);
        echo '<p><label for="' . $title_id .'">' . esc_html__( 'Title:' , 'gj') . '</label>
			<input type="text" class="widefat" id="' . esc_attr($title_id) .'" name="' . esc_attr($this->get_field_name( 'title' )) .'" value="' . esc_attr($title) .'" />
		</p>';


    }

}

function gj_widget_jobs_select_category() {
    register_widget('GJ_Widget_Jobs_Select_Category');
}
add_action('widgets_init', 'gj_widget_jobs_select_category');