<?php

$apply_terms_and_conditions = gj_option( 'apply_terms_and_conditions' );

?>
<div class="modal fade gj-application-modal" id="gj-modal-apply-<?php echo esc_attr(get_the_ID()); ?>" tabindex="-1" role="dialog">
    <div class="iw-vertical-alignment-helper">
        <div class="iw-vertical-align-center">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <form class="gj-application-form gj-popup-form" action="<?php echo esc_url(get_the_permalink()); ?>" method="post" enctype="multipart/form-data">
                        <div class="modal-header">
                            <h4 class="modal-title"><?php echo esc_html__('Application Form', 'gjrp') ?></h4>
                            <button type="button" class="close" data-dismiss="modal"><i class="lnr lnr-cross"></i></button>
                        </div>

                        <div class="modal-body">
                            <div id="application-app">
                                <vue-form-generator :schema="schema" :model="model" :options="formOptions"></vue-form-generator>

                                <?php if ( !empty( $apply_terms_and_conditions ) ) : ?>

                                    <div class="form-check form-group required">
                                        <input type="checkbox" class="form-check-input" id="apply_terms_check" value="" required>

                                        <label class="form-check-label" for="apply_terms_check">
                                            <?php echo wp_kses_post( $apply_terms_and_conditions ); ?>
                                        </label>
                                    </div>

                                <?php endif; ?>

                                <div class="reponse-error hide"></div>
                                <input type="hidden" name="postType" class="extra" value="gj_application">
                                <input type="hidden" name="jobID" class="extra" value="<?php echo esc_attr(get_the_ID()); ?>">
                                <button type="button" class="gj-btn-primary gj-application-btn active"><?php echo esc_html__( 'Apply Now', 'gj' ); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>