<?php
/**
 * The Template for displaying candidates
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();

$candidates_sidebar = gj_option('candidates_sidebar');
$candidates_sidebar_position = '';
if (is_active_sidebar('sidebar-candidates')) {
    $candidates_sidebar_position = $candidates_sidebar;
}
$candidate_sidebar_sticky = gj_option('candidate_sidebar_sticky');
$query = GJ_Candidate_Listing::instance()->get_query();
$count = $query->found_posts;
?>
<div class="contents-main" id="contents-main">
    <div class="container">
        <div class="row">
            <div class="<?php echo esc_attr(gj_get_class('container', $candidates_sidebar_position, 'small')); ?>">

            <div class="gj-content-inner">
                <div id="gj-filtered" class="gj-filter-selected">
                <?php gj_get_template_part('parts/candidates/filtered'); ?>
                </div>
                
                <div class="gj-heading-candidates">
                    <div class="total-result count-candidate">
                        <?php echo esc_html__('Discover Cadidates ','gj'); echo '<span class="total">('. esc_html($count) .')</span>'; ?>
                    </div>
                    <div class="jobs-layout-form gj-default-sorting">
                        <form>
                            <label><?php echo esc_html__('Sort by:', 'gj'); ?></label>
                            <select id="gj-input-sorting" class="select-default-sorting" name="orderby">
                                <?php echo gj_order_list_candidates(); ?>
                            </select>
                        </form>
                    </div>
                </div>
                <div class="show-filter-mobile"><?php echo esc_html__('Show Filter', 'gj'); ?></div>

                <?php do_action('gj_before_candidates'); ?>

                <div id="iwajax-load">
                    <?php
                    gj_get_template_part( 'parts/candidates/candidates', array('query' => $query) );
                    ?>
                </div>

                <?php do_action('gj_after_candidates'); ?>

                <?php
                global $wp;
                $current_url = home_url( add_query_arg( array(), $wp->request ) );
                ?>

                <input type="hidden" name="url" id="url" value="<?php echo esc_url($current_url); ?>">
            </div>

            </div>
            <?php if ($candidates_sidebar && is_active_sidebar('sidebar-candidates')) : ?>
                <div class="gj-sidebar-1 <?php echo( $candidate_sidebar_sticky ? 'gj-sidebar-sticky' : '' ); ?> <?php echo esc_attr(gj_get_class('sidebar', $candidates_sidebar, 'small')) ?>">
                    <div class="widget-area sidebar-jobs">
                        <span class="gj-close-filter"><i class="fa fa-times-circle"></i></span>
                        <?php dynamic_sidebar('sidebar-candidates'); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>


