<?php
/**
 * The Template for dashboard
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();
$endpoint = gj_current_dashboard_endpoint();
$dashboard_url = gj_get_page_permalink('dashboard');
$user = GJ_User::get_user();
$dashboard_pages = gj_dashboard_pages();
$curent_page = isset($dashboard_pages[$endpoint]) ? $dashboard_pages[$endpoint] : null;
$showSidebar = $curent_page && (!isset($curent_page['showSidebar']) || (isset($curent_page['showSidebar']) && $curent_page['showSidebar'])) ? true : false;
$showTitle = $curent_page && (!isset($curent_page['showTitle']) || (isset($curent_page['showTitle']) && $curent_page['showTitle'])) ? true : false;
$showBreadcrumbs = $curent_page && isset($curent_page['breadcrumbs']) && $curent_page['breadcrumbs'] ? true : false;
?>
<div class="gj-dashboard clearfix <?php echo ($showSidebar == true) ? 'yes-sidebar' : 'no-sidebar'; ?>">
    <div class="gj-dashboard-menu-mobile gj-dashboard-menu">
        <div class="dropdown">
            <?php
                $menu_title = $curent_page ? $curent_page['title'] : esc_html__('Menu Dashboard', 'gj');
            ?>
            <button class="btn btn-primary dropdown-toggle" id="dropdownMenuButton" type="button" data-toggle="dropdown"><?php echo esc_html($menu_title); ?> <span class="caret"></span></button>
            <?php gj_get_template_part('dashboard/mobile-menu')?>
        </div>
    </div>

    <!-- gj-sidebar-sticky-->
    <?php if($showSidebar){ ?>
    <div class="gj-dashboard-sidebar">
        <div class="gj-dashboard-menu">
            <?php gj_get_template_part('dashboard/menu', array('dashboard_menu' => true))?>
        </div>
    </div>
    <?php } ?>

    <div class="gj-dashboard-main <?php echo esc_attr($endpoint); ?>">
        <div class="gj-dashboard-main-inner">
            <?php if($showTitle || $showBreadcrumbs){ ?>
            <div class="gj-page-heading">
                <?php if($showTitle){ ?>
                    <div class="page-heading-left">
                        <h1 class="page-title"><?php echo esc_html($curent_page['title']); ?></h1>
                        <?php do_action('gj_after_dashboard_title'); ?>
                    </div>
                <?php } ?>
                <?php if($showBreadcrumbs){ ?>
                    <div class="breadcrumbs-dashboard">
                        <ul>
                            <?php foreach ($curent_page['breadcrumbs'] as $pageID){
                                $page = isset($dashboard_pages[$pageID]) ? $dashboard_pages[$pageID] : null;
                                if($page){
                                    ?>
                                    <li>
                                        <a class="dashboard" href="<?php echo esc_url($page['url']) ?>"><span class="title"><?php echo esc_html($page['title']); ?></span><i class="fa fa-angle-right"></i></a>
                                    </li>
                                    <?php
                                }
                            } ?>
                            <li>
                                <span class="title"><?php echo esc_html($curent_page['title']); ?></span>
                            </li>
                        </ul>
                    </div>
                <?php } ?>
            </div>
            <?php } ?>
            <?php echo gj_dashboard_content(); ?>
        </div>
    </div>
</div>
<?php get_footer(); ?>

