<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
global $wp_query; 
$postID = isset($wp_query->query_vars['postID']) ? $wp_query->query_vars['postID'] : '';
$application = GJ_Application::get_application($postID);
?>
<div class="gj-application-details gj-main-block">
    <?php
    if ( $application ) {
        ?>
        <div>
            <?php
                $fields = gj_fields($postID);
                if($fields){
                    foreach ($fields as $field){
                        $field->outputHtml();
                    }
                }
            ?>
        </div>
        <form action="#" method="post" class="gj-update-application-form">
            <ul class="application-details">
                <li class="application-status">
                    <div class="title">
                        <?php echo esc_html__('Status', 'gj'); ?>
                    </div>
                    <div class="value">
                        <select class="gj-select-2-wsearch" id="gj-application-status" data-id="<?php echo esc_attr($application->get_id()); ?>">
                            <option value="pending" <?php selected($application->get_status(), 'pending'); ?>><?php echo esc_html__('Pending', 'gj'); ?></option>
                            <option value="publish" <?php selected($application->get_status(), 'publish'); ?>><?php echo esc_html__('Accept', 'gj'); ?></option>
                            <option value="gj-rejected" <?php selected($application->get_status(), 'gj-rejected'); ?>><?php echo esc_html__('Reject', 'gj'); ?></option>
                        </select>
                    </div>
                </li>
                <li class="application-note">
                    <div class="title">
                        <?php echo esc_html__('Private note', 'gj'); ?>
                    </div>
                    <div class="value">
                        <textarea id="gj-application-private-note" data-id="<?php echo esc_attr($application->get_id()); ?>"><?php echo esc_textarea($application->get_private_note()); ?></textarea>
                    </div>
                </li>
                <li>
                    <div class="gj-button-loader">
                        <?php if(gj_option('email_application_enable')){ ?>
                            <button class="gj-btn gj-btn-primary gj-email-appication-btn" 
                                type="button" 
                                data-id="<?php echo esc_attr($application->get_id()); ?>"
                                data-title="<?php echo esc_attr($application->get_full_name()); ?>">
                                    <i class="far fa-envelope"></i> <?php echo esc_html__('Send Email', 'gj'); ?>
                            </button>
                        <?php } ?>
                    </div>
                </li>
            </ul>
            <div class="clear"></div>
        </form>
        
    <?php 
} 
gj_get_template_part('dashboard/application/email-modal');
?>
</div>
