<?php
$search            = isset( $_GET['search'] ) ? sanitize_text_field($_GET['search']) : '';
$paged             = isset( $_GET['cpage'] ) ? intval($_GET['cpage']) : 1;
$status            = isset( $_GET['status'] ) ? sanitize_text_field($_GET['status']) : '';
$user              = GJ_User::get_user();

global $wp_query;
$postID = isset($wp_query->query_vars['postID']) ? $wp_query->query_vars['postID'] : '';
$application_query = $user->get_applications($postID);
?>
<div class="gj-applications">
	<div class="gj-search-form">
		<form action="<?php echo esc_url(gj_dashboard_endpoint_url('applications')); ?>">
            <div class="row">
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <div class="gj-select-option">
                        <select class="search-select gj-jobs-status gj-select-2-wsearch" name="status">
                            <option value="" <?php selected($status, ''); ?>><?php echo esc_html__('Status', 'gj'); ?></option>
                            <?php
                            $job_status = GJ_Application::get_status_array(true, true);

                            foreach ($job_status as $key=>$title){
                                echo '<option value="'.$key.'" '.selected($status, $key, false).'>'.$title.'</option>';
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="col-md-9 col-sm-9 col-xs-12">
                    <div class="search-box">
                        <input type="text" class="search-text" placeholder="<?php echo esc_html__( 'Search', 'gj' ); ?>" name="search" value="<?php echo esc_attr( $search ); ?>">
                        <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
                    </div>
                </div>
            </div>
		</form>
	</div>
    <div class="gj-main-block">
        <div class="gj-applications-table">
            <div class="gj-table-overflow-x">
                <table class="table">
                    <thead>
                    <tr>
                        <th style="width: 35%; color: #6979F8;"><?php echo esc_html__( 'Applier', 'gj' ); ?></th>
                        <th style="width: 10%;"><?php echo esc_html__( 'Applied Date', 'gj' ); ?></th>
                        <th style="width: 10%;" class="text-center"><?php echo esc_html__( 'Source', 'gj' ); ?></th>
                        <th style="width: 10%;" class="text-center"><?php echo esc_html__( 'Status', 'gj' ); ?></th>
                        <th style="width: 15%;" class="text-center"><?php echo esc_html__( 'Download CV', 'gj' ); ?></th>
                        <th style="width: 15%;" class="text-right"></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php

                    if ( $application_query && $application_query->have_posts() ) { ?>
                        <?php
                        $show_candidate_public_profile = gj_option( 'show_candidate_public_profile', '' );
                        while ( $application_query->have_posts() ) {
                            $application_query->the_post();
                            $post        = get_post();
                            $application = GJ_Application::get_application( $post );
                            $job         = $application->get_job();
                            $author      = $application->get_author();
                            ?>
                            <tr class="application-item application-<?php echo esc_attr($application->get_id()); ?>">
                                <td class="application-applier">
                                    <div class="avatar">
                                        <a href="<?php echo esc_url($application->view_permalink()); ?>"><?php echo get_avatar( $author->get_id() ); ?></a>
                                    </div>
                                    <div class="content">
                                        <h3>
                                            <a href="<?php echo esc_url($application->view_permalink()); ?>"><?php echo esc_html($application->get_title()); ?></a>
                                        </h3>
                                        <div class="application-meta">
                                            <?php $job_title = $job->get_title(); ?>
                                            <div class="job">
                                                <span class="meta-title"></span><span class="meta-value"><a href="<?php echo esc_url($job->permalink()); ?>" title="<?php echo esc_attr($job_title); ?>"><?php echo wp_trim_words( $job_title, 4 ); ?></a></span>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="application-created"><?php echo esc_html($application->get_created()); ?></td>
                                <td class="application-source text-center"><?php echo ucfirst( $application->get_source() ); ?></td>
                                <td class="application-status gj-status text-center">
                                    <span data-toggle="tooltip" class="<?php echo esc_attr($application->get_status()); ?>" title="<?php echo GJ_Application::get_status_title( $application->get_status() ); ?>"><?php echo GJ_Application::get_status_title( $application->get_status()); ?></span>
                                </td>
                                <td class="application-cv">
                                    <?php
                                    $cv = $application->get_cv();
                                    $url = '';
                                    if ( $cv && $cv['url'] ) {
                                        $url = $cv['url'];
                                    }

                                    echo '<a href="' . esc_url($cv['url']) . '" target="_blank" class="gj-btn" ><i class="fa fa-download"></i><span>' . esc_html__('Download CV', 'gj'). '</span></a>';
                                    ?>
                                </td>
                                <td class="action text-center">
                                    <div>
                                        <a href="#" class="gj-view-application" data-id="<?php echo esc_attr($application->get_id()) ?>" data-remote="false" data-toggle="modal" data-target="#gj-application-view-modal"><i class="fa fa-eye"></i></a>
                                        <?php if ( gj_option( 'email_contact_enable' ) ) { ?>
                                            <a class="gj-email-appication-btn"
                                               href="#"
                                               data-id="<?php echo esc_attr($application->get_id()); ?>"
                                               data-title="<?php echo esc_attr($application->get_full_name()); ?>"
                                            ><i class="far fa-envelope"></i></a>
                                        <?php } ?>
                                    </div>
                                </td>
                            </tr>
                            <?php
                        }
                        wp_reset_postdata();
                    } else { ?>
                        <tr class="gj-empty">
                            <td colspan="6"><?php echo esc_html__( 'No applications found.', 'gj' ); ?></td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
            <div class="modal fade gj-application-view-modal" id="gj-application-view-modal" tabindex="-1" role="dialog" data-loading="<?php echo esc_html__( 'Loading...', 'gj' ); ?>">
                <div class="iw-vertical-alignment-helper">
                    <div class="iw-vertical-align-center">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title"><?php echo esc_html__( 'Application Details', 'gj' ); ?></h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <a class="print-button" href="javascript:window.print()" title="<?php esc_html_e( 'Print this page', 'gj' ); ?>"><i class="lnr lnr-printer"></i></a>
                                </div>
                                <div class="modal-body">
                                    <?php echo esc_html__( 'Loading...', 'gj' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php gj_get_template_part('dashboard/application/email-modal'); ?>

        </div>
        <div class="clearfix"></div>
        <?php
        if ( $application_query && $application_query->max_num_pages > 1 ) { ?>
            <div class="gj-pagination">
                <?php
                $big = 999999999; // need an unlikely integer
                echo paginate_links( array(
                    'base'      => add_query_arg( 'cpage', '%#%' ),
                    'format'    => '',
                    'prev_text' => '&laquo;',
                    'next_text' => '&raquo;',
                    'current'   => $paged,
                    'total'     => $application_query->max_num_pages
                ) );
                ?>
            </div>
            <div class="clearfix"></div>
        <?php } ?>
    </div>
</div>
