<?php
$order_id = isset($_GET['order_id']) ? intval($_GET['order_id']) : 0;
$order = GJ_Order::get_order($order_id);
?>
<div class="container">
    <div class="gj-main-block">
        <div class="gj-order-completed clearfix">
            <?php if ( $order ) {
                $products = $order->get_products();
                ?>
                <div class="thankyou-panel">
                    <h3><?php echo esc_html__('Your order details','gj');?></h3>
                    <div class="table-order-completed">
                        <table class="table">
                            <tr>
                                <td><?php echo esc_html__('Order ID', 'gj'); ?></td>
                                <td class="order-id"><?php echo esc_html($order->get_id()); ?></td>
                            </tr>
                            <tr>
                                <td><?php echo esc_html__('Amount', 'gj'); ?></td>
                                <td><?php echo gj_system_price( $order->get_total_price(), $order->get_currency() ); ?></td>
                            </tr>
                            <tr>
                                <td><?php echo esc_html__('Status', 'gj'); ?></td>
                                <td><?php echo esc_html($order->get_status_title($order->get_status())); ?></td>
                            </tr>
                            <tr>
                                <td><?php echo esc_html__('Payment Method', 'gj'); ?></td>
                                <td><?php echo esc_html($order->get_payment_method_title()); ?></td>
                            </tr>
                            <tr>
                                <td><?php echo esc_html__('Details', 'gj'); ?></td>
                                <td>
                                    <?php
                                    if($products[0]){
                                        echo $products[0]->get_title_for_order();
                                    }
                                    ?>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <?php
                    if(!$order->has_status('completed')){
                        $payment_method = $order->get_payment_method();
                        $intruction = $payment_method ? $payment_method->get_instructions() : '';
                        if($intruction){
                            echo '<div class="payment-intructions">'.$intruction.'</div>';
                        }
                    }

                    do_action('gj_after_thank_you_page', $order);

                    ?>
                    <div class="clearfix"></div>
                </div>
            <?php }else{
                echo esc_html__('Thank you for ordering', 'gj');
            } ?>
        </div>
    </div>
</div>
