<?php
    $search = isset($_GET['search']) ? sanitize_text_field($_GET['search']) : '';
    $paged = isset($_GET['cpage']) ? intval($_GET['cpage']) : 1;
    $status = isset($_GET['status']) ? sanitize_text_field($_GET['status']) : '';
    $orderby = isset($_GET['orderby']) ? sanitize_text_field($_GET['orderby']) : '';
    $user = GJ_User::get_user();
    $job_query = $user->get_jobs();
	$url = gj_get_page_permalink('dashboard');
?>
<div class="gj-jobs">
    <div class="gj-main-block">
        <div class="gj-jobs-table">
            <div class="gj-table-overflow-x">
                <table class="table">
                    <thead>
                    <tr>
                        <th style="width:28%;"><?php echo esc_html__('Title', 'gj'); ?></th>
                        <th style="width:18%;" class="text-center"><?php echo esc_html__('Applications', 'gj'); ?></th>
                        <th style="width:12%;"><?php echo esc_html__('Created', 'gj'); ?></th>
                        <th style="width:8%;"><?php echo esc_html__('Expired', 'gj'); ?></th>
                        <th style="width:8%;" class="text-center"><?php echo esc_html__('Views', 'gj'); ?></th>
                        <th style="width:8%;" class="text-center"><?php echo esc_html__('Status', 'gj'); ?></th>
                        <th style="width:10%;" class="text-center"><?php echo esc_html__('Featured', 'gj'); ?></th>
                        <th style="width:8%;" class="text-center"><?php echo esc_html__('Action', 'gj'); ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if($job_query->have_posts()) { ?>
                        <?php
                        while ($job_query->have_posts()){
                            $job_query->the_post();
                            $post = get_post();
                            $job = GJ_Job::get_job($post);

                            ?>
                            <tr class="job-item status-<?php echo esc_attr($job->get_status()); ?>" id="job-<?php echo esc_attr($job->get_id()); ?>">
                                <td class="job-title-meta">
                                    <h3 class="job-title">
                                        <a href="<?php echo esc_url($job->permalink()); ?>"><?php echo esc_html($job->get_title()); ?></a>
                                    </h3>
                                    <ul class="job-meta">
                                        <?php if ($job->get_state(true) || $job->get_city(true)) { ?>
                                            <li class="locations"><i class="fa fa-map-marker"></i> <?php echo (string)$job->get_state(true); ?> <?php echo (string)$job->get_city(true); ?></li>
                                        <?php } ?>
                                        <?php if ($job->get_categories_links()) { ?>
                                            <li class="categories"><i class="fa fa-suitcase"></i> <?php echo (string)$job->get_categories_links(); ?></li>
                                        <?php } ?>
                                    </ul>
                                </td>
                                <td class="job-aplication text-center">
                                    <?php
                                    if($count_applications = $job->count_applications()){
                                        $application_ids = $job->get_application_ids(3);
                                        foreach ($application_ids as $application_id){
                                            $application = GJ_Application::get_application($application_id);
                                            $author_id = $application->get_author_id();
                                            $avatar_url = get_avatar_url($author_id);
                                            ?>
                                            <a data-toggle="tooltip" href="<?php echo esc_url($application->view_permalink()); ?>" class="application-item" title="<?php echo esc_attr($application->get_full_name()); ?>"><img src="<?php echo esc_url($avatar_url); ?>" alt=""></a>
                                        <?php
                                        }
                                        ?>
                                        <a href="<?php echo esc_url($job->applications_permalink()); ?>" class="applications">
                                            <?php
                                            if($count_applications > 2) {
                                                echo sprintf(__('<span class="counter">%d+</span> Applied ', 'gj'),$count_applications);
                                            }else{
                                                echo sprintf(__('<span class="counter">%d</span> Applied ', 'gj'),$count_applications);
                                            }
                                            ?>
                                        </a>
                                    <?php }else{
                                        echo '<div class="text-center">'.esc_html__('N/A', 'gj').'</div>';
                                    } ?>
                                </td>

                                <td class="gj-created">
                                    <?php echo date_i18n(get_option('date_format'), strtotime($job->get_created())); ?>
                                </td>
                                <td class="gj-expiry">
                                    <?php
                                        $expiry = $job->get_deadline();
                                        if($expiry){
                                            echo date_i18n(get_option('date_format'), strtotime($expiry));
                                        }elseif($job->has_status('publish')){
                                            echo esc_html__('Open', 'gj');
                                        }else{
                                            echo esc_html__('N/A', 'gj');
                                        }
                                    ?>
                                </td>
                                <td class="gj-views text-center">
                                    <?php if($job->has_status(array('publish', 'expired'))){
                                        echo intval($job->get_views());
                                    }else{
                                        echo esc_html__('N/A', 'gj');
                                    } ?>
                                </td>
                                <td class="gj-status text-center">
                                    <?php if($job->can_publish()){ ?>
                                        <a href="#"><span data-toggle="tooltip" class="gj-publish-job <?php echo esc_attr($job->get_status()); ?>" title="<?php echo esc_html__('Click to publish this job', 'gj'); ?>" data-id="<?php echo esc_attr($job->get_id()); ?>"><?php echo gj_get_status_icon($job->get_status()); ?></span></a>
                                    <?php }else{ ?>
                                        <span class="<?php echo esc_attr($job->get_status()); ?>"><?php echo gj_get_status_icon($job->get_status()); ?></span>
                                    <?php } ?>
                                </td>
                                <td class="job-featured <?php echo ($job->is_featured()) ? 'featured' : ''; ?>">
                                    <?php if ($job->is_featured()){ ?>
                                        <a href="#" class="gj-featured-job featured" data-id="<?php echo esc_attr($job->get_id()); ?>"><i class="gj-icon gj-icon-star"></i></a>
                                    <?php } elseif($job->can_make_featured()) { ?>
                                        <a href="#" class="gj-featured-job" data-id="<?php echo esc_attr($job->get_id()); ?>"><i class="gj-icon gj-icon-star-outline"></i></a>
                                    <?php }else{ ?>
                                        <a href="#" class="gj-featured-job noable"><i class="gj-icon gj-icon-star-outline"></i></a>
                                    <?php } ?>
                                </td>
                                <td class="job-action">
                                    <div class="gj-menu-action-wrap">
                                        <a tabindex="0" class="gj-toggle-action dropdown-toggle" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></a>
                                        <div id="nav-collapse<?php echo esc_attr($post->ID); ?>" class="dropdown-menu gj-menu-action" data-id="nav-collapse<?php echo esc_attr($post->ID); ?>">
                                            <div class="gj-menu-action-inner">
                                                <?php 
                                                if($job->can_edit()){ ?>
                                                    <div><a href="<?php echo esc_url($job->edit_link()); ?>"><?php echo esc_html__('Edit', 'gj'); ?></a></div>
                                                <?php } ?>
                                                <?php if($job->can_publish()){ ?>
                                                    <div><a href="#" class="gj-publish-job" data-id="<?php echo esc_attr($job->get_id()); ?>"><?php echo esc_html__('Publish', 'gj'); ?></a></div>
                                                <?php }else{ ?>
                                                    <div><a href="#" class="gj-draft-job" data-id="<?php echo esc_attr($job->get_id()); ?>"><?php echo esc_html__('Draft', 'gj'); ?></a></div>
                                                <?php } ?>
                                                <?php if($job->can_renew()){ ?>
                                                    <div><a href="#" class="gj-renew-job" data-id="<?php echo esc_attr($job->get_id()); ?>"><?php echo esc_html__('Renew', 'gj'); ?></a></div>
                                                <?php } ?>
                                                <?php if($job->can_delete()){ ?>
                                                    <div><a href="#" class="gj-delete-job" data-id="<?php echo esc_attr($job->get_id()); ?>" data-message="<?php printf(__('Are you sure you want to delete %s?', 'gj'), $job->get_title()); ?>"><?php echo esc_html__('Delete', 'gj'); ?></a></div>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php
                        }
                        wp_reset_postdata();
                    }else{ ?>
                        <tr class="gj-empty">
                            <td colspan="8"><?php echo esc_html__('No job found', 'gj'); ?></td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="clearfix"></div>
        <?php
            if($job_query->max_num_pages > 1) { ?>
                <div class="gj-pagination">
                    <?php
                    $big = 999999999; // need an unlikely integer
                    echo paginate_links(array(
                        'base' => add_query_arg( 'cpage', '%#%' ),
                        'format' => '',
                        'prev_text' => '&laquo;',
                        'next_text' => '&raquo;',
                        'current' => $paged,
                        'total' => $job_query->max_num_pages
                    ));
                    ?>
                </div>
                <div class="clearfix"></div>

            <?php } ?>
    </div>
</div>