<?php
    $user = GJ_User::get_user();
    $save_jobs = $user->get_save_jobs();
    $search = isset($_GET['search']) ? sanitize_text_field($_GET['search']) : '';
?>
<div class="gj-save-jobs">
    <div class="gj-search-form">
        <form action="<?php echo esc_url(gj_dashboard_endpoint_url('saved-jobs')); ?>">
			<div class="search-box">
                <input type="text" class="search-text" placeholder="<?php echo esc_html__('Search', 'gj'); ?>" name="search" value="<?php echo esc_attr($search); ?>">
                <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
            </div>
        </form>
    </div>
    <div class="gj-main-block">
        <div class="gj-table-overflow-x">
            <table class="table">
                <thead>
                <tr>
                    <th style="width: 50%;"><?php echo esc_html__('Job Title', 'gj'); ?></th>
                    <th style="width: 35%;"><?php echo esc_html__('Company', 'gj'); ?></th>
                    <th style="width: 15%;" class="text-center"></th>
                </tr>
                </thead>
                <tbody>
                <?php if($save_jobs) {
                    if($save_jobs['result']){
                        foreach ($save_jobs['result'] as $item){
                            $job = GJ_Job::get_job($item->post_id);
                            $employer = $job->get_employer();
                            ?>
                            <tr id="save-job-<?php echo esc_attr($job->get_id()); ?>" class="save-job-item">
                                <td>
                                    <h3><a href="<?php echo esc_url($job->permalink()); ?>"><?php echo esc_html($job->get_title()); ?></a></h3>
                                    <div class="job-meta">
                                        <?php if($job->get_location()){ ?>
                                            <div class="location">
                                                <span class="meta-title"><i class="lnr lnr-location"></i></span>
                                                <span class="meta-value">
                                                    <?php echo esc_html($job->get_location()); ?>
                                                </span>
                                            </div>
                                        <?php } ?>
                                        <?php if ($job->get_categories_links()){?>
                                            <div class="categories">
                                                <span class="meta-title"><i class="fa fa-suitcase"></i></span>
                                                <span class="meta-value">
                                                        <?php echo (string)$job->get_categories_links(); ?>
                                                    </span>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </td>
                                <td>
                                    <?php if($employer) { ?>
                                        <a class="company-name" href="<?php echo esc_url($employer->permalink()); ?>"><?php echo esc_html($employer->get_title()); ?></a>
                                    <?php } ?>
                                </td>
                                <td class="text-center action">
                                    <div>
                                        <a href="#" class="gj-unsave-job" data-id="<?php echo esc_attr($job->get_id()); ?>"><i class="lnr lnr-trash"></i></a>
                                    </div>
                                </td>
                            </tr>
                        <?php
                        }
                    }
                }else{ ?>
                    <tr class="gj-empty">
                        <td colspan="3"><?php echo esc_html__('No jobs found', 'gj'); ?></td>
                    </tr>
                <?php } ?>
                </tbody>
            </table>
        </div>
        <div class="clearfix"></div>
        <?php if($save_jobs && $save_jobs['total_page'] > 1){ ?>
            <div class="gj-pagination">
            <?php
            echo paginate_links( array(
                'base' => add_query_arg( 'cpage', '%#%' ),
                'format' => '',
                'prev_text' => '&laquo;',
                'next_text' => '&raquo;',
                'total' => $save_jobs['total_page'],
                'current' => $save_jobs['current_page']
                ));
            ?>
            </div>
            <div class="clearfix"></div>
        <?php } ?>
    </div>
</div>