<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
global $wp_query;
$order_id = isset($wp_query->query_vars['postID']) ? $wp_query->query_vars['postID'] : '';
?>
<div class="gj-order-details gj-main-block">
    <?php
        $order = GJ_Order::get_order($order_id);
        $products = $order->get_products();
        $author = $order->get_author();
        if ( $order ) { ?>
            <div class="order-logo">
                <?php
                $order_logo_url = get_template_directory_uri() . "/assets/images/logo-black.png";
                $order_logo = gj_option('order_logo');
                if ($order_logo) {
                    $order_logo_url = esc_url( wp_get_attachment_url($order_logo[0]) );
                }
                ?>
                <img src="<?php echo esc_url($order_logo_url) ; ?>" alt="">
            </div>
            <div class="order-number-date">
                <div class="order-number">
                    <strong>
                        <?php esc_html_e('Order Number : ','gj'); ?>
                    </strong>
                    <?php echo intval($order->get_id()); ?>
                </div>

                <div class="order-date">
                    <strong>
                        <?php esc_html_e('Date : ', 'gj'); ?>
                    </strong>
                    <?php echo date_i18n( get_option( 'date_format' ), strtotime( $order->get_created() ) ); ?>
                </div>
                <div class="order-print">
                    <a class="print-button" href="javascript:window.print()" title="<?php esc_attr_e( 'Print this page', 'gj' ); ?>">
                        <i class="fa fa-print"></i>
                    </a>
                </div>
            </div>
            <div class="order-author">
                <div class="order-author-email"><strong><?php echo esc_html($author->get_email()); ?></strong></div>
                <div class="order-author-name"><strong><?php echo esc_html($author->get_display_name()); ?></strong></div>
            </div>
            <table class="order_details table">
                <?php if($order->has_tax()){?>
                    <tr>
                        <td><strong><?php echo esc_html__('Price', 'gj'); ?></strong></td>
                        <td><?php echo gj_system_price($order->get_price(), $order->get_currency()); ?></td>
                    </tr>
                    <tr>
                        <td><strong><?php echo sprintf(__('Tax Price - %s%%', 'gj'), $order->get_tax_value()); ?></strong></td>
                        <td><?php echo gj_system_price($order->get_tax_price(), $order->get_currency()); ?></td>
                    </tr>
                    <tr>
                        <td><strong><?php echo esc_html__('Total Price', 'gj'); ?></strong></td>
                        <td><?php echo gj_system_price($order->get_total_price(), $order->get_currency()); ?></td>
                    </tr>
                <?php }else{ ?>
                    <tr>
                        <td><strong><?php echo esc_html__('Total Price', 'gj'); ?></strong></td>
                        <td><?php echo gj_system_price($order->get_total_price(), $order->get_currency()); ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td><strong><?php echo esc_html__('Status', 'gj'); ?></strong></td>
                    <td><?php echo esc_html($order->get_status_title($order->get_status())); ?></td>
                </tr>
                <?php if($order->has_status('completed')){ ?>
                    <tr>
                        <td><strong><?php echo esc_html__('Payment Method', 'gj'); ?></strong></td>
                        <td><?php echo esc_html($order->get_payment_method_title()); ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td><strong><?php echo esc_html__('Description', 'gj'); ?></strong></td>
                    <td>
                        <?php echo $products[0]->get_title_for_order(); ?>
                    </td>
                </tr>
            </table>

            <?php do_action('gj_after_order_details', $order_id); ?>

            <div class="clear"></div>
        <?php } ?>
</div>
