<div class="gj-orders">
    <?php

    $user = GJ_User::get_user();
    $order_query = $user->get_orders();
    $status = isset($_GET['order_status']) ? sanitize_text_field($_GET['order_status']) : '';
    $type = isset($_GET['order_type']) ? sanitize_text_field($_GET['order_type']) : '';
    $search = isset($_GET['search']) ? sanitize_text_field($_GET['search']) : '';
    $url = gj_get_page_permalink('dashboard');
    ?>
    <div class="gj-search-form">
        <form action="<?php echo esc_url(gj_dashboard_endpoint_url('orders')); ?>">
            <div class="row">
                <div class="col-md-3 col-sm-3 col-xs-12">
                    <label><?php echo esc_html__('Status:', 'gj'); ?></label>
                    <div class="gj-select-option">
                        <select class="search-select gj-order-status gj-select-2-wsearch" name="order_status">
                            <option value="" <?php selected($status, '', false); ?>><?php echo esc_html__('All Status', 'gj'); ?></option>
                            <?php
                            $status_arr = GJ_Order::get_status_array(false, false);
                            foreach ($status_arr as $_status_id => $_status_title){
                                echo '<option value="'.$_status_id.'" '.selected($status, $_status_id, false).'>'.$_status_title.'</option>';
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="col-md-9 col-sm-9 col-xs-12">
                    <div class="search-box">
                        <input type="text" class="search-text" placeholder="<?php echo esc_html__('Search', 'gj'); ?>" name="search" value="<?php echo esc_attr($search); ?>">
                        <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="gj-main-block">
        <div class="gj-orders-table">
            <div class="gj-table-overflow-x">
                <table class="table">
                    <thead>
                    <tr>
                        <th style="width: 15%;"><?php echo esc_html__('ID', 'gj'); ?></th>
                        <th style="width: 20%;"><?php echo esc_html__('Price', 'gj'); ?></th>
                        <th style="width: 20%;"><?php echo esc_html__('Created Date', 'gj'); ?></th>
                        <th style="width: 15%;"><?php echo esc_html__('Status', 'gj'); ?></th>
                        <?php do_action('gj_after_orders_table_head'); ?>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if($order_query->have_posts()) {
                        while ($order_query->have_posts()){
                            $order_query->the_post();
                            $post = get_post();
                            $order = GJ_Order::get_order($post);
                            ?>
                            <tr>
                                <td><a href="<?php echo esc_url($order->get_view_link()); ?>">#<?php echo intval($order->get_id()); ?></a></td>
                                <td><?php echo gj_system_price($order->get_total_price(), $order->get_currency()); ?></td>
                                <td><?php echo date(get_option('date_format'), strtotime($order->get_created())); ?></td>
                                <td class="gj-status">
                                    <span data-toggle="tooltip" class="<?php echo esc_attr($order->get_status()); ?>"><?php echo GJ_Order::get_status_title($order->get_status()); ?></span>
                                </td>
                                <?php do_action('gj_after_order_row', $order); ?>
                            </tr>
                        <?php
                        }
                        wp_reset_postdata();
                        ?>
                    <?php }else{ ?>
                        <tr>
                            <td class="gj-empty" colspan="5">
                                <?php echo esc_html__('No order found', 'gj'); ?>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <?php
        if($order_query->max_num_pages > 1) { ?>
            <div class="gj-pagination">
                <?php
                echo paginate_links(array(
                    'base' => add_query_arg( 'cpage', '%#%'),
                    'format' => '',
                    'prev_text' => '&laquo;',
                    'next_text' => '&raquo;',
                    'total' => $order_query->max_num_pages,
                    'current' => isset($_GET['cpage']) ? intval($_GET['cpage']) : 1
                ));
                ?>
            </div>
        <?php } ?>
    </div>
</div>