<?php
$user = GJ_User::get_user();
if($user){
$name = $user->get_display_name();
$headline = $user->get_headline();
$description = $user->get_description();
$candidate = $user->get_first_candidate();
$address = $user->get_address();
$phone = $user->get_phone();
$website = $user->get_website();
$email = $user->get_email();
$permalink = $user->permalink();
$dashboard_url = gj_get_page_permalink('dashboard');
wp_enqueue_script('google-maps');
wp_enqueue_script('infobox');
wp_enqueue_style('jquery-fancybox');
wp_enqueue_script('jquery-fancybox');

?>
<div class="gj-overview gj-profile clearfix">
    <div class="info-top-wrap">
        <div class="sidebar-info">
            <div class="avatar"><?php echo get_avatar($user->get_id(), 150); ?></div>
        </div>
        <div class="main-info candidate-info iw-job-detail-sidebar">
            <div class="info-top">
                <h3 class="gj-title"><a href="<?php echo esc_url($permalink); ?>"><?php echo esc_html($name); ?></a></h3>
                <div class="headline"><?php echo !empty($headline) ? esc_html($headline) : esc_html__('Headline', 'gj'); ?></div>
            </div>
            <div class="gj-sidebar-bottom info-bottom">
                <ul>
                    <li class="location">
                        <span class="title-meta"><?php esc_html_e('Locations:', 'gj'); ?></span>
                        <div class="content"><?php echo !empty($address) ? esc_html($address) :  esc_html__('Click edit profile to update your address.', 'gj');?></div>
                    </li>
                    <li class="phone">
                        <span class="title-meta"><?php esc_html_e('Phone:', 'gj'); ?></span>
                        <div class="content"><?php echo !empty($phone) ? esc_html($phone) : esc_html__('Click edit profile to update your phone.', 'gj'); ?></div>
                    </li>
                    <li class="email">
                        <span class="title-meta"><?php esc_html_e('Email:', 'gj'); ?></span>
                        <div class="content"><a href="<?php echo !empty($email) ? 'mailto:'.$email : '#'; ?>"><?php echo !empty($email) ? esc_html($email) : esc_html__('Click edit profile to update your email.', 'gj'); ?></a></div>
                    </li>
                </ul>
                <div class="description"><?php echo !empty($description) ? esc_html(wp_trim_words($description, 20)) : esc_html__('Click edit profile to update your description.', 'gj'); ?></div>
            </div>
        </div>
        <a class="gj-edit-profile" href="<?php echo esc_url(gj_dashboard_endpoint_url('profile')); ?>"><i class="fa fa-edit"></i></a>
    </div>
    <div class="gj-candidate-detail default iw-profile-content">
        <div class="candidate-main-content">
            <div class="resume-info">

                <?php if ($education = $candidate->get_education()) { ?>
                    <div id="education" class="education">
                        <h3 class="title-block"><?php echo esc_html__('Education', 'gj'); ?></h3>
                        <ul class="time-line">
                            <?php
                            foreach ($education as $item) {
                                ?>
                                <li>
                                    <div class="date theme-color theme-border-color"><?php echo esc_html($item['date']); ?></div>
                                    <div class="speciality-school top theme-color"><?php echo esc_html($item['title']); ?></div>
                                    <div class="school-name bottom"><?php echo esc_html($item['school_name']); ?></div>
                                    <div class="desc"><?php echo apply_filters('the_content',$item['description']); ?></div>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                <?php } ?>

                <?php
                if ($experience = $candidate->get_experience()) {
                    ?>
                    <div id="work-experience" class="work-experience">
                        <h3 class="title-block"><?php echo esc_html__('Experience', 'gj'); ?></h3>
                        <ul class="time-line">
                            <?php
                            foreach ($experience as $item) {
                                ?>
                                <li>
                                    <div class="date theme-color"><?php echo esc_html($item['date']); ?></div>
                                    <div class="company-name top theme-color theme-border-color"><?php echo esc_html($item['company']) ?></div>
                                    <div class="position-company bottom"><?php echo esc_html($item['title']); ?></div>
                                    <div class="desc"><?php echo apply_filters('the_content',$item['description']); ?></div>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                <?php } ?>

                <?php if ($skill = $candidate->get_skill_showcase()) { ?>
                    <div id="skills" class="skills">
                        <h3 class="title-block"><?php echo esc_html__('Skills / Personal Skills', 'gj'); ?></h3>
                        <ul class="theme-color">
                            <?php
                            foreach ($skill as $item) {
                                ?>
                                <li>
                                    <div class="title-skill"><?php echo esc_html($item['title']); ?></div>
                                    <div class="scoring">
                                        <span class="line theme-bg" style="width: <?php echo intval($item['value']); ?>%;"></span>
                                        <span class="percent"><?php echo intval($item['value']) . '%'; ?></span>
                                    </div>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                <?php } ?>

                <?php
                $gallery = $candidate->get_gallery();
                if ($gallery) {
                    $data_plugin_options = array(
                        "loop"       => false,
                        "nav"        => false,
                        "dots"       => true,
                        "autoplay"   => false,
                        "margin"    => 30,
                        "items"      => 1,
                        "responsive" => [
                            '0' => array(
                                'items' => 1
                            ),
                            '568' => array(
                                'items' => 2
                            ),
                            '768' => array(
                                'items' => 2
                            ),
                            '992' => array(
                                'items' => 3
                            ),
                        ],
                    );
                    ?>
                    <div id="portfolio" class="gj-gallery">
                        <h3 class="title-block"><?php echo esc_html__('Portfolio', 'gj'); ?></h3>
                        <div class="image-lis owl-carousel owl-theme Gj-owl-carousel" data-plugin-options="<?php echo htmlspecialchars( json_encode( $data_plugin_options ) ); ?>">
                            <?php
                            foreach ($gallery as $image) {
                                $image_url = wp_get_attachment_url($image);
                                if ($image_url) {
                                    echo '
                                                                        <a rel="alternate" href="' . esc_url($image_url) . '">
                                                                            <img class="srch-photo" src="' . esc_url($image_url) . '" alt="">
                                                                        </a>';
                                }
                            }
                            ?>
                        </div>
                    </div>
                <?php } ?>

                <?php if ($award = $candidate->get_award()) { ?>
                    <div id="honors-awards" class="honors-awards">
                        <h3 class="title-block"><?php echo esc_html__('Honors & awards', 'gj'); ?></h3>
                        <ul class="time-line">
                            <?php
                            foreach ($award as $item) {
                                ?>
                                <li>
                                    <div class="date theme-color"><?php echo esc_html($item['year']); ?></div>
                                    <div class="title bottom"><?php echo esc_html($item['title']); ?></div>
                                    <div class="desc"><?php echo apply_filters('the_content',$item['description']); ?></div>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                <?php } ?>

            </div>

        </div>
    </div>
</div>
<?php }
