<?php
$user              = GJ_User::get_user();
if($user){
$name              = $user->get_display_name();
$employer          = $user->get_first_employer();
$permalink         = $user->permalink();
$headline          = $user->get_headline();
$short_description = $user->get_short_description();
$description       = $user->get_description();
$address           = $user->get_address();
$phone             = $user->get_phone();
$website           = $user->get_website();
$email             = $user->get_email();
$gallery           = $user->get_gallery();
$maps              = $user->get_map();
$job_ids = $user->get_job_ids();
$dashboard_url     = gj_get_page_permalink( 'dashboard' );

wp_enqueue_script( 'google-maps' );
wp_enqueue_script( 'infobox' );
wp_enqueue_style( 'jquery-fancybox' );
wp_enqueue_script( 'jquery-fancybox' );

do_action('gj_before_employer_overview');

?>
<div class="gj-overview gj-profile clearfix">
    <div class="info-top-wrap info-top-wrap-employer">
        <div class="main-information employer-info">

            <div class="empl-info-jobs-listing">
                <div class="info-wrap">
                    <div class="empl-info-jobs-item">
                        <div class="empl-box jobs-listing">
                            <div class="empl-small-detail">
                                <i class="fa fa-briefcase" aria-hidden="true"></i>
                                <h5><?php echo ( $user->count_jobs(true) <= 9 ) ? '0'.$user->count_jobs(true) : $user->count_jobs(true);?></h5>
                                <a href="<?php echo esc_url(gj_dashboard_endpoint_url('jobs')); ?>"><?php echo esc_html__('All job listings', 'gj') ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="empl-info-jobs-item">
                        <div class="empl-box jobs-published">
                            <div class="empl-small-detail">
                                <i class="fa fa-calendar-check-o" aria-hidden="true"></i>
                                <h5>
                                    <?php
                                    $total_publish_jobs = $user->count_jobs_with_status('publish');
                                    echo ($total_publish_jobs <= 9 )? 0 .esc_attr($total_publish_jobs): esc_attr($total_publish_jobs) ;
                                    ?>
                                </h5>
                                <a href="<?php echo esc_url(add_query_arg( array('status' => 'publish' ), gj_dashboard_endpoint_url('jobs') )); ?>"><?php echo _n('Published Job', 'Published Jobs', $total_publish_jobs, 'gj') ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="empl-info-jobs-item">
                        <div class="empl-box jobs-expired">
                            <div class="empl-small-detail">
                                <i class="fa fa-calendar-times-o" aria-hidden="true"></i>
                                <h5><?php
                                    $total_expired_jobs = $user->count_jobs_with_status('expired');
                                    echo ($total_expired_jobs <= 9) ? 0 .esc_attr($total_expired_jobs) : esc_attr($total_expired_jobs) ;
                                    ?>
                                </h5>
                                <a href="<?php echo esc_url(add_query_arg( array('status' => 'gj-expired' ), gj_dashboard_endpoint_url('jobs') )); ?>"><?php echo _n('Expired Job', 'Expired Jobs',$total_expired_jobs, 'gj') ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="empl-info-jobs-item">
                        <div class="empl-box jobs-pending">
                            <div class="empl-small-detail">
                                <i class="fa fa-thumb-tack" aria-hidden="true"></i>
                                <h5><?php
                                     $total_pending_jobs = $user->count_jobs_with_status('pending');
                                     echo ( $total_pending_jobs <= 9 )? 0 .esc_attr($total_pending_jobs) : esc_attr($total_pending_jobs) ;
                                     ?>
                                </h5>
                                <a href="<?php echo esc_url(add_query_arg( array('status' => 'pending' ), gj_dashboard_endpoint_url('jobs') )); ?>"><?php echo _n('Pending Job', 'Pending Jobs', $total_pending_jobs, 'gj') ?></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="iw-profile-content">
        <div class="gj-employerdl-content row">
            <div class="col-md-6 employer-detail-container">
                <?php
                $total_applications = $user->count_total_applications();
                ?>
                <div class="employer-recent-applier">
                    <div class="title-block">
                        <h3 class="info-title"><?php echo esc_html__( 'Total Applications', 'gj' ); ?></h3>
                        <p><?php echo esc_html__('Having a home based business is a wonderful asset to your life. ', 'gj') ?></p>
                    </div>

                    <div class="app-box">
                        <i class="fa fa-user" aria-hidden="true"></i>
                        <div class="count"><span>
                                <?php
                                    if($total_applications <= 9){
                                        echo '0'.$total_applications;
                                    }else{
                                        echo intval($total_applications);
                                    }
                                ?>
                            </span>
                        </div>
                        <h5><?php echo esc_html__('Applications', 'gj');?></h5>
                    </div>
                </div>
            </div>
            <div class="col-md-6 employer-detail-container">
                <div class="employer-avg-daily-viewers">
                    <div class="title-block">
                        <h3 class="info-title"><?php echo esc_html__( 'Total Views', 'gj' ); ?></h3>
                        <p><?php echo esc_html__('Having a home based business is a wonderful asset to your life.', 'gj') ?></p>
                    </div>

                    <div class="app-box">
                        <i class="fa fa-eye" aria-hidden="true"></i>
                        <div class="count"><span>
                                <?php
                                $count_totals = $user->count_total_views();
                                if($count_totals<= 9){
                                    echo '0'.$count_totals;
                                }else{
                                    echo intval($count_totals);
                                }
                                ?>
                            </span>
                        </div>
                        <h5><?php echo esc_html__('View', 'gj');?></h5>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
do_action('gj_after_employer_overview');
}

