<?php
$user = GJ_User::get_user();
if($user){
?>
<div class="gj-overview gj-profile clearfix">
    <div class="info-top-wrap">
        <div class="sidebar-info">
            <div class="avatar"><?php echo get_avatar( $user->get_id(), 150); ?></div>
            <a class="gj-edit-profile" href="<?php echo esc_url(gj_dashboard_endpoint_url('profile')); ?>"><i class="fa fa-edit"></i></a>
        </div>
        <div class="main-info">
            <div class="info-top">
                <h3 class="gj-title"><a href="<?php echo esc_url($user->permalink()); ?>"><?php echo esc_html($user->get_display_name()); ?></a></h3>
                <div class="headline"><?php echo esc_html($user->get_headline()); ?></div>
            </div>
            <div class="info-bottom">
                <div class="description"><?php echo !empty($user->get_description()) ? esc_html(wp_trim_words($user->get_description (), 20)) : esc_html__('Click edit profile to update your description.', 'gj'); ?></div>
                <ul>
                    <li class="website">
                        <div class="left theme-color">
                            <i class="lnr lnr-earth"></i>
                            <span class="title-meta"><?php esc_html_e('website:', 'gj'); ?></span>
                        </div>
                        <div class="content"><a href="<?php echo !empty($user->get_website()) ? esc_url($user->get_website ()) : '#'; ?>"><?php echo ($user->get_website() ? esc_html($user->get_website ()) : esc_html__('Click edit profile to update your website.', 'gj')); ?></a></div>
                    </li>
                    <li class="email">
                        <div class="left theme-color">
                            <i class="lnr lnr-envelope"></i>
                            <span class="title-meta"><?php esc_html_e('Email:', 'gj'); ?></span>
                        </div>
                        <div class="content"><a href="<?php echo !empty($user->get_email()) ? 'mailto:'.$user->get_email () : '#'; ?>"><?php echo ($user->get_email() ? esc_attr($user->get_email ()) : esc_html__('Click edit profile to update your email.', 'gj')); ?></a></div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
<?php }