<form action="#" method="post" class="gj-form-2 gj-job-payment-form">
    <div class="gj-order-payment">
        <div class="gj-order">
            <h3><?php echo sprintf(__('Submit Job: %s', 'gj'), $job->get_title()); ?></h3>
            <div class="gj-order-price">
                <?php
                echo '<div>';
                $total_price = $price = (int)gj_option('job_price');
                $tax_price = gj_get_tax_price($price);
                if($tax_price !== false){
                    $total_price += $tax_price;
                }
                echo sprintf(__('<span class="title">Price</span> <span>%s</span>', 'gj'), gj_system_price($price));
                echo '<br/>';
                if($tax_price !== false) {
                    $tax_value = gj_option('tax_value');
                    echo sprintf(__('<span class="title">Tax - %s%%</span> <span>%s</span>', 'gj'), $tax_value, gj_system_price($tax_price));
                    echo '<br/>';
                }
                echo sprintf(__('<span class="title">Total Price</span> <span>%s</span>', 'gj'), gj_system_price($total_price));
                echo '</div>';
                ?>
            </div>
        </div>
        <?php if($price > 0){ ?>
            <div class="gj-payments">
                <h3><?php echo esc_html__('Choose Payment', 'gj'); ?></h3>
                <div class="gj-payments-content">
                    <?php
                    $payment_gateways = GJ()->payment_gateways->get_available_payment_gateways();
                    if($payment_gateways) {
                        foreach ($payment_gateways as $payment_gateway) {
                            $id = 'payment-' . $payment_gateway->id;
                            ?>
                            <div class="payment-method">
                                <input id="<?php echo esc_attr($id); ?>" class="custom-input-radio" type="radio"
                                       name="payment_method" value="<?php echo esc_attr($payment_gateway->id); ?>">
                                <label for="<?php echo esc_attr($id); ?>"></label><span><?php echo esc_html($payment_gateway->get_title()); ?></span>
                                <div class="payment-description">
                                    <?php echo (string)$payment_gateway->get_description(); ?>
                                </div>
                            </div>
                        <?php
                        }
                    }else{
                        ?>
                        <div class="payment-method">
                            <?php
                            echo esc_html__('Please active payment gateway.', 'gj');
                            ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
        <?php } ?>
    </div>

    <input type="hidden" name="job_id" value="<?php echo esc_attr($job->get_id()); ?>">
    <?php wp_nonce_field( 'gj-payment-job', 'gj-submit-job'); ?>

    <div class="gj-respon-msg gj-hide"></div>
    <div class="gj-button-loader">
        <button type="button" class="gj-btn gj-btn-icon gj-btn-primary gj-payment-btn" <?php echo ($price > 0) ? 'disabled' : ''; ?>><i class="lnr lnr-location"></i> <?php echo esc_html__('Continue', 'gj'); ?></button>
    </div>
</form>