<?php
global $wp_query;
$postID = isset($wp_query->query_vars['postID']) ? $wp_query->query_vars['postID'] : '';
if($postID){
    $post_status = get_post_status($postID);
    if($post_status == 'pending' || $post_status == 'gj-rejected'){
        echo '<div class="post-status">';
        if($post_status == 'pending'){
            echo '<div class="alert alert-warning">'.esc_html__('This profile is under admin review', 'gj').'
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                      </div>';
        }elseif ($post_status == 'gj-rejected'){
            echo '<div class="alert alert-danger">'.esc_html__('This profile was rejected, please edit it and re-submit.', 'gj').'
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                      </div>';
        }
        echo '</div>';
    }
}
?>

<div class="navigation-bar">
    <a href="<?php echo esc_url(gj_dashboard_endpoint_url('profile')); ?>"><?php echo __('My profile', 'gj'); ?></a>
    <span><?php echo __('Resume profile', 'gj'); ?></span>
</div>
<form action="#" method="post" class="gj-form-2 gj-job-edit-form gj-block">
    <div id="dashboard-post-app">
        <vue-form-generator :schema="schema" :model="model" :options="formOptions"></vue-form-generator>
    </div>

    <input type="hidden" name="postID" class="extra" value="<?php echo esc_attr($postID); ?>">
    <input type="hidden" name="postType" class="extra" value="gj_candidate">

    <div id="response-message" class="response-message hide"></div>

    <button type="submit" class="gj-btn-primary gj-btn-icon gj-submit-candidate-btn"><i class="lnr lnr-location"></i> <?php echo esc_html__('Save & Preview', 'gj'); ?></button>
</form>
