<?php
$user = GJ_User::get_user();
$save_resums = $user->get_save_resumes();
$url = gj_get_page_permalink('dashboard');
$search = isset($_GET['search']) ? sanitize_text_field($_GET['search']): '';
?>

<div class="gj-search-form">
    <form action="<?php echo esc_url(gj_dashboard_endpoint_url('saved-resumes')); ?>">
			<span class="search-box">
                <input type="text" class="search-text" placeholder="<?php echo esc_html__('Search', 'gj'); ?>" name="search" value="<?php echo esc_attr($search); ?>">
                <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
            </span>
    </form>
</div>

<div class="gj-save-resumes gj-main-block">

    <div class="gj-table-overflow-x">
        <table class="table">
            <thead>
                <tr>
                    <th style="width: 45%;"><?php echo esc_html__('Resume', 'gj'); ?></th>
                    <th style="width: 40%;"><?php echo esc_html__('Email', 'gj'); ?></th>
                    <th style="width: 15%;" class="text-center"><?php echo esc_html__('Action', 'gj'); ?></th>
                </tr>
            </thead>
            <tbody>
            <?php if($save_resums) {
                if($save_resums['result']){
                    foreach ($save_resums['result'] as $item){
                        $candidate = GJ_Candidate::get_candidate($item->post_id);
                        if($candidate){
                        ?>
                            <tr id="save-resume-<?php echo esc_attr($item->post_id); ?>" class="save-resume-item">
                                <td>
                                    <div class="gj-display-flex">
                                        <div class="avatar flex-middle">
                                            <a href="<?php echo esc_url($candidate->permalink()); ?>"><?php echo (string)$candidate->get_thumbnail('gjc-thumbnail'); ?></a>
                                        </div>
                                        <div class="flex-middle">
                                            <div class="title-meta">
                                                <h3><a href="<?php echo esc_url($candidate->permalink()); ?>"><?php echo esc_html($candidate->get_display_name()); ?></a></h3>
                                                <div class="candidate-meta">
                                                    <?php if($candidate->get_location()){ ?>
                                                        <div class="location">
                                                            <span class="meta-title"><i class="lnr lnr-location"></i></span>
                                                            <span class="meta-value">
                                                                <?php echo esc_html($candidate->get_location()); ?>
                                                            </span>
                                                        </div>
                                                        <?php if($phone = $candidate->get_phone()){ ?>
                                                            <div class="phone"><span class="meta-title"><i class="gj-icon-mobile"></i></span><span class="meta-value"><a href="tel:<?php echo esc_attr($phone); ?>" title="<?php echo esc_attr($phone); ?>"><?php echo esc_html($phone); ?></a></span></div>
                                                        <?php } ?>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <a class="candidate-email" href="mailto:<?php echo esc_attr($candidate->get_email()); ?>"><?php echo esc_html($candidate->get_email()); ?></a>
                                </td>
                                <td class="text-center action">
                                    <div>
                                        <a href="#" class="gj-delete-save-resume" data-id="<?php echo esc_attr($candidate->get_id()); ?>"><i class="fa fa-trash"></i></a>
                                    </div>
                                </td>
                            </tr>
                        <?php
                        }
                    }
                }
            }else{ ?>
                <tr class="gj-empty">
                    <td colspan="3"><?php echo esc_html__('No resumes found.', 'gj'); ?></td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <div class="clearfix"></div>
    <?php if($save_resums && $save_resums['total_page'] > 1){ ?>
        <div class="gj-pagination">
            <?php
            echo paginate_links( array(
                'base' => add_query_arg( 'cpage', '%#%' ),
                'format' => '',
                'prev_text' => '&laquo;',
                'next_text' => '&raquo;',
                'total' => $save_resums['total_page'],
                'current' => $save_resums['current_page']
            ));
            ?>
        </div>
        <div class="clearfix"></div>
    <?php } ?>
</div>