<?php
    $user = GJ_User::get_user();
    $view_resums = $user->get_view_resumes();
    $url = gj_get_page_permalink('dashboard');
    $search = isset($_GET['search']) ? sanitize_text_field($_GET['search']): '';
?>
<div class="gj-view-resums">
    <div class="gj-search-form">
        <form action="<?php echo esc_url($url); ?>">
			<div class="search-box">
                <input type="text" class="search-text" placeholder="<?php echo esc_attr__('Search', 'gj'); ?>" name="search" value="<?php echo esc_attr($search); ?>">
                <button class="search-button" type="submit"><i class="fa fa-search"></i></button>
            </div>
        </form>
    </div>
    <div class="gj-main-block">
        <div class="gj-table-overflow-x">
            <table class="table">
                <tr>
                    <th style="width: 45%;"><?php echo esc_html__('Resume', 'gj'); ?></th>
                    <th style="width: 40%;"><?php echo esc_html__('Email', 'gj'); ?></th>
                    <th style="width: 15%;" class="text-center"><?php echo esc_html__('Action', 'gj'); ?></th>
                </tr>
                <?php if($view_resums) {
                    if($view_resums['result']){
                        foreach ($view_resums['result'] as $item){
                            $candidate = GJ_Candidate::get_candidate($item->post_id);
                            ?>
                            <tr id="view-resume-<?php echo esc_attr($item->post_id); ?>" class="view-resume-item">
                                <td>
                                    <div class="avatar">
                                        <a href="<?php echo esc_url($candidate->permalink()); ?>"><?php echo (string)$candidate->get_avatar(); ?></a>
                                    </div>
                                    <h3><a href="<?php echo esc_url($candidate->permalink()); ?>"><?php echo esc_html($candidate->get_display_name()); ?></a></h3>
                                    <div class="candidate-meta">
                                        <?php if($candidate->get_location()){ ?>
                                            <div class="location">
                                                <span class="meta-title"><i class="lnr lnr-location"></i></span>
                                                <span class="meta-value">
                                                    <?php echo esc_html($candidate->get_location()); ?>
                                                </span>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </td>
                                <td>
                                    <a href="mailto:<?php echo esc_attr($candidate->get_email()); ?>"><?php echo esc_html($candidate->get_email()); ?></a>
                                </td>
                                <td class="text-center">
                                    <div class="gj-menu-action-wrap">
                                        <a tabindex="0" class="gj-toggle-action collapsed" type="button" data-toggle="collapse" data-trigger="focus" data-target="#nav-collapse<?php echo esc_attr($candidate->get_id()); ?>"></a>
                                        <div id="nav-collapse<?php echo esc_attr($candidate->get_id()); ?>" class="collapse gj-menu-action" data-id="nav-collapse<?php echo esc_attr($candidate->get_id()); ?>">
                                            <div class="gj-menu-action-inner">
                                                <div>
                                                    <a href="#" class="gj-delete-view-resume" data-id="<?php echo esc_attr($item->post_id); ?>"
                                                       data-message="<?php printf(__('Are you sure you want to remove %s?', 'gj'), get_the_title($item->post_id)); ?>">
                                                        <?php echo esc_html__('Delete', 'gj'); ?>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php
                        }
                    }
                }else{ ?>
                    <tr class="gj-empty">
                        <td colspan="3"><?php echo esc_html__('No resumes found.', 'gj'); ?></td>
                    </tr>
                <?php } ?>
            </table>
        </div>
        <div class="modal fade" id="gj-confirm-delete-view-resume" role="dialog">
            <div class="iw-vertical-alignment-helper">
                <div class="iw-vertical-align-center">
                    <div class="modal-dialog">
                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title"><?php echo esc_html__('Confirm Delete', 'gj'); ?></h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="modal-body">
                                <p></p>
                            </div>
                            <div class="modal-footer">
                                <div class="gj-respon-msg"></div>
                                <div class="gj-button-loader">
                                    <button type="button" class="btn btn-primary gj-agree-delete-view-resume"><?php echo esc_html__('Continue', 'gj'); ?></button>
                                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo esc_html__('Close', 'gj'); ?></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <?php if($view_resums && $view_resums['total_page'] > 1){ ?>
            <div class="gj-pagination">
            <?php
            echo paginate_links( array(
                'base' => add_query_arg( 'cpage', '%#%' ),
                'format' => '',
                'prev_text' => '&laquo;',
                'next_text' => '&raquo;',
                'total' => $view_resums['total_page'],
                'current' => $view_resums['current_page']
                ));
            ?>
            </div>
            <div class="clearfix"></div>
        <?php } ?>
    </div>
</div>