<?php
/**
 * The Template for displaying employers
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();

$employers_sidebar = gj_option('employers_sidebar');
$employers_sidebar_position = '';
if (is_active_sidebar('sidebar-employers')) {
    $employers_sidebar_position = $employers_sidebar;
}
$employer_sidebar_sticky = gj_option('job_sidebar_sticky');
$query = GJ_Employer_Listing::instance()->get_query();
$count = $query->found_posts;
?>
<div class="contents-main" id="contents-main">
    <div class="container">
        <div class="row">
            <div class="<?php echo esc_attr(gj_get_class('container', $employers_sidebar_position, 'small')); ?>">
                <div class="gj-content-inner">
                    <div id="gj-filtered" class="gj-filter-selected">
                    <?php gj_get_template_part('parts/employers/filtered'); ?>
                    </div>

                    <div class="gj-result-sorting">
                        <div class="total-result">
                            <?php echo esc_html__('Employers Found ','gj'); echo '<span class="total">('. esc_html($count) .')</span>'; ?>
                        </div>
                        <div class="sorting-employers-form gj-default-sorting">
                            <form>
                                <label><?php echo esc_html__('Sort by:', 'gj'); ?></label>
                                <select id="gj-input-sorting" class="select-default-sorting" name="orderby">
                                    <?php echo gj_order_list_employers(); ?>
                                </select>
                            </form>
                        </div>
                    </div>
                    <div class="show-filter-mobile"><?php echo esc_html__('Show Filter', 'gj'); ?></div>

                    <?php do_action('gj_before_employers'); ?>

                    <div id="iwajax-load">
                        <?php
                        gj_get_template_part('parts/employers/employers', array('query' => $query ));
                        ?>
                    </div>

                    <?php do_action('gj_after_employers'); ?>

                    <?php
                    global $wp;
                    $current_url = home_url(add_query_arg(array(),$wp->request));
                    ?>

                    <input type="hidden" name="url" id="url" value="<?php echo esc_url($current_url); ?>">
                </div>
            </div>
            <?php if ($employers_sidebar && is_active_sidebar('sidebar-employers')) : ?>
                <div class="gj-sidebar-1 <?php echo( $employer_sidebar_sticky ? 'gj-sidebar-sticky' : '' ); ?> <?php echo esc_attr(gj_get_class('sidebar', $employers_sidebar, 'small')) ?>">
                    <div class="widget-area sidebar-jobs">
                        <span class="gj-close-filter"><i class="fa fa-times-circle"></i></span>
                        <?php dynamic_sidebar('sidebar-employers'); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>


