<?php
/**
 * The Template for displaying jobs
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();

$jobs_sidebar = gj_option('jobs_sidebar');
$jobs_sidebar_position = '';
if (is_active_sidebar('sidebar-jobs')) {
    $jobs_sidebar_position = $jobs_sidebar;
}
$job_sidebar_sticky = gj_option('job_sidebar_sticky');
$user = GJ_User::get_user();
$listing = GJ_Job_Listing::instance();
$data_filters = $listing->get_data_filters();
$query = $listing->get_query($data_filters);
$count = $query->found_posts;
?>
<div class="contents-main" id="contents-main">
    <div class="container">
        <div class="row">
            <div class="<?php echo esc_attr(gj_get_class('container', $jobs_sidebar_position, 'small')); ?>">
                <div class="gj-content-inner">
                    <div id="gj-filtered" class="gj-filter-selected">
                        <?php gj_get_template_part('parts/jobs/filtered'); ?>
                    </div>

                    <?php do_action('gj_after_jobs_filtered') ;?>

                    <div class="gj-filter-form">
                        <div class="gj-result-sorting">
                            <div class="total-result">
                                <?php echo esc_html__('Jobs & Vacancies ','gj'); echo '<span class="total">('. esc_html($count) .')</span>'; ?>
                            </div>
                            <div class="sort-by gj-default-sorting">
                                <form>
                                    <label class="text-sortby"><?php echo esc_html__('Sort by:', 'gj'); ?></label>
                                    <select id="gj-input-sorting" class="select-default-sorting" name="orderby">
                                        <?php echo gj_order_list_jobs(); ?>
                                    </select>
                                </form>
                            </div>
                        </div>

                        <div class="show-filter-mobile">
                            <?php esc_html_e( 'Show Filter', 'gj' ); ?>
                        </div>
                    </div>

                    <?php do_action('gj_before_jobs'); ?>

                    <div id="iwajax-load" class="gj-jobs-style">
                        <?php gj_get_template_part('parts/jobs/jobs', array( 'query' => $query, 'paged' => $data_filters['paged'] ) ); ?>
                    </div>
                    <input type="hidden" id="current-jobs-layout" value="">

                    <?php do_action('gj_after_jobs'); ?>

                </div>
            </div>
            <?php if ($jobs_sidebar && is_active_sidebar('sidebar-jobs')) : ?>
                <div class="gj-sidebar-1 <?php echo( $job_sidebar_sticky ? 'gj-sidebar-sticky' : '' ); ?> <?php echo esc_attr(gj_get_class('sidebar', $jobs_sidebar, 'small')) ?>">
                    <div class="widget-area sidebar-jobs">
                        <span class="gj-close-filter"><i class="fa fa-times-circle"></i></span>
                        <?php dynamic_sidebar('sidebar-jobs'); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>