<?php
/**
 * The Template for popup login
 * @package GJ/Templates
 * @since 1.0.1
 */
?>
<div id="gj-login-popup" class="modal-popup modal fade gj-login-form-popup gj-sign-form-popup">
    <div class="iw-vertical-alignment-helper">
        <div class="iw-vertical-align-center">
            <div class="modal-dialog">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-4 item-col item-col-sign-form">
                        <div class="modal-box">
                            <div class="modal-header">
                                <h4 class="modal-title">
                                    <?php esc_html_e('Log in to your account', 'gj'); ?>
                                </h4>
                            </div>

                            <div class="modal-content">
                                <form action="<?php echo esc_url(get_permalink()); ?>" method="post" class="gj-login-form gj-sign-form">
                                    <div class="gj-field">
                                        <label>
                                            <?php esc_html_e('Email', 'gj'); ?>
                                        </label>

                                        <div class="gj-input">
                                            <input type="text" name="username" placeholder="<?php esc_attr_e( 'Email', 'gj' ); ?>" required>
                                        </div>
                                    </div>

                                    <div class="gj-field">
                                        <label>
                                            <?php esc_html_e('Password', 'gj'); ?>
                                        </label>

                                        <div class="gj-input">
                                            <input type="password" name="password" placeholder="<?php esc_attr_e('Password', 'gj'); ?>" required>
                                        </div>
                                    </div>

                                    <div class="text-right lost-password">
                                        <a href="<?php echo esc_url(gj_get_page_permalink('lostpass')); ?>">
                                            <?php esc_html_e( 'Forgot Password?', 'gj' ); ?>
                                        </a>
                                    </div>

                                    <div class="gj-respon-msg hide"></div>
                                    
                                    <div class="form-field gj-button-loader">
                                        <input type="hidden" name="redirect_to" value="<?php echo esc_url(get_the_permalink()); ?>">
                                        <input type="hidden" name="fallback_action" value="">
                                        <button type="submit" name="login" class="gj-btn-primary">
                                            <?php esc_html_e('Log In', 'gj'); ?>
                                        </button>
                                    </div>

                                    <?php
                                    $socials = GJ()->social_logins->get_available_socials();
                                    if($socials){ ?>
                                        <div class="gj-divider-sign">
                                            <span class="line"></span>
                                            <span class="circle"><?php esc_html_e('Or', 'gj'); ?></span>
                                            <span class="line"></span>
                                        </div>
                                        <?php echo '<div class="social-login row">';
                                        foreach ($socials as $social){
                                            if($social && $social->is_available()){
                                                echo '<div class="col-md-12">
                                                    <a href="'.$social->get_login_url().'" class="gj-btn gj-btn-primary gj-btn-medium gj-btn-full gj-btn-icon social-login-'.$social->id.'"><i class="'.$social->get_fontawesome_icon().'"></i>'.$social->get_title().'</a>
                                                    </div>';
                                            }
                                        }
                                        echo '</div>';
                                    }

                                    $disable_candidate_register = gj_option('disable_candidate_register');
                                    $disable_employer_register = gj_option('disable_employer_register');
                                    if(!$disable_candidate_register || !$disable_employer_register){
                                    ?>
                                    <div class="register-account text-account">
                                        <span class="text">
                                            <?php esc_html_e('Need a Account?','gj')?>
                                        </span>

                                        <a href="<?php echo esc_url(gj_get_page_permalink('register')); ?>">
                                            <?php esc_html_e('Create an Account?', 'gj' ); ?>
                                        </a>
                                    </div>
                                    <?php } ?>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-8 item-col item-col-banner">
                        <div class="gj-sign-form-banner">
                            <div class="gj-sign-form-banner__bk">
                                <h5 class="text">
                                    <?php esc_html_e( 'Welcome to JobBoard', 'gj' ); ?>
                                </h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


