<?php
/**
 * The Template for lost password page
 * @package GJ/Templates
 * @since 1.0.1
 */
?>
<div class="gj-lostpass gj-login">
    <?php if((isset($_GET['user']) && isset($_GET['code'])  && GJ_User::can_reset_password(sanitize_text_field($_GET['user']), sanitize_text_field($_GET['code'])))) {?>
        <form action="<?php echo esc_url(get_permalink()); ?>" method="post" class="gj-form gj-resetpass-form">
            <div class="gj-respon-msg hide"></div>
            <div class="gj-field">
                <label><?php echo esc_html__('Password', 'gj'); ?></label>
                <div class="gj-input">
                    <input type="password" name="password" placeholder="<?php echo esc_html__('Enter Password.', 'gj'); ?>">
                </div>
            </div>
            <div class="gj-field">
                <label><?php echo esc_html__('Confirm Password', 'gj'); ?></label>
                <div class="gj-input">
                    <input type="password" name="password_confirm" placeholder="<?php echo esc_html__('Enter Confirm Password.', 'gj'); ?>">
                </div>
            </div>
            <div class="gj-button-loader">
                <input type="hidden" name="user" value="<?php echo esc_attr($_GET['user']); ?>">
                <input type="hidden" name="code" value="<?php echo esc_attr($_GET['code']); ?>">
                <button type="submit" class="gj-btn gj-btn-primary gj-btn-full gj-btn-large gj-resetpass-btn"><?php echo esc_html__('Reset Password', 'gj'); ?></button>
            </div>
        </form>
    <?php }else{ ?>
        <form action="<?php echo esc_url(get_permalink()); ?>" method="post" class="gj-form gj-lostpass-form">
            <?php if(isset($pre_text) && $pre_text) {?>
                <div class="pre-text"><?php echo esc_html($pre_text); ?></div>
            <?php } ?>
            <div class="gj-respon-msg hide"></div>
            <div class="gj-field">
                <label><?php echo esc_html__('Email OR Username ', 'gj'); ?></label>
                <div class="gj-input">
                    <input type="text" name="user_login" placeholder="<?php echo esc_html__('Enter Email Or Username.', 'gj'); ?>">
                </div>
            </div>
            <div class="gj-button-loader">
                <button type="submit" class="gj-btn gj-btn-primary gj-btn-full gj-btn-large gj-lostpass-btn"><?php echo esc_html__('Get New Password', 'gj'); ?></button>
            </div>
            <div class="login-register-account">
                <a href="<?php echo esc_url(gj_get_page_permalink('login')); ?>"><?php echo esc_html__('Login', 'gj'); ?></a>
                <a href="<?php echo esc_url(gj_get_page_permalink('register')); ?>"><?php echo esc_html__('Register', 'gj'); ?></a>
            </div>
        </form>
    <?php } ?>
</div>
