<?php
$mode_view_class = 'gj-listing';
$show_candidate_public_profile = gj_option('show_candidate_public_profile', '');
$login_page_id = get_permalink(gj_option('login_page_id'));
$count = $query->found_posts;
?>

<div class="gj-candidates <?php echo esc_attr($mode_view_class); ?>">
    <?php
    if ($query->have_posts()) :
        $user = GJ_User::get_user();
        $i = 0;
        while ($query->have_posts()) :
            $query->the_post();
            $candidate = GJ_Candidate::get_candidate(get_the_ID());
            $user_candidate = GJ_User::get_user($candidate->get_author_id());
            $image = $candidate->get_thumbnail('gjc-thumbnail');
            $is_featured = $candidate->get_featured();
            if (!$show_candidate_public_profile) {
                $link_profile = $candidate->permalink();
            } else {
                if ($user) {
                    if ($show_candidate_public_profile == 1) {
                        $link_profile = $candidate->permalink();
                    } else {
                        if ($user->is_employer() || get_current_user_id() == $candidate->get_author_id()) {
                            $link_profile = $candidate->permalink();
                        } else {
                            $link_profile = '';
                        }
                    }
                } else {
                    $link_profile = add_query_arg('redirect_to', $candidate->permalink(), $login_page_id);
                }
            }
            ?>
            <div class="candidate-item" itemscope itemtype="http://schema.org/Person">
                <?php if ($image) : ?>
                    <div class="candidate-image"><a href="<?php echo esc_url($link_profile); ?>"><?php echo (string)$image; ?></a></div>
                <?php endif; ?>
                <div class="candidate-info">
                    <div class="candidate-info-inner">
                        <h3 class="candidate-title" itemprop="familyName">
                            <?php if ($link_profile): ?>
                                <a class="theme-color-hover" href="<?php echo esc_url($link_profile); ?>"><?php echo esc_html($candidate->get_title()); ?></a>
                            <?php else: ?>
                                <span><?php echo esc_html($candidate->get_title()); ?></span>
                            <?php endif; ?>
                        </h3>
                        <div class="candiate-meta">
                            <?php
                            $fields = gj_fields();
                            foreach ($fields as $field){
                                $field->listOutputHtml();
                            }
                            ?>
                        </div>
                    </div>
                    <div class="view-candidate"><a class="theme-bg-second-hover theme-border-second-color theme-second-color" href="<?php echo esc_url($link_profile); ?>"><?php echo esc_html__('View Resume', 'gj'); ?></a></div>
                </div>
                <?php if ($is_featured) :?>
                    <span class="featured_label"><i class="gj-icon gj-icon-star"></i><?php echo esc_html__(' featured', 'gj');?></span>
                <?php endif; ?>
            </div>
        <?php
        do_action('gj_loop_candidate', $candidate->get_id(), $i);
        $i++;
        endwhile;
        wp_reset_postdata();
        else : ?>
            <div class="gj-not-found">
                <h4 class="title"><i class="fa fa-exclamation-triangle"></i> <strong><?php echo esc_html__('SORRY ! ', 'gj'); ?></strong><?php echo esc_html__('THERE ARE NO LISTINGS MATCHING YOUR SEARCH.', 'gj'); ?></h4>
                <ul>
                    <li><?php echo esc_html__('Please re-check the spelling of your keyword', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try broadening your search by using general terms', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try adjusting the filters applied by you', 'gj'); ?></li>
                </ul>
            </div>
    <?php
    endif;
    ?>
</div>

<?php if ($query->max_num_pages > 1): ?>
    <?php
    if (!isset($paged)) :
        $paged = ( get_query_var('page') ) ? get_query_var('page') : 1;
    endif;
    ?>

    <div class="w-pagination ajax-candidate-pagination"><?php gj_ajax_pagination($query->max_num_pages, $paged); ?></div>

<?php endif; ?>


