<div class="gj-candidate-detail default gj-single-parallax"  itemscope itemtype="http://schema.org/Person">
    <div class="page-heading">
        <div class="container">
            <div class="row flex">
                <div class="content-heading">
                    <div class="candidate-info-top">
                        <?php if ($candidate->get_thumbnail()) { ?>
                            <div class="candidate-logo">
                                <a href="<?php echo esc_url($candidate->permalink());?>">
                                    <?php echo wp_kses_post($candidate->get_thumbnail()); ?>
                                </a>
                            </div>
                        <?php } ?>
                        <div class="candidate-info">
                            <div class="candidate-info-inner">
                                <h1 class="candidate-name"><?php echo esc_html($candidate->get_title()); ?></h1>
                                <meta itemprop="title" content="<?php echo esc_attr($candidate->get_title()); ?>" />
                                <?php if ($candidate->get_headline() ) :?>
                                    <span class="candidate-headline">
                                    <?php echo esc_html($candidate->get_headline()); ?>
                                </span>
                                <?php endif; ?>
                                <?php if ($candidate->get_categories_links()) { ?>
                                    <div class="candidate-category">
                                        <i class="fa fa-folder-open"></i>
                                        <?php echo wp_kses_post($candidate->get_categories_links()); ?>
                                    </div>
                                <?php }?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="action-button middle">
                    <?php
                    $can_save = gj_can_save_resume_cv();
                    if($can_save || $can_save === null){ ?>
                        <div class="resume-info">
                            <div class="gj-button-loader detail-action-button save-resume-button">
                                <?php
                                if ($can_save) {
                                    $saved = $user && $user->is_saved_resum(get_the_ID()) ? true : false;
                                    $save_text = esc_html__('Save resume', 'gj');
                                    ?>
                                    <a href="#" class="action-button follow gj-save-resume <?php echo ($saved == true) ? 'saved' : ''; ?>" data-id="<?php echo esc_attr($candidate->get_id()); ?>"><i class="fa fa-save"></i><span class="text"><?php echo esc_html($save_text); ?></span></a>
                                <?php } elseif ($can_save === null) { ?>
                                    <a href="#" data-toggle="modal" data-target="#gj-login-popup" class="action-button follow"><i class="fa fa-save"></i><?php echo esc_html__('Save resume', 'gj'); ?></a>
                                <?php } ?>
                            </div>
                        </div>
                    <?php } ?>

                    <?php
                    $can_download_cv = gj_can_download_cv();
                    if($can_download_cv || $can_download_cv === null){
                        $cv = $candidate->get_cv_url();
                        if ($cv) {
                        ?>
                        <div class="download-button">
                            <?php if($can_download_cv){ ?>
                                <a class="" href="<?php echo esc_url($cv); ?>" target="_blank">
                                    <i class="fa fa-download"></i>
                                    <?php echo esc_html__('Download CV', 'gj'); ?>
                                </a>
                            <?php }elseif($can_download_cv === null){ ?>
                                <a href="#" data-toggle="modal" data-target="#gj-login-popup" class="action-button follow">
                                    <i class="fa fa-download"></i>
                                    <?php echo esc_html__('Download CV', 'gj'); ?>
                                </a>
                            <?php } ?>
                        </div>
                        <?php
                        }
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <div id="gj-detail-menu" class="candidate-detail-menu">
        <div class="gj-detail-menu">
            <div class="container">
                <div class="menu">
                    <?php
                    $fields = gj_fields();
                    foreach ($fields as $field){
                        if($field->getSetting('outputPosition') === 'main'){ ?>
                            <?php $field->outputMenuDetailHtml(array('link' => '#section-'.$field->getSetting('metakey'))); ?>
                        <?php }
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <div class="content-wrap main-content">
        <div class="content-inner">
            <div class="container">
                <div class="row">
                    <div class="<?php echo esc_attr(gj_get_class('container', $candidate_sidebar)); ?>">
                        <div class="candidate-main-content">
                            <?php
                            $fields = gj_fields();
                            foreach ($fields as $field){
                                if($field->getSetting('outputPosition') === 'main'){
                                    $field->outputHtml(array('wrapId'=>'section-'.$field->getSetting('metakey')));
                                }
                            }

                            do_action('gj_after_content');
                            ?>
                        </div>
                    </div>
                    <?php if ($candidate_sidebar && is_active_sidebar('sidebar-candidate')) : ?>
                        <div class="<?php echo( $candidate_sidebar_sticky ? 'gj-sidebar-sticky' : '' ); ?> candidate-detail-sidebar gj-detail-sidebar <?php echo esc_attr(gj_get_class('sidebar', $candidate_sidebar)) ?>">
                            <?php dynamic_sidebar('sidebar-candidate'); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>