<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $show_cate
 * @var $show_level
 * @var $show_type
 * @var $show_skill
 * @var $text_submit
 */

$cate_tax      =   get_terms( array( 'taxonomy' => 'gj_cat', 'hide_empty' => false ) );
$level_tax     =   get_terms( array( 'taxonomy' => 'gj_level', 'hide_empty' => false ) );
$type_tax      =   get_terms( array( 'taxonomy' => 'gj_type', 'hide_empty' => false ) );
$skill_tax     =   get_terms( array( 'taxonomy' => 'gj_skill', 'hide_empty' => false ) );

?>

<div class="gjob-form-search-jobs search-candidate">
    <form class="form-search-jobs" action="<?php echo esc_url( gj_get_page_permalink('candidates') ); ?>" method="get">
        <div class="search-box">
            <div class="fields field-col">
                <div class="field-item field-item-key-word">
                    <div class="field-content">
                        <i class="fa fa-search"></i>
                        <input placeholder="<?php esc_attr_e('Search Candidate', 'gj' ); ?>" name="keyword" value="<?php echo (isset($_GET['keyword']) ? esc_attr($_GET['keyword']) : ''); ?>" type="text">
                    </div>
                </div>
            </div>

            <?php if ( $show_cate == 1 ) : ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="cat" title="cat">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Categories', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $cate_tax ) ) :

                            $request    =   \GJ_Job_Listing::get_request_taxonomies('gj_cat');
                            $value      =   $request ? $request[0] : '';

                            foreach( $cate_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php

            endif;

            if ( $show_level == 1 ) :
            ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="level" title="level">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Level', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $level_tax ) ) :

                            $request    =   \GJ_Job_Listing::get_request_taxonomies('gj_level');
                            $value      =   $request ? $request[0] : '';

                            foreach( $level_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php
            endif;

            if ( $show_type == 1 ) :
            ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="type" title="type">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Type', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $type_tax ) ) :

                            $request    =   \GJ_Job_Listing::get_request_taxonomies('gj_type');
                            $value      =   $request ? $request[0] : '';

                            foreach( $type_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php
            endif;

            if ( $show_skill == 1 ) :
            ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="skill" title="skill">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Skills', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $skill_tax ) ) :

                            $request  =   \GJ_Job_Listing::get_request_taxonomies('gj_skill');
                            $value    =   $request ? $request[0] : '';

                            foreach( $skill_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php endif; ?>

            <div class="fields field-item-submit">
                <button class="btn-submit" type="submit">
                    <?php echo esc_html( $text_submit ); ?>
                </button>
            </div>
        </div>
    </form>
</div>