<div class="page-heading">
    <div class="container">
        <div class="row flex">
            <div class="content-heading">
                <?php if ($employer->get_thumbnail()) { ?>
                    <div class="employer-logo">
                        <a href="<?php echo esc_url($employer->permalink()); ?>" >
                            <?php echo wp_kses_post($employer->get_thumbnail()); ?>
                        </a>
                    </div>
                <?php } ?>
                <div class="employer-info" itemscope itemtype="http://schema.org/Organization">
                    <h1 class="employer-name"><?php echo esc_html($employer->get_title()); ?></h1>
                    <meta itemprop="title" content="<?php echo esc_attr($employer->get_title()); ?>" />
                        <ul>
                            <?php if ( $employer->get_address() ) { ?>
                                <li class="employer-address">
                                    <i class="lnr lnr-location"></i><?php echo esc_html__( 'Address: ', 'gj' );
                                    echo esc_html($employer->get_address()); ?>
                                    <meta itemprop="address" content="<?php echo esc_attr($employer->get_address()); ?>" />
                                </li>
                            <?php } ?>
                            <?php if ( $employer->get_website() ) { ?>
                                <li class="employer-website">
                                    <i class="lnr lnr-link"></i><a href="<?php echo esc_url($employer->get_website()); ?>"><?php echo esc_html($employer->get_website()); ?></a>
                                    <meta itemprop="url" content="<?php echo esc_attr($employer->get_website()); ?>" />
                                </li>
                            <?php } ?>
                        </ul>
                    <?php if ($employer->get_social_media()) { ?>
                        <div class="social-link">
                            <span class="social-title"><?php echo esc_html('Social Contact: ')?></span>
                            <ul class="iw-social-all hover-bg">
                                <?php
                                foreach ( $employer->get_social_media() as $key => $value ) {
                                    if ( $value != null && $value != '' ) {
                                        if ( strchr( $value, "http" ) ) {
                                            $link = $value;
                                        } else {
                                            $link = 'http://' . $value;
                                        }
                                        if ( $key == "google_plus" ) {
                                            echo '<li><a class="' . esc_attr($key) . '" href="' . esc_url($link) . '" title="' . esc_attr($key) . '" target="_blank"><i class="'.gj_get_social_icon($key).'"></i></a></li>';
                                        } else {
                                            echo '<li><a class="' . esc_attr($key) . '" href="' . esc_url($link) . '" title="' . esc_attr($key) . '" target="_blank"><i class="'.gj_get_social_icon($key).'"></i></a></li>';
                                        }
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php
            $can_follow = gj_can_follow_employer();
            if($can_follow || $can_follow === null){
            ?>
            <div class="action-button middle">
                <div class="follow-button">
                    <?php if($can_follow) {
                            $followed      = $user && $user->is_followed( get_the_ID() ) ? true : false;
                            $followed_text = $followed ? esc_html__( 'Followed', 'gj' ) : esc_html__( 'Follow Us', 'gj' );
                            ?>
                            <a href="#" class="action-button follow gj-follow <?php echo ($followed == true) ? 'followed' : ''; ?>" data-id="<?php echo esc_attr($employer->get_id()); ?>"><i class="fa fa-paper-plane"></i><span class="text"><?php echo esc_html($followed_text); ?></span></a>
                        <?php } elseif($can_follow === null) { ?>
                        <a href="#" class="action-button follow" data-toggle="modal" data-target="#gj-login-popup"><span data-hover="<?php echo esc_html__( 'Follow Us', 'gj' ); ?>"><i class="far fa-heart"></i><?php echo esc_html__( 'Follow Us', 'gj' ); ?></span></a>
                    <?php } ?>
                </div>
            </div>
            <?php } ?>
        </div>
    </div>
</div>
<div class="employer-detail-wrap main-content" itemscope itemtype="http://schema.org/Organization">
    <div class="employer-info-wrap">
        <div class="container">
            <div class="row">
                    <div class="<?php echo esc_attr( gj_get_class( 'container', $employer_sidebar, 'large' ) ) ?>">
                        <div class="gj-employer-content">
                            <?php
                            $fields = gj_fields();
                            foreach ($fields as $field){
                                if($field->getSetting('outputPosition') === 'main'){
                                    $field->outputHtml();
                                }
                            }

                            do_action('gj_after_content');

							$status = gj_option('show_expired_job') ? array('publish', 'gj-expired') : 'publish';
                            $open_positions = $employer->get_opening_jobs();

                            if ( !empty( $open_positions ) ) :
                            ?>
                                <div class="gj-jobs gj-list">
                                    <div class="gj-job-items">
                                        <h3 class="title">
                                            <?php
                                            printf( _n( '%1$s Job are opening', '%1$s Jobs are opening', count( $open_positions ), 'gj' ), count( $open_positions ) );
                                            ?>
                                        </h3>

                                        <?php
                                        foreach ( $open_positions as $job ) :

                                            $item = GJ_Job::get_job($job, true);
                                            $permalink = $item->permalink();
                                            $is_featured = $item->is_featured();
                                            $type = $item->get_type();
                                            $author = $item->get_author();
                                            $image = $item->get_thumbnail();

                                        ?>

                                            <div class="grid-content" data-id="<?php echo esc_attr($item->get_id()) ?>">
                                                <div class="job-item <?php echo ($is_featured ? 'featured-item' : '') ?>">
                                                    <div class="info-top">
                                                        <?php if ( !empty( $image ) ) : ?>

                                                            <div class="job-image">
                                                                <a href="<?php echo esc_url($permalink); ?>"><?php echo (string)$image; ?></a>
                                                            </div>

                                                        <?php endif; ?>

                                                        <div class="job-info">
                                                            <div class="job-info-inner">
                                                                <h3 class="job-title">
                                                                    <a class="theme-color-hover" href="<?php echo esc_url($permalink); ?>"><?php echo esc_html($item->get_title()); ?></a>
                                                                </h3>
                                                                <div class="job-meta">
                                                                    <?php
                                                                    $fields = gj_fields();
                                                                    foreach ($fields as $field){
                                                                        $field->listOutputHtml();
                                                                    }
                                                                    ?>
                                                                </div>
                                                            </div>
                                                            <div class="action-buttons">
                                                                <div class="view-job"><a class="theme-bg-second-hover theme-border-second-color theme-second-color" href="<?php echo esc_url($permalink); ?>"><?php echo esc_html__('View Job', 'gj'); ?></a></div>
                                                                <div class="saveJob">
                                                                    <?php if (!is_user_logged_in()) { ?>
                                                                        <button class="save-job" data-toggle="modal" data-target="#gj-login-popup">
                                                                            <i class="fa fa-heart"></i>
                                                                        </button>
                                                                    <?php } else if (current_user_can('apply_job')) { ?>
                                                                        <a href="#" class="gj-save-job <?php echo ($user->is_saved_job($item->get_id()) ? 'saved' : ''); ?>" data-id="<?php echo esc_attr($item->get_id()); ?>" data-in-list="true"><i class="fa fa-heart"></i></a>
                                                                    <?php } ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <?php if ($is_featured) :?>
                                                        <span class="featured_label"><i class="gj-icon gj-icon-star-outline"></i><?php echo esc_html__(' featured', 'gj');?></span>
                                                    <?php endif; ?>
                                                </div>
                                            </div>

                                        <?php

                                        endforeach;
                                        ?>
                                    </div>
                                </div>

                            <?php
                            endif;
                            ?>
                        </div>
                    </div>
                    <?php if ( $employer_sidebar && is_active_sidebar( 'sidebar-employer' ) ) : ?>
                        <div class="<?php echo( $employer_sidebar_sticky ? 'gj-sidebar-sticky' : '' ); ?> employer-sidebar <?php echo esc_attr( gj_get_class( 'sidebar', $employer_sidebar, 'large' ) ) ?>">
                            <div class="widget-area" role="complementary">
                                <?php dynamic_sidebar( 'sidebar-employer' ); ?>
                            </div>
                        </div>
                    <?php endif; ?>
            </div>
        </div>
    </div>
</div>