<?php
$mode_view_class = 'gj-listing';
$login_page_id = get_permalink(gj_option('login_page_id'));
?>

<div class="gj-employers <?php echo esc_attr($mode_view_class); ?>">
    <?php
    if ($query->have_posts()) :
        $i = 0;
        while ($query->have_posts()) :
            $query->the_post();
            $employer = GJ_Employer::get_employer(get_the_ID());
            $image = $employer->get_thumbnail('gje-thumbnail');
            $author = $employer->get_author();
            $is_featured = $employer->get_featured();
            ?>
            <div class="gj-employer-item list" itemscope itemtype="http://schema.org/Organization">
                <?php if ($image) : ?>
                    <div class="employer-image"><a href="<?php echo esc_url($employer->permalink()); ?>"><?php echo (string)$image; ?></a></div>
                <?php endif; ?>
                <div class="employer-info">
                    <div class="employer-info-inner">
                        <h3 class="employer-name">
                            <a href="<?php echo esc_url($employer->permalink()); ?>" class="theme-color-hover"><?php echo esc_html($employer->get_title()); ?></a>
                        </h3>
                        <div class="employer-meta">
                            <?php
                            $fields = gj_fields();
                            foreach ($fields as $field){
                                $field->listOutputHtml();
                            }
                            ?>
                        </div>
                        <?php if ($employer->get_title()) { ?>
                            <meta itemprop="title" content="<?php echo esc_attr($employer->get_title()); ?>" />
                        <?php } ?>
                        <?php if ($employer->get_title()) { ?>
                            <meta itemprop="address" content="<?php echo esc_attr($employer->get_address()); ?>" />
                        <?php } ?>
                        <?php if ($employer->get_title()) { ?>
                            <meta itemprop="url" content="<?php echo esc_attr($employer->get_website()); ?>" />
                        <?php } ?>
                    </div>
                    <?php
					$status = gj_option('show_expired_job') ? array('publish', 'gj-expired') : 'publish';
                    $posted_jobs = $employer->count_jobs($status);
                    if ($posted_jobs) : ?>
                        <div class="openjobs">
                            <a href="<?php echo esc_url($employer->permalink()); ?>"><?php echo sprintf(_n( '%d Vacancy','%d Vacancies', $posted_jobs,'gj' ), $posted_jobs );?></a>
                        </div>
                    <?php endif; ?>
                </div>
                <?php if ($is_featured) :?>
                    <span class="featured_label"><i class="gj-icon gj-icon-star"></i><?php echo esc_html__(' featured', 'gj');?></span>
                <?php endif; ?>
            </div>
            <?php
            do_action('gj_loop_employer', $employer->get_id(), $i);
            $i++;
        endwhile;
        wp_reset_postdata();
        else : ?>
            <div class="gj-not-found">
                <h4 class="title"><i class="fa fa-exclamation-triangle"></i> <strong><?php echo esc_html__('SORRY ! ', 'gj'); ?></strong><?php echo esc_html__('THERE ARE NO LISTINGS MATCHING YOUR SEARCH.', 'gj'); ?></h4>
                <ul>
                    <li><?php echo esc_html__('Please re-check the spelling of your keyword', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try broadening your search by using general terms', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try adjusting the filters applied by you', 'gj'); ?></li>
                </ul>
            </div>
    <?php endif;
    ?>
</div>

<?php if ($query->max_num_pages > 1): ?>
    <?php
    if (!isset($paged)) {
        $paged = ( get_query_var('page') ) ? get_query_var('page') : 1;
    }
    ?>
    <div class="w-pagination ajax-employer-pagination">
        <?php gj_ajax_pagination($query->max_num_pages, $paged); ?>
    </div>
<?php endif; ?>



