<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $show_location
 * @var $show_cate
 * @var $show_size
 * @var $text_submit
 */

$cate_tax   =   get_terms( array( 'taxonomy' => 'gj_cat', 'hide_empty' => false ) );
$size_tax    =   get_terms( array( 'taxonomy' => 'gj_size', 'hide_empty' => false ) );

?>

<div class="gjob-form-search-jobs search-employers">
    <form class="form-search-jobs" action="<?php echo esc_url( gj_get_page_permalink('employers') ); ?>" method="get">
        <div class="search-box">
            <div class="fields field-col">
                <div class="field-item field-item-key-word">
                    <div class="field-content">
                        <i class="fa fa-search"></i>
                        <input placeholder="<?php esc_attr_e('Search Employers', 'gj' ); ?>" name="keyword" value="<?php echo (isset($_GET['keyword']) ? esc_attr($_GET['keyword']) : ''); ?>" type="text">
                    </div>
                </div>
            </div>

            <?php if ( $show_location == 1 ) : ?>

            <div class="fields field-col">
                <div class="field-item field-item-location">
                    <div class="field-content">
                        <i class="fa fa-map-marker" aria-hidden="true"></i>

                        <div class="field-item-inner action-location">
                            <input class="input-field input-field-location" placeholder="<?php esc_attr_e( 'Location', 'gj' ); ?>" name="location" type="text">

                            <span class="btn-action-location">
                                <i class="fa fa-dot-circle-o"></i>
                            </span>
                        </div>
                    </div>

                    <input type="hidden" name="lat" class="current_lat">
                    <input type="hidden" name="lng" class="current_lng">
                </div>
            </div>

            <?php
            endif;

            if ( $show_cate == 1 ) :
            ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="cat" title="cat">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Categories', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $cate_tax ) ) :

                            $request    =   \GJ_Job_Listing::get_request_taxonomies('gj_cat');
                            $value      =   $request ? $request[0] : '';

                            foreach( $cate_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php
            endif;

            if ( $show_size == 1 ) :
            ?>

            <div class="fields field-col select iw-select-2-default">
                <i class="fa fa-suitcase"></i>

                <div class="input-select">
                    <select class="gjob-find-jobs-select iw-select-2" name="size" title="size">
                        <option value="" selected="selected">
                            <?php esc_html_e( 'All Size', 'gj' ); ?>
                        </option>

                        <?php
                        if( !empty( $size_tax ) ) :

                            $request    =   \GJ_Job_Listing::get_request_taxonomies('gj_size');
                            $value      =   $request ? $request[0] : '';

                            foreach( $size_tax as $item ) {

                        ?>

                                <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $value, $item->term_id ); ?>>
                                    <?php echo esc_html( $item->name ); ?>
                                </option>

                        <?php

                            }

                        endif;
                        ?>
                    </select>
                </div>
            </div>

            <?php endif; ?>

            <div class="fields field-item-submit">
                <button class="btn-submit" type="submit">
                    <?php echo esc_html( $text_submit ); ?>
                </button>
            </div>
        </div>
    </form>
</div>