<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $show_location
 * @var $show_cate
 * @var $show_state
 * @var $show_city
 * @var $text_submit
 */

$cate_jobs      =   get_terms( array( 'taxonomy' => 'gj_cat', 'hide_empty' => false ) );
$state_jobs     =   get_terms( array( 'taxonomy' => 'gj_state', 'hide_empty' => false ) );
$city_jobs      =   get_terms( array( 'taxonomy' => 'gj_city', 'hide_empty' => false ) );

?>

<div class="gjob-form-search-jobs">
    <form class="form-search-jobs" action="<?php echo esc_url( gj_get_page_permalink('jobs') ); ?>" method="get">
        <div class="search-box">
            <div class="fields field-col">
                <div class="field-item field-item-key-word">
                    <div class="field-content">
                        <i class="fa fa-search"></i>

                        <input placeholder="<?php esc_attr_e('What jobs you want?', 'gj' ); ?>" name="keyword" value="<?php echo (isset($_GET['keyword']) ? esc_attr($_GET['keyword']) : ''); ?>" type="text">
                    </div>
                </div>
            </div>

            <?php if ( $show_location == 1 ) : ?>

                <div class="fields field-col">
                    <div class="field-item field-item-location">
                        <div class="field-content">
                            <i class="fa fa-map-marker" aria-hidden="true"></i>

                            <div class="field-item-inner action-location">
                                <input class="input-field input-field-location" placeholder="<?php esc_attr_e( 'Location', 'gj' ); ?>" name="location" type="text">

                                <span class="btn-action-location">
                                    <i class="fa fa-dot-circle-o"></i>
                                </span>
                            </div>
                        </div>

                        <input type="hidden" name="lat" class="current_lat">
                        <input type="hidden" name="lng" class="current_lng">
                    </div>
                </div>

            <?php
            endif;

            if ( $show_cate == 1 ) :
            ?>

                <div class="fields field-col select iw-select-2-default">
                    <i class="fa fa-suitcase"></i>

                    <div class="input-select">
                        <select class="gjob-find-jobs-select iw-select-2" name="cat" title="cat">
                            <option value="" selected="selected">
                                <?php esc_html_e( 'All Categories', 'gj' ); ?>
                            </option>

                            <?php
                            if( !empty( $cate_jobs ) ) :

                                $category_request = \GJ_Job_Listing::get_request_taxonomies('gj_cat');
                                $category_value = $category_request ? $category_request[0] : '';

                                foreach( $cate_jobs as $category ) {

                            ?>

                                    <option value="<?php echo esc_attr( $category->slug ); ?>" <?php selected( $category_value, $category->term_id ); ?>>
                                        <?php echo esc_html( $category->name ); ?>
                                    </option>

                            <?php

                                }

                            endif;
                            ?>
                        </select>
                    </div>
                </div>

            <?php
            endif;

            if ( $show_state == 1 ) :
            ?>

                <div class="fields field-col select iw-select-2-default">
                    <i class="fa fa-suitcase"></i>

                    <div class="input-select">
                        <select class="gjob-find-jobs-select iw-select-2" name="state" title="state">
                            <option value="" selected="selected">
                                <?php esc_html_e( 'All State', 'gj' ); ?>
                            </option>

                            <?php
                            if( !empty( $state_jobs ) ) :

                                $state_request = \GJ_Job_Listing::get_request_taxonomies('gj_state');
                                $state_value = $state_request ? $state_request[0] : '';

                                foreach( $state_jobs as $item ) {

                            ?>

                                    <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $state_value, $item->term_id ); ?>>
                                        <?php echo esc_html( $item->name ); ?>
                                    </option>

                            <?php

                                }

                            endif;
                            ?>
                        </select>
                    </div>
                </div>

            <?php
            endif;

            if ( $show_city == 1 ) :
            ?>

                <div class="fields field-col select iw-select-2-default">
                    <i class="fa fa-suitcase"></i>

                    <div class="input-select">
                        <select class="gjob-find-jobs-select iw-select-2" name="city" title="city">
                            <option value="" selected="selected">
                                <?php esc_html_e( 'All City', 'gj' ); ?>
                            </option>

                            <?php
                            if( !empty( $city_jobs ) ) :

                                $city_request = \GJ_Job_Listing::get_request_taxonomies('gj_city');
                                $city_value = $city_request ? $city_request[0] : '';

                                foreach( $city_jobs as $item ) {

                            ?>

                                    <option value="<?php echo esc_attr( $item->slug ); ?>" <?php selected( $city_value, $item->term_id ); ?>>
                                        <?php echo esc_html( $item->name ); ?>
                                    </option>

                            <?php

                                }

                            endif;
                            ?>
                        </select>
                    </div>
                </div>

            <?php endif; ?>

            <div class="fields field-item-submit">
                <button class="btn-submit" type="submit">
                    <?php echo esc_html( $text_submit ); ?>
                </button>
            </div>
        </div>
    </form>
</div>