<?php
$job = GJ_Job::get_job(get_the_ID());
$permalink = $job->permalink();
$is_featured = $job->is_featured();
$type = $job->get_type();
$author = $job->get_author();
$employer = $job->get_author();
$user = GJ_User::get_user();
$show_company = gj_option('show_company_job');
$show_company_logo_job = gj_option('show_company_logo_job');
$show_categories_job = gj_option('show_categories_job');
$show_salary = gj_option('show_salary_job');
$show_location = gj_option('show_location_job');
$show_skills_job = gj_option('show_skills_job');
$show_posted_date_job = gj_option('show_posted_date_job');
$shortexcerpt = wp_trim_words( $job->get_description(), $num_words = 15, $more = '.' );
?>
<div class="grid-content" data-id="<?php echo esc_attr($job->get_id()) ?>">
    <div class="job-item <?php echo ($is_featured ? 'featured-item' : '') ?>">
        <div class="info-top">
            <?php if ($author && $show_company_logo_job == '1') {
                ?>
                <div class="job-image"><?php echo wp_kses_post($job->get_thumbnail('gje-thumbnail')); ?></div>
            <?php } ?>
            <div class="job-info">
                <h3 class="job-title">
                    <a href="<?php echo esc_url($permalink); ?>"><?php echo esc_attr($job->get_title()); ?></a>
                </h3>
                <div class="info-company">
                    <?php
                    $fields = gj_fields();
                    foreach ($fields as $field){
                        $field->listOutputHtml();
                    }
                    ?>
                </div>
            </div>
            <div class="saveJob">
                <?php if (!is_user_logged_in()) { ?>
                    <button class="save-job" data-toggle="modal" data-target="#gj-login-popup">
                        <i class="fa fa-heart"></i>
                    </button>
                <?php } else if ($user->is_candidate()) { ?>
                    <a href="#" class="gj-save-job <?php echo ($user->is_saved_job($job->get_id()) ? 'saved' : ''); ?>" data-id="<?php echo esc_attr($job->get_id()); ?>" data-in-list="true"><i class="fa fa-heart"></i></a>
                <?php } ?>
            </div>
        </div>
    </div>
</div>

