<div class="gj-jobs gj-list">
    <div class="gj-job-items gj-job-items-margin">
        <?php
        if ( $query->have_posts() ) :

            $user = GJ_User::get_user();
            $i = 0;
            while ($query->have_posts()) :
                $query->the_post();

                $job = GJ_Job::get_job(get_the_ID());
                $permalink = $job->permalink();
                $is_featured = $job->is_featured();
                $type = $job->get_type();
                $author = $job->get_author();
                $image = $job->get_thumbnail('gje-thumbnail');
                $employer = $job->get_employer();
                $employer_name = $employer ? $employer->get_title() : $author->get_display_name();
        ?>

            <div class="grid-content" data-id="<?php echo esc_attr($job->get_id()) ?>">
                <div class="job-item <?php echo ($is_featured ? 'featured-item' : '') ?>" itemscope itemtype="http://schema.org/JobPosting">
                    <div class="info-top">
                        <?php if ( !empty( $image ) ) : ?>

                            <div class="job-image">
                                <a href="<?php echo esc_url($permalink); ?>">
                                    <?php echo (string)$image; ?>
                                </a>
                            </div>

                        <?php endif; ?>

                        <div class="job-info">
                            <div class="job-info-inner">
                                <h3 class="job-title" itemprop="title" >
                                    <a class="theme-color-hover" href="<?php echo esc_url($permalink); ?>" itemprop="title"><?php echo esc_html($job->get_title()); ?></a>
                                </h3>
                                <div class="job-meta">
                                    <?php
                                    $fields = gj_fields();
                                    foreach ($fields as $field){
                                        $field->listOutputHtml();
                                    }
                                    ?>
                                </div>

                                <?php if ($job->has_salary()) { ?>
                                    <span itemprop="baseSalary" itemscope itemtype="http://schema.org/MonetaryAmount">
                                        <meta itemprop="currency" content="<?php echo esc_attr($job->get_currency()); ?>" />
                                        <meta itemprop="minValue" content="<?php echo esc_attr($job->get_salary_from()); ?>" />
                                        <meta itemprop="maxValue" content="<?php echo esc_attr($job->get_salary_to()); ?>" />
                                        <meta itemprop="unitText" content="<?php echo esc_attr($job->get_salary_postfix()); ?>" />
                                    </span>
                                <?php } ?>

                                <meta itemprop="datePosted" content="<?php echo get_the_date('Y-m-d'); ?>"/>
                                <span itemprop="hiringOrganization" itemscope itemtype="http://schema.org/Organization">
                                    <meta itemprop="name" content="<?php echo esc_attr($employer_name); ?>" />
                                </span>
                                <span itemprop="jobLocation" itemscope itemtype="http://schema.org/Place">
                                    <meta itemprop="address" content="<?php echo esc_attr($job->get_location()); ?>" />
                                </span>
                                <?php if ($type){ ?>
                                    <meta itemprop="employmentType" content="<?php echo esc_attr($type->name); ?>" />
                                <?php } ?>
                            </div>
                            <div class="action-buttons">
                                <div class="view-job"><a class="theme-bg-second-hover theme-border-second-color theme-second-color" href="<?php echo esc_url($permalink); ?>"><?php echo esc_html__('View Job', 'gj'); ?></a></div>
                                <div class="saveJob">
                                    <?php if (!is_user_logged_in()) { ?>
                                        <button class="save-job" data-toggle="modal" data-target="#gj-login-popup">
                                            <i class="fa fa-heart"></i>
                                        </button>
                                    <?php } else if (gj_can_save_job()) { ?>
                                        <a href="#" class="gj-save-job <?php echo ($user->is_saved_job($job->get_id()) ? 'saved' : ''); ?>" data-id="<?php echo esc_attr($job->get_id()); ?>" data-in-list="true"><i class="fa fa-heart"></i></a>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php if ($is_featured) :?>
                        <span class="featured_label"><i class="gj-icon gj-icon-star"></i><?php echo esc_html__(' featured', 'gj');?></span>
                    <?php endif; ?>
                </div>
            </div>

        <?php
            do_action('gj_loop_job', $job->get_id(), $i);
            $i++;
            endwhile;
            wp_reset_postdata();
        else :

        ?>

            <div class="gj-not-found">
                <h4 class="title">
                    <i class="fa fa-exclamation-triangle"></i> <strong><?php echo esc_html__('Sorry ! ', 'gj'); ?></strong><?php echo esc_html__('there are no listings matching your search.', 'gj'); ?></h4>
                <ul>
                    <li><?php echo esc_html__('Please re-check the spelling of your keyword', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try broadening your search by using general terms', 'gj'); ?></li>
                    <li><?php echo esc_html__('Try adjusting the filters applied by you', 'gj'); ?></li>
                </ul>
            </div>

        <?php endif; ?>

        <div class="clearfix"></div>
    </div>

    <?php if( $query->max_num_pages > 1 ): ?>
        <div class="w-pagination">
            <?php gj_ajax_pagination(  $query->max_num_pages, $paged ); ?>
        </div>
    <?php endif; ?>
</div>

