<?php
$has_plan_select    =   $user_plan->has_plan();
$title_plan_select  =   $data_title_plan = '';

if ( $has_plan_select ) :

    $title_plan_select = $user_plan->get_plan()->get_title();

endif;

$user               =   GJ_User::get_user(); 
$packages_query     =   GJ_Plan::get_query_plans();
$job_id             =   isset( $_GET['job-id'] ) ? intval($_GET['job-id']) : 0;

wp_enqueue_script('match-Height');

$notice = isset( $_GET['notice'] ) ? sanitize_text_field($_GET['notice']) : '';
if(!isset($user) || !$user->is_employer()){?>
	<div><?php esc_html_e( 'This is a pricing and plan page for employers', 'gj' ); ?></div>
<?php
}else{
?>
<div class="gj-user-packages gj-main-block">
	<div class="gj-plans-table gj-table-overflow-x">
		<form action="#" method="POST">
			<div class="gj-pricing-plan-tables">

                <?php if ( $notice ) : ?>

                    <div class="heading-form">
                        <h3>
                            <?php esc_html_e( 'Please buy a new package before continuing', 'gjmp' ); ?>
                        </h3>
                    </div>

                <?php endif; ?>

                <div class="row justify-content-center">
					<?php
					if ( $packages_query->have_posts() ) {

						while ( $packages_query->have_posts() ) {

							$packages_query->the_post();
							$package        =   GJ_Plan::get_package( get_post() );
                            $package_title  =   $package->get_title();
							$type_package   =   $package->get_type_package();
							$sub_title      =   $package->get_sub_title();
							$featured       =   $package->is_featured();
                            $list_service   =   $package->get_features();

							echo '<div class="col-xl-3 col-md-6 col-12 col-item d-flex">';
							echo '<div class="pricing-item d-flex flex-column flex-grow-1' . esc_attr($type_package) . '">';
                            echo '<span class="package_label text-center'. esc_attr( $featured ? '' : ' not-featured' ) .'">' .esc_html__( "Recommeded", "gjmp" ). '</span>';

							echo '<div class="item-inner d-flex flex-column flex-grow-1">';

							if ( !empty( $title_plan_select ) && strcmp( $title_plan_select, $package_title ) == 0 ) :
                                echo '<span class="title-plan-select">'. esc_html__( 'Your Package', 'gjmp' ) .'</span>';
                            endif;

							echo '<div class="item-top text-center">';
							echo '<div class="item-top-content">';

                            if ( $package_title ) {
                                echo '<h3 class="title"> ' . esc_html( $package_title ) . '</h3>';
                            }

                            if ( !empty( $sub_title ) ) {
                                echo '<span class="sub-title">'. esc_html( $sub_title ) .'</span>';
                            }

							echo '</div>';
                            if ( $package->get_price() ) {
                                echo '<div class="price"> ' . gj_system_price( $package->get_price() ) . '</div>';
                            } else {
                                echo '<div class="price"> ' . gj_system_price( 0 ) . '</div>';
                            }
							echo '</div>';
							echo '<div class="item-bottom d-flex flex-column flex-grow-1">';
							$jobs            = ( $package->get_number_job() == - 1 ) ? esc_html__( 'Unlimited', 'gjmp' ) : $package->get_number_job();
							$jobs_class      = '';
							$features        = ( $package->get_number_featured_job() == - 1 ) ? esc_html__( 'Unlimited', 'gjmp' ) : $package->get_number_featured_job();
							$renews          = ( $package->get_number_renew_job() == - 1 ) ? esc_html__( 'Unlimited', 'gjmp' ) : $package->get_number_renew_job();
							$support_service = $package->get_job_support();
							echo '<ul>';
							if ( $jobs == 'Unlimited' ) {
								$jobs_class .= 'unlimited';
								echo '<li class="package-posting">Listing posting: <span class="' . esc_attr($jobs_class) . '">' . esc_html__( 'Unlimited', 'gjmp' ) . '</span></li>';
							} else {
								echo '<li class="package-posting">Listing posting: <span class="' . esc_attr($jobs_class) . '">' . (int)$jobs . '</span></li>';
							}
							$unit   = $package->get_expiry_unit();
							$expiry = $package->get_expiry();
							if ( $expiry ) {
								echo '<li class="package-duration">';
								switch ( $unit ) {
									case 'day':
										echo sprintf( _n( 'Duration: <span>%d Day</span>', 'Duration: <span>%d Days</span>', $expiry, 'gjmp' ), $expiry );
										break;
									case 'month':
										echo sprintf( _n( 'Duration: <span>%d Month</span>', 'Duration: <span>%d Months</span>', $expiry, 'gjmp' ), $expiry );
										break;
									case 'year':
										echo sprintf( _n( 'Duration: <span>%d Year</span>', 'Duration: <span>%d Years</span>', $expiry, 'gjmp' ), $expiry );
										break;
								}
								echo '</li>';
							}

							$listing_f_class = ( $features == 'Unlimited' ) ? 'unlimited' : '';

                            $class_enable_features  =   '';
							if ( empty( $features ) ) {
							    $class_enable_features = ' not-check';
                            }

							echo '<li class="package-features'. esc_attr( $class_enable_features ) .'">' . sprintf( _n( 'Listing Feature: <span class="%s">%s</span>', 'Listing Feature: <span class="%s">%s</span>', $features, 'gjmp' ), $listing_f_class, $features ) . '</li>';

							$listing_renew_class = ( $renews == 'Unlimited' ) ? 'unlimited' : '';
							if ( $renews ) {
								echo '<li class="package-renews">' . sprintf( _n( 'Listing Renew: <span class="%s">%s</span>', 'Listing Renew: <span class="%s">%s</span>', $renews, 'gjmp' ),$listing_renew_class, $renews ) . '</li>';
							} else {
								echo '<li class="package-renews not-check">' . esc_html__( 'Listing Renew', 'gjmp' ) . '</li>';
							}

							if ( !empty( $list_service ) ) {

							    foreach ( $list_service as $item_service ) {

                                    $class_enable_service   = '';

                                    if ( isset( $item_service['enable'] ) ) {

                                        if ( $item_service['enable'] == 0 ) {
                                            $class_enable_service = ' not-check';
                                        }

                                    }

                                    echo '<li class="package-item'. esc_attr( $class_enable_service ) .'">' . esc_html( $item_service['title'] ) . '</li>';

                                }

                            }
							echo '</ul>';
							echo '</div>';
                            echo '<div class="choose-package"><button type="submit" class="buy-now" name="plan_id" value="' . $package->get_id() . '">' . esc_html__( "Start Now", 'gjmp' ) . '</button></div>';
							echo '</div>';
							echo '</div>';
							echo '</div>';
						}
						wp_reset_postdata();
					}
					?>
			    </div>
			</div>
			<?php wp_nonce_field( 'gj-select-plan', 'gj-action' ); ?>
			<input type="hidden" name="job_id" value="<?php echo esc_attr($job_id); ?>">
		</form>
		<div class="clearfix"></div>
	</div>
</div>
<?php } ?>