<?php
/**
 * The Template for displaying single candidate
 * @package GJ/Templates
 * @since 1.0.1
 */

$user = GJ_User::get_user();
$candidate = GJ_Candidate::get_candidate(get_the_ID());
get_header();
$candidate_sidebar = gj_option('candidate_sidebar');
$candidate_sidebar_position = '';
if (is_active_sidebar('sidebar-candidate')) {
    $candidate_sidebar_position = $candidate_sidebar;
}
$candidate_sidebar_sticky = gj_option('candidate_sidebar_sticky');
wp_enqueue_style('jquery-fancybox');
wp_enqueue_script('jquery-fancybox');
wp_enqueue_script('google-maps');
wp_enqueue_script('infobox');
$show_candidate_public_profile = gj_option('show_candidate_public_profile', '');
$login_page_id = get_permalink(gj_option('login_page_id'));

?>
<div class="gj-candidate-detail">
    <?php
    gj_get_template_part("parts/candidates/detail", array('user' => $user, 'candidate' => $candidate, 'candidate_sidebar' => $candidate_sidebar_position, 'candidate_sidebar_sticky' => $candidate_sidebar_sticky, 'show_candidate_public_profile' => $show_candidate_public_profile, 'login_page_id' => $login_page_id));
    ?>

    <?php if ($candidate->can_publish() || $candidate->can_edit()) { ?>
        <div class="gj-job-action-btn">
            <?php if ($candidate->can_edit()) { ?>
                <a class="edit-job gj-btn-shadow gj-btn-icon gj-btn-danger" href="<?php echo esc_url($candidate->edit_link()); ?>"><i class="lnr lnr-pencil"></i> <?php echo esc_html__('Edit', 'gj'); ?></a>
            <?php } ?>
            <?php if ($candidate->can_publish()) { ?>
                <a class="gj-publish-candidate gj-btn-shadow gj-btn-icon gj-btn-primary" href="#" data-id="<?php echo esc_attr(get_the_ID()); ?>"><i class="lnr lnr-layers"></i> <?php echo esc_html__('Publish', 'gj'); ?></a>
            <?php } ?>
        </div>
    <?php } ?>
</div>

<?php
get_footer();
