<?php
/**
 * The Template for displaying single employer
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();

$user = GJ_User::get_user();
$employer_sidebar = gj_option('employer_sidebar');
$employer_sidebar_position = '';
if (is_active_sidebar('sidebar-employer')) {
    $employer_sidebar_position = $employer_sidebar;
}
$employer_sidebar_sticky = gj_option('employer_sidebar_sticky');
$disable_review = gj_option('disable_review');
$login_page_id = get_permalink(gj_option('login_page_id'));

wp_enqueue_script('google-maps');
wp_enqueue_script('infobox');
wp_enqueue_style('owl-carousel');
wp_enqueue_style('owl-theme');
wp_enqueue_style('owl-transitions');
wp_enqueue_script('owl-carousel');

while (have_posts()) : the_post();
    $employer = GJ_Employer::get_employer(get_post());
    ?>
    <div class="gj-employer-detail">
        <?php
        gj_get_template_part("parts/employers/detail", array('user' => $user, 'employer' => $employer, 'disable_review' => $disable_review, 'employer_sidebar' => $employer_sidebar_position, 'employer_sidebar_sticky' => $employer_sidebar_sticky, 'login_page_id' => $login_page_id));
        ?>

        <?php if ($employer->can_publish() || $employer->can_edit()) { ?>
            <div class="gj-job-action-btn">
                <?php if ($employer->can_edit()) { ?>
                    <a class="edit-job gj-btn-shadow gj-btn-icon gj-btn-danger" href="<?php echo esc_url($employer->edit_link()); ?>"><i class="lnr lnr-pencil"></i> <?php echo esc_html__('Edit', 'gj'); ?></a>
                <?php } ?>
                <?php if ($employer->can_publish()) { ?>
                    <a class="gj-publish-employer gj-btn-shadow gj-btn-icon gj-btn-primary" href="#" data-id="<?php echo esc_attr(get_the_ID()); ?>"><i class="lnr lnr-layers"></i> <?php echo esc_html__('Publish', 'gj'); ?></a>
                <?php } ?>    
            </div>
        <?php } ?>
    </div>
    <?php
endwhile;
?>


<?php get_footer(); ?>