<?php
/**
 * The Template for displaying single job
 * @package GJ/Templates
 * @since 1.0.1
 */

get_header();
$job = GJ_Job::get_job(get_post());
$author = $job->get_author();
$user = GJ_User::get_user();
$job_sidebar = gj_option('job_sidebar');
$job_sidebar_position = '';
if (is_active_sidebar('sidebar-job')) {
    $job_sidebar_position = $job_sidebar;
}
$job_sidebar_sticky = gj_option('job_sidebar_sticky');
wp_enqueue_script('google-maps');
wp_enqueue_script('infobox');

?>

<div class="contents-main iw-job-content iw-job-detail" id="contents-main">
    <?php gj_get_template_part( "parts/jobs/detail", array( 'user' => $user, 'job' => $job, 'author' => $author, 'job_sidebar' => $job_sidebar_position, 'job_sidebar_sticky' => $job_sidebar_sticky) ); ?>
    <?php if ($job->can_publish() || $job->can_edit()) { ?>
        <div class="gj-job-action-btn">
            <?php if ($job->can_edit()) { ?>
                <a class="edit-job gj-btn-shadow gj-btn-icon gj-btn-danger" href="<?php echo esc_url($job->edit_link()); ?>"><i class="lnr lnr-pencil"></i> <?php echo esc_html__('Edit', 'gj'); ?></a>
            <?php } ?>
            <?php if ($job->can_publish()) { ?>
                <a class="gj-publish-job gj-btn-shadow gj-btn-icon gj-btn-primary" href="#" data-id="<?php echo esc_attr(get_the_ID()); ?>"><i class="lnr lnr-layers"></i> <?php echo esc_html__('Publish', 'gj'); ?></a>
            <?php } ?>    
        </div>
    <?php } ?>
</div>

<?php get_footer(); ?>