<?php
/**
 * The Template for social register
 * @package GJ/Templates
 * @since 1.0.1
 */
?>
<div class="gj-social-register">
    <?php if(!is_user_logged_in()) { ?>
        <form action="" method="post" class="gj-form gj-register-form gj-social-register">
            <div class="confirm-div">
                <?php if($profile_image){ ?>
                    <img class="avatar" src="<?php echo esc_url($profile_image); ?>" alt="<?php echo esc_html__('Avatar', 'gj'); ?>">
                <?php } ?>
                <h2><?php echo esc_html__('You\'re almost done!', 'gj'); ?></h2>
                <div class="social-confirm-newuser">
                    <p><?php printf(__('You are about to create a new account on <strong>%s</strong></span> using a login from', 'gj'), get_bloginfo( 'name', 'display' )); ?></p>
                    <?php if($social){ ?>
                    <div class="social-block">
                        <span class="social-icon <?php echo esc_attr($social->get_fontawesome_icon()); ?>"></span>
                        <span class="social-name"><?php echo esc_html($social->get_title()) ?>(<?php echo esc_html($email); ?>)</span>
                    </div>
                    <?php } ?>
                </div>
                <p></p>
            </div>
            <div class="gj-field">
                <label><?php echo esc_html__('Your Name', 'gj'); ?></label>
                <div class="gj-input">
                    <i class="fa fa-user"></i>
                    <input type="text" name="display_name" placeholder="<?php echo esc_html__('Enter Your Username.', 'gj'); ?>" value="<?php echo esc_attr($display_name); ?>" required>
                </div>
            </div>
            <div class="gj-field">
                <label><?php echo esc_html__('Email', 'gj'); ?></label>
                <div class="gj-input">
                    <i class="fa fa-envelope-o"></i>
                    <input type="email" name="email" placeholder="<?php echo esc_html__('Enter Your Email Address.', 'gj'); ?>" value="<?php echo esc_attr($email); ?>" required>
                </div>
            </div>
            <?php
            $disable_candidate_register = gj_option('disable_candidate_register');
            $disable_employer_register = gj_option('disable_employer_register');
            if($disable_candidate_register || $disable_employer_register){
                echo '<input type="hidden" name="role" value="'.($disable_candidate_register ? 'employer' : 'candidate').'">';
            }else{?>
                <div class="gj-field">
                    <label><?php echo esc_html__('Register as', 'gj'); ?></label>
                    <div class="gj-input">
                        <i class="fa fa-envelope-o"></i>
                        <select type="select" name="role" class="gj-role gj-select-2-wsearch">
                            <option value="candidate"><?php echo esc_html__('Candidate', 'gj'); ?></option>
                            <option value="employer"><?php echo esc_html__('Employer', 'gj'); ?></option>
                        </select>
                    </div>
                </div>
            <?php } ?>
            <div class="gj-respon-msg gj-hide"></div>
            <div class="gj-button-loader">
                <input type="hidden" name="social" value="<?php echo esc_attr($social ? $social->id : ''); ?>">
                <input type="hidden" name="username" value="<?php echo esc_attr($user_name); ?>">
                <button type="submit" name="register" class="gj-btn gj-btn-primary gj-register-btn"><?php echo esc_html__('Create My Account', 'gj'); ?></button>
            </div>
        </form>
    <?php }else{
        $user = GJ_User::get_user();
        ?>
        <div class="logged-in">
            <p><?php echo sprintf(__('You are loggedin as <strong>%s</strong>', 'gj'), $user->get_display_name()); ?></p>
            <p><?php echo sprintf(__('Click <a href="%s">here</a> to go to Dashboard Manager', 'gj'), esc_url(gj_get_page_permalink('dashboard'))); ?></p>
        </div>
    <?php } ?>
</div>