<?php
$fields = gj_fields(null, 'gj_candidate', 'filterOrdering');
if ($fields) {

    echo wp_kses_post($args['before_widget']);

    if (isset($instance['title'])) {
        $title = (!empty($instance['title'])) ? $instance['title'] : '';
        $title = apply_filters('widget_title', $title, $instance, $widget_id);

        if ($title) {
            echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
        }
    }
    $keyword = isset($_GET['keyword']) ? sanitize_text_field($_GET['keyword']) : '';
    ?>

    <?php do_action('gj_before_widget_candidate_filter', $args, $instance, $parent); ?>

    <aside id="gj_simple_search-candidate" class="widget sidebar-jobs widget_gj_simple_search">
        <div class="job-search sidebar-job-1">
            <form name="gj-search" class="gj-form-filter gj-form-search-keyword">
                <div class="input-group">
                    <input id="gj-input-keyword" name="keyword" type="text" placeholder="<?php echo esc_attr__('Search Keywords', 'gj'); ?>" value="<?php echo esc_attr($keyword); ?>">
                    <div class="input-group-btn">
                        <button class="btn btn-default btn-gj-search" type="button">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </aside>

    <?php
    foreach ($fields as $field) {
        $field->filterOutputHtml('gj_candidate');
    }
    ?>

    <form name="gj-other-filters" class="candidate-form-filter form-other-filters">
        <?php
        $filters_data = GJ_Candidate_Listing::instance()->get_data_filters();
        $keyword = isset($filters_data['keyword']) ? sanitize_text_field($filters_data['keyword']) : '';
        echo '<input type="hidden" name="keyword" value="' . $keyword . '">';
        ?>
    </form>

    <?php do_action('gj_after_widget_candidate_filter', $args, $instance, $parent); ?>

    <input type="hidden" value="gj_candidate" id="gj-filter-post-type"/>
    <input type="hidden" id="gj-filter-url" value="<?php echo esc_url(gj_get_page_permalink('candidates')); ?>">

    <?php echo wp_kses_post($args['after_widget']);
} ?>
