<?php
$fields = gj_fields(null, 'gj_employer', 'filterOrdering');
if ($fields) {
    echo wp_kses_post($args['before_widget']);

    if (isset($instance['title'])) {
        $title = (!empty($instance['title'])) ? $instance['title'] : '';
        $title = apply_filters('widget_title', $title, $instance, $widget_id);

        if ($title) {
            echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
        }
    }
    $keyword = isset($_GET['keyword']) ? sanitize_text_field($_GET['keyword']) : '';
    ?>

    <?php do_action('gj_before_widget_employer_filter', $args, $instance, $parent); ?>

    <aside id="gj_simple_search-employer" class="widget sidebar-jobs widget_gj_simple_search">
        <div class="job-search sidebar-job-1">
            <form name="gj-search" class="gj-form-filter gj-form-search-keyword">
                <div class="input-group">
                    <input id="gj-input-keyword" name="keyword" type="text" placeholder="<?php echo esc_html__('Search Keywords', 'gj'); ?>" value="<?php echo esc_html($keyword); ?>">
                    <div class="input-group-btn">
                        <button class="btn btn-default btn-gj-search" type="button">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </aside>

    <?php
    do_action('gj_widget_after_employer_filter_keyword', $args, $instance, $parent);

    foreach ($fields as $field) {
        $field->filterOutputHtml('gj_employer');
    }
    ?>

    <form name="gj-other-filters" class="employer-form-filter form-other-filters">
        <?php
        $filters = GJ_Employer_Listing::instance()->get_data_filters();
        $keyword = isset($filters['keyword']) ? sanitize_text_field($filters['keyword']) : '';
        echo '<input type="hidden" name="keyword" value="' . esc_attr($keyword) . '">';
        ?>
    </form>

    <?php do_action('gj_after_widget_employer_filter', $args, $instance, $parent); ?>
    <?php
    global $wp;
    $current_url = home_url(add_query_arg(array(), $wp->request));
    ?>
    <input type="hidden" value="gj_employer" id="gj-filter-post-type"/>
    <input type="hidden" id="gj-filter-url" value="<?php echo esc_url($current_url); ?>">

    <?php
    echo wp_kses_post($args['after_widget']);
}
?>
