<?php
$post = get_post();
if(is_single() && $post && $post->post_type == 'gj_employer' ) {
    $employer = GJ_Employer::get_employer($post);
    $author = $employer->get_author();
    $user = GJ_User::get_user();
    $social_contact = $employer->get_social_media();
    $readonly = $user ? 'readonly="readonly"' : '';

    echo wp_kses_post($args['before_widget']);

    if (isset($instance['title'])) {
        $title = (!empty($instance['title'])) ? $instance['title'] : '';
        $title = apply_filters('widget_title', $title, $instance, $widget_id);

        if ($title) {
            echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
        }
    }
    ?>

    <div class="gj-employer-widget-wrap">
        <div class="employer-info">
            <ul class="info-fields">
                <?php if ($employer->get_email()){ ?>
                    <li class="field-email">
                        <?php echo '<span class="field-title">'.esc_html__('Email: ', 'gj').'</span><a href="mailto:'.esc_html__($employer->get_email()) .'">'.esc_html__($employer->get_email()).'</a>'; ?>
                    </li>
                <?php } ?>

                <?php if ($employer->get_phone()){ ?>
                    <li class="field-phone-number">
                        <?php echo '<span class="field-title">'.esc_html__('Phone: ', 'gj').'</span>'.esc_html__($employer->get_phone()); ?>
                    </li>
                <?php } ?>

                <?php if ($employer->get_website()){ ?>
                    <li class="field-website theme-color">
                        <?php echo '<span class="field-title">'.esc_html__('Website: ', 'gj').'</span><a href="'.esc_html__($employer->get_website()) .'">'.esc_html__($employer->get_website()).'</a>'; ?>
                    </li>
                <?php } ?>

                <?php if ($employer->get_location()){ ?>
                    <li class="field-website">
                        <?php echo '<span class="field-title">'.esc_html__('Location: ', 'gj').'</span>'.esc_html__($employer->get_location()); ?>
                    </li>
                <?php } ?>

                <?php if ($social_contact){ ?>
                    <li class="field-social">
                        <?php
                        echo '<span class="field-title">'.esc_html__('Social profiles: ', 'gj').'</span>';
                        echo '<div class="field-value iw-social-all">';
                        foreach ($social_contact as $key => $value){
                            if ( $value != null && $value != '' ) {
                                if ( strchr( $value, "http" ) ) {
                                    $link = $value;
                                } else {
                                    $link = 'http://' . $value;
                                }
                                if ( $key == "google_plus" ) {
                                    echo '<a class="' . esc_attr($key) . '" href="' . esc_url($link) . '" title="' . esc_attr($key) . '" target="_blank"><i class="'.gj_get_social_icon($key).'"></i></a>';
                                } else {
                                    echo '<a class="' . esc_attr($key) . '" href="' . esc_url($link) . '" title="' . esc_attr($key) . '" target="_blank"><i class="'.gj_get_social_icon($key).'"></i></a>';
                                }
                            }
                        }
                        echo '</div>';
                        ?>
                    </li>
                <?php } ?>
            </ul>
        </div>

        <div class="gj-single-contact-form gj-single-widget">
            <h3 class="form-title">
                <?php echo esc_html__('Contact Form','gj')?>
            </h3>
            <span class="form-description">
                <?php echo esc_html__('Send messages directly to candidate. Your email will be shown to the recipient.','gj')?>
            </span>

            <form class="gj-contact-form" action="#" method="post" enctype="multipart/form-data">
                <div class="input-field">
                    <input type="text" name="name" id="input-contact-name" value="<?php echo ($user ? esc_attr($user->get_display_name()) : ''); ?>" <?php echo (string)$readonly; ?>>
                </div>
                <div class="input-field">
                    <input type="text" name="email" id="input-contact-email" value="<?php echo ($user ? esc_attr($user->get_email()) : ''); ?>" <?php echo (string)$readonly; ?>>
                </div>
                <div class="input-field">
                    <textarea rows="3" name="message" id="input-contact-message"></textarea>
                </div>  

                <div class="gj-respon-msg gj-hide"></div>
                <input type="hidden" name="item_id" value="<?php echo esc_attr($employer->get_id()); ?>">
                <div class="gj-btn-action">
                    <?php if ( is_user_logged_in() ) { ?>
                        <button type="submit" class="gj-btn-primary gj-contact-btn"><?php  echo esc_html__('Send now', 'gj'); ?></button>
                    <?php }else{ ?>
                        <a class="gj-btn-primary" href="#" onclick="return GJShowLoginPopup();"><?php echo esc_html__('Please login first','gj'); ?></a>
                    <?php } ?>
                </div>
            </form>
        </div>
    </div>

    <?php
    echo wp_kses_post($args['after_widget']);
}